#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2654
#define LARGE_STATE_COUNT 582
#define SYMBOL_COUNT 427
#define ALIAS_COUNT 0
#define TOKEN_COUNT 195
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 216

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_clause_token1 = 13,
  aux_sym__namespace_use_type_token1 = 14,
  aux_sym__namespace_use_type_token2 = 15,
  anon_sym_BSLASH = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  anon_sym_EQ_GT = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  anon_sym_LPAREN = 38,
  aux_sym_visibility_modifier_token4 = 39,
  anon_sym_RPAREN = 40,
  anon_sym_LPAREN2 = 41,
  anon_sym_RPAREN2 = 42,
  aux_sym__arrow_function_header_token1 = 43,
  anon_sym_DOT_DOT_DOT = 44,
  anon_sym_QMARK = 45,
  sym_bottom_type = 46,
  anon_sym_PIPE = 47,
  anon_sym_array = 48,
  aux_sym_primitive_type_token1 = 49,
  anon_sym_iterable = 50,
  anon_sym_bool = 51,
  anon_sym_float = 52,
  anon_sym_void = 53,
  anon_sym_mixed = 54,
  anon_sym_false = 55,
  anon_sym_null = 56,
  anon_sym_true = 57,
  aux_sym_cast_type_token1 = 58,
  aux_sym_cast_type_token2 = 59,
  aux_sym_cast_type_token3 = 60,
  aux_sym_cast_type_token4 = 61,
  aux_sym_cast_type_token5 = 62,
  aux_sym_cast_type_token6 = 63,
  aux_sym_cast_type_token7 = 64,
  aux_sym_cast_type_token8 = 65,
  aux_sym_cast_type_token9 = 66,
  aux_sym_cast_type_token10 = 67,
  aux_sym_cast_type_token11 = 68,
  aux_sym_cast_type_token12 = 69,
  aux_sym_echo_statement_token1 = 70,
  aux_sym_exit_statement_token1 = 71,
  anon_sym_unset = 72,
  aux_sym_declare_statement_token1 = 73,
  aux_sym_declare_statement_token2 = 74,
  anon_sym_ticks = 75,
  anon_sym_encoding = 76,
  anon_sym_strict_types = 77,
  sym_float = 78,
  aux_sym_try_statement_token1 = 79,
  aux_sym_catch_clause_token1 = 80,
  aux_sym_finally_clause_token1 = 81,
  aux_sym_goto_statement_token1 = 82,
  aux_sym_continue_statement_token1 = 83,
  aux_sym_break_statement_token1 = 84,
  sym_integer = 85,
  aux_sym_return_statement_token1 = 86,
  aux_sym_throw_expression_token1 = 87,
  aux_sym_while_statement_token1 = 88,
  aux_sym_while_statement_token2 = 89,
  aux_sym_do_statement_token1 = 90,
  aux_sym_for_statement_token1 = 91,
  aux_sym_for_statement_token2 = 92,
  aux_sym_foreach_statement_token1 = 93,
  aux_sym_foreach_statement_token2 = 94,
  aux_sym_if_statement_token1 = 95,
  aux_sym_if_statement_token2 = 96,
  aux_sym_else_if_clause_token1 = 97,
  aux_sym_else_clause_token1 = 98,
  aux_sym_match_expression_token1 = 99,
  aux_sym_match_default_expression_token1 = 100,
  aux_sym_switch_statement_token1 = 101,
  aux_sym_switch_block_token1 = 102,
  anon_sym_PLUS = 103,
  anon_sym_DASH = 104,
  anon_sym_TILDE = 105,
  anon_sym_BANG = 106,
  anon_sym_AT = 107,
  aux_sym_clone_expression_token1 = 108,
  anon_sym_COLON_COLON = 109,
  aux_sym_print_intrinsic_token1 = 110,
  aux_sym__new_non_dereferencable_expression_token1 = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_PLUS_PLUS = 113,
  anon_sym_STAR_STAR_EQ = 114,
  anon_sym_STAR_EQ = 115,
  anon_sym_SLASH_EQ = 116,
  anon_sym_PERCENT_EQ = 117,
  anon_sym_PLUS_EQ = 118,
  anon_sym_DASH_EQ = 119,
  anon_sym_DOT_EQ = 120,
  anon_sym_LT_LT_EQ = 121,
  anon_sym_GT_GT_EQ = 122,
  anon_sym_AMP_EQ = 123,
  anon_sym_CARET_EQ = 124,
  anon_sym_PIPE_EQ = 125,
  anon_sym_QMARK_QMARK_EQ = 126,
  anon_sym_DASH_GT = 127,
  anon_sym_QMARK_DASH_GT = 128,
  aux_sym__list_destructing_token1 = 129,
  anon_sym_LBRACK = 130,
  anon_sym_RBRACK = 131,
  anon_sym_self = 132,
  anon_sym_parent = 133,
  aux_sym__argument_name_token1 = 134,
  aux_sym__argument_name_token2 = 135,
  anon_sym_POUND_LBRACK = 136,
  sym_escape_sequence = 137,
  anon_sym_BSLASHu = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  anon_sym_SQUOTE = 142,
  aux_sym_string_token2 = 143,
  aux_sym_string_content_token1 = 144,
  anon_sym_LT_LT_LT = 145,
  anon_sym_DQUOTE2 = 146,
  sym__new_line = 147,
  anon_sym_SQUOTE2 = 148,
  anon_sym_BQUOTE = 149,
  anon_sym_DOLLAR = 150,
  aux_sym_yield_expression_token1 = 151,
  aux_sym_yield_expression_token2 = 152,
  aux_sym_binary_expression_token1 = 153,
  anon_sym_QMARK_QMARK = 154,
  anon_sym_STAR_STAR = 155,
  aux_sym_binary_expression_token2 = 156,
  aux_sym_binary_expression_token3 = 157,
  aux_sym_binary_expression_token4 = 158,
  anon_sym_PIPE_PIPE = 159,
  anon_sym_AMP_AMP = 160,
  anon_sym_CARET = 161,
  anon_sym_EQ_EQ = 162,
  anon_sym_BANG_EQ = 163,
  anon_sym_LT_GT = 164,
  anon_sym_EQ_EQ_EQ = 165,
  anon_sym_BANG_EQ_EQ = 166,
  anon_sym_LT = 167,
  anon_sym_GT = 168,
  anon_sym_LT_EQ = 169,
  anon_sym_GT_EQ = 170,
  anon_sym_LT_EQ_GT = 171,
  anon_sym_LT_LT = 172,
  anon_sym_GT_GT = 173,
  anon_sym_DOT = 174,
  anon_sym_STAR = 175,
  anon_sym_SLASH = 176,
  anon_sym_PERCENT = 177,
  aux_sym_include_expression_token1 = 178,
  aux_sym_include_once_expression_token1 = 179,
  aux_sym_require_expression_token1 = 180,
  aux_sym_require_once_expression_token1 = 181,
  sym_comment = 182,
  sym__automatic_semicolon = 183,
  sym_encapsed_string_chars = 184,
  sym_encapsed_string_chars_after_variable = 185,
  sym_execution_string_chars = 186,
  sym_execution_string_chars_after_variable = 187,
  sym_encapsed_string_chars_heredoc = 188,
  sym_encapsed_string_chars_after_variable_heredoc = 189,
  sym__eof = 190,
  sym_heredoc_start = 191,
  sym_heredoc_end = 192,
  sym_nowdoc_string = 193,
  sym_sentinel_error = 194,
  sym_program = 195,
  sym_statement = 196,
  sym_empty_statement = 197,
  sym_reference_modifier = 198,
  sym_function_static_declaration = 199,
  sym_static_variable_declaration = 200,
  sym_global_declaration = 201,
  sym_namespace_definition = 202,
  sym_namespace_use_declaration = 203,
  sym_namespace_use_clause = 204,
  sym_qualified_name = 205,
  sym__name = 206,
  sym_namespace_name = 207,
  sym__namespace_use_group = 208,
  sym_namespace_use_group = 209,
  sym_trait_declaration = 210,
  sym_interface_declaration = 211,
  sym_base_clause = 212,
  sym_enum_declaration = 213,
  sym_enum_declaration_list = 214,
  sym__enum_member_declaration = 215,
  sym_enum_case = 216,
  sym_class_declaration = 217,
  sym_declaration_list = 218,
  sym_final_modifier = 219,
  sym_abstract_modifier = 220,
  sym_readonly_modifier = 221,
  sym_class_interface_clause = 222,
  sym__member_declaration = 223,
  sym_const_declaration = 224,
  sym__class_const_declaration = 225,
  sym__const_declaration = 226,
  sym_property_declaration = 227,
  sym__modifier = 228,
  sym_property_element = 229,
  sym_property_hook_list = 230,
  sym_property_hook = 231,
  sym__property_hook_body = 232,
  sym_method_declaration = 233,
  sym_static_modifier = 234,
  sym_use_declaration = 235,
  sym_use_list = 236,
  sym_use_instead_of_clause = 237,
  sym_use_as_clause = 238,
  sym_visibility_modifier = 239,
  sym_function_definition = 240,
  sym__function_definition_header = 241,
  sym_anonymous_function = 242,
  sym_anonymous_function_use_clause = 243,
  sym__anonymous_function_header = 244,
  sym__arrow_function_header = 245,
  sym_arrow_function = 246,
  sym_formal_parameters = 247,
  sym_property_promotion_parameter = 248,
  sym_simple_parameter = 249,
  sym_variadic_parameter = 250,
  sym_type = 251,
  sym__types = 252,
  sym_named_type = 253,
  sym_optional_type = 254,
  sym_union_type = 255,
  sym_intersection_type = 256,
  sym_disjunctive_normal_form_type = 257,
  sym_primitive_type = 258,
  sym_cast_type = 259,
  sym__return_type = 260,
  sym_const_element = 261,
  sym_echo_statement = 262,
  sym_exit_statement = 263,
  sym_unset_statement = 264,
  sym_declare_statement = 265,
  sym_declare_directive = 266,
  sym_literal = 267,
  sym_try_statement = 268,
  sym_catch_clause = 269,
  sym_type_list = 270,
  sym_finally_clause = 271,
  sym_goto_statement = 272,
  sym_continue_statement = 273,
  sym_break_statement = 274,
  sym_return_statement = 275,
  sym_throw_expression = 276,
  sym_while_statement = 277,
  sym_do_statement = 278,
  sym_for_statement = 279,
  sym__expressions = 280,
  sym_sequence_expression = 281,
  sym_foreach_statement = 282,
  sym_foreach_pair = 283,
  sym__foreach_value = 284,
  sym_if_statement = 285,
  sym_colon_block = 286,
  sym_else_if_clause = 287,
  sym_else_clause = 288,
  sym_else_if_clause_2 = 289,
  sym_else_clause_2 = 290,
  sym_match_expression = 291,
  sym_match_block = 292,
  sym_match_condition_list = 293,
  sym_match_conditional_expression = 294,
  sym_match_default_expression = 295,
  sym_switch_statement = 296,
  sym_switch_block = 297,
  sym_case_statement = 298,
  sym_default_statement = 299,
  sym_compound_statement = 300,
  sym_named_label_statement = 301,
  sym_expression_statement = 302,
  sym_expression = 303,
  sym__unary_expression = 304,
  sym_unary_op_expression = 305,
  sym_error_suppression_expression = 306,
  sym_clone_expression = 307,
  sym_primary_expression = 308,
  sym_parenthesized_expression = 309,
  sym_class_constant_access_expression = 310,
  sym_print_intrinsic = 311,
  sym_object_creation_expression = 312,
  sym__new_non_dereferencable_expression = 313,
  sym__new_dereferencable_expression = 314,
  sym__class_name_reference = 315,
  sym_anonymous_class = 316,
  sym_update_expression = 317,
  sym_cast_expression = 318,
  sym_cast_variable = 319,
  sym_assignment_expression = 320,
  sym_reference_assignment_expression = 321,
  sym_conditional_expression = 322,
  sym_augmented_assignment_expression = 323,
  sym__variable_member_access_expression = 324,
  sym_member_access_expression = 325,
  sym__variable_nullsafe_member_access_expression = 326,
  sym_nullsafe_member_access_expression = 327,
  sym__variable_scoped_property_access_expression = 328,
  sym_scoped_property_access_expression = 329,
  sym_list_literal = 330,
  sym__list_destructing = 331,
  sym__array_destructing = 332,
  sym__array_destructing_element = 333,
  sym_function_call_expression = 334,
  sym__callable_expression = 335,
  sym_scoped_call_expression = 336,
  sym__scope_resolution_qualifier = 337,
  sym_relative_scope = 338,
  sym_variadic_placeholder = 339,
  sym_arguments = 340,
  sym_argument = 341,
  sym__argument_name = 342,
  sym_member_call_expression = 343,
  sym_nullsafe_member_call_expression = 344,
  sym_variadic_unpacking = 345,
  sym__member_name = 346,
  sym__variable_subscript_expression = 347,
  sym__dereferencable_subscript_expression = 348,
  sym__dereferencable_expression = 349,
  sym__dereferencable_scalar = 350,
  sym_array_creation_expression = 351,
  sym_attribute_group = 352,
  sym_attribute_list = 353,
  sym_attribute = 354,
  sym__complex_string_part = 355,
  sym__simple_string_member_access_expression = 356,
  sym__simple_string_subscript_unary_expression = 357,
  sym__simple_string_array_access_argument = 358,
  sym__simple_string_subscript_expression = 359,
  sym__simple_string_part = 360,
  aux_sym__interpolated_string_body = 361,
  aux_sym__interpolated_string_body_heredoc = 362,
  sym_encapsed_string = 363,
  sym_string = 364,
  sym_string_content = 365,
  sym_heredoc_body = 366,
  sym_heredoc = 367,
  sym_nowdoc_body = 368,
  sym_nowdoc = 369,
  aux_sym__interpolated_execution_operator_body = 370,
  sym_shell_command_expression = 371,
  sym_boolean = 372,
  sym_null = 373,
  sym__string = 374,
  sym_dynamic_variable_name = 375,
  sym__simple_variable = 376,
  sym__new_variable = 377,
  sym__callable_variable = 378,
  sym_variable_name = 379,
  sym_by_ref = 380,
  sym_yield_expression = 381,
  sym_array_element_initializer = 382,
  sym_binary_expression = 383,
  sym_include_expression = 384,
  sym_include_once_expression = 385,
  sym_require_expression = 386,
  sym_require_once_expression = 387,
  sym__reserved_identifier = 388,
  sym__identifier = 389,
  sym__semicolon = 390,
  aux_sym_program_repeat1 = 391,
  aux_sym_function_static_declaration_repeat1 = 392,
  aux_sym_global_declaration_repeat1 = 393,
  aux_sym_namespace_use_declaration_repeat1 = 394,
  aux_sym_namespace_name_repeat1 = 395,
  aux_sym_base_clause_repeat1 = 396,
  aux_sym_enum_declaration_list_repeat1 = 397,
  aux_sym_class_declaration_repeat1 = 398,
  aux_sym_declaration_list_repeat1 = 399,
  aux_sym__const_declaration_repeat1 = 400,
  aux_sym_property_declaration_repeat1 = 401,
  aux_sym_property_hook_list_repeat1 = 402,
  aux_sym_use_list_repeat1 = 403,
  aux_sym_anonymous_function_use_clause_repeat1 = 404,
  aux_sym_formal_parameters_repeat1 = 405,
  aux_sym_union_type_repeat1 = 406,
  aux_sym_intersection_type_repeat1 = 407,
  aux_sym_disjunctive_normal_form_type_repeat1 = 408,
  aux_sym_unset_statement_repeat1 = 409,
  aux_sym_try_statement_repeat1 = 410,
  aux_sym_type_list_repeat1 = 411,
  aux_sym_if_statement_repeat1 = 412,
  aux_sym_if_statement_repeat2 = 413,
  aux_sym_match_block_repeat1 = 414,
  aux_sym_match_condition_list_repeat1 = 415,
  aux_sym_switch_block_repeat1 = 416,
  aux_sym__list_destructing_repeat1 = 417,
  aux_sym__array_destructing_repeat1 = 418,
  aux_sym_arguments_repeat1 = 419,
  aux_sym_array_creation_expression_repeat1 = 420,
  aux_sym_attribute_group_repeat1 = 421,
  aux_sym_attribute_list_repeat1 = 422,
  aux_sym_string_repeat1 = 423,
  aux_sym_string_content_repeat1 = 424,
  aux_sym_heredoc_body_repeat1 = 425,
  aux_sym_nowdoc_body_repeat1 = 426,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [aux_sym_visibility_modifier_token4] = "operation",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [aux_sym_visibility_modifier_token4] = aux_sym_visibility_modifier_token4,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token4] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [49] = {.index = 95, .length = 2},
  [50] = {.index = 97, .length = 1},
  [51] = {.index = 98, .length = 3},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 104, .length = 2},
  [56] = {.index = 106, .length = 2},
  [57] = {.index = 108, .length = 2},
  [58] = {.index = 110, .length = 3},
  [59] = {.index = 113, .length = 2},
  [60] = {.index = 5, .length = 1},
  [61] = {.index = 115, .length = 1},
  [62] = {.index = 116, .length = 1},
  [63] = {.index = 117, .length = 3},
  [64] = {.index = 120, .length = 3},
  [65] = {.index = 123, .length = 2},
  [66] = {.index = 125, .length = 2},
  [67] = {.index = 127, .length = 3},
  [68] = {.index = 130, .length = 3},
  [69] = {.index = 133, .length = 3},
  [70] = {.index = 136, .length = 3},
  [71] = {.index = 139, .length = 3},
  [72] = {.index = 142, .length = 3},
  [73] = {.index = 145, .length = 2},
  [74] = {.index = 147, .length = 2},
  [75] = {.index = 149, .length = 2},
  [76] = {.index = 151, .length = 2},
  [77] = {.index = 153, .length = 3},
  [78] = {.index = 156, .length = 3},
  [79] = {.index = 159, .length = 2},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 2},
  [82] = {.index = 166, .length = 3},
  [83] = {.index = 169, .length = 3},
  [84] = {.index = 172, .length = 3},
  [85] = {.index = 175, .length = 2},
  [86] = {.index = 177, .length = 3},
  [87] = {.index = 180, .length = 3},
  [88] = {.index = 183, .length = 1},
  [89] = {.index = 184, .length = 3},
  [90] = {.index = 187, .length = 2},
  [91] = {.index = 189, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 191, .length = 2},
  [94] = {.index = 193, .length = 4},
  [95] = {.index = 197, .length = 2},
  [96] = {.index = 199, .length = 1},
  [97] = {.index = 200, .length = 2},
  [98] = {.index = 202, .length = 3},
  [99] = {.index = 205, .length = 3},
  [100] = {.index = 208, .length = 2},
  [101] = {.index = 210, .length = 3},
  [102] = {.index = 213, .length = 2},
  [103] = {.index = 215, .length = 4},
  [104] = {.index = 219, .length = 3},
  [105] = {.index = 222, .length = 3},
  [107] = {.index = 225, .length = 4},
  [108] = {.index = 229, .length = 3},
  [109] = {.index = 232, .length = 3},
  [110] = {.index = 235, .length = 4},
  [111] = {.index = 239, .length = 4},
  [112] = {.index = 243, .length = 3},
  [113] = {.index = 246, .length = 1},
  [114] = {.index = 247, .length = 2},
  [115] = {.index = 249, .length = 3},
  [116] = {.index = 252, .length = 4},
  [117] = {.index = 256, .length = 3},
  [118] = {.index = 259, .length = 3},
  [119] = {.index = 262, .length = 3},
  [120] = {.index = 265, .length = 3},
  [121] = {.index = 268, .length = 4},
  [122] = {.index = 272, .length = 4},
  [123] = {.index = 276, .length = 3},
  [124] = {.index = 279, .length = 4},
  [125] = {.index = 283, .length = 3},
  [126] = {.index = 286, .length = 2},
  [127] = {.index = 288, .length = 4},
  [128] = {.index = 292, .length = 4},
  [129] = {.index = 296, .length = 3},
  [130] = {.index = 299, .length = 2},
  [131] = {.index = 301, .length = 1},
  [132] = {.index = 302, .length = 1},
  [133] = {.index = 303, .length = 2},
  [134] = {.index = 305, .length = 1},
  [135] = {.index = 306, .length = 1},
  [136] = {.index = 307, .length = 2},
  [139] = {.index = 309, .length = 3},
  [140] = {.index = 312, .length = 3},
  [141] = {.index = 315, .length = 3},
  [142] = {.index = 318, .length = 4},
  [143] = {.index = 322, .length = 4},
  [144] = {.index = 326, .length = 3},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 329, .length = 5},
  [147] = {.index = 334, .length = 4},
  [148] = {.index = 338, .length = 3},
  [149] = {.index = 341, .length = 2},
  [150] = {.index = 343, .length = 4},
  [151] = {.index = 347, .length = 4},
  [152] = {.index = 351, .length = 1},
  [153] = {.index = 352, .length = 1},
  [154] = {.index = 353, .length = 4},
  [155] = {.index = 357, .length = 4},
  [156] = {.index = 361, .length = 5},
  [157] = {.index = 366, .length = 4},
  [158] = {.index = 370, .length = 4},
  [159] = {.index = 374, .length = 4},
  [160] = {.index = 378, .length = 1},
  [161] = {.index = 379, .length = 5},
  [162] = {.index = 384, .length = 4},
  [163] = {.index = 388, .length = 2},
  [164] = {.index = 390, .length = 2},
  [165] = {.index = 392, .length = 1},
  [166] = {.index = 393, .length = 2},
  [167] = {.index = 395, .length = 1},
  [168] = {.index = 396, .length = 2},
  [169] = {.index = 398, .length = 1},
  [170] = {.index = 399, .length = 1},
  [171] = {.index = 400, .length = 2},
  [172] = {.index = 402, .length = 3},
  [173] = {.index = 405, .length = 3},
  [174] = {.index = 408, .length = 5},
  [175] = {.index = 413, .length = 3},
  [176] = {.index = 416, .length = 5},
  [177] = {.index = 421, .length = 2},
  [178] = {.index = 423, .length = 2},
  [179] = {.index = 425, .length = 2},
  [180] = {.index = 427, .length = 2},
  [181] = {.index = 429, .length = 5},
  [182] = {.index = 434, .length = 5},
  [183] = {.index = 439, .length = 5},
  [184] = {.index = 444, .length = 2},
  [185] = {.index = 446, .length = 2},
  [186] = {.index = 448, .length = 3},
  [187] = {.index = 451, .length = 3},
  [188] = {.index = 454, .length = 2},
  [189] = {.index = 456, .length = 3},
  [190] = {.index = 459, .length = 2},
  [191] = {.index = 461, .length = 3},
  [192] = {.index = 464, .length = 2},
  [193] = {.index = 466, .length = 2},
  [194] = {.index = 468, .length = 3},
  [195] = {.index = 471, .length = 3},
  [196] = {.index = 474, .length = 3},
  [197] = {.index = 477, .length = 3},
  [198] = {.index = 480, .length = 3},
  [199] = {.index = 483, .length = 3},
  [200] = {.index = 486, .length = 6},
  [201] = {.index = 492, .length = 3},
  [202] = {.index = 495, .length = 4},
  [203] = {.index = 499, .length = 3},
  [204] = {.index = 502, .length = 4},
  [205] = {.index = 506, .length = 4},
  [206] = {.index = 510, .length = 4},
  [207] = {.index = 514, .length = 4},
  [208] = {.index = 518, .length = 2},
  [209] = {.index = 520, .length = 2},
  [210] = {.index = 522, .length = 2},
  [211] = {.index = 524, .length = 5},
  [212] = {.index = 529, .length = 3},
  [213] = {.index = 532, .length = 3},
  [214] = {.index = 535, .length = 3},
  [215] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [54] = {
    [1] = sym_list_literal,
  },
  [55] = {
    [2] = sym_list_literal,
  },
  [60] = {
    [0] = sym_name,
  },
  [91] = {
    [3] = sym_primitive_type,
  },
  [106] = {
    [3] = sym_name,
  },
  [130] = {
    [3] = sym_primitive_type,
  },
  [137] = {
    [3] = sym_list_literal,
  },
  [138] = {
    [4] = sym_list_literal,
  },
  [144] = {
    [4] = sym_primitive_type,
  },
  [173] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 7,
  [10] = 2,
  [11] = 8,
  [12] = 12,
  [13] = 7,
  [14] = 12,
  [15] = 7,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 18,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 25,
  [27] = 16,
  [28] = 28,
  [29] = 19,
  [30] = 18,
  [31] = 22,
  [32] = 20,
  [33] = 23,
  [34] = 28,
  [35] = 22,
  [36] = 20,
  [37] = 23,
  [38] = 24,
  [39] = 25,
  [40] = 18,
  [41] = 25,
  [42] = 19,
  [43] = 28,
  [44] = 24,
  [45] = 23,
  [46] = 46,
  [47] = 47,
  [48] = 20,
  [49] = 28,
  [50] = 24,
  [51] = 22,
  [52] = 16,
  [53] = 19,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 58,
  [66] = 66,
  [67] = 55,
  [68] = 58,
  [69] = 63,
  [70] = 70,
  [71] = 71,
  [72] = 56,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 63,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 66,
  [82] = 82,
  [83] = 64,
  [84] = 61,
  [85] = 82,
  [86] = 60,
  [87] = 80,
  [88] = 63,
  [89] = 66,
  [90] = 79,
  [91] = 58,
  [92] = 59,
  [93] = 55,
  [94] = 55,
  [95] = 78,
  [96] = 77,
  [97] = 66,
  [98] = 75,
  [99] = 70,
  [100] = 100,
  [101] = 71,
  [102] = 73,
  [103] = 58,
  [104] = 74,
  [105] = 62,
  [106] = 55,
  [107] = 100,
  [108] = 57,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 110,
  [114] = 109,
  [115] = 111,
  [116] = 110,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 117,
  [121] = 121,
  [122] = 122,
  [123] = 121,
  [124] = 122,
  [125] = 122,
  [126] = 121,
  [127] = 121,
  [128] = 121,
  [129] = 122,
  [130] = 122,
  [131] = 121,
  [132] = 132,
  [133] = 132,
  [134] = 134,
  [135] = 132,
  [136] = 134,
  [137] = 134,
  [138] = 132,
  [139] = 132,
  [140] = 134,
  [141] = 132,
  [142] = 134,
  [143] = 143,
  [144] = 144,
  [145] = 143,
  [146] = 143,
  [147] = 143,
  [148] = 144,
  [149] = 143,
  [150] = 144,
  [151] = 144,
  [152] = 144,
  [153] = 144,
  [154] = 143,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 156,
  [159] = 157,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 162,
  [165] = 163,
  [166] = 166,
  [167] = 161,
  [168] = 166,
  [169] = 160,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 171,
  [174] = 174,
  [175] = 172,
  [176] = 176,
  [177] = 177,
  [178] = 170,
  [179] = 174,
  [180] = 180,
  [181] = 180,
  [182] = 180,
  [183] = 183,
  [184] = 184,
  [185] = 180,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 190,
  [192] = 189,
  [193] = 187,
  [194] = 194,
  [195] = 195,
  [196] = 187,
  [197] = 195,
  [198] = 189,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 188,
  [203] = 188,
  [204] = 204,
  [205] = 194,
  [206] = 199,
  [207] = 200,
  [208] = 204,
  [209] = 201,
  [210] = 190,
  [211] = 195,
  [212] = 204,
  [213] = 188,
  [214] = 195,
  [215] = 215,
  [216] = 187,
  [217] = 189,
  [218] = 190,
  [219] = 194,
  [220] = 194,
  [221] = 204,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 222,
  [226] = 226,
  [227] = 226,
  [228] = 226,
  [229] = 226,
  [230] = 230,
  [231] = 226,
  [232] = 226,
  [233] = 233,
  [234] = 234,
  [235] = 233,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 238,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 238,
  [245] = 233,
  [246] = 239,
  [247] = 237,
  [248] = 237,
  [249] = 238,
  [250] = 243,
  [251] = 236,
  [252] = 243,
  [253] = 238,
  [254] = 243,
  [255] = 255,
  [256] = 233,
  [257] = 236,
  [258] = 238,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 270,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 280,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 291,
  [293] = 293,
  [294] = 270,
  [295] = 289,
  [296] = 296,
  [297] = 286,
  [298] = 287,
  [299] = 274,
  [300] = 275,
  [301] = 301,
  [302] = 277,
  [303] = 284,
  [304] = 279,
  [305] = 261,
  [306] = 262,
  [307] = 263,
  [308] = 308,
  [309] = 264,
  [310] = 265,
  [311] = 272,
  [312] = 266,
  [313] = 313,
  [314] = 283,
  [315] = 288,
  [316] = 290,
  [317] = 267,
  [318] = 268,
  [319] = 271,
  [320] = 320,
  [321] = 308,
  [322] = 278,
  [323] = 293,
  [324] = 308,
  [325] = 325,
  [326] = 325,
  [327] = 290,
  [328] = 280,
  [329] = 329,
  [330] = 281,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 270,
  [336] = 336,
  [337] = 301,
  [338] = 277,
  [339] = 339,
  [340] = 340,
  [341] = 325,
  [342] = 274,
  [343] = 343,
  [344] = 285,
  [345] = 345,
  [346] = 274,
  [347] = 273,
  [348] = 320,
  [349] = 349,
  [350] = 350,
  [351] = 281,
  [352] = 288,
  [353] = 353,
  [354] = 278,
  [355] = 277,
  [356] = 356,
  [357] = 357,
  [358] = 273,
  [359] = 279,
  [360] = 284,
  [361] = 286,
  [362] = 333,
  [363] = 280,
  [364] = 289,
  [365] = 291,
  [366] = 287,
  [367] = 275,
  [368] = 368,
  [369] = 369,
  [370] = 281,
  [371] = 273,
  [372] = 372,
  [373] = 285,
  [374] = 333,
  [375] = 271,
  [376] = 301,
  [377] = 268,
  [378] = 378,
  [379] = 261,
  [380] = 262,
  [381] = 263,
  [382] = 264,
  [383] = 265,
  [384] = 272,
  [385] = 267,
  [386] = 266,
  [387] = 280,
  [388] = 265,
  [389] = 266,
  [390] = 280,
  [391] = 267,
  [392] = 268,
  [393] = 271,
  [394] = 281,
  [395] = 283,
  [396] = 325,
  [397] = 264,
  [398] = 263,
  [399] = 399,
  [400] = 400,
  [401] = 280,
  [402] = 262,
  [403] = 356,
  [404] = 336,
  [405] = 293,
  [406] = 285,
  [407] = 336,
  [408] = 261,
  [409] = 356,
  [410] = 301,
  [411] = 280,
  [412] = 333,
  [413] = 285,
  [414] = 336,
  [415] = 281,
  [416] = 275,
  [417] = 287,
  [418] = 283,
  [419] = 419,
  [420] = 420,
  [421] = 399,
  [422] = 272,
  [423] = 291,
  [424] = 293,
  [425] = 320,
  [426] = 290,
  [427] = 320,
  [428] = 289,
  [429] = 280,
  [430] = 286,
  [431] = 284,
  [432] = 279,
  [433] = 308,
  [434] = 288,
  [435] = 278,
  [436] = 436,
  [437] = 436,
  [438] = 436,
  [439] = 436,
  [440] = 436,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 443,
  [446] = 444,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 452,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 449,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 577,
  [579] = 577,
  [580] = 577,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 586,
  [615] = 587,
  [616] = 585,
  [617] = 583,
  [618] = 605,
  [619] = 601,
  [620] = 597,
  [621] = 604,
  [622] = 606,
  [623] = 603,
  [624] = 624,
  [625] = 625,
  [626] = 584,
  [627] = 627,
  [628] = 628,
  [629] = 588,
  [630] = 607,
  [631] = 631,
  [632] = 613,
  [633] = 592,
  [634] = 609,
  [635] = 608,
  [636] = 636,
  [637] = 600,
  [638] = 582,
  [639] = 602,
  [640] = 613,
  [641] = 596,
  [642] = 610,
  [643] = 643,
  [644] = 589,
  [645] = 590,
  [646] = 625,
  [647] = 593,
  [648] = 597,
  [649] = 625,
  [650] = 613,
  [651] = 595,
  [652] = 652,
  [653] = 594,
  [654] = 591,
  [655] = 599,
  [656] = 656,
  [657] = 598,
  [658] = 636,
  [659] = 636,
  [660] = 612,
  [661] = 611,
  [662] = 612,
  [663] = 663,
  [664] = 611,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 665,
  [669] = 636,
  [670] = 625,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 673,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 675,
  [680] = 672,
  [681] = 676,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 683,
  [686] = 683,
  [687] = 683,
  [688] = 688,
  [689] = 684,
  [690] = 690,
  [691] = 682,
  [692] = 692,
  [693] = 693,
  [694] = 682,
  [695] = 683,
  [696] = 696,
  [697] = 688,
  [698] = 698,
  [699] = 699,
  [700] = 550,
  [701] = 587,
  [702] = 569,
  [703] = 703,
  [704] = 586,
  [705] = 705,
  [706] = 706,
  [707] = 604,
  [708] = 605,
  [709] = 588,
  [710] = 608,
  [711] = 602,
  [712] = 592,
  [713] = 603,
  [714] = 596,
  [715] = 585,
  [716] = 606,
  [717] = 610,
  [718] = 607,
  [719] = 699,
  [720] = 608,
  [721] = 582,
  [722] = 600,
  [723] = 723,
  [724] = 609,
  [725] = 725,
  [726] = 726,
  [727] = 601,
  [728] = 584,
  [729] = 729,
  [730] = 583,
  [731] = 731,
  [732] = 591,
  [733] = 733,
  [734] = 589,
  [735] = 595,
  [736] = 594,
  [737] = 587,
  [738] = 599,
  [739] = 586,
  [740] = 593,
  [741] = 590,
  [742] = 742,
  [743] = 598,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 591,
  [752] = 752,
  [753] = 753,
  [754] = 452,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 598,
  [759] = 759,
  [760] = 602,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 583,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 596,
  [779] = 610,
  [780] = 780,
  [781] = 593,
  [782] = 782,
  [783] = 582,
  [784] = 784,
  [785] = 785,
  [786] = 609,
  [787] = 590,
  [788] = 600,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 595,
  [793] = 793,
  [794] = 794,
  [795] = 581,
  [796] = 601,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 589,
  [803] = 803,
  [804] = 605,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 599,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 607,
  [814] = 604,
  [815] = 588,
  [816] = 592,
  [817] = 603,
  [818] = 584,
  [819] = 606,
  [820] = 777,
  [821] = 585,
  [822] = 822,
  [823] = 703,
  [824] = 594,
  [825] = 449,
  [826] = 696,
  [827] = 827,
  [828] = 827,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 696,
  [833] = 587,
  [834] = 831,
  [835] = 586,
  [836] = 836,
  [837] = 608,
  [838] = 838,
  [839] = 725,
  [840] = 723,
  [841] = 729,
  [842] = 608,
  [843] = 583,
  [844] = 600,
  [845] = 845,
  [846] = 726,
  [847] = 601,
  [848] = 848,
  [849] = 746,
  [850] = 592,
  [851] = 588,
  [852] = 605,
  [853] = 853,
  [854] = 845,
  [855] = 604,
  [856] = 609,
  [857] = 603,
  [858] = 582,
  [859] = 610,
  [860] = 596,
  [861] = 861,
  [862] = 602,
  [863] = 606,
  [864] = 703,
  [865] = 585,
  [866] = 584,
  [867] = 607,
  [868] = 723,
  [869] = 698,
  [870] = 595,
  [871] = 745,
  [872] = 872,
  [873] = 589,
  [874] = 593,
  [875] = 587,
  [876] = 586,
  [877] = 742,
  [878] = 698,
  [879] = 590,
  [880] = 598,
  [881] = 746,
  [882] = 882,
  [883] = 594,
  [884] = 591,
  [885] = 599,
  [886] = 725,
  [887] = 887,
  [888] = 731,
  [889] = 811,
  [890] = 812,
  [891] = 753,
  [892] = 752,
  [893] = 594,
  [894] = 733,
  [895] = 595,
  [896] = 775,
  [897] = 600,
  [898] = 774,
  [899] = 584,
  [900] = 809,
  [901] = 762,
  [902] = 581,
  [903] = 606,
  [904] = 585,
  [905] = 608,
  [906] = 764,
  [907] = 757,
  [908] = 755,
  [909] = 768,
  [910] = 748,
  [911] = 772,
  [912] = 746,
  [913] = 592,
  [914] = 773,
  [915] = 588,
  [916] = 609,
  [917] = 917,
  [918] = 810,
  [919] = 589,
  [920] = 771,
  [921] = 550,
  [922] = 770,
  [923] = 756,
  [924] = 805,
  [925] = 582,
  [926] = 769,
  [927] = 767,
  [928] = 765,
  [929] = 785,
  [930] = 763,
  [931] = 747,
  [932] = 806,
  [933] = 799,
  [934] = 593,
  [935] = 776,
  [936] = 822,
  [937] = 794,
  [938] = 938,
  [939] = 603,
  [940] = 749,
  [941] = 604,
  [942] = 807,
  [943] = 599,
  [944] = 605,
  [945] = 803,
  [946] = 784,
  [947] = 798,
  [948] = 610,
  [949] = 797,
  [950] = 761,
  [951] = 596,
  [952] = 744,
  [953] = 750,
  [954] = 759,
  [955] = 602,
  [956] = 569,
  [957] = 598,
  [958] = 590,
  [959] = 801,
  [960] = 591,
  [961] = 607,
  [962] = 780,
  [963] = 793,
  [964] = 583,
  [965] = 581,
  [966] = 790,
  [967] = 800,
  [968] = 703,
  [969] = 838,
  [970] = 782,
  [971] = 938,
  [972] = 601,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 725,
  [977] = 977,
  [978] = 723,
  [979] = 979,
  [980] = 829,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 789,
  [995] = 995,
  [996] = 996,
  [997] = 696,
  [998] = 998,
  [999] = 791,
  [1000] = 830,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 746,
  [1004] = 836,
  [1005] = 1005,
  [1006] = 608,
  [1007] = 882,
  [1008] = 698,
  [1009] = 887,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 581,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1011,
  [1044] = 1038,
  [1045] = 981,
  [1046] = 996,
  [1047] = 982,
  [1048] = 983,
  [1049] = 985,
  [1050] = 990,
  [1051] = 1035,
  [1052] = 1010,
  [1053] = 1036,
  [1054] = 1038,
  [1055] = 1039,
  [1056] = 988,
  [1057] = 1041,
  [1058] = 1037,
  [1059] = 1042,
  [1060] = 977,
  [1061] = 1034,
  [1062] = 1027,
  [1063] = 449,
  [1064] = 452,
  [1065] = 1034,
  [1066] = 1027,
  [1067] = 986,
  [1068] = 992,
  [1069] = 993,
  [1070] = 989,
  [1071] = 1071,
  [1072] = 1012,
  [1073] = 1013,
  [1074] = 1040,
  [1075] = 1033,
  [1076] = 1032,
  [1077] = 1031,
  [1078] = 1030,
  [1079] = 1029,
  [1080] = 1028,
  [1081] = 1014,
  [1082] = 1026,
  [1083] = 1025,
  [1084] = 1024,
  [1085] = 1023,
  [1086] = 1022,
  [1087] = 1021,
  [1088] = 1020,
  [1089] = 1019,
  [1090] = 1018,
  [1091] = 1005,
  [1092] = 1017,
  [1093] = 1016,
  [1094] = 1041,
  [1095] = 998,
  [1096] = 1042,
  [1097] = 1037,
  [1098] = 1025,
  [1099] = 1040,
  [1100] = 1100,
  [1101] = 1011,
  [1102] = 1012,
  [1103] = 974,
  [1104] = 975,
  [1105] = 984,
  [1106] = 1035,
  [1107] = 1033,
  [1108] = 1010,
  [1109] = 1036,
  [1110] = 995,
  [1111] = 991,
  [1112] = 1039,
  [1113] = 1013,
  [1114] = 973,
  [1115] = 1032,
  [1116] = 987,
  [1117] = 979,
  [1118] = 1016,
  [1119] = 1017,
  [1120] = 1031,
  [1121] = 1001,
  [1122] = 1018,
  [1123] = 1019,
  [1124] = 1030,
  [1125] = 1020,
  [1126] = 1029,
  [1127] = 1021,
  [1128] = 1022,
  [1129] = 1023,
  [1130] = 1024,
  [1131] = 1002,
  [1132] = 1026,
  [1133] = 1014,
  [1134] = 1028,
  [1135] = 1022,
  [1136] = 1024,
  [1137] = 1038,
  [1138] = 1037,
  [1139] = 1036,
  [1140] = 1010,
  [1141] = 1035,
  [1142] = 1042,
  [1143] = 1026,
  [1144] = 1014,
  [1145] = 1011,
  [1146] = 1012,
  [1147] = 1013,
  [1148] = 1016,
  [1149] = 1017,
  [1150] = 1028,
  [1151] = 1018,
  [1152] = 1023,
  [1153] = 1020,
  [1154] = 1021,
  [1155] = 1039,
  [1156] = 1041,
  [1157] = 1019,
  [1158] = 1029,
  [1159] = 1030,
  [1160] = 1025,
  [1161] = 1031,
  [1162] = 1027,
  [1163] = 1034,
  [1164] = 1040,
  [1165] = 1033,
  [1166] = 1032,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1039,
  [1185] = 1181,
  [1186] = 1182,
  [1187] = 1183,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1039,
  [1196] = 1179,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1197,
  [1200] = 1189,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1191,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1180,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1191,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1203,
  [1224] = 1180,
  [1225] = 1216,
  [1226] = 1226,
  [1227] = 1203,
  [1228] = 1216,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1230,
  [1235] = 1230,
  [1236] = 1231,
  [1237] = 1237,
  [1238] = 1230,
  [1239] = 1229,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1242,
  [1245] = 1245,
  [1246] = 1237,
  [1247] = 1230,
  [1248] = 1229,
  [1249] = 1237,
  [1250] = 1233,
  [1251] = 1229,
  [1252] = 1245,
  [1253] = 1253,
  [1254] = 1237,
  [1255] = 1230,
  [1256] = 1231,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1237,
  [1261] = 1233,
  [1262] = 1245,
  [1263] = 1243,
  [1264] = 1229,
  [1265] = 1265,
  [1266] = 1241,
  [1267] = 1230,
  [1268] = 1237,
  [1269] = 1241,
  [1270] = 1229,
  [1271] = 1265,
  [1272] = 1241,
  [1273] = 1241,
  [1274] = 1233,
  [1275] = 1241,
  [1276] = 1230,
  [1277] = 1231,
  [1278] = 1242,
  [1279] = 1245,
  [1280] = 1230,
  [1281] = 1281,
  [1282] = 1245,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1285,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1289,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1293,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1300,
  [1305] = 1302,
  [1306] = 1306,
  [1307] = 1306,
  [1308] = 1300,
  [1309] = 1301,
  [1310] = 1310,
  [1311] = 1301,
  [1312] = 1310,
  [1313] = 1303,
  [1314] = 1310,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1316,
  [1318] = 1295,
  [1319] = 1315,
  [1320] = 1296,
  [1321] = 1315,
  [1322] = 1316,
  [1323] = 1323,
  [1324] = 1323,
  [1325] = 1299,
  [1326] = 1297,
  [1327] = 1327,
  [1328] = 1298,
  [1329] = 1329,
  [1330] = 1329,
  [1331] = 1329,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1335,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1338,
  [1346] = 1346,
  [1347] = 1346,
  [1348] = 1344,
  [1349] = 1342,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1354,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1356,
  [1363] = 1363,
  [1364] = 1357,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1370,
  [1376] = 1365,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 838,
  [1399] = 1399,
  [1400] = 1388,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1403,
  [1406] = 1403,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1409,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1412,
  [1415] = 1408,
  [1416] = 1403,
  [1417] = 1412,
  [1418] = 1408,
  [1419] = 1412,
  [1420] = 1403,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1404,
  [1424] = 1408,
  [1425] = 1421,
  [1426] = 1408,
  [1427] = 1422,
  [1428] = 1411,
  [1429] = 1429,
  [1430] = 1412,
  [1431] = 1403,
  [1432] = 1408,
  [1433] = 1404,
  [1434] = 1421,
  [1435] = 1408,
  [1436] = 1412,
  [1437] = 1413,
  [1438] = 1403,
  [1439] = 1439,
  [1440] = 1412,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1447,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 592,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1452,
  [1474] = 1474,
  [1475] = 1463,
  [1476] = 1476,
  [1477] = 592,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 592,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 441,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1497,
  [1501] = 1498,
  [1502] = 442,
  [1503] = 1503,
  [1504] = 1496,
  [1505] = 1407,
  [1506] = 1495,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1508,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 607,
  [1523] = 1510,
  [1524] = 588,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 872,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 592,
  [1540] = 1513,
  [1541] = 1407,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1513,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1396,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1528,
  [1559] = 1526,
  [1560] = 1518,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1564,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1564,
  [1570] = 1517,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1564,
  [1574] = 1517,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1576,
  [1579] = 1579,
  [1580] = 443,
  [1581] = 443,
  [1582] = 1572,
  [1583] = 1583,
  [1584] = 1563,
  [1585] = 607,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1533,
  [1591] = 1538,
  [1592] = 444,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1565,
  [1597] = 1597,
  [1598] = 1589,
  [1599] = 1599,
  [1600] = 1594,
  [1601] = 1601,
  [1602] = 1561,
  [1603] = 1533,
  [1604] = 1564,
  [1605] = 607,
  [1606] = 1564,
  [1607] = 1562,
  [1608] = 1538,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1565,
  [1612] = 1610,
  [1613] = 696,
  [1614] = 444,
  [1615] = 1615,
  [1616] = 1407,
  [1617] = 1595,
  [1618] = 1564,
  [1619] = 1587,
  [1620] = 1620,
  [1621] = 1571,
  [1622] = 1615,
  [1623] = 1620,
  [1624] = 1565,
  [1625] = 592,
  [1626] = 1583,
  [1627] = 1627,
  [1628] = 1609,
  [1629] = 1565,
  [1630] = 1630,
  [1631] = 592,
  [1632] = 588,
  [1633] = 1567,
  [1634] = 588,
  [1635] = 1564,
  [1636] = 1564,
  [1637] = 1564,
  [1638] = 1627,
  [1639] = 1561,
  [1640] = 1565,
  [1641] = 1564,
  [1642] = 1642,
  [1643] = 1564,
  [1644] = 1588,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 449,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 452,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1470,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1665,
  [1678] = 451,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1471,
  [1684] = 1469,
  [1685] = 1466,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1461,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1647,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 448,
  [1703] = 1703,
  [1704] = 1696,
  [1705] = 1705,
  [1706] = 450,
  [1707] = 1707,
  [1708] = 1651,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1681,
  [1716] = 1661,
  [1717] = 1717,
  [1718] = 1660,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1653,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1652,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1701,
  [1728] = 447,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1658,
  [1733] = 1462,
  [1734] = 1734,
  [1735] = 1456,
  [1736] = 1680,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1449,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1711,
  [1744] = 1689,
  [1745] = 1717,
  [1746] = 1746,
  [1747] = 1466,
  [1748] = 1748,
  [1749] = 1648,
  [1750] = 1750,
  [1751] = 1649,
  [1752] = 1471,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1453,
  [1756] = 1470,
  [1757] = 1757,
  [1758] = 1456,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1446,
  [1762] = 1442,
  [1763] = 1763,
  [1764] = 790,
  [1765] = 1765,
  [1766] = 1462,
  [1767] = 1767,
  [1768] = 1667,
  [1769] = 1666,
  [1770] = 1461,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1775,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1663,
  [1781] = 1777,
  [1782] = 1240,
  [1783] = 1783,
  [1784] = 1774,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1772,
  [1789] = 1779,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1469,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1790,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1453,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1803,
  [1815] = 1815,
  [1816] = 1694,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1803,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1803,
  [1827] = 1777,
  [1828] = 1741,
  [1829] = 1829,
  [1830] = 1804,
  [1831] = 1807,
  [1832] = 1803,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1812,
  [1837] = 1837,
  [1838] = 1457,
  [1839] = 698,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1808,
  [1843] = 1464,
  [1844] = 1844,
  [1845] = 1809,
  [1846] = 1778,
  [1847] = 1847,
  [1848] = 1813,
  [1849] = 1844,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1803,
  [1854] = 1669,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1777,
  [1858] = 1858,
  [1859] = 1841,
  [1860] = 1860,
  [1861] = 1455,
  [1862] = 1793,
  [1863] = 1837,
  [1864] = 1803,
  [1865] = 1865,
  [1866] = 1844,
  [1867] = 1824,
  [1868] = 1474,
  [1869] = 1672,
  [1870] = 1870,
  [1871] = 1791,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1472,
  [1875] = 1840,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 489,
  [1879] = 1879,
  [1880] = 490,
  [1881] = 496,
  [1882] = 498,
  [1883] = 499,
  [1884] = 1884,
  [1885] = 565,
  [1886] = 500,
  [1887] = 1887,
  [1888] = 511,
  [1889] = 514,
  [1890] = 1890,
  [1891] = 516,
  [1892] = 517,
  [1893] = 521,
  [1894] = 527,
  [1895] = 453,
  [1896] = 530,
  [1897] = 1897,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 575,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 572,
  [1904] = 1904,
  [1905] = 568,
  [1906] = 564,
  [1907] = 1907,
  [1908] = 554,
  [1909] = 544,
  [1910] = 526,
  [1911] = 519,
  [1912] = 1912,
  [1913] = 506,
  [1914] = 503,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 497,
  [1919] = 494,
  [1920] = 477,
  [1921] = 468,
  [1922] = 461,
  [1923] = 460,
  [1924] = 459,
  [1925] = 486,
  [1926] = 505,
  [1927] = 522,
  [1928] = 529,
  [1929] = 545,
  [1930] = 495,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 537,
  [1934] = 534,
  [1935] = 493,
  [1936] = 487,
  [1937] = 484,
  [1938] = 482,
  [1939] = 1939,
  [1940] = 480,
  [1941] = 479,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 455,
  [1945] = 456,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 457,
  [1949] = 464,
  [1950] = 465,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 466,
  [1954] = 475,
  [1955] = 561,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 566,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 570,
  [1965] = 1965,
  [1966] = 512,
  [1967] = 509,
  [1968] = 508,
  [1969] = 1969,
  [1970] = 1942,
  [1971] = 504,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 536,
  [1976] = 1976,
  [1977] = 540,
  [1978] = 541,
  [1979] = 551,
  [1980] = 1980,
  [1981] = 553,
  [1982] = 557,
  [1983] = 1957,
  [1984] = 559,
  [1985] = 1985,
  [1986] = 562,
  [1987] = 563,
  [1988] = 1988,
  [1989] = 1959,
  [1990] = 567,
  [1991] = 571,
  [1992] = 501,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1963,
  [1996] = 1972,
  [1997] = 463,
  [1998] = 474,
  [1999] = 478,
  [2000] = 483,
  [2001] = 2001,
  [2002] = 485,
  [2003] = 1876,
  [2004] = 2004,
  [2005] = 492,
  [2006] = 2006,
  [2007] = 507,
  [2008] = 510,
  [2009] = 2009,
  [2010] = 1740,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1994,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 548,
  [2019] = 2019,
  [2020] = 524,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2016,
  [2027] = 1287,
  [2028] = 532,
  [2029] = 533,
  [2030] = 539,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 1877,
  [2035] = 543,
  [2036] = 558,
  [2037] = 573,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 1818,
  [2044] = 525,
  [2045] = 2045,
  [2046] = 2024,
  [2047] = 542,
  [2048] = 2031,
  [2049] = 538,
  [2050] = 2050,
  [2051] = 2032,
  [2052] = 2052,
  [2053] = 528,
  [2054] = 576,
  [2055] = 2055,
  [2056] = 1877,
  [2057] = 556,
  [2058] = 2058,
  [2059] = 555,
  [2060] = 2060,
  [2061] = 552,
  [2062] = 549,
  [2063] = 547,
  [2064] = 2017,
  [2065] = 546,
  [2066] = 531,
  [2067] = 2067,
  [2068] = 574,
  [2069] = 2060,
  [2070] = 523,
  [2071] = 520,
  [2072] = 502,
  [2073] = 2073,
  [2074] = 476,
  [2075] = 2075,
  [2076] = 473,
  [2077] = 2077,
  [2078] = 1820,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 472,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 471,
  [2085] = 470,
  [2086] = 469,
  [2087] = 1692,
  [2088] = 2088,
  [2089] = 454,
  [2090] = 2090,
  [2091] = 491,
  [2092] = 515,
  [2093] = 513,
  [2094] = 535,
  [2095] = 1958,
  [2096] = 2075,
  [2097] = 1956,
  [2098] = 2012,
  [2099] = 2099,
  [2100] = 2077,
  [2101] = 2101,
  [2102] = 481,
  [2103] = 2103,
  [2104] = 1481,
  [2105] = 1810,
  [2106] = 2011,
  [2107] = 2009,
  [2108] = 560,
  [2109] = 2006,
  [2110] = 467,
  [2111] = 462,
  [2112] = 2112,
  [2113] = 458,
  [2114] = 1879,
  [2115] = 2083,
  [2116] = 2116,
  [2117] = 1884,
  [2118] = 2118,
  [2119] = 1887,
  [2120] = 2120,
  [2121] = 1890,
  [2122] = 2122,
  [2123] = 1453,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 1897,
  [2130] = 1898,
  [2131] = 1899,
  [2132] = 2132,
  [2133] = 1946,
  [2134] = 2134,
  [2135] = 2099,
  [2136] = 1901,
  [2137] = 1902,
  [2138] = 2101,
  [2139] = 1904,
  [2140] = 2103,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 1907,
  [2159] = 1912,
  [2160] = 1915,
  [2161] = 1916,
  [2162] = 1985,
  [2163] = 2163,
  [2164] = 2150,
  [2165] = 1917,
  [2166] = 2166,
  [2167] = 1974,
  [2168] = 1973,
  [2169] = 2126,
  [2170] = 2170,
  [2171] = 1969,
  [2172] = 2172,
  [2173] = 1939,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 1931,
  [2182] = 2103,
  [2183] = 2183,
  [2184] = 1877,
  [2185] = 1932,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2188,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2103,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2118,
  [2196] = 1877,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 1858,
  [2203] = 1952,
  [2204] = 1951,
  [2205] = 2103,
  [2206] = 2206,
  [2207] = 1877,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 1943,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2103,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2230,
  [2232] = 2222,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2217,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2223,
  [2246] = 1394,
  [2247] = 2247,
  [2248] = 2227,
  [2249] = 2228,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2230,
  [2253] = 1389,
  [2254] = 2230,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2234,
  [2258] = 2258,
  [2259] = 2222,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2239,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2236,
  [2268] = 1754,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2230,
  [2278] = 2251,
  [2279] = 2279,
  [2280] = 2147,
  [2281] = 2217,
  [2282] = 2230,
  [2283] = 2269,
  [2284] = 1731,
  [2285] = 2223,
  [2286] = 2217,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2218,
  [2296] = 2296,
  [2297] = 2288,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2290,
  [2307] = 2307,
  [2308] = 2292,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2301,
  [2313] = 2221,
  [2314] = 2223,
  [2315] = 2224,
  [2316] = 2226,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 1705,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2303,
  [2332] = 2332,
  [2333] = 2217,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2055,
  [2339] = 2052,
  [2340] = 2318,
  [2341] = 2217,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2289,
  [2347] = 2336,
  [2348] = 2317,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2222,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2220,
  [2359] = 2040,
  [2360] = 2360,
  [2361] = 2225,
  [2362] = 2350,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2307,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2237,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2345,
  [2387] = 2321,
  [2388] = 2383,
  [2389] = 2382,
  [2390] = 2368,
  [2391] = 2374,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 882,
  [2396] = 2291,
  [2397] = 2352,
  [2398] = 2356,
  [2399] = 2399,
  [2400] = 2275,
  [2401] = 2401,
  [2402] = 2276,
  [2403] = 2372,
  [2404] = 2287,
  [2405] = 2353,
  [2406] = 2365,
  [2407] = 2407,
  [2408] = 2355,
  [2409] = 2299,
  [2410] = 2410,
  [2411] = 2360,
  [2412] = 2302,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2323,
  [2416] = 2324,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2426,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2436,
  [2446] = 2446,
  [2447] = 2425,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2038,
  [2451] = 2451,
  [2452] = 1993,
  [2453] = 2431,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2429,
  [2457] = 2430,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2422,
  [2470] = 2422,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2434,
  [2474] = 2437,
  [2475] = 2440,
  [2476] = 2460,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2442,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2455,
  [2485] = 2485,
  [2486] = 2472,
  [2487] = 2465,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2436,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2440,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2478,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2479,
  [2502] = 1833,
  [2503] = 2459,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2482,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2466,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2498,
  [2516] = 2516,
  [2517] = 2421,
  [2518] = 2496,
  [2519] = 2465,
  [2520] = 2520,
  [2521] = 2466,
  [2522] = 2505,
  [2523] = 2423,
  [2524] = 2524,
  [2525] = 2485,
  [2526] = 2526,
  [2527] = 2472,
  [2528] = 2528,
  [2529] = 2510,
  [2530] = 2530,
  [2531] = 2460,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2511,
  [2535] = 2464,
  [2536] = 2492,
  [2537] = 2437,
  [2538] = 2538,
  [2539] = 2478,
  [2540] = 2528,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2499,
  [2550] = 2550,
  [2551] = 2541,
  [2552] = 2499,
  [2553] = 2461,
  [2554] = 2462,
  [2555] = 2463,
  [2556] = 2542,
  [2557] = 2557,
  [2558] = 2463,
  [2559] = 2479,
  [2560] = 2560,
  [2561] = 2471,
  [2562] = 2463,
  [2563] = 2465,
  [2564] = 2477,
  [2565] = 2480,
  [2566] = 2479,
  [2567] = 2483,
  [2568] = 2568,
  [2569] = 2465,
  [2570] = 2547,
  [2571] = 2571,
  [2572] = 2548,
  [2573] = 2573,
  [2574] = 2488,
  [2575] = 2478,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2547,
  [2579] = 2547,
  [2580] = 2580,
  [2581] = 2573,
  [2582] = 2499,
  [2583] = 2499,
  [2584] = 2584,
  [2585] = 2466,
  [2586] = 2520,
  [2587] = 2462,
  [2588] = 2588,
  [2589] = 2491,
  [2590] = 2461,
  [2591] = 2498,
  [2592] = 2482,
  [2593] = 2478,
  [2594] = 2422,
  [2595] = 2439,
  [2596] = 2463,
  [2597] = 2472,
  [2598] = 2434,
  [2599] = 2599,
  [2600] = 2434,
  [2601] = 2460,
  [2602] = 2602,
  [2603] = 2437,
  [2604] = 2495,
  [2605] = 2478,
  [2606] = 2606,
  [2607] = 2547,
  [2608] = 2499,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2580,
  [2612] = 2612,
  [2613] = 2499,
  [2614] = 2577,
  [2615] = 2443,
  [2616] = 2520,
  [2617] = 2446,
  [2618] = 2462,
  [2619] = 2461,
  [2620] = 2620,
  [2621] = 2498,
  [2622] = 2479,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2425,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2630,
  [2633] = 2624,
  [2634] = 2634,
  [2635] = 2528,
  [2636] = 2524,
  [2637] = 2577,
  [2638] = 2436,
  [2639] = 2576,
  [2640] = 2508,
  [2641] = 2440,
  [2642] = 2630,
  [2643] = 2512,
  [2644] = 2577,
  [2645] = 2629,
  [2646] = 2513,
  [2647] = 2514,
  [2648] = 2520,
  [2649] = 2420,
  [2650] = 2629,
  [2651] = 2630,
  [2652] = 2498,
  [2653] = 2629,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 134,
        '"', 182,
        '#', 262,
        '$', 186,
        '%', 222,
        '&', 74,
        '\'', 184,
        '(', 84,
        ')', 94,
        '*', 217,
        '+', 126,
        ',', 75,
        '-', 129,
        '.', 215,
        '/', 220,
        '0', 116,
        ':', 82,
        ';', 71,
        '<', 200,
        '=', 76,
        '>', 204,
        '?', 99,
        '@', 135,
        '[', 154,
        '\\', 78,
        ']', 155,
        '^', 194,
        '_', 257,
        '`', 185,
        '{', 79,
        '|', 104,
        '}', 80,
        '~', 132,
        'A', 247,
        'a', 247,
        'B', 223,
        'b', 223,
        'E', 226,
        'e', 226,
        'F', 227,
        'f', 227,
        'I', 241,
        'i', 241,
        'N', 255,
        'n', 255,
        'S', 253,
        's', 253,
        'T', 246,
        't', 246,
        'U', 239,
        'u', 239,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(260);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(260);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(261);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 183,
        '\r', 183,
        '"', 182,
        '#', 263,
        '$', 186,
        '-', 33,
        '/', 22,
        '[', 154,
        '\\', 37,
        '{', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 183,
        '\r', 183,
        '#', 263,
        '$', 186,
        '-', 33,
        '/', 22,
        '[', 154,
        '\\', 38,
        '{', 79,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 134,
        '"', 168,
        '#', 262,
        '$', 186,
        '%', 221,
        '&', 73,
        '\'', 170,
        '(', 95,
        ')', 96,
        '*', 218,
        '+', 125,
        ',', 75,
        '-', 128,
        '.', 215,
        '/', 219,
        '0', 116,
        ':', 81,
        ';', 71,
        '<', 201,
        '=', 32,
        '>', 205,
        '?', 102,
        '@', 135,
        '[', 154,
        '\\', 77,
        ']', 155,
        '^', 193,
        '_', 257,
        '`', 185,
        '{', 79,
        '|', 105,
        '}', 80,
        '~', 132,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
        'E', 226,
        'e', 226,
        'F', 228,
        'f', 228,
        'N', 255,
        'n', 255,
        'T', 246,
        't', 246,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 133,
        '"', 168,
        '#', 262,
        '$', 186,
        '&', 72,
        '\'', 170,
        '(', 95,
        ')', 96,
        '+', 125,
        ',', 75,
        '-', 128,
        '.', 112,
        '/', 22,
        '0', 116,
        '<', 28,
        '@', 135,
        '[', 154,
        '\\', 77,
        ']', 155,
        '_', 257,
        '`', 185,
        '~', 132,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
        'E', 226,
        'e', 226,
        'F', 228,
        'f', 228,
        'N', 255,
        'n', 255,
        'T', 246,
        't', 246,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 133,
        '"', 168,
        '#', 262,
        '$', 186,
        '\'', 170,
        '(', 95,
        '+', 125,
        '-', 128,
        '.', 113,
        '/', 22,
        '0', 116,
        '<', 28,
        '@', 135,
        '[', 154,
        '\\', 77,
        '_', 257,
        '`', 185,
        '~', 132,
        'A', 247,
        'a', 247,
        'B', 223,
        'b', 223,
        'E', 226,
        'e', 226,
        'F', 227,
        'f', 227,
        'I', 241,
        'i', 241,
        'N', 255,
        'n', 255,
        'S', 253,
        's', 253,
        'T', 246,
        't', 246,
        'U', 239,
        'u', 239,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 31,
        '"', 168,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 73,
        '(', 95,
        ')', 96,
        '*', 218,
        '+', 125,
        ',', 75,
        '-', 130,
        '.', 214,
        '/', 219,
        ':', 82,
        ';', 71,
        '<', 203,
        '=', 76,
        '>', 205,
        '?', 101,
        '[', 154,
        '\\', 37,
        ']', 155,
        '^', 193,
        '`', 185,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 31,
        '"', 168,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 73,
        '(', 95,
        ')', 96,
        '*', 218,
        '+', 125,
        ',', 75,
        '-', 130,
        '.', 214,
        '/', 219,
        ':', 82,
        ';', 71,
        '<', 203,
        '=', 76,
        '>', 205,
        '?', 101,
        '[', 154,
        '\\', 38,
        ']', 155,
        '^', 193,
        '`', 185,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 31,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 73,
        '\'', 184,
        '(', 95,
        ')', 96,
        '*', 218,
        '+', 124,
        ',', 75,
        '-', 131,
        '.', 214,
        '/', 219,
        '0', 121,
        ':', 82,
        ';', 71,
        '<', 203,
        '=', 76,
        '>', 205,
        '?', 101,
        '[', 154,
        '\\', 77,
        ']', 155,
        '^', 193,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 31,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 73,
        '(', 95,
        ')', 96,
        '*', 218,
        '+', 124,
        ',', 75,
        '-', 131,
        '.', 214,
        '/', 219,
        '0', 121,
        ':', 82,
        ';', 71,
        '<', 203,
        '=', 76,
        '>', 205,
        '?', 101,
        '[', 154,
        '\\', 77,
        ']', 155,
        '^', 193,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 31,
        '#', 263,
        '$', 186,
        '%', 221,
        '&', 73,
        '(', 95,
        ')', 96,
        '*', 218,
        '+', 124,
        ',', 75,
        '-', 127,
        '.', 214,
        '/', 219,
        ':', 82,
        ';', 71,
        '<', 203,
        '=', 76,
        '>', 205,
        '?', 102,
        '\\', 77,
        ']', 155,
        '^', 193,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '\'') ADVANCE(169);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 168,
        '#', 263,
        '$', 186,
        '&', 72,
        '\'', 170,
        '(', 95,
        ')', 96,
        '.', 25,
        '/', 22,
        '0', 121,
        '<', 28,
        '[', 154,
        '\\', 77,
        '|', 103,
        '}', 80,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 168,
        '#', 263,
        '\'', 170,
        '.', 113,
        '/', 22,
        '0', 116,
        '<', 28,
        '_', 58,
        'B', 13,
        'b', 13,
        'E', 41,
        'e', 41,
        'F', 42,
        'f', 42,
        'N', 52,
        'n', 52,
        'T', 49,
        't', 49,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 262,
        '$', 186,
        '&', 72,
        '(', 95,
        ')', 96,
        ',', 75,
        '.', 25,
        '/', 22,
        '?', 98,
        '\\', 77,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 263,
        '$', 186,
        '&', 72,
        '(', 84,
        ')', 94,
        '/', 22,
        ';', 71,
        '?', 98,
        '\\', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 263,
        '$', 186,
        '&', 72,
        '(', 95,
        ')', 96,
        '.', 25,
        '/', 22,
        '=', 34,
        '?', 98,
        '\\', 77,
        '{', 79,
        '|', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '#', 263,
        '$', 186,
        '&', 72,
        '(', 95,
        '/', 22,
        ';', 71,
        '?', 98,
        '\\', 77,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(179);
      if (lookahead == '\'') ADVANCE(170);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead == '\\') ADVANCE(40);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(174);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(89);
      if (lookahead == '/') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(93);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(261);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(27);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(26);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(97);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(30);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(30);
      if (lookahead == '?') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == '<') ADVANCE(181);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 32:
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(83);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(83);
      END_STATE();
    case 35:
      if (lookahead == '>') ADVANCE(68);
      END_STATE();
    case 36:
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 37:
      if (lookahead == 'u') ADVANCE(166);
      if (lookahead == 'x') ADVANCE(62);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(161);
      END_STATE();
    case 38:
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 39:
      if (lookahead == '}') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(171);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 41:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 42:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 43:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 44:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(48);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 46:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 47:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(69);
      END_STATE();
    case 49:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 50:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(43);
      END_STATE();
    case 51:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(43);
      END_STATE();
    case 52:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(47);
      END_STATE();
    case 53:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(119);
      END_STATE();
    case 54:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(26);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 134,
        '"', 168,
        '#', 262,
        '$', 186,
        '%', 222,
        '&', 74,
        '\'', 170,
        '(', 95,
        ')', 96,
        '*', 217,
        '+', 126,
        ',', 75,
        '-', 129,
        '.', 215,
        '/', 220,
        '0', 116,
        ':', 82,
        ';', 71,
        '<', 200,
        '=', 76,
        '>', 204,
        '?', 99,
        '@', 135,
        '[', 154,
        '\\', 78,
        ']', 155,
        '^', 194,
        '_', 257,
        '`', 185,
        '{', 79,
        '|', 104,
        '}', 80,
        '~', 132,
        'A', 247,
        'a', 247,
        'B', 223,
        'b', 223,
        'E', 226,
        'e', 226,
        'F', 227,
        'f', 227,
        'I', 241,
        'i', 241,
        'N', 255,
        'n', 255,
        'S', 253,
        's', 253,
        'T', 246,
        't', 246,
        'U', 239,
        'u', 239,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 133,
        '"', 168,
        '#', 262,
        '$', 186,
        '&', 72,
        '\'', 170,
        '(', 95,
        ')', 96,
        '+', 125,
        ',', 75,
        '-', 128,
        '.', 113,
        '/', 22,
        '0', 116,
        ':', 81,
        ';', 71,
        '<', 29,
        '=', 34,
        '?', 35,
        '@', 135,
        '[', 154,
        '\\', 77,
        ']', 155,
        '_', 257,
        '`', 185,
        '{', 79,
        '}', 80,
        '~', 132,
        'A', 247,
        'a', 247,
        'B', 224,
        'b', 224,
        'E', 226,
        'e', 226,
        'F', 228,
        'f', 228,
        'N', 255,
        'n', 255,
        'T', 246,
        't', 246,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(118);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 31,
        '"', 168,
        '#', 263,
        '$', 186,
        '%', 222,
        '&', 74,
        '\'', 170,
        '(', 95,
        ')', 96,
        '*', 217,
        '+', 126,
        ',', 75,
        '-', 129,
        '.', 216,
        '/', 220,
        '0', 121,
        ':', 82,
        ';', 71,
        '<', 202,
        '=', 76,
        '>', 204,
        '?', 100,
        '[', 154,
        '\\', 77,
        ']', 155,
        '^', 194,
        '{', 79,
        '|', 104,
        '}', 80,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(123);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(66);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(44);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(192);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(192);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(195);
      if (lookahead == '>') ADVANCE(83);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(171);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(136);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '\n') ADVANCE(93);
      if (lookahead == '\r') ADVANCE(86);
      if (lookahead == ')') ADVANCE(261);
      if (lookahead == '>') ADVANCE(93);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '\n') ADVANCE(93);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(93);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '#') ADVANCE(89);
      if (lookahead == '/') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(93);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(261);
      if (lookahead == '?') ADVANCE(85);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(93);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(261);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(93);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(24);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead != 0) ADVANCE(91);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == ')') ADVANCE(24);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead != 0) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead == '*') ADVANCE(91);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '*') ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token4);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(36);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '?') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(36);
      if (lookahead == '?') ADVANCE(188);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(36);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(187);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(150);
      if (lookahead == '|') ADVANCE(191);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(191);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 113,
        '_', 54,
        'B', 53,
        'b', 53,
        'E', 41,
        'e', 41,
        'O', 122,
        'o', 122,
        'X', 61,
        'x', 61,
        '8', 26,
        '9', 26,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(41);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(53);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(122);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(138);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(138);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(137);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '=') ADVANCE(144);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(196);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(63);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead == '\r') ADVANCE(173);
      if (lookahead == '>') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(179);
      if (lookahead == '/') ADVANCE(175);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(172);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(183);
      if (lookahead == '\r') ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(199);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(210);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '>') ADVANCE(197);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(213);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(207);
      if (lookahead == '>') ADVANCE(212);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(208);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(181);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(27);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(113);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(189);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(261);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '\'') ADVANCE(169);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(243);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(167);
      if (lookahead == '\'') ADVANCE(169);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '_') ADVANCE(257);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(259);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(110);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(157);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(248);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(249);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(230);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(229);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(254);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(106);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(261);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(261);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 65},
  [2] = {.lex_state = 65},
  [3] = {.lex_state = 65},
  [4] = {.lex_state = 65},
  [5] = {.lex_state = 65},
  [6] = {.lex_state = 65},
  [7] = {.lex_state = 65, .external_lex_state = 2},
  [8] = {.lex_state = 65},
  [9] = {.lex_state = 65, .external_lex_state = 2},
  [10] = {.lex_state = 65},
  [11] = {.lex_state = 65},
  [12] = {.lex_state = 65},
  [13] = {.lex_state = 65, .external_lex_state = 2},
  [14] = {.lex_state = 65},
  [15] = {.lex_state = 65, .external_lex_state = 2},
  [16] = {.lex_state = 65, .external_lex_state = 2},
  [17] = {.lex_state = 65, .external_lex_state = 2},
  [18] = {.lex_state = 65, .external_lex_state = 2},
  [19] = {.lex_state = 65, .external_lex_state = 2},
  [20] = {.lex_state = 65, .external_lex_state = 2},
  [21] = {.lex_state = 65, .external_lex_state = 2},
  [22] = {.lex_state = 65, .external_lex_state = 2},
  [23] = {.lex_state = 65, .external_lex_state = 2},
  [24] = {.lex_state = 65, .external_lex_state = 2},
  [25] = {.lex_state = 65, .external_lex_state = 2},
  [26] = {.lex_state = 65, .external_lex_state = 2},
  [27] = {.lex_state = 65, .external_lex_state = 2},
  [28] = {.lex_state = 65, .external_lex_state = 2},
  [29] = {.lex_state = 65, .external_lex_state = 2},
  [30] = {.lex_state = 65, .external_lex_state = 2},
  [31] = {.lex_state = 65, .external_lex_state = 2},
  [32] = {.lex_state = 65, .external_lex_state = 2},
  [33] = {.lex_state = 65, .external_lex_state = 2},
  [34] = {.lex_state = 65, .external_lex_state = 2},
  [35] = {.lex_state = 65, .external_lex_state = 2},
  [36] = {.lex_state = 65, .external_lex_state = 2},
  [37] = {.lex_state = 65, .external_lex_state = 2},
  [38] = {.lex_state = 65, .external_lex_state = 2},
  [39] = {.lex_state = 65, .external_lex_state = 2},
  [40] = {.lex_state = 65, .external_lex_state = 2},
  [41] = {.lex_state = 65, .external_lex_state = 2},
  [42] = {.lex_state = 65, .external_lex_state = 2},
  [43] = {.lex_state = 65, .external_lex_state = 2},
  [44] = {.lex_state = 65, .external_lex_state = 2},
  [45] = {.lex_state = 65, .external_lex_state = 2},
  [46] = {.lex_state = 65},
  [47] = {.lex_state = 65},
  [48] = {.lex_state = 65, .external_lex_state = 2},
  [49] = {.lex_state = 65, .external_lex_state = 2},
  [50] = {.lex_state = 65, .external_lex_state = 2},
  [51] = {.lex_state = 65, .external_lex_state = 2},
  [52] = {.lex_state = 65, .external_lex_state = 2},
  [53] = {.lex_state = 65, .external_lex_state = 2},
  [54] = {.lex_state = 65},
  [55] = {.lex_state = 65},
  [56] = {.lex_state = 65},
  [57] = {.lex_state = 65},
  [58] = {.lex_state = 65},
  [59] = {.lex_state = 65},
  [60] = {.lex_state = 65},
  [61] = {.lex_state = 65},
  [62] = {.lex_state = 65},
  [63] = {.lex_state = 65},
  [64] = {.lex_state = 65},
  [65] = {.lex_state = 65},
  [66] = {.lex_state = 65},
  [67] = {.lex_state = 65},
  [68] = {.lex_state = 65},
  [69] = {.lex_state = 65},
  [70] = {.lex_state = 65},
  [71] = {.lex_state = 65},
  [72] = {.lex_state = 65},
  [73] = {.lex_state = 65},
  [74] = {.lex_state = 65},
  [75] = {.lex_state = 65},
  [76] = {.lex_state = 65},
  [77] = {.lex_state = 65},
  [78] = {.lex_state = 65},
  [79] = {.lex_state = 65},
  [80] = {.lex_state = 65},
  [81] = {.lex_state = 65},
  [82] = {.lex_state = 65},
  [83] = {.lex_state = 65},
  [84] = {.lex_state = 65},
  [85] = {.lex_state = 65},
  [86] = {.lex_state = 65},
  [87] = {.lex_state = 65},
  [88] = {.lex_state = 65},
  [89] = {.lex_state = 65},
  [90] = {.lex_state = 65},
  [91] = {.lex_state = 65},
  [92] = {.lex_state = 65},
  [93] = {.lex_state = 65},
  [94] = {.lex_state = 65},
  [95] = {.lex_state = 65},
  [96] = {.lex_state = 65},
  [97] = {.lex_state = 65},
  [98] = {.lex_state = 65},
  [99] = {.lex_state = 65},
  [100] = {.lex_state = 65},
  [101] = {.lex_state = 65},
  [102] = {.lex_state = 65},
  [103] = {.lex_state = 65},
  [104] = {.lex_state = 65},
  [105] = {.lex_state = 65},
  [106] = {.lex_state = 65},
  [107] = {.lex_state = 65},
  [108] = {.lex_state = 65},
  [109] = {.lex_state = 65},
  [110] = {.lex_state = 65},
  [111] = {.lex_state = 65},
  [112] = {.lex_state = 65},
  [113] = {.lex_state = 65},
  [114] = {.lex_state = 65},
  [115] = {.lex_state = 65},
  [116] = {.lex_state = 65},
  [117] = {.lex_state = 5},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 6},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 65},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 65},
  [170] = {.lex_state = 65},
  [171] = {.lex_state = 6},
  [172] = {.lex_state = 65},
  [173] = {.lex_state = 6},
  [174] = {.lex_state = 65},
  [175] = {.lex_state = 65},
  [176] = {.lex_state = 65},
  [177] = {.lex_state = 65},
  [178] = {.lex_state = 65},
  [179] = {.lex_state = 65},
  [180] = {.lex_state = 65},
  [181] = {.lex_state = 65},
  [182] = {.lex_state = 65},
  [183] = {.lex_state = 65},
  [184] = {.lex_state = 65},
  [185] = {.lex_state = 65},
  [186] = {.lex_state = 6},
  [187] = {.lex_state = 65},
  [188] = {.lex_state = 65},
  [189] = {.lex_state = 65},
  [190] = {.lex_state = 65},
  [191] = {.lex_state = 65},
  [192] = {.lex_state = 65},
  [193] = {.lex_state = 65},
  [194] = {.lex_state = 65},
  [195] = {.lex_state = 65},
  [196] = {.lex_state = 65},
  [197] = {.lex_state = 65},
  [198] = {.lex_state = 65},
  [199] = {.lex_state = 65, .external_lex_state = 2},
  [200] = {.lex_state = 65, .external_lex_state = 2},
  [201] = {.lex_state = 65, .external_lex_state = 2},
  [202] = {.lex_state = 65},
  [203] = {.lex_state = 65},
  [204] = {.lex_state = 65},
  [205] = {.lex_state = 65},
  [206] = {.lex_state = 65, .external_lex_state = 2},
  [207] = {.lex_state = 65, .external_lex_state = 2},
  [208] = {.lex_state = 65},
  [209] = {.lex_state = 65, .external_lex_state = 2},
  [210] = {.lex_state = 65},
  [211] = {.lex_state = 65},
  [212] = {.lex_state = 65},
  [213] = {.lex_state = 65},
  [214] = {.lex_state = 65},
  [215] = {.lex_state = 65},
  [216] = {.lex_state = 65},
  [217] = {.lex_state = 65},
  [218] = {.lex_state = 65},
  [219] = {.lex_state = 65},
  [220] = {.lex_state = 65},
  [221] = {.lex_state = 65},
  [222] = {.lex_state = 65},
  [223] = {.lex_state = 6},
  [224] = {.lex_state = 65},
  [225] = {.lex_state = 65},
  [226] = {.lex_state = 65},
  [227] = {.lex_state = 65},
  [228] = {.lex_state = 65},
  [229] = {.lex_state = 65},
  [230] = {.lex_state = 6},
  [231] = {.lex_state = 65},
  [232] = {.lex_state = 65},
  [233] = {.lex_state = 65},
  [234] = {.lex_state = 65},
  [235] = {.lex_state = 65},
  [236] = {.lex_state = 65},
  [237] = {.lex_state = 65},
  [238] = {.lex_state = 65},
  [239] = {.lex_state = 65},
  [240] = {.lex_state = 65},
  [241] = {.lex_state = 65},
  [242] = {.lex_state = 65},
  [243] = {.lex_state = 65},
  [244] = {.lex_state = 65},
  [245] = {.lex_state = 65},
  [246] = {.lex_state = 65},
  [247] = {.lex_state = 65},
  [248] = {.lex_state = 65},
  [249] = {.lex_state = 65},
  [250] = {.lex_state = 65},
  [251] = {.lex_state = 65},
  [252] = {.lex_state = 65},
  [253] = {.lex_state = 65},
  [254] = {.lex_state = 65},
  [255] = {.lex_state = 65},
  [256] = {.lex_state = 65},
  [257] = {.lex_state = 65},
  [258] = {.lex_state = 65},
  [259] = {.lex_state = 65},
  [260] = {.lex_state = 65},
  [261] = {.lex_state = 65},
  [262] = {.lex_state = 65},
  [263] = {.lex_state = 65},
  [264] = {.lex_state = 65},
  [265] = {.lex_state = 65},
  [266] = {.lex_state = 65},
  [267] = {.lex_state = 65},
  [268] = {.lex_state = 65},
  [269] = {.lex_state = 65},
  [270] = {.lex_state = 65},
  [271] = {.lex_state = 65},
  [272] = {.lex_state = 65},
  [273] = {.lex_state = 65},
  [274] = {.lex_state = 65},
  [275] = {.lex_state = 65},
  [276] = {.lex_state = 65},
  [277] = {.lex_state = 65},
  [278] = {.lex_state = 65},
  [279] = {.lex_state = 65},
  [280] = {.lex_state = 65},
  [281] = {.lex_state = 65},
  [282] = {.lex_state = 65},
  [283] = {.lex_state = 65},
  [284] = {.lex_state = 65},
  [285] = {.lex_state = 65},
  [286] = {.lex_state = 65},
  [287] = {.lex_state = 65},
  [288] = {.lex_state = 65},
  [289] = {.lex_state = 65},
  [290] = {.lex_state = 65},
  [291] = {.lex_state = 65},
  [292] = {.lex_state = 65},
  [293] = {.lex_state = 65},
  [294] = {.lex_state = 65},
  [295] = {.lex_state = 65},
  [296] = {.lex_state = 65},
  [297] = {.lex_state = 65},
  [298] = {.lex_state = 65},
  [299] = {.lex_state = 65},
  [300] = {.lex_state = 65},
  [301] = {.lex_state = 65},
  [302] = {.lex_state = 65},
  [303] = {.lex_state = 65},
  [304] = {.lex_state = 65},
  [305] = {.lex_state = 65},
  [306] = {.lex_state = 65},
  [307] = {.lex_state = 65},
  [308] = {.lex_state = 65},
  [309] = {.lex_state = 65},
  [310] = {.lex_state = 65},
  [311] = {.lex_state = 65},
  [312] = {.lex_state = 65},
  [313] = {.lex_state = 65},
  [314] = {.lex_state = 65},
  [315] = {.lex_state = 65},
  [316] = {.lex_state = 65},
  [317] = {.lex_state = 65},
  [318] = {.lex_state = 65},
  [319] = {.lex_state = 65},
  [320] = {.lex_state = 65},
  [321] = {.lex_state = 65},
  [322] = {.lex_state = 65},
  [323] = {.lex_state = 65},
  [324] = {.lex_state = 65},
  [325] = {.lex_state = 65},
  [326] = {.lex_state = 65},
  [327] = {.lex_state = 65},
  [328] = {.lex_state = 65},
  [329] = {.lex_state = 65},
  [330] = {.lex_state = 65},
  [331] = {.lex_state = 65},
  [332] = {.lex_state = 65},
  [333] = {.lex_state = 65},
  [334] = {.lex_state = 65},
  [335] = {.lex_state = 65},
  [336] = {.lex_state = 65},
  [337] = {.lex_state = 65},
  [338] = {.lex_state = 65},
  [339] = {.lex_state = 65},
  [340] = {.lex_state = 65},
  [341] = {.lex_state = 65},
  [342] = {.lex_state = 65},
  [343] = {.lex_state = 65},
  [344] = {.lex_state = 65},
  [345] = {.lex_state = 65},
  [346] = {.lex_state = 65},
  [347] = {.lex_state = 65},
  [348] = {.lex_state = 65},
  [349] = {.lex_state = 65},
  [350] = {.lex_state = 65},
  [351] = {.lex_state = 65},
  [352] = {.lex_state = 65},
  [353] = {.lex_state = 65},
  [354] = {.lex_state = 65},
  [355] = {.lex_state = 65},
  [356] = {.lex_state = 65},
  [357] = {.lex_state = 65},
  [358] = {.lex_state = 65},
  [359] = {.lex_state = 65},
  [360] = {.lex_state = 65},
  [361] = {.lex_state = 65},
  [362] = {.lex_state = 65},
  [363] = {.lex_state = 65},
  [364] = {.lex_state = 65},
  [365] = {.lex_state = 65},
  [366] = {.lex_state = 65},
  [367] = {.lex_state = 65},
  [368] = {.lex_state = 65},
  [369] = {.lex_state = 65},
  [370] = {.lex_state = 65},
  [371] = {.lex_state = 65},
  [372] = {.lex_state = 65},
  [373] = {.lex_state = 65},
  [374] = {.lex_state = 65},
  [375] = {.lex_state = 65},
  [376] = {.lex_state = 65},
  [377] = {.lex_state = 65},
  [378] = {.lex_state = 65},
  [379] = {.lex_state = 65},
  [380] = {.lex_state = 65},
  [381] = {.lex_state = 65},
  [382] = {.lex_state = 65},
  [383] = {.lex_state = 65},
  [384] = {.lex_state = 65},
  [385] = {.lex_state = 65},
  [386] = {.lex_state = 65},
  [387] = {.lex_state = 65},
  [388] = {.lex_state = 65},
  [389] = {.lex_state = 65},
  [390] = {.lex_state = 65},
  [391] = {.lex_state = 65},
  [392] = {.lex_state = 65},
  [393] = {.lex_state = 65},
  [394] = {.lex_state = 65},
  [395] = {.lex_state = 65},
  [396] = {.lex_state = 65},
  [397] = {.lex_state = 65},
  [398] = {.lex_state = 65},
  [399] = {.lex_state = 65},
  [400] = {.lex_state = 65},
  [401] = {.lex_state = 65},
  [402] = {.lex_state = 65},
  [403] = {.lex_state = 65},
  [404] = {.lex_state = 65},
  [405] = {.lex_state = 65},
  [406] = {.lex_state = 65},
  [407] = {.lex_state = 65},
  [408] = {.lex_state = 65},
  [409] = {.lex_state = 65},
  [410] = {.lex_state = 65},
  [411] = {.lex_state = 65},
  [412] = {.lex_state = 65},
  [413] = {.lex_state = 65},
  [414] = {.lex_state = 65},
  [415] = {.lex_state = 65},
  [416] = {.lex_state = 65},
  [417] = {.lex_state = 65},
  [418] = {.lex_state = 65},
  [419] = {.lex_state = 65},
  [420] = {.lex_state = 65},
  [421] = {.lex_state = 65},
  [422] = {.lex_state = 65},
  [423] = {.lex_state = 65},
  [424] = {.lex_state = 65},
  [425] = {.lex_state = 65},
  [426] = {.lex_state = 65},
  [427] = {.lex_state = 65},
  [428] = {.lex_state = 65},
  [429] = {.lex_state = 65},
  [430] = {.lex_state = 65},
  [431] = {.lex_state = 65},
  [432] = {.lex_state = 65},
  [433] = {.lex_state = 65},
  [434] = {.lex_state = 65},
  [435] = {.lex_state = 65},
  [436] = {.lex_state = 65},
  [437] = {.lex_state = 65},
  [438] = {.lex_state = 65},
  [439] = {.lex_state = 65},
  [440] = {.lex_state = 65},
  [441] = {.lex_state = 65},
  [442] = {.lex_state = 65},
  [443] = {.lex_state = 65},
  [444] = {.lex_state = 65},
  [445] = {.lex_state = 65},
  [446] = {.lex_state = 65},
  [447] = {.lex_state = 65},
  [448] = {.lex_state = 65},
  [449] = {.lex_state = 65},
  [450] = {.lex_state = 65},
  [451] = {.lex_state = 65},
  [452] = {.lex_state = 65},
  [453] = {.lex_state = 65},
  [454] = {.lex_state = 65},
  [455] = {.lex_state = 65},
  [456] = {.lex_state = 65},
  [457] = {.lex_state = 65},
  [458] = {.lex_state = 65},
  [459] = {.lex_state = 65},
  [460] = {.lex_state = 65},
  [461] = {.lex_state = 65},
  [462] = {.lex_state = 65},
  [463] = {.lex_state = 65},
  [464] = {.lex_state = 65},
  [465] = {.lex_state = 65},
  [466] = {.lex_state = 65},
  [467] = {.lex_state = 65},
  [468] = {.lex_state = 65},
  [469] = {.lex_state = 65},
  [470] = {.lex_state = 65},
  [471] = {.lex_state = 65},
  [472] = {.lex_state = 65},
  [473] = {.lex_state = 65},
  [474] = {.lex_state = 65},
  [475] = {.lex_state = 65},
  [476] = {.lex_state = 65},
  [477] = {.lex_state = 65},
  [478] = {.lex_state = 65},
  [479] = {.lex_state = 65},
  [480] = {.lex_state = 65},
  [481] = {.lex_state = 65},
  [482] = {.lex_state = 65},
  [483] = {.lex_state = 65},
  [484] = {.lex_state = 65},
  [485] = {.lex_state = 65},
  [486] = {.lex_state = 65},
  [487] = {.lex_state = 65},
  [488] = {.lex_state = 65},
  [489] = {.lex_state = 65},
  [490] = {.lex_state = 65},
  [491] = {.lex_state = 65},
  [492] = {.lex_state = 65},
  [493] = {.lex_state = 65},
  [494] = {.lex_state = 65},
  [495] = {.lex_state = 65},
  [496] = {.lex_state = 65},
  [497] = {.lex_state = 65},
  [498] = {.lex_state = 65},
  [499] = {.lex_state = 65},
  [500] = {.lex_state = 65},
  [501] = {.lex_state = 65},
  [502] = {.lex_state = 65},
  [503] = {.lex_state = 65},
  [504] = {.lex_state = 65},
  [505] = {.lex_state = 65},
  [506] = {.lex_state = 65},
  [507] = {.lex_state = 65},
  [508] = {.lex_state = 65},
  [509] = {.lex_state = 65},
  [510] = {.lex_state = 65},
  [511] = {.lex_state = 65},
  [512] = {.lex_state = 65},
  [513] = {.lex_state = 65},
  [514] = {.lex_state = 65},
  [515] = {.lex_state = 65},
  [516] = {.lex_state = 65},
  [517] = {.lex_state = 65},
  [518] = {.lex_state = 65},
  [519] = {.lex_state = 65},
  [520] = {.lex_state = 65},
  [521] = {.lex_state = 65},
  [522] = {.lex_state = 65},
  [523] = {.lex_state = 65},
  [524] = {.lex_state = 65},
  [525] = {.lex_state = 65},
  [526] = {.lex_state = 65},
  [527] = {.lex_state = 65},
  [528] = {.lex_state = 65},
  [529] = {.lex_state = 65},
  [530] = {.lex_state = 65},
  [531] = {.lex_state = 65},
  [532] = {.lex_state = 65},
  [533] = {.lex_state = 65},
  [534] = {.lex_state = 65},
  [535] = {.lex_state = 65},
  [536] = {.lex_state = 65},
  [537] = {.lex_state = 65},
  [538] = {.lex_state = 65},
  [539] = {.lex_state = 65},
  [540] = {.lex_state = 65},
  [541] = {.lex_state = 65},
  [542] = {.lex_state = 65},
  [543] = {.lex_state = 65},
  [544] = {.lex_state = 65},
  [545] = {.lex_state = 65},
  [546] = {.lex_state = 65},
  [547] = {.lex_state = 65},
  [548] = {.lex_state = 65},
  [549] = {.lex_state = 65},
  [550] = {.lex_state = 65},
  [551] = {.lex_state = 65},
  [552] = {.lex_state = 65},
  [553] = {.lex_state = 65},
  [554] = {.lex_state = 65},
  [555] = {.lex_state = 65},
  [556] = {.lex_state = 65},
  [557] = {.lex_state = 65},
  [558] = {.lex_state = 65},
  [559] = {.lex_state = 65},
  [560] = {.lex_state = 65},
  [561] = {.lex_state = 65},
  [562] = {.lex_state = 65},
  [563] = {.lex_state = 65},
  [564] = {.lex_state = 65},
  [565] = {.lex_state = 65},
  [566] = {.lex_state = 65},
  [567] = {.lex_state = 65},
  [568] = {.lex_state = 65},
  [569] = {.lex_state = 65},
  [570] = {.lex_state = 65},
  [571] = {.lex_state = 65},
  [572] = {.lex_state = 65},
  [573] = {.lex_state = 65},
  [574] = {.lex_state = 65},
  [575] = {.lex_state = 65},
  [576] = {.lex_state = 65},
  [577] = {.lex_state = 65},
  [578] = {.lex_state = 65},
  [579] = {.lex_state = 65},
  [580] = {.lex_state = 65},
  [581] = {.lex_state = 65},
  [582] = {.lex_state = 66},
  [583] = {.lex_state = 66},
  [584] = {.lex_state = 66},
  [585] = {.lex_state = 66},
  [586] = {.lex_state = 66},
  [587] = {.lex_state = 66},
  [588] = {.lex_state = 66},
  [589] = {.lex_state = 66},
  [590] = {.lex_state = 66},
  [591] = {.lex_state = 66},
  [592] = {.lex_state = 66},
  [593] = {.lex_state = 66},
  [594] = {.lex_state = 66},
  [595] = {.lex_state = 66},
  [596] = {.lex_state = 66},
  [597] = {.lex_state = 66},
  [598] = {.lex_state = 66},
  [599] = {.lex_state = 66},
  [600] = {.lex_state = 66},
  [601] = {.lex_state = 66},
  [602] = {.lex_state = 66},
  [603] = {.lex_state = 66},
  [604] = {.lex_state = 66},
  [605] = {.lex_state = 66},
  [606] = {.lex_state = 66},
  [607] = {.lex_state = 66},
  [608] = {.lex_state = 66},
  [609] = {.lex_state = 66},
  [610] = {.lex_state = 66},
  [611] = {.lex_state = 66},
  [612] = {.lex_state = 66},
  [613] = {.lex_state = 66},
  [614] = {.lex_state = 66, .external_lex_state = 2},
  [615] = {.lex_state = 66, .external_lex_state = 2},
  [616] = {.lex_state = 66, .external_lex_state = 2},
  [617] = {.lex_state = 66, .external_lex_state = 2},
  [618] = {.lex_state = 66, .external_lex_state = 2},
  [619] = {.lex_state = 66, .external_lex_state = 2},
  [620] = {.lex_state = 66, .external_lex_state = 2},
  [621] = {.lex_state = 66, .external_lex_state = 2},
  [622] = {.lex_state = 66, .external_lex_state = 2},
  [623] = {.lex_state = 66, .external_lex_state = 2},
  [624] = {.lex_state = 14},
  [625] = {.lex_state = 66},
  [626] = {.lex_state = 66, .external_lex_state = 2},
  [627] = {.lex_state = 14},
  [628] = {.lex_state = 14},
  [629] = {.lex_state = 66, .external_lex_state = 2},
  [630] = {.lex_state = 66, .external_lex_state = 2},
  [631] = {.lex_state = 14},
  [632] = {.lex_state = 66, .external_lex_state = 2},
  [633] = {.lex_state = 66, .external_lex_state = 2},
  [634] = {.lex_state = 66, .external_lex_state = 2},
  [635] = {.lex_state = 66, .external_lex_state = 2},
  [636] = {.lex_state = 66},
  [637] = {.lex_state = 66, .external_lex_state = 2},
  [638] = {.lex_state = 66, .external_lex_state = 2},
  [639] = {.lex_state = 66, .external_lex_state = 2},
  [640] = {.lex_state = 66},
  [641] = {.lex_state = 66, .external_lex_state = 2},
  [642] = {.lex_state = 66, .external_lex_state = 2},
  [643] = {.lex_state = 14},
  [644] = {.lex_state = 66, .external_lex_state = 2},
  [645] = {.lex_state = 66, .external_lex_state = 2},
  [646] = {.lex_state = 66},
  [647] = {.lex_state = 66, .external_lex_state = 2},
  [648] = {.lex_state = 66},
  [649] = {.lex_state = 66, .external_lex_state = 2},
  [650] = {.lex_state = 66},
  [651] = {.lex_state = 66, .external_lex_state = 2},
  [652] = {.lex_state = 66},
  [653] = {.lex_state = 66, .external_lex_state = 2},
  [654] = {.lex_state = 66, .external_lex_state = 2},
  [655] = {.lex_state = 66, .external_lex_state = 2},
  [656] = {.lex_state = 14},
  [657] = {.lex_state = 66, .external_lex_state = 2},
  [658] = {.lex_state = 66, .external_lex_state = 2},
  [659] = {.lex_state = 66},
  [660] = {.lex_state = 66, .external_lex_state = 2},
  [661] = {.lex_state = 66, .external_lex_state = 2},
  [662] = {.lex_state = 66},
  [663] = {.lex_state = 66},
  [664] = {.lex_state = 66},
  [665] = {.lex_state = 66},
  [666] = {.lex_state = 66},
  [667] = {.lex_state = 66},
  [668] = {.lex_state = 66},
  [669] = {.lex_state = 66},
  [670] = {.lex_state = 66},
  [671] = {.lex_state = 66},
  [672] = {.lex_state = 66},
  [673] = {.lex_state = 14},
  [674] = {.lex_state = 14},
  [675] = {.lex_state = 14},
  [676] = {.lex_state = 66},
  [677] = {.lex_state = 66},
  [678] = {.lex_state = 66},
  [679] = {.lex_state = 14},
  [680] = {.lex_state = 66},
  [681] = {.lex_state = 66},
  [682] = {.lex_state = 14},
  [683] = {.lex_state = 14},
  [684] = {.lex_state = 14},
  [685] = {.lex_state = 14},
  [686] = {.lex_state = 14},
  [687] = {.lex_state = 14},
  [688] = {.lex_state = 14},
  [689] = {.lex_state = 14},
  [690] = {.lex_state = 66},
  [691] = {.lex_state = 14},
  [692] = {.lex_state = 66},
  [693] = {.lex_state = 14},
  [694] = {.lex_state = 14},
  [695] = {.lex_state = 14},
  [696] = {.lex_state = 10},
  [697] = {.lex_state = 14},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 10},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 10},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 8},
  [705] = {.lex_state = 12},
  [706] = {.lex_state = 12},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 8},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 12, .external_lex_state = 2},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 10},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 10},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 10},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 8},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 10},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 10},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 10},
  [747] = {.lex_state = 10},
  [748] = {.lex_state = 10},
  [749] = {.lex_state = 10},
  [750] = {.lex_state = 10},
  [751] = {.lex_state = 10},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 12},
  [755] = {.lex_state = 10},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 10},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 10},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 10},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 10},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 16},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 16},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 12},
  [826] = {.lex_state = 12},
  [827] = {.lex_state = 16},
  [828] = {.lex_state = 16},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 16},
  [832] = {.lex_state = 10, .external_lex_state = 2},
  [833] = {.lex_state = 8, .external_lex_state = 2},
  [834] = {.lex_state = 16},
  [835] = {.lex_state = 8, .external_lex_state = 2},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 12},
  [838] = {.lex_state = 12},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10, .external_lex_state = 2},
  [842] = {.lex_state = 8, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 2},
  [844] = {.lex_state = 8, .external_lex_state = 2},
  [845] = {.lex_state = 16},
  [846] = {.lex_state = 8, .external_lex_state = 2},
  [847] = {.lex_state = 8, .external_lex_state = 2},
  [848] = {.lex_state = 6},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 8, .external_lex_state = 2},
  [851] = {.lex_state = 8, .external_lex_state = 2},
  [852] = {.lex_state = 8, .external_lex_state = 2},
  [853] = {.lex_state = 16},
  [854] = {.lex_state = 16},
  [855] = {.lex_state = 8, .external_lex_state = 2},
  [856] = {.lex_state = 8, .external_lex_state = 2},
  [857] = {.lex_state = 8, .external_lex_state = 2},
  [858] = {.lex_state = 8, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 2},
  [860] = {.lex_state = 8, .external_lex_state = 2},
  [861] = {.lex_state = 16},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 8, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 10, .external_lex_state = 2},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 6},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 10, .external_lex_state = 2},
  [876] = {.lex_state = 10, .external_lex_state = 2},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 12},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 10, .external_lex_state = 2},
  [882] = {.lex_state = 12},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 12},
  [888] = {.lex_state = 10, .external_lex_state = 2},
  [889] = {.lex_state = 10, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 10, .external_lex_state = 2},
  [892] = {.lex_state = 10, .external_lex_state = 2},
  [893] = {.lex_state = 10, .external_lex_state = 2},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 10, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 10, .external_lex_state = 2},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 10, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 12},
  [903] = {.lex_state = 10, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 10, .external_lex_state = 2},
  [906] = {.lex_state = 10, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 10, .external_lex_state = 2},
  [909] = {.lex_state = 10, .external_lex_state = 2},
  [910] = {.lex_state = 10, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 10},
  [913] = {.lex_state = 10, .external_lex_state = 2},
  [914] = {.lex_state = 10, .external_lex_state = 2},
  [915] = {.lex_state = 10, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 12, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 12},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 12},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 12},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 12},
  [989] = {.lex_state = 12},
  [990] = {.lex_state = 12},
  [991] = {.lex_state = 12},
  [992] = {.lex_state = 12},
  [993] = {.lex_state = 12},
  [994] = {.lex_state = 10, .external_lex_state = 2},
  [995] = {.lex_state = 12},
  [996] = {.lex_state = 12},
  [997] = {.lex_state = 12, .external_lex_state = 2},
  [998] = {.lex_state = 12},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 10, .external_lex_state = 2},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 12},
  [1003] = {.lex_state = 10},
  [1004] = {.lex_state = 10, .external_lex_state = 2},
  [1005] = {.lex_state = 12},
  [1006] = {.lex_state = 12, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12, .external_lex_state = 2},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 12},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 18},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12},
  [1099] = {.lex_state = 12},
  [1100] = {.lex_state = 12},
  [1101] = {.lex_state = 12},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12},
  [1119] = {.lex_state = 12},
  [1120] = {.lex_state = 12},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12},
  [1123] = {.lex_state = 12},
  [1124] = {.lex_state = 12},
  [1125] = {.lex_state = 12},
  [1126] = {.lex_state = 12},
  [1127] = {.lex_state = 12},
  [1128] = {.lex_state = 12},
  [1129] = {.lex_state = 12},
  [1130] = {.lex_state = 12},
  [1131] = {.lex_state = 12, .external_lex_state = 2},
  [1132] = {.lex_state = 12},
  [1133] = {.lex_state = 12},
  [1134] = {.lex_state = 12},
  [1135] = {.lex_state = 12},
  [1136] = {.lex_state = 12},
  [1137] = {.lex_state = 12},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12},
  [1157] = {.lex_state = 12},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12, .external_lex_state = 2},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12, .external_lex_state = 2},
  [1181] = {.lex_state = 12, .external_lex_state = 2},
  [1182] = {.lex_state = 12, .external_lex_state = 2},
  [1183] = {.lex_state = 12, .external_lex_state = 2},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12, .external_lex_state = 2},
  [1186] = {.lex_state = 12, .external_lex_state = 2},
  [1187] = {.lex_state = 12, .external_lex_state = 2},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12, .external_lex_state = 2},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12, .external_lex_state = 2},
  [1192] = {.lex_state = 12, .external_lex_state = 2},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12, .external_lex_state = 2},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12, .external_lex_state = 2},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 16},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 16},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 16},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 16},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 16},
  [1226] = {.lex_state = 12},
  [1227] = {.lex_state = 16},
  [1228] = {.lex_state = 16},
  [1229] = {.lex_state = 12},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 17},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 12},
  [1262] = {.lex_state = 12},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 16},
  [1286] = {.lex_state = 16},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 16},
  [1289] = {.lex_state = 16},
  [1290] = {.lex_state = 16},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 16},
  [1296] = {.lex_state = 16},
  [1297] = {.lex_state = 16},
  [1298] = {.lex_state = 16},
  [1299] = {.lex_state = 16},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 66},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 66},
  [1306] = {.lex_state = 66},
  [1307] = {.lex_state = 66},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 16},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 16},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 66},
  [1324] = {.lex_state = 66},
  [1325] = {.lex_state = 16},
  [1326] = {.lex_state = 16},
  [1327] = {.lex_state = 66},
  [1328] = {.lex_state = 16},
  [1329] = {.lex_state = 66},
  [1330] = {.lex_state = 66},
  [1331] = {.lex_state = 66},
  [1332] = {.lex_state = 66},
  [1333] = {.lex_state = 15},
  [1334] = {.lex_state = 66},
  [1335] = {.lex_state = 66},
  [1336] = {.lex_state = 66},
  [1337] = {.lex_state = 66},
  [1338] = {.lex_state = 66},
  [1339] = {.lex_state = 66},
  [1340] = {.lex_state = 14},
  [1341] = {.lex_state = 3, .external_lex_state = 3},
  [1342] = {.lex_state = 66},
  [1343] = {.lex_state = 3, .external_lex_state = 3},
  [1344] = {.lex_state = 66},
  [1345] = {.lex_state = 66},
  [1346] = {.lex_state = 66},
  [1347] = {.lex_state = 66},
  [1348] = {.lex_state = 66},
  [1349] = {.lex_state = 66},
  [1350] = {.lex_state = 3, .external_lex_state = 3},
  [1351] = {.lex_state = 3, .external_lex_state = 3},
  [1352] = {.lex_state = 3, .external_lex_state = 4},
  [1353] = {.lex_state = 3, .external_lex_state = 3},
  [1354] = {.lex_state = 8, .external_lex_state = 5},
  [1355] = {.lex_state = 16},
  [1356] = {.lex_state = 66},
  [1357] = {.lex_state = 8, .external_lex_state = 6},
  [1358] = {.lex_state = 16},
  [1359] = {.lex_state = 8, .external_lex_state = 5},
  [1360] = {.lex_state = 16},
  [1361] = {.lex_state = 16},
  [1362] = {.lex_state = 66},
  [1363] = {.lex_state = 16},
  [1364] = {.lex_state = 8, .external_lex_state = 6},
  [1365] = {.lex_state = 8, .external_lex_state = 6},
  [1366] = {.lex_state = 16},
  [1367] = {.lex_state = 16},
  [1368] = {.lex_state = 16},
  [1369] = {.lex_state = 8, .external_lex_state = 5},
  [1370] = {.lex_state = 8, .external_lex_state = 5},
  [1371] = {.lex_state = 16},
  [1372] = {.lex_state = 8, .external_lex_state = 6},
  [1373] = {.lex_state = 16},
  [1374] = {.lex_state = 16},
  [1375] = {.lex_state = 8, .external_lex_state = 5},
  [1376] = {.lex_state = 8, .external_lex_state = 6},
  [1377] = {.lex_state = 16},
  [1378] = {.lex_state = 16},
  [1379] = {.lex_state = 16},
  [1380] = {.lex_state = 16},
  [1381] = {.lex_state = 16},
  [1382] = {.lex_state = 16},
  [1383] = {.lex_state = 16},
  [1384] = {.lex_state = 16},
  [1385] = {.lex_state = 16},
  [1386] = {.lex_state = 16},
  [1387] = {.lex_state = 16},
  [1388] = {.lex_state = 66},
  [1389] = {.lex_state = 16},
  [1390] = {.lex_state = 16},
  [1391] = {.lex_state = 66},
  [1392] = {.lex_state = 16},
  [1393] = {.lex_state = 16},
  [1394] = {.lex_state = 16},
  [1395] = {.lex_state = 16},
  [1396] = {.lex_state = 18},
  [1397] = {.lex_state = 16},
  [1398] = {.lex_state = 66},
  [1399] = {.lex_state = 16},
  [1400] = {.lex_state = 66},
  [1401] = {.lex_state = 16},
  [1402] = {.lex_state = 8, .external_lex_state = 4},
  [1403] = {.lex_state = 66},
  [1404] = {.lex_state = 66},
  [1405] = {.lex_state = 66},
  [1406] = {.lex_state = 66},
  [1407] = {.lex_state = 66},
  [1408] = {.lex_state = 66},
  [1409] = {.lex_state = 66},
  [1410] = {.lex_state = 66},
  [1411] = {.lex_state = 16},
  [1412] = {.lex_state = 66},
  [1413] = {.lex_state = 16},
  [1414] = {.lex_state = 66},
  [1415] = {.lex_state = 66},
  [1416] = {.lex_state = 66},
  [1417] = {.lex_state = 66},
  [1418] = {.lex_state = 66},
  [1419] = {.lex_state = 66},
  [1420] = {.lex_state = 66},
  [1421] = {.lex_state = 66},
  [1422] = {.lex_state = 66},
  [1423] = {.lex_state = 66},
  [1424] = {.lex_state = 66},
  [1425] = {.lex_state = 66},
  [1426] = {.lex_state = 66},
  [1427] = {.lex_state = 66},
  [1428] = {.lex_state = 16},
  [1429] = {.lex_state = 66},
  [1430] = {.lex_state = 66},
  [1431] = {.lex_state = 66},
  [1432] = {.lex_state = 66},
  [1433] = {.lex_state = 66},
  [1434] = {.lex_state = 66},
  [1435] = {.lex_state = 66},
  [1436] = {.lex_state = 66},
  [1437] = {.lex_state = 16},
  [1438] = {.lex_state = 66},
  [1439] = {.lex_state = 16},
  [1440] = {.lex_state = 66},
  [1441] = {.lex_state = 14},
  [1442] = {.lex_state = 18},
  [1443] = {.lex_state = 66},
  [1444] = {.lex_state = 14},
  [1445] = {.lex_state = 66},
  [1446] = {.lex_state = 18},
  [1447] = {.lex_state = 66},
  [1448] = {.lex_state = 66},
  [1449] = {.lex_state = 18},
  [1450] = {.lex_state = 66},
  [1451] = {.lex_state = 66},
  [1452] = {.lex_state = 66},
  [1453] = {.lex_state = 66},
  [1454] = {.lex_state = 3, .external_lex_state = 7},
  [1455] = {.lex_state = 18},
  [1456] = {.lex_state = 66},
  [1457] = {.lex_state = 18},
  [1458] = {.lex_state = 66},
  [1459] = {.lex_state = 66},
  [1460] = {.lex_state = 66},
  [1461] = {.lex_state = 66},
  [1462] = {.lex_state = 66},
  [1463] = {.lex_state = 66},
  [1464] = {.lex_state = 18},
  [1465] = {.lex_state = 66},
  [1466] = {.lex_state = 66},
  [1467] = {.lex_state = 66},
  [1468] = {.lex_state = 3, .external_lex_state = 7},
  [1469] = {.lex_state = 66},
  [1470] = {.lex_state = 66},
  [1471] = {.lex_state = 66},
  [1472] = {.lex_state = 18},
  [1473] = {.lex_state = 66},
  [1474] = {.lex_state = 18},
  [1475] = {.lex_state = 66},
  [1476] = {.lex_state = 66, .external_lex_state = 2},
  [1477] = {.lex_state = 8, .external_lex_state = 8},
  [1478] = {.lex_state = 66, .external_lex_state = 2},
  [1479] = {.lex_state = 66, .external_lex_state = 2},
  [1480] = {.lex_state = 66, .external_lex_state = 2},
  [1481] = {.lex_state = 18},
  [1482] = {.lex_state = 8, .external_lex_state = 9},
  [1483] = {.lex_state = 8, .external_lex_state = 9},
  [1484] = {.lex_state = 66, .external_lex_state = 2},
  [1485] = {.lex_state = 66, .external_lex_state = 2},
  [1486] = {.lex_state = 66, .external_lex_state = 2},
  [1487] = {.lex_state = 66},
  [1488] = {.lex_state = 66, .external_lex_state = 2},
  [1489] = {.lex_state = 66},
  [1490] = {.lex_state = 8, .external_lex_state = 8},
  [1491] = {.lex_state = 66},
  [1492] = {.lex_state = 66},
  [1493] = {.lex_state = 66},
  [1494] = {.lex_state = 66},
  [1495] = {.lex_state = 66},
  [1496] = {.lex_state = 66},
  [1497] = {.lex_state = 66},
  [1498] = {.lex_state = 66},
  [1499] = {.lex_state = 66},
  [1500] = {.lex_state = 66},
  [1501] = {.lex_state = 66},
  [1502] = {.lex_state = 66},
  [1503] = {.lex_state = 66},
  [1504] = {.lex_state = 66},
  [1505] = {.lex_state = 66, .external_lex_state = 2},
  [1506] = {.lex_state = 66},
  [1507] = {.lex_state = 66},
  [1508] = {.lex_state = 66},
  [1509] = {.lex_state = 66},
  [1510] = {.lex_state = 66},
  [1511] = {.lex_state = 66},
  [1512] = {.lex_state = 66, .external_lex_state = 2},
  [1513] = {.lex_state = 10},
  [1514] = {.lex_state = 66, .external_lex_state = 2},
  [1515] = {.lex_state = 66, .external_lex_state = 2},
  [1516] = {.lex_state = 66, .external_lex_state = 2},
  [1517] = {.lex_state = 3, .external_lex_state = 3},
  [1518] = {.lex_state = 66},
  [1519] = {.lex_state = 66, .external_lex_state = 2},
  [1520] = {.lex_state = 66, .external_lex_state = 2},
  [1521] = {.lex_state = 3, .external_lex_state = 3},
  [1522] = {.lex_state = 3, .external_lex_state = 3},
  [1523] = {.lex_state = 66},
  [1524] = {.lex_state = 3, .external_lex_state = 3},
  [1525] = {.lex_state = 66, .external_lex_state = 2},
  [1526] = {.lex_state = 66},
  [1527] = {.lex_state = 66},
  [1528] = {.lex_state = 66},
  [1529] = {.lex_state = 18},
  [1530] = {.lex_state = 66},
  [1531] = {.lex_state = 66, .external_lex_state = 2},
  [1532] = {.lex_state = 66},
  [1533] = {.lex_state = 3, .external_lex_state = 3},
  [1534] = {.lex_state = 66},
  [1535] = {.lex_state = 66},
  [1536] = {.lex_state = 66},
  [1537] = {.lex_state = 66},
  [1538] = {.lex_state = 3, .external_lex_state = 3},
  [1539] = {.lex_state = 3, .external_lex_state = 3},
  [1540] = {.lex_state = 10},
  [1541] = {.lex_state = 14},
  [1542] = {.lex_state = 66},
  [1543] = {.lex_state = 66},
  [1544] = {.lex_state = 10},
  [1545] = {.lex_state = 66, .external_lex_state = 2},
  [1546] = {.lex_state = 66, .external_lex_state = 2},
  [1547] = {.lex_state = 66, .external_lex_state = 2},
  [1548] = {.lex_state = 66, .external_lex_state = 2},
  [1549] = {.lex_state = 66, .external_lex_state = 2},
  [1550] = {.lex_state = 66, .external_lex_state = 2},
  [1551] = {.lex_state = 66},
  [1552] = {.lex_state = 66, .external_lex_state = 2},
  [1553] = {.lex_state = 66, .external_lex_state = 2},
  [1554] = {.lex_state = 66},
  [1555] = {.lex_state = 66, .external_lex_state = 2},
  [1556] = {.lex_state = 66, .external_lex_state = 2},
  [1557] = {.lex_state = 66, .external_lex_state = 2},
  [1558] = {.lex_state = 66},
  [1559] = {.lex_state = 66},
  [1560] = {.lex_state = 66},
  [1561] = {.lex_state = 3, .external_lex_state = 3},
  [1562] = {.lex_state = 20},
  [1563] = {.lex_state = 66},
  [1564] = {.lex_state = 66},
  [1565] = {.lex_state = 66},
  [1566] = {.lex_state = 66},
  [1567] = {.lex_state = 66},
  [1568] = {.lex_state = 66},
  [1569] = {.lex_state = 66},
  [1570] = {.lex_state = 8, .external_lex_state = 5},
  [1571] = {.lex_state = 66},
  [1572] = {.lex_state = 66},
  [1573] = {.lex_state = 66},
  [1574] = {.lex_state = 8, .external_lex_state = 6},
  [1575] = {.lex_state = 8, .external_lex_state = 5},
  [1576] = {.lex_state = 66},
  [1577] = {.lex_state = 66},
  [1578] = {.lex_state = 66},
  [1579] = {.lex_state = 66},
  [1580] = {.lex_state = 66},
  [1581] = {.lex_state = 66},
  [1582] = {.lex_state = 66},
  [1583] = {.lex_state = 20},
  [1584] = {.lex_state = 66},
  [1585] = {.lex_state = 8, .external_lex_state = 5},
  [1586] = {.lex_state = 20},
  [1587] = {.lex_state = 66},
  [1588] = {.lex_state = 66},
  [1589] = {.lex_state = 66},
  [1590] = {.lex_state = 8, .external_lex_state = 5},
  [1591] = {.lex_state = 8, .external_lex_state = 5},
  [1592] = {.lex_state = 66},
  [1593] = {.lex_state = 8, .external_lex_state = 6},
  [1594] = {.lex_state = 66},
  [1595] = {.lex_state = 66},
  [1596] = {.lex_state = 66},
  [1597] = {.lex_state = 66},
  [1598] = {.lex_state = 66},
  [1599] = {.lex_state = 66},
  [1600] = {.lex_state = 66},
  [1601] = {.lex_state = 66},
  [1602] = {.lex_state = 8, .external_lex_state = 6},
  [1603] = {.lex_state = 8, .external_lex_state = 6},
  [1604] = {.lex_state = 66},
  [1605] = {.lex_state = 8, .external_lex_state = 6},
  [1606] = {.lex_state = 66},
  [1607] = {.lex_state = 20},
  [1608] = {.lex_state = 8, .external_lex_state = 6},
  [1609] = {.lex_state = 66},
  [1610] = {.lex_state = 66},
  [1611] = {.lex_state = 66},
  [1612] = {.lex_state = 66},
  [1613] = {.lex_state = 14},
  [1614] = {.lex_state = 66},
  [1615] = {.lex_state = 66},
  [1616] = {.lex_state = 66},
  [1617] = {.lex_state = 66},
  [1618] = {.lex_state = 66},
  [1619] = {.lex_state = 66},
  [1620] = {.lex_state = 66},
  [1621] = {.lex_state = 66},
  [1622] = {.lex_state = 66},
  [1623] = {.lex_state = 66},
  [1624] = {.lex_state = 66},
  [1625] = {.lex_state = 8, .external_lex_state = 6},
  [1626] = {.lex_state = 20},
  [1627] = {.lex_state = 66},
  [1628] = {.lex_state = 66},
  [1629] = {.lex_state = 66},
  [1630] = {.lex_state = 66},
  [1631] = {.lex_state = 8, .external_lex_state = 5},
  [1632] = {.lex_state = 8, .external_lex_state = 6},
  [1633] = {.lex_state = 66},
  [1634] = {.lex_state = 8, .external_lex_state = 5},
  [1635] = {.lex_state = 66},
  [1636] = {.lex_state = 66},
  [1637] = {.lex_state = 66},
  [1638] = {.lex_state = 66},
  [1639] = {.lex_state = 8, .external_lex_state = 5},
  [1640] = {.lex_state = 66},
  [1641] = {.lex_state = 66},
  [1642] = {.lex_state = 66},
  [1643] = {.lex_state = 66},
  [1644] = {.lex_state = 66},
  [1645] = {.lex_state = 16},
  [1646] = {.lex_state = 66},
  [1647] = {.lex_state = 66},
  [1648] = {.lex_state = 66, .external_lex_state = 2},
  [1649] = {.lex_state = 66},
  [1650] = {.lex_state = 16},
  [1651] = {.lex_state = 66},
  [1652] = {.lex_state = 66, .external_lex_state = 2},
  [1653] = {.lex_state = 66, .external_lex_state = 2},
  [1654] = {.lex_state = 66},
  [1655] = {.lex_state = 16},
  [1656] = {.lex_state = 66, .external_lex_state = 2},
  [1657] = {.lex_state = 66},
  [1658] = {.lex_state = 66, .external_lex_state = 2},
  [1659] = {.lex_state = 66, .external_lex_state = 2},
  [1660] = {.lex_state = 66, .external_lex_state = 2},
  [1661] = {.lex_state = 66, .external_lex_state = 2},
  [1662] = {.lex_state = 66},
  [1663] = {.lex_state = 66, .external_lex_state = 2},
  [1664] = {.lex_state = 16},
  [1665] = {.lex_state = 66, .external_lex_state = 2},
  [1666] = {.lex_state = 66, .external_lex_state = 2},
  [1667] = {.lex_state = 66, .external_lex_state = 2},
  [1668] = {.lex_state = 16},
  [1669] = {.lex_state = 66, .external_lex_state = 2},
  [1670] = {.lex_state = 66},
  [1671] = {.lex_state = 66},
  [1672] = {.lex_state = 66, .external_lex_state = 2},
  [1673] = {.lex_state = 66},
  [1674] = {.lex_state = 66},
  [1675] = {.lex_state = 66, .external_lex_state = 2},
  [1676] = {.lex_state = 66},
  [1677] = {.lex_state = 66, .external_lex_state = 2},
  [1678] = {.lex_state = 66},
  [1679] = {.lex_state = 66},
  [1680] = {.lex_state = 66, .external_lex_state = 2},
  [1681] = {.lex_state = 66, .external_lex_state = 2},
  [1682] = {.lex_state = 66},
  [1683] = {.lex_state = 66, .external_lex_state = 2},
  [1684] = {.lex_state = 66, .external_lex_state = 2},
  [1685] = {.lex_state = 66, .external_lex_state = 2},
  [1686] = {.lex_state = 66},
  [1687] = {.lex_state = 16},
  [1688] = {.lex_state = 16},
  [1689] = {.lex_state = 66, .external_lex_state = 2},
  [1690] = {.lex_state = 66, .external_lex_state = 2},
  [1691] = {.lex_state = 66},
  [1692] = {.lex_state = 66, .external_lex_state = 2},
  [1693] = {.lex_state = 14},
  [1694] = {.lex_state = 66, .external_lex_state = 2},
  [1695] = {.lex_state = 16},
  [1696] = {.lex_state = 66, .external_lex_state = 2},
  [1697] = {.lex_state = 66},
  [1698] = {.lex_state = 66},
  [1699] = {.lex_state = 66},
  [1700] = {.lex_state = 16},
  [1701] = {.lex_state = 66},
  [1702] = {.lex_state = 66},
  [1703] = {.lex_state = 66},
  [1704] = {.lex_state = 66, .external_lex_state = 2},
  [1705] = {.lex_state = 66, .external_lex_state = 2},
  [1706] = {.lex_state = 66},
  [1707] = {.lex_state = 66},
  [1708] = {.lex_state = 66},
  [1709] = {.lex_state = 16},
  [1710] = {.lex_state = 16},
  [1711] = {.lex_state = 66, .external_lex_state = 2},
  [1712] = {.lex_state = 16},
  [1713] = {.lex_state = 16},
  [1714] = {.lex_state = 66, .external_lex_state = 2},
  [1715] = {.lex_state = 66, .external_lex_state = 2},
  [1716] = {.lex_state = 66, .external_lex_state = 2},
  [1717] = {.lex_state = 66, .external_lex_state = 2},
  [1718] = {.lex_state = 66, .external_lex_state = 2},
  [1719] = {.lex_state = 16},
  [1720] = {.lex_state = 66, .external_lex_state = 2},
  [1721] = {.lex_state = 66, .external_lex_state = 2},
  [1722] = {.lex_state = 16},
  [1723] = {.lex_state = 66},
  [1724] = {.lex_state = 66, .external_lex_state = 2},
  [1725] = {.lex_state = 66},
  [1726] = {.lex_state = 66, .external_lex_state = 2},
  [1727] = {.lex_state = 66},
  [1728] = {.lex_state = 66},
  [1729] = {.lex_state = 14},
  [1730] = {.lex_state = 66, .external_lex_state = 2},
  [1731] = {.lex_state = 66, .external_lex_state = 2},
  [1732] = {.lex_state = 66, .external_lex_state = 2},
  [1733] = {.lex_state = 66, .external_lex_state = 2},
  [1734] = {.lex_state = 66, .external_lex_state = 2},
  [1735] = {.lex_state = 66, .external_lex_state = 2},
  [1736] = {.lex_state = 66, .external_lex_state = 2},
  [1737] = {.lex_state = 16},
  [1738] = {.lex_state = 16},
  [1739] = {.lex_state = 66, .external_lex_state = 2},
  [1740] = {.lex_state = 66, .external_lex_state = 2},
  [1741] = {.lex_state = 66, .external_lex_state = 2},
  [1742] = {.lex_state = 16},
  [1743] = {.lex_state = 66, .external_lex_state = 2},
  [1744] = {.lex_state = 66, .external_lex_state = 2},
  [1745] = {.lex_state = 66, .external_lex_state = 2},
  [1746] = {.lex_state = 16},
  [1747] = {.lex_state = 14},
  [1748] = {.lex_state = 66, .external_lex_state = 2},
  [1749] = {.lex_state = 66, .external_lex_state = 2},
  [1750] = {.lex_state = 16},
  [1751] = {.lex_state = 66},
  [1752] = {.lex_state = 14},
  [1753] = {.lex_state = 66},
  [1754] = {.lex_state = 66, .external_lex_state = 2},
  [1755] = {.lex_state = 66, .external_lex_state = 2},
  [1756] = {.lex_state = 14},
  [1757] = {.lex_state = 66},
  [1758] = {.lex_state = 14},
  [1759] = {.lex_state = 66},
  [1760] = {.lex_state = 66},
  [1761] = {.lex_state = 66, .external_lex_state = 2},
  [1762] = {.lex_state = 66, .external_lex_state = 2},
  [1763] = {.lex_state = 66},
  [1764] = {.lex_state = 66},
  [1765] = {.lex_state = 66},
  [1766] = {.lex_state = 14},
  [1767] = {.lex_state = 66},
  [1768] = {.lex_state = 66, .external_lex_state = 2},
  [1769] = {.lex_state = 66, .external_lex_state = 2},
  [1770] = {.lex_state = 14},
  [1771] = {.lex_state = 66},
  [1772] = {.lex_state = 66},
  [1773] = {.lex_state = 66},
  [1774] = {.lex_state = 66},
  [1775] = {.lex_state = 66},
  [1776] = {.lex_state = 66},
  [1777] = {.lex_state = 66},
  [1778] = {.lex_state = 66},
  [1779] = {.lex_state = 66},
  [1780] = {.lex_state = 66},
  [1781] = {.lex_state = 66},
  [1782] = {.lex_state = 17, .external_lex_state = 2},
  [1783] = {.lex_state = 66},
  [1784] = {.lex_state = 66},
  [1785] = {.lex_state = 66},
  [1786] = {.lex_state = 66},
  [1787] = {.lex_state = 3, .external_lex_state = 10},
  [1788] = {.lex_state = 66},
  [1789] = {.lex_state = 66},
  [1790] = {.lex_state = 66},
  [1791] = {.lex_state = 66},
  [1792] = {.lex_state = 20},
  [1793] = {.lex_state = 3, .external_lex_state = 11},
  [1794] = {.lex_state = 14},
  [1795] = {.lex_state = 66},
  [1796] = {.lex_state = 66, .external_lex_state = 2},
  [1797] = {.lex_state = 66},
  [1798] = {.lex_state = 66},
  [1799] = {.lex_state = 66},
  [1800] = {.lex_state = 66},
  [1801] = {.lex_state = 14},
  [1802] = {.lex_state = 66},
  [1803] = {.lex_state = 66},
  [1804] = {.lex_state = 66},
  [1805] = {.lex_state = 66},
  [1806] = {.lex_state = 66, .external_lex_state = 2},
  [1807] = {.lex_state = 66},
  [1808] = {.lex_state = 66},
  [1809] = {.lex_state = 66},
  [1810] = {.lex_state = 66, .external_lex_state = 2},
  [1811] = {.lex_state = 66},
  [1812] = {.lex_state = 66},
  [1813] = {.lex_state = 3, .external_lex_state = 11},
  [1814] = {.lex_state = 66},
  [1815] = {.lex_state = 66},
  [1816] = {.lex_state = 66},
  [1817] = {.lex_state = 66, .external_lex_state = 2},
  [1818] = {.lex_state = 66, .external_lex_state = 2},
  [1819] = {.lex_state = 66},
  [1820] = {.lex_state = 66, .external_lex_state = 2},
  [1821] = {.lex_state = 66},
  [1822] = {.lex_state = 66, .external_lex_state = 2},
  [1823] = {.lex_state = 66},
  [1824] = {.lex_state = 66},
  [1825] = {.lex_state = 66, .external_lex_state = 2},
  [1826] = {.lex_state = 66},
  [1827] = {.lex_state = 66},
  [1828] = {.lex_state = 66},
  [1829] = {.lex_state = 66},
  [1830] = {.lex_state = 66},
  [1831] = {.lex_state = 66},
  [1832] = {.lex_state = 66},
  [1833] = {.lex_state = 66, .external_lex_state = 2},
  [1834] = {.lex_state = 66},
  [1835] = {.lex_state = 66},
  [1836] = {.lex_state = 66},
  [1837] = {.lex_state = 66},
  [1838] = {.lex_state = 66, .external_lex_state = 2},
  [1839] = {.lex_state = 14},
  [1840] = {.lex_state = 66},
  [1841] = {.lex_state = 66, .external_lex_state = 2},
  [1842] = {.lex_state = 66},
  [1843] = {.lex_state = 66, .external_lex_state = 2},
  [1844] = {.lex_state = 66},
  [1845] = {.lex_state = 66},
  [1846] = {.lex_state = 66},
  [1847] = {.lex_state = 66},
  [1848] = {.lex_state = 3, .external_lex_state = 11},
  [1849] = {.lex_state = 66},
  [1850] = {.lex_state = 66, .external_lex_state = 2},
  [1851] = {.lex_state = 20},
  [1852] = {.lex_state = 66},
  [1853] = {.lex_state = 66},
  [1854] = {.lex_state = 66},
  [1855] = {.lex_state = 66},
  [1856] = {.lex_state = 66},
  [1857] = {.lex_state = 66},
  [1858] = {.lex_state = 66, .external_lex_state = 2},
  [1859] = {.lex_state = 66, .external_lex_state = 2},
  [1860] = {.lex_state = 66},
  [1861] = {.lex_state = 66, .external_lex_state = 2},
  [1862] = {.lex_state = 3, .external_lex_state = 11},
  [1863] = {.lex_state = 66},
  [1864] = {.lex_state = 66},
  [1865] = {.lex_state = 3, .external_lex_state = 10},
  [1866] = {.lex_state = 66},
  [1867] = {.lex_state = 66},
  [1868] = {.lex_state = 66, .external_lex_state = 2},
  [1869] = {.lex_state = 66},
  [1870] = {.lex_state = 66, .external_lex_state = 2},
  [1871] = {.lex_state = 66},
  [1872] = {.lex_state = 66},
  [1873] = {.lex_state = 66},
  [1874] = {.lex_state = 66, .external_lex_state = 2},
  [1875] = {.lex_state = 66},
  [1876] = {.lex_state = 66, .external_lex_state = 2},
  [1877] = {.lex_state = 66},
  [1878] = {.lex_state = 66},
  [1879] = {.lex_state = 66, .external_lex_state = 2},
  [1880] = {.lex_state = 66},
  [1881] = {.lex_state = 66},
  [1882] = {.lex_state = 66},
  [1883] = {.lex_state = 66},
  [1884] = {.lex_state = 66, .external_lex_state = 2},
  [1885] = {.lex_state = 66},
  [1886] = {.lex_state = 66},
  [1887] = {.lex_state = 66, .external_lex_state = 2},
  [1888] = {.lex_state = 66},
  [1889] = {.lex_state = 66},
  [1890] = {.lex_state = 66, .external_lex_state = 2},
  [1891] = {.lex_state = 66},
  [1892] = {.lex_state = 66},
  [1893] = {.lex_state = 66},
  [1894] = {.lex_state = 66},
  [1895] = {.lex_state = 66},
  [1896] = {.lex_state = 66},
  [1897] = {.lex_state = 66, .external_lex_state = 2},
  [1898] = {.lex_state = 66, .external_lex_state = 2},
  [1899] = {.lex_state = 66, .external_lex_state = 2},
  [1900] = {.lex_state = 66},
  [1901] = {.lex_state = 66, .external_lex_state = 2},
  [1902] = {.lex_state = 66, .external_lex_state = 2},
  [1903] = {.lex_state = 66},
  [1904] = {.lex_state = 66, .external_lex_state = 2},
  [1905] = {.lex_state = 66},
  [1906] = {.lex_state = 66},
  [1907] = {.lex_state = 66, .external_lex_state = 2},
  [1908] = {.lex_state = 66},
  [1909] = {.lex_state = 66},
  [1910] = {.lex_state = 66},
  [1911] = {.lex_state = 66},
  [1912] = {.lex_state = 66, .external_lex_state = 2},
  [1913] = {.lex_state = 66},
  [1914] = {.lex_state = 66},
  [1915] = {.lex_state = 66, .external_lex_state = 2},
  [1916] = {.lex_state = 66, .external_lex_state = 2},
  [1917] = {.lex_state = 66, .external_lex_state = 2},
  [1918] = {.lex_state = 66},
  [1919] = {.lex_state = 66},
  [1920] = {.lex_state = 66},
  [1921] = {.lex_state = 66},
  [1922] = {.lex_state = 66},
  [1923] = {.lex_state = 66},
  [1924] = {.lex_state = 66},
  [1925] = {.lex_state = 66},
  [1926] = {.lex_state = 66},
  [1927] = {.lex_state = 66},
  [1928] = {.lex_state = 66},
  [1929] = {.lex_state = 66},
  [1930] = {.lex_state = 66},
  [1931] = {.lex_state = 66, .external_lex_state = 2},
  [1932] = {.lex_state = 66, .external_lex_state = 2},
  [1933] = {.lex_state = 66},
  [1934] = {.lex_state = 66},
  [1935] = {.lex_state = 66},
  [1936] = {.lex_state = 66},
  [1937] = {.lex_state = 66},
  [1938] = {.lex_state = 66},
  [1939] = {.lex_state = 66, .external_lex_state = 12},
  [1940] = {.lex_state = 66},
  [1941] = {.lex_state = 66},
  [1942] = {.lex_state = 66, .external_lex_state = 2},
  [1943] = {.lex_state = 66, .external_lex_state = 2},
  [1944] = {.lex_state = 66},
  [1945] = {.lex_state = 66},
  [1946] = {.lex_state = 66},
  [1947] = {.lex_state = 66},
  [1948] = {.lex_state = 66},
  [1949] = {.lex_state = 66},
  [1950] = {.lex_state = 66},
  [1951] = {.lex_state = 66, .external_lex_state = 2},
  [1952] = {.lex_state = 66, .external_lex_state = 2},
  [1953] = {.lex_state = 66},
  [1954] = {.lex_state = 66},
  [1955] = {.lex_state = 66},
  [1956] = {.lex_state = 66, .external_lex_state = 2},
  [1957] = {.lex_state = 66, .external_lex_state = 2},
  [1958] = {.lex_state = 66, .external_lex_state = 2},
  [1959] = {.lex_state = 66},
  [1960] = {.lex_state = 66},
  [1961] = {.lex_state = 66},
  [1962] = {.lex_state = 66},
  [1963] = {.lex_state = 66},
  [1964] = {.lex_state = 66},
  [1965] = {.lex_state = 66},
  [1966] = {.lex_state = 66},
  [1967] = {.lex_state = 66},
  [1968] = {.lex_state = 66},
  [1969] = {.lex_state = 66, .external_lex_state = 2},
  [1970] = {.lex_state = 66, .external_lex_state = 2},
  [1971] = {.lex_state = 66},
  [1972] = {.lex_state = 66},
  [1973] = {.lex_state = 66, .external_lex_state = 2},
  [1974] = {.lex_state = 66, .external_lex_state = 2},
  [1975] = {.lex_state = 66},
  [1976] = {.lex_state = 66},
  [1977] = {.lex_state = 66},
  [1978] = {.lex_state = 66},
  [1979] = {.lex_state = 66},
  [1980] = {.lex_state = 66},
  [1981] = {.lex_state = 66},
  [1982] = {.lex_state = 66},
  [1983] = {.lex_state = 66, .external_lex_state = 2},
  [1984] = {.lex_state = 66},
  [1985] = {.lex_state = 66, .external_lex_state = 2},
  [1986] = {.lex_state = 66},
  [1987] = {.lex_state = 66},
  [1988] = {.lex_state = 14},
  [1989] = {.lex_state = 66},
  [1990] = {.lex_state = 66},
  [1991] = {.lex_state = 66},
  [1992] = {.lex_state = 66},
  [1993] = {.lex_state = 66, .external_lex_state = 2},
  [1994] = {.lex_state = 66},
  [1995] = {.lex_state = 66},
  [1996] = {.lex_state = 66},
  [1997] = {.lex_state = 66},
  [1998] = {.lex_state = 66},
  [1999] = {.lex_state = 66},
  [2000] = {.lex_state = 66},
  [2001] = {.lex_state = 66},
  [2002] = {.lex_state = 66},
  [2003] = {.lex_state = 66, .external_lex_state = 2},
  [2004] = {.lex_state = 66},
  [2005] = {.lex_state = 66},
  [2006] = {.lex_state = 66, .external_lex_state = 2},
  [2007] = {.lex_state = 66},
  [2008] = {.lex_state = 66},
  [2009] = {.lex_state = 66, .external_lex_state = 2},
  [2010] = {.lex_state = 66},
  [2011] = {.lex_state = 66, .external_lex_state = 2},
  [2012] = {.lex_state = 66, .external_lex_state = 2},
  [2013] = {.lex_state = 66},
  [2014] = {.lex_state = 66},
  [2015] = {.lex_state = 66},
  [2016] = {.lex_state = 66},
  [2017] = {.lex_state = 66, .external_lex_state = 2},
  [2018] = {.lex_state = 66},
  [2019] = {.lex_state = 66},
  [2020] = {.lex_state = 66},
  [2021] = {.lex_state = 66},
  [2022] = {.lex_state = 66},
  [2023] = {.lex_state = 66},
  [2024] = {.lex_state = 66},
  [2025] = {.lex_state = 66},
  [2026] = {.lex_state = 66},
  [2027] = {.lex_state = 66, .external_lex_state = 2},
  [2028] = {.lex_state = 66},
  [2029] = {.lex_state = 66},
  [2030] = {.lex_state = 66},
  [2031] = {.lex_state = 66},
  [2032] = {.lex_state = 3, .external_lex_state = 11},
  [2033] = {.lex_state = 66},
  [2034] = {.lex_state = 66},
  [2035] = {.lex_state = 66},
  [2036] = {.lex_state = 66},
  [2037] = {.lex_state = 66},
  [2038] = {.lex_state = 66, .external_lex_state = 2},
  [2039] = {.lex_state = 66},
  [2040] = {.lex_state = 66, .external_lex_state = 2},
  [2041] = {.lex_state = 66},
  [2042] = {.lex_state = 66, .external_lex_state = 2},
  [2043] = {.lex_state = 66},
  [2044] = {.lex_state = 66},
  [2045] = {.lex_state = 66, .external_lex_state = 2},
  [2046] = {.lex_state = 66},
  [2047] = {.lex_state = 66},
  [2048] = {.lex_state = 66},
  [2049] = {.lex_state = 66},
  [2050] = {.lex_state = 66},
  [2051] = {.lex_state = 3, .external_lex_state = 11},
  [2052] = {.lex_state = 66, .external_lex_state = 2},
  [2053] = {.lex_state = 66},
  [2054] = {.lex_state = 66},
  [2055] = {.lex_state = 66, .external_lex_state = 2},
  [2056] = {.lex_state = 66},
  [2057] = {.lex_state = 66},
  [2058] = {.lex_state = 66},
  [2059] = {.lex_state = 66},
  [2060] = {.lex_state = 66},
  [2061] = {.lex_state = 66},
  [2062] = {.lex_state = 66},
  [2063] = {.lex_state = 66},
  [2064] = {.lex_state = 66, .external_lex_state = 2},
  [2065] = {.lex_state = 66},
  [2066] = {.lex_state = 66},
  [2067] = {.lex_state = 14},
  [2068] = {.lex_state = 66},
  [2069] = {.lex_state = 66},
  [2070] = {.lex_state = 66},
  [2071] = {.lex_state = 66},
  [2072] = {.lex_state = 66},
  [2073] = {.lex_state = 66},
  [2074] = {.lex_state = 66},
  [2075] = {.lex_state = 66},
  [2076] = {.lex_state = 66},
  [2077] = {.lex_state = 66},
  [2078] = {.lex_state = 66},
  [2079] = {.lex_state = 14},
  [2080] = {.lex_state = 66},
  [2081] = {.lex_state = 66},
  [2082] = {.lex_state = 66},
  [2083] = {.lex_state = 66},
  [2084] = {.lex_state = 66},
  [2085] = {.lex_state = 66},
  [2086] = {.lex_state = 66},
  [2087] = {.lex_state = 66},
  [2088] = {.lex_state = 66, .external_lex_state = 2},
  [2089] = {.lex_state = 66},
  [2090] = {.lex_state = 66},
  [2091] = {.lex_state = 66},
  [2092] = {.lex_state = 66},
  [2093] = {.lex_state = 66},
  [2094] = {.lex_state = 66},
  [2095] = {.lex_state = 66, .external_lex_state = 2},
  [2096] = {.lex_state = 66},
  [2097] = {.lex_state = 66, .external_lex_state = 2},
  [2098] = {.lex_state = 66, .external_lex_state = 2},
  [2099] = {.lex_state = 3, .external_lex_state = 11},
  [2100] = {.lex_state = 66},
  [2101] = {.lex_state = 3, .external_lex_state = 11},
  [2102] = {.lex_state = 66},
  [2103] = {.lex_state = 66},
  [2104] = {.lex_state = 66, .external_lex_state = 2},
  [2105] = {.lex_state = 66},
  [2106] = {.lex_state = 66, .external_lex_state = 2},
  [2107] = {.lex_state = 66, .external_lex_state = 2},
  [2108] = {.lex_state = 66},
  [2109] = {.lex_state = 66, .external_lex_state = 2},
  [2110] = {.lex_state = 66},
  [2111] = {.lex_state = 66},
  [2112] = {.lex_state = 66},
  [2113] = {.lex_state = 66},
  [2114] = {.lex_state = 66, .external_lex_state = 2},
  [2115] = {.lex_state = 66},
  [2116] = {.lex_state = 66},
  [2117] = {.lex_state = 66, .external_lex_state = 2},
  [2118] = {.lex_state = 66, .external_lex_state = 2},
  [2119] = {.lex_state = 66, .external_lex_state = 2},
  [2120] = {.lex_state = 66},
  [2121] = {.lex_state = 66, .external_lex_state = 2},
  [2122] = {.lex_state = 66},
  [2123] = {.lex_state = 66},
  [2124] = {.lex_state = 66},
  [2125] = {.lex_state = 66},
  [2126] = {.lex_state = 66},
  [2127] = {.lex_state = 66},
  [2128] = {.lex_state = 66},
  [2129] = {.lex_state = 66, .external_lex_state = 2},
  [2130] = {.lex_state = 66, .external_lex_state = 2},
  [2131] = {.lex_state = 66, .external_lex_state = 2},
  [2132] = {.lex_state = 66},
  [2133] = {.lex_state = 66},
  [2134] = {.lex_state = 66},
  [2135] = {.lex_state = 3, .external_lex_state = 11},
  [2136] = {.lex_state = 66, .external_lex_state = 2},
  [2137] = {.lex_state = 66, .external_lex_state = 2},
  [2138] = {.lex_state = 3, .external_lex_state = 11},
  [2139] = {.lex_state = 66, .external_lex_state = 2},
  [2140] = {.lex_state = 66},
  [2141] = {.lex_state = 66},
  [2142] = {.lex_state = 66},
  [2143] = {.lex_state = 66, .external_lex_state = 2},
  [2144] = {.lex_state = 66},
  [2145] = {.lex_state = 66},
  [2146] = {.lex_state = 66},
  [2147] = {.lex_state = 66, .external_lex_state = 2},
  [2148] = {.lex_state = 66},
  [2149] = {.lex_state = 66},
  [2150] = {.lex_state = 66},
  [2151] = {.lex_state = 66},
  [2152] = {.lex_state = 66},
  [2153] = {.lex_state = 14},
  [2154] = {.lex_state = 66},
  [2155] = {.lex_state = 66},
  [2156] = {.lex_state = 66},
  [2157] = {.lex_state = 66},
  [2158] = {.lex_state = 66, .external_lex_state = 2},
  [2159] = {.lex_state = 66, .external_lex_state = 2},
  [2160] = {.lex_state = 66, .external_lex_state = 2},
  [2161] = {.lex_state = 66, .external_lex_state = 2},
  [2162] = {.lex_state = 66, .external_lex_state = 2},
  [2163] = {.lex_state = 66},
  [2164] = {.lex_state = 66},
  [2165] = {.lex_state = 66, .external_lex_state = 2},
  [2166] = {.lex_state = 66, .external_lex_state = 2},
  [2167] = {.lex_state = 66, .external_lex_state = 2},
  [2168] = {.lex_state = 66, .external_lex_state = 2},
  [2169] = {.lex_state = 66},
  [2170] = {.lex_state = 66},
  [2171] = {.lex_state = 66, .external_lex_state = 2},
  [2172] = {.lex_state = 66},
  [2173] = {.lex_state = 66, .external_lex_state = 12},
  [2174] = {.lex_state = 66},
  [2175] = {.lex_state = 66},
  [2176] = {.lex_state = 66},
  [2177] = {.lex_state = 66},
  [2178] = {.lex_state = 66},
  [2179] = {.lex_state = 66},
  [2180] = {.lex_state = 66},
  [2181] = {.lex_state = 66, .external_lex_state = 2},
  [2182] = {.lex_state = 66},
  [2183] = {.lex_state = 66},
  [2184] = {.lex_state = 66},
  [2185] = {.lex_state = 66, .external_lex_state = 2},
  [2186] = {.lex_state = 66},
  [2187] = {.lex_state = 66, .external_lex_state = 2},
  [2188] = {.lex_state = 66, .external_lex_state = 2},
  [2189] = {.lex_state = 66},
  [2190] = {.lex_state = 66},
  [2191] = {.lex_state = 66},
  [2192] = {.lex_state = 66},
  [2193] = {.lex_state = 66},
  [2194] = {.lex_state = 66},
  [2195] = {.lex_state = 66, .external_lex_state = 2},
  [2196] = {.lex_state = 66},
  [2197] = {.lex_state = 66},
  [2198] = {.lex_state = 66},
  [2199] = {.lex_state = 66},
  [2200] = {.lex_state = 66},
  [2201] = {.lex_state = 66},
  [2202] = {.lex_state = 66},
  [2203] = {.lex_state = 66, .external_lex_state = 2},
  [2204] = {.lex_state = 66, .external_lex_state = 2},
  [2205] = {.lex_state = 66},
  [2206] = {.lex_state = 66},
  [2207] = {.lex_state = 66},
  [2208] = {.lex_state = 66},
  [2209] = {.lex_state = 66},
  [2210] = {.lex_state = 66},
  [2211] = {.lex_state = 66, .external_lex_state = 2},
  [2212] = {.lex_state = 66},
  [2213] = {.lex_state = 66},
  [2214] = {.lex_state = 66},
  [2215] = {.lex_state = 66},
  [2216] = {.lex_state = 66},
  [2217] = {.lex_state = 66},
  [2218] = {.lex_state = 66},
  [2219] = {.lex_state = 66, .external_lex_state = 2},
  [2220] = {.lex_state = 66},
  [2221] = {.lex_state = 66},
  [2222] = {.lex_state = 66},
  [2223] = {.lex_state = 66},
  [2224] = {.lex_state = 66},
  [2225] = {.lex_state = 66},
  [2226] = {.lex_state = 66},
  [2227] = {.lex_state = 66},
  [2228] = {.lex_state = 66},
  [2229] = {.lex_state = 66},
  [2230] = {.lex_state = 66},
  [2231] = {.lex_state = 66},
  [2232] = {.lex_state = 66},
  [2233] = {.lex_state = 66},
  [2234] = {.lex_state = 66},
  [2235] = {.lex_state = 66},
  [2236] = {.lex_state = 66},
  [2237] = {.lex_state = 66},
  [2238] = {.lex_state = 66},
  [2239] = {.lex_state = 66},
  [2240] = {.lex_state = 66},
  [2241] = {.lex_state = 66},
  [2242] = {.lex_state = 66},
  [2243] = {.lex_state = 66},
  [2244] = {.lex_state = 66},
  [2245] = {.lex_state = 66},
  [2246] = {.lex_state = 66},
  [2247] = {.lex_state = 66},
  [2248] = {.lex_state = 66},
  [2249] = {.lex_state = 66},
  [2250] = {.lex_state = 66},
  [2251] = {.lex_state = 66},
  [2252] = {.lex_state = 66},
  [2253] = {.lex_state = 66},
  [2254] = {.lex_state = 66},
  [2255] = {.lex_state = 66},
  [2256] = {.lex_state = 66},
  [2257] = {.lex_state = 66},
  [2258] = {.lex_state = 66},
  [2259] = {.lex_state = 66},
  [2260] = {.lex_state = 66},
  [2261] = {.lex_state = 66},
  [2262] = {.lex_state = 66},
  [2263] = {.lex_state = 66},
  [2264] = {.lex_state = 66},
  [2265] = {.lex_state = 66},
  [2266] = {.lex_state = 66},
  [2267] = {.lex_state = 66},
  [2268] = {.lex_state = 66},
  [2269] = {.lex_state = 66},
  [2270] = {.lex_state = 66},
  [2271] = {.lex_state = 66},
  [2272] = {.lex_state = 66},
  [2273] = {.lex_state = 66},
  [2274] = {.lex_state = 66, .external_lex_state = 2},
  [2275] = {.lex_state = 66},
  [2276] = {.lex_state = 66},
  [2277] = {.lex_state = 66},
  [2278] = {.lex_state = 66},
  [2279] = {.lex_state = 66},
  [2280] = {.lex_state = 66},
  [2281] = {.lex_state = 66},
  [2282] = {.lex_state = 66},
  [2283] = {.lex_state = 66},
  [2284] = {.lex_state = 66},
  [2285] = {.lex_state = 66},
  [2286] = {.lex_state = 66},
  [2287] = {.lex_state = 66},
  [2288] = {.lex_state = 66},
  [2289] = {.lex_state = 66},
  [2290] = {.lex_state = 66},
  [2291] = {.lex_state = 66},
  [2292] = {.lex_state = 66},
  [2293] = {.lex_state = 66},
  [2294] = {.lex_state = 66},
  [2295] = {.lex_state = 66},
  [2296] = {.lex_state = 66},
  [2297] = {.lex_state = 66},
  [2298] = {.lex_state = 66},
  [2299] = {.lex_state = 3, .external_lex_state = 11},
  [2300] = {.lex_state = 66, .external_lex_state = 13},
  [2301] = {.lex_state = 66},
  [2302] = {.lex_state = 3, .external_lex_state = 11},
  [2303] = {.lex_state = 66},
  [2304] = {.lex_state = 66},
  [2305] = {.lex_state = 66},
  [2306] = {.lex_state = 66},
  [2307] = {.lex_state = 66},
  [2308] = {.lex_state = 66},
  [2309] = {.lex_state = 66},
  [2310] = {.lex_state = 66},
  [2311] = {.lex_state = 66},
  [2312] = {.lex_state = 66},
  [2313] = {.lex_state = 66},
  [2314] = {.lex_state = 66},
  [2315] = {.lex_state = 66},
  [2316] = {.lex_state = 66},
  [2317] = {.lex_state = 66},
  [2318] = {.lex_state = 3, .external_lex_state = 11},
  [2319] = {.lex_state = 66},
  [2320] = {.lex_state = 66},
  [2321] = {.lex_state = 66},
  [2322] = {.lex_state = 66},
  [2323] = {.lex_state = 66},
  [2324] = {.lex_state = 66},
  [2325] = {.lex_state = 66},
  [2326] = {.lex_state = 66},
  [2327] = {.lex_state = 66},
  [2328] = {.lex_state = 66},
  [2329] = {.lex_state = 66},
  [2330] = {.lex_state = 66},
  [2331] = {.lex_state = 66},
  [2332] = {.lex_state = 66},
  [2333] = {.lex_state = 66},
  [2334] = {.lex_state = 66},
  [2335] = {.lex_state = 66},
  [2336] = {.lex_state = 66},
  [2337] = {.lex_state = 66},
  [2338] = {.lex_state = 66},
  [2339] = {.lex_state = 66},
  [2340] = {.lex_state = 3, .external_lex_state = 11},
  [2341] = {.lex_state = 66},
  [2342] = {.lex_state = 66, .external_lex_state = 2},
  [2343] = {.lex_state = 66},
  [2344] = {.lex_state = 66},
  [2345] = {.lex_state = 66},
  [2346] = {.lex_state = 66},
  [2347] = {.lex_state = 66},
  [2348] = {.lex_state = 66},
  [2349] = {.lex_state = 66},
  [2350] = {.lex_state = 66},
  [2351] = {.lex_state = 66},
  [2352] = {.lex_state = 66},
  [2353] = {.lex_state = 66},
  [2354] = {.lex_state = 66},
  [2355] = {.lex_state = 66},
  [2356] = {.lex_state = 66},
  [2357] = {.lex_state = 66},
  [2358] = {.lex_state = 66},
  [2359] = {.lex_state = 66},
  [2360] = {.lex_state = 66},
  [2361] = {.lex_state = 66},
  [2362] = {.lex_state = 66},
  [2363] = {.lex_state = 66},
  [2364] = {.lex_state = 66},
  [2365] = {.lex_state = 3, .external_lex_state = 11},
  [2366] = {.lex_state = 66},
  [2367] = {.lex_state = 66},
  [2368] = {.lex_state = 66},
  [2369] = {.lex_state = 66, .external_lex_state = 2},
  [2370] = {.lex_state = 66},
  [2371] = {.lex_state = 66},
  [2372] = {.lex_state = 3, .external_lex_state = 11},
  [2373] = {.lex_state = 66},
  [2374] = {.lex_state = 66},
  [2375] = {.lex_state = 66},
  [2376] = {.lex_state = 66},
  [2377] = {.lex_state = 66},
  [2378] = {.lex_state = 66},
  [2379] = {.lex_state = 66},
  [2380] = {.lex_state = 66, .external_lex_state = 2},
  [2381] = {.lex_state = 66},
  [2382] = {.lex_state = 66},
  [2383] = {.lex_state = 66},
  [2384] = {.lex_state = 66},
  [2385] = {.lex_state = 66},
  [2386] = {.lex_state = 66},
  [2387] = {.lex_state = 66},
  [2388] = {.lex_state = 66},
  [2389] = {.lex_state = 66},
  [2390] = {.lex_state = 66},
  [2391] = {.lex_state = 66},
  [2392] = {.lex_state = 66},
  [2393] = {.lex_state = 66, .external_lex_state = 2},
  [2394] = {.lex_state = 66},
  [2395] = {.lex_state = 66},
  [2396] = {.lex_state = 66},
  [2397] = {.lex_state = 66},
  [2398] = {.lex_state = 66},
  [2399] = {.lex_state = 66},
  [2400] = {.lex_state = 66},
  [2401] = {.lex_state = 66},
  [2402] = {.lex_state = 66},
  [2403] = {.lex_state = 3, .external_lex_state = 11},
  [2404] = {.lex_state = 66},
  [2405] = {.lex_state = 66},
  [2406] = {.lex_state = 3, .external_lex_state = 11},
  [2407] = {.lex_state = 66},
  [2408] = {.lex_state = 66},
  [2409] = {.lex_state = 3, .external_lex_state = 11},
  [2410] = {.lex_state = 66},
  [2411] = {.lex_state = 66},
  [2412] = {.lex_state = 3, .external_lex_state = 11},
  [2413] = {.lex_state = 66},
  [2414] = {.lex_state = 66},
  [2415] = {.lex_state = 66},
  [2416] = {.lex_state = 66},
  [2417] = {.lex_state = 66, .external_lex_state = 2},
  [2418] = {.lex_state = 66, .external_lex_state = 2},
  [2419] = {.lex_state = 66},
  [2420] = {.lex_state = 66},
  [2421] = {.lex_state = 66, .external_lex_state = 11},
  [2422] = {.lex_state = 66},
  [2423] = {.lex_state = 66, .external_lex_state = 11},
  [2424] = {.lex_state = 66},
  [2425] = {.lex_state = 66},
  [2426] = {.lex_state = 66, .external_lex_state = 11},
  [2427] = {.lex_state = 66},
  [2428] = {.lex_state = 66},
  [2429] = {.lex_state = 66},
  [2430] = {.lex_state = 66},
  [2431] = {.lex_state = 66},
  [2432] = {.lex_state = 66},
  [2433] = {.lex_state = 66},
  [2434] = {.lex_state = 66},
  [2435] = {.lex_state = 66},
  [2436] = {.lex_state = 66},
  [2437] = {.lex_state = 66},
  [2438] = {.lex_state = 66},
  [2439] = {.lex_state = 66},
  [2440] = {.lex_state = 66},
  [2441] = {.lex_state = 66, .external_lex_state = 11},
  [2442] = {.lex_state = 66},
  [2443] = {.lex_state = 66, .external_lex_state = 11},
  [2444] = {.lex_state = 66},
  [2445] = {.lex_state = 66},
  [2446] = {.lex_state = 66, .external_lex_state = 11},
  [2447] = {.lex_state = 66},
  [2448] = {.lex_state = 66},
  [2449] = {.lex_state = 66},
  [2450] = {.lex_state = 66},
  [2451] = {.lex_state = 66},
  [2452] = {.lex_state = 66},
  [2453] = {.lex_state = 66},
  [2454] = {.lex_state = 66},
  [2455] = {.lex_state = 66},
  [2456] = {.lex_state = 66},
  [2457] = {.lex_state = 66},
  [2458] = {.lex_state = 66},
  [2459] = {.lex_state = 10},
  [2460] = {.lex_state = 66},
  [2461] = {.lex_state = 66},
  [2462] = {.lex_state = 66},
  [2463] = {.lex_state = 66},
  [2464] = {.lex_state = 66},
  [2465] = {.lex_state = 66},
  [2466] = {.lex_state = 66},
  [2467] = {.lex_state = 66},
  [2468] = {.lex_state = 66},
  [2469] = {.lex_state = 66},
  [2470] = {.lex_state = 66},
  [2471] = {.lex_state = 66},
  [2472] = {.lex_state = 66},
  [2473] = {.lex_state = 66},
  [2474] = {.lex_state = 66},
  [2475] = {.lex_state = 66},
  [2476] = {.lex_state = 66},
  [2477] = {.lex_state = 66},
  [2478] = {.lex_state = 66},
  [2479] = {.lex_state = 66},
  [2480] = {.lex_state = 66},
  [2481] = {.lex_state = 66},
  [2482] = {.lex_state = 66},
  [2483] = {.lex_state = 66},
  [2484] = {.lex_state = 66},
  [2485] = {.lex_state = 66},
  [2486] = {.lex_state = 66},
  [2487] = {.lex_state = 66},
  [2488] = {.lex_state = 66, .external_lex_state = 12},
  [2489] = {.lex_state = 66},
  [2490] = {.lex_state = 66},
  [2491] = {.lex_state = 66},
  [2492] = {.lex_state = 66},
  [2493] = {.lex_state = 66},
  [2494] = {.lex_state = 66},
  [2495] = {.lex_state = 21},
  [2496] = {.lex_state = 66},
  [2497] = {.lex_state = 66},
  [2498] = {.lex_state = 66},
  [2499] = {.lex_state = 66},
  [2500] = {.lex_state = 66},
  [2501] = {.lex_state = 66},
  [2502] = {.lex_state = 66},
  [2503] = {.lex_state = 10},
  [2504] = {.lex_state = 66},
  [2505] = {.lex_state = 66},
  [2506] = {.lex_state = 66},
  [2507] = {.lex_state = 66},
  [2508] = {.lex_state = 66},
  [2509] = {.lex_state = 66},
  [2510] = {.lex_state = 66},
  [2511] = {.lex_state = 17},
  [2512] = {.lex_state = 66},
  [2513] = {.lex_state = 66},
  [2514] = {.lex_state = 66},
  [2515] = {.lex_state = 66},
  [2516] = {.lex_state = 66},
  [2517] = {.lex_state = 66, .external_lex_state = 11},
  [2518] = {.lex_state = 66},
  [2519] = {.lex_state = 66},
  [2520] = {.lex_state = 66},
  [2521] = {.lex_state = 66},
  [2522] = {.lex_state = 66},
  [2523] = {.lex_state = 66, .external_lex_state = 11},
  [2524] = {.lex_state = 66},
  [2525] = {.lex_state = 66},
  [2526] = {.lex_state = 66},
  [2527] = {.lex_state = 66},
  [2528] = {.lex_state = 66},
  [2529] = {.lex_state = 66},
  [2530] = {.lex_state = 66},
  [2531] = {.lex_state = 66},
  [2532] = {.lex_state = 66},
  [2533] = {.lex_state = 66},
  [2534] = {.lex_state = 17},
  [2535] = {.lex_state = 66},
  [2536] = {.lex_state = 66},
  [2537] = {.lex_state = 66},
  [2538] = {.lex_state = 66},
  [2539] = {.lex_state = 66},
  [2540] = {.lex_state = 66},
  [2541] = {.lex_state = 66},
  [2542] = {.lex_state = 66},
  [2543] = {.lex_state = 66},
  [2544] = {.lex_state = 66},
  [2545] = {.lex_state = 66},
  [2546] = {.lex_state = 66},
  [2547] = {.lex_state = 66},
  [2548] = {.lex_state = 66},
  [2549] = {.lex_state = 66},
  [2550] = {.lex_state = 66},
  [2551] = {.lex_state = 66},
  [2552] = {.lex_state = 66},
  [2553] = {.lex_state = 66},
  [2554] = {.lex_state = 66},
  [2555] = {.lex_state = 66},
  [2556] = {.lex_state = 66},
  [2557] = {.lex_state = 66},
  [2558] = {.lex_state = 66},
  [2559] = {.lex_state = 66},
  [2560] = {.lex_state = 66},
  [2561] = {.lex_state = 66},
  [2562] = {.lex_state = 66},
  [2563] = {.lex_state = 66},
  [2564] = {.lex_state = 66},
  [2565] = {.lex_state = 66},
  [2566] = {.lex_state = 66},
  [2567] = {.lex_state = 66},
  [2568] = {.lex_state = 66},
  [2569] = {.lex_state = 66},
  [2570] = {.lex_state = 66},
  [2571] = {.lex_state = 66},
  [2572] = {.lex_state = 66},
  [2573] = {.lex_state = 66, .external_lex_state = 12},
  [2574] = {.lex_state = 66, .external_lex_state = 12},
  [2575] = {.lex_state = 66},
  [2576] = {.lex_state = 66},
  [2577] = {.lex_state = 66},
  [2578] = {.lex_state = 66},
  [2579] = {.lex_state = 66},
  [2580] = {.lex_state = 66},
  [2581] = {.lex_state = 66, .external_lex_state = 12},
  [2582] = {.lex_state = 66},
  [2583] = {.lex_state = 66},
  [2584] = {.lex_state = 66},
  [2585] = {.lex_state = 66},
  [2586] = {.lex_state = 66},
  [2587] = {.lex_state = 66},
  [2588] = {.lex_state = 66},
  [2589] = {.lex_state = 66},
  [2590] = {.lex_state = 66},
  [2591] = {.lex_state = 66},
  [2592] = {.lex_state = 66},
  [2593] = {.lex_state = 66},
  [2594] = {.lex_state = 66},
  [2595] = {.lex_state = 66},
  [2596] = {.lex_state = 66},
  [2597] = {.lex_state = 66},
  [2598] = {.lex_state = 66},
  [2599] = {.lex_state = 66},
  [2600] = {.lex_state = 66},
  [2601] = {.lex_state = 66},
  [2602] = {.lex_state = 66},
  [2603] = {.lex_state = 66},
  [2604] = {.lex_state = 21},
  [2605] = {.lex_state = 66},
  [2606] = {.lex_state = 66},
  [2607] = {.lex_state = 66},
  [2608] = {.lex_state = 66},
  [2609] = {.lex_state = 66},
  [2610] = {.lex_state = 66},
  [2611] = {.lex_state = 66},
  [2612] = {.lex_state = 66},
  [2613] = {.lex_state = 66},
  [2614] = {.lex_state = 66},
  [2615] = {.lex_state = 66, .external_lex_state = 11},
  [2616] = {.lex_state = 66},
  [2617] = {.lex_state = 66, .external_lex_state = 11},
  [2618] = {.lex_state = 66},
  [2619] = {.lex_state = 66},
  [2620] = {.lex_state = 66},
  [2621] = {.lex_state = 66},
  [2622] = {.lex_state = 66},
  [2623] = {.lex_state = 66},
  [2624] = {.lex_state = 66},
  [2625] = {.lex_state = 66},
  [2626] = {.lex_state = 66},
  [2627] = {.lex_state = 66},
  [2628] = {.lex_state = 66},
  [2629] = {.lex_state = 66},
  [2630] = {.lex_state = 66},
  [2631] = {.lex_state = 66},
  [2632] = {.lex_state = 66},
  [2633] = {.lex_state = 66},
  [2634] = {.lex_state = 66},
  [2635] = {.lex_state = 66},
  [2636] = {.lex_state = 66},
  [2637] = {.lex_state = 66},
  [2638] = {.lex_state = 66},
  [2639] = {.lex_state = 66},
  [2640] = {.lex_state = 66},
  [2641] = {.lex_state = 66},
  [2642] = {.lex_state = 66},
  [2643] = {.lex_state = 66},
  [2644] = {.lex_state = 66},
  [2645] = {.lex_state = 66},
  [2646] = {.lex_state = 66},
  [2647] = {.lex_state = 66},
  [2648] = {.lex_state = 66},
  [2649] = {.lex_state = 66},
  [2650] = {.lex_state = 66},
  [2651] = {.lex_state = 66},
  [2652] = {.lex_state = 66},
  [2653] = {.lex_state = 66},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2623),
    [sym_statement] = STATE(47),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_name] = ACTIONS(139),
    [anon_sym_QMARK_GT] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_RBRACE] = ACTIONS(137),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_enum_case_token1] = ACTIONS(178),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(216),
    [aux_sym_declare_statement_token2] = ACTIONS(178),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(240),
    [aux_sym_while_statement_token2] = ACTIONS(178),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(246),
    [aux_sym_for_statement_token2] = ACTIONS(178),
    [aux_sym_foreach_statement_token1] = ACTIONS(249),
    [aux_sym_foreach_statement_token2] = ACTIONS(178),
    [aux_sym_if_statement_token1] = ACTIONS(252),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_match_default_expression_token1] = ACTIONS(178),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [aux_sym_switch_block_token1] = ACTIONS(178),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(330),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(332),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(332),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(332),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_statement] = STATE(6),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(334),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(336),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(336),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(336),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_statement] = STATE(3),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(338),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(340),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(340),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(342),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(344),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_match_default_expression_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [aux_sym_switch_block_token1] = ACTIONS(344),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_statement] = STATE(1924),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_colon_block] = STATE(2464),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1923),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(348),
  },
  [8] = {
    [sym_statement] = STATE(14),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(404),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_statement] = STATE(459),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_colon_block] = STATE(2535),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(460),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(406),
  },
  [10] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(139),
    [anon_sym_SEMI] = ACTIONS(142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(145),
    [aux_sym_global_declaration_token1] = ACTIONS(148),
    [aux_sym_namespace_definition_token1] = ACTIONS(151),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(157),
    [aux_sym__namespace_use_type_token2] = ACTIONS(160),
    [anon_sym_BSLASH] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [aux_sym_trait_declaration_token1] = ACTIONS(169),
    [aux_sym_interface_declaration_token1] = ACTIONS(172),
    [aux_sym_enum_declaration_token1] = ACTIONS(175),
    [aux_sym_class_declaration_token1] = ACTIONS(180),
    [aux_sym_final_modifier_token1] = ACTIONS(183),
    [aux_sym_abstract_modifier_token1] = ACTIONS(186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(189),
    [sym_var_modifier] = ACTIONS(192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(195),
    [aux_sym_visibility_modifier_token2] = ACTIONS(195),
    [aux_sym_visibility_modifier_token3] = ACTIONS(195),
    [anon_sym_LPAREN2] = ACTIONS(198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(201),
    [aux_sym_cast_type_token1] = ACTIONS(204),
    [aux_sym_echo_statement_token1] = ACTIONS(207),
    [aux_sym_exit_statement_token1] = ACTIONS(210),
    [anon_sym_unset] = ACTIONS(213),
    [aux_sym_declare_statement_token1] = ACTIONS(408),
    [sym_float] = ACTIONS(219),
    [aux_sym_try_statement_token1] = ACTIONS(222),
    [aux_sym_goto_statement_token1] = ACTIONS(225),
    [aux_sym_continue_statement_token1] = ACTIONS(228),
    [aux_sym_break_statement_token1] = ACTIONS(231),
    [sym_integer] = ACTIONS(219),
    [aux_sym_return_statement_token1] = ACTIONS(234),
    [aux_sym_throw_expression_token1] = ACTIONS(237),
    [aux_sym_while_statement_token1] = ACTIONS(411),
    [aux_sym_do_statement_token1] = ACTIONS(243),
    [aux_sym_for_statement_token1] = ACTIONS(414),
    [aux_sym_foreach_statement_token1] = ACTIONS(417),
    [aux_sym_if_statement_token1] = ACTIONS(420),
    [aux_sym_if_statement_token2] = ACTIONS(178),
    [aux_sym_else_if_clause_token1] = ACTIONS(178),
    [aux_sym_else_clause_token1] = ACTIONS(178),
    [aux_sym_match_expression_token1] = ACTIONS(255),
    [aux_sym_switch_statement_token1] = ACTIONS(258),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(264),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_AT] = ACTIONS(267),
    [aux_sym_clone_expression_token1] = ACTIONS(270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(273),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(276),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [aux_sym__list_destructing_token1] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(285),
    [anon_sym_self] = ACTIONS(288),
    [anon_sym_parent] = ACTIONS(288),
    [aux_sym__argument_name_token1] = ACTIONS(291),
    [aux_sym__argument_name_token2] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(297),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(303),
    [anon_sym_SQUOTE] = ACTIONS(303),
    [anon_sym_LT_LT_LT] = ACTIONS(306),
    [anon_sym_BQUOTE] = ACTIONS(309),
    [anon_sym_DOLLAR] = ACTIONS(312),
    [aux_sym_yield_expression_token1] = ACTIONS(315),
    [aux_sym_include_expression_token1] = ACTIONS(318),
    [aux_sym_include_once_expression_token1] = ACTIONS(321),
    [aux_sym_require_expression_token1] = ACTIONS(324),
    [aux_sym_require_once_expression_token1] = ACTIONS(327),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_statement] = STATE(12),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token2] = ACTIONS(404),
    [aux_sym_else_if_clause_token1] = ACTIONS(404),
    [aux_sym_else_clause_token1] = ACTIONS(404),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_statement] = STATE(10),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_if_statement_token2] = ACTIONS(433),
    [aux_sym_else_if_clause_token1] = ACTIONS(433),
    [aux_sym_else_clause_token1] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_statement] = STATE(459),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_colon_block] = STATE(2535),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(460),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(406),
  },
  [14] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_while_statement_token2] = ACTIONS(433),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_foreach_statement_token2] = ACTIONS(433),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_if_statement_token2] = ACTIONS(433),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_statement] = STATE(1924),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_colon_block] = STATE(2464),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1923),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(348),
  },
  [16] = {
    [sym_statement] = STATE(1926),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1925),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [17] = {
    [sym_statement] = STATE(505),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(486),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [18] = {
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [19] = {
    [sym_statement] = STATE(1909),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1908),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [20] = {
    [sym_statement] = STATE(1928),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1927),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [21] = {
    [sym_statement] = STATE(1911),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1910),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [22] = {
    [sym_statement] = STATE(1914),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1913),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [23] = {
    [sym_statement] = STATE(1930),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1929),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [24] = {
    [sym_statement] = STATE(1950),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1949),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [25] = {
    [sym_statement] = STATE(1982),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1982),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [26] = {
    [sym_statement] = STATE(557),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(557),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [27] = {
    [sym_statement] = STATE(1926),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1925),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(445),
  },
  [28] = {
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(453),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [29] = {
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(554),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [30] = {
    [sym_statement] = STATE(519),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(453),
  },
  [31] = {
    [sym_statement] = STATE(503),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(506),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [32] = {
    [sym_statement] = STATE(1928),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1927),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [33] = {
    [sym_statement] = STATE(1930),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1929),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(473),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [34] = {
    [sym_statement] = STATE(1896),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1895),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [35] = {
    [sym_statement] = STATE(1914),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1913),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(469),
  },
  [36] = {
    [sym_statement] = STATE(529),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(522),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [37] = {
    [sym_statement] = STATE(495),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(545),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [38] = {
    [sym_statement] = STATE(465),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(464),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [39] = {
    [sym_statement] = STATE(1982),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1982),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(481),
  },
  [40] = {
    [sym_statement] = STATE(1911),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1910),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(465),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [41] = {
    [sym_statement] = STATE(557),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(557),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(485),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [42] = {
    [sym_statement] = STATE(1909),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1908),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(457),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [43] = {
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(453),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(489),
  },
  [44] = {
    [sym_statement] = STATE(465),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(464),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(513),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(515),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [45] = {
    [sym_statement] = STATE(495),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(545),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(509),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(511),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [46] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(517),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(519),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_statement] = STATE(529),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(522),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(505),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [49] = {
    [sym_statement] = STATE(1896),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1895),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(501),
  },
  [50] = {
    [sym_statement] = STATE(1950),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(1949),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(477),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [51] = {
    [sym_statement] = STATE(503),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(506),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(497),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(499),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [52] = {
    [sym_statement] = STATE(505),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(486),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(449),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(451),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [53] = {
    [sym_statement] = STATE(544),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(554),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(493),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(495),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [54] = {
    [sym_statement] = STATE(46),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [ts_builtin_sym_end] = ACTIONS(521),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(525),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_statement] = STATE(59),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_statement] = STATE(93),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(531),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_statement] = STATE(85),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_statement] = STATE(87),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(87),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(539),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_statement] = STATE(444),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_colon_block] = STATE(1621),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(541),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_statement] = STATE(95),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_statement] = STATE(106),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(106),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(547),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_statement] = STATE(94),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_statement] = STATE(1592),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_colon_block] = STATE(1571),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(541),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_statement] = STATE(70),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_statement] = STATE(72),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_statement] = STATE(1614),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_colon_block] = STATE(1571),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(541),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_statement] = STATE(73),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_statement] = STATE(74),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(74),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_statement] = STATE(2057),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_colon_block] = STATE(2505),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_statement] = STATE(78),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_statement] = STATE(80),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(80),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(577),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(579),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_statement] = STATE(82),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(82),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(581),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_statement] = STATE(446),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_colon_block] = STATE(1621),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(541),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_statement] = STATE(2057),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_colon_block] = STATE(2505),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_statement] = STATE(104),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(104),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(585),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_statement] = STATE(67),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(587),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(591),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(593),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(595),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_statement] = STATE(102),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(102),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(597),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_statement] = STATE(556),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_colon_block] = STATE(2522),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_statement] = STATE(56),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(599),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(601),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(105),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(603),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(99),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(605),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(607),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(55),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(609),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(611),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(613),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(2),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(615),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(62),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [aux_sym_declare_statement_token2] = ACTIONS(617),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(92),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_program_repeat1] = STATE(92),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_for_statement_token2] = ACTIONS(619),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(1948),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(1978),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(435),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(437),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(439),
    [aux_sym_foreach_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(443),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(2491),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(541),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(61),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(77),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(81),
    [aux_sym_foreach_statement_token1] = ACTIONS(83),
    [aux_sym_if_statement_token1] = ACTIONS(85),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(1978),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(457),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(2589),
    [sym_empty_statement] = STATE(2111),
    [sym_function_static_declaration] = STATE(2111),
    [sym_global_declaration] = STATE(2111),
    [sym_namespace_definition] = STATE(2111),
    [sym_namespace_use_declaration] = STATE(2111),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(2111),
    [sym_interface_declaration] = STATE(2111),
    [sym_enum_declaration] = STATE(2111),
    [sym_class_declaration] = STATE(2111),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2111),
    [sym__const_declaration] = STATE(2110),
    [sym__modifier] = STATE(1335),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2111),
    [sym__function_definition_header] = STATE(2248),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(2111),
    [sym_exit_statement] = STATE(2111),
    [sym_unset_statement] = STATE(2111),
    [sym_declare_statement] = STATE(2111),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(2111),
    [sym_goto_statement] = STATE(2111),
    [sym_continue_statement] = STATE(2111),
    [sym_break_statement] = STATE(2111),
    [sym_return_statement] = STATE(2111),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(2111),
    [sym_do_statement] = STATE(2111),
    [sym_for_statement] = STATE(2111),
    [sym_foreach_statement] = STATE(2111),
    [sym_if_statement] = STATE(2111),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(2111),
    [sym_compound_statement] = STATE(2111),
    [sym_named_label_statement] = STATE(2111),
    [sym_expression_statement] = STATE(2111),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1302),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1335),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(350),
    [aux_sym_global_declaration_token1] = ACTIONS(352),
    [aux_sym_namespace_definition_token1] = ACTIONS(354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(358),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(360),
    [aux_sym_trait_declaration_token1] = ACTIONS(362),
    [aux_sym_interface_declaration_token1] = ACTIONS(364),
    [aux_sym_enum_declaration_token1] = ACTIONS(366),
    [aux_sym_class_declaration_token1] = ACTIONS(370),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(374),
    [aux_sym_exit_statement_token1] = ACTIONS(376),
    [anon_sym_unset] = ACTIONS(378),
    [aux_sym_declare_statement_token1] = ACTIONS(380),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(382),
    [aux_sym_goto_statement_token1] = ACTIONS(384),
    [aux_sym_continue_statement_token1] = ACTIONS(386),
    [aux_sym_break_statement_token1] = ACTIONS(388),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(390),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(392),
    [aux_sym_do_statement_token1] = ACTIONS(394),
    [aux_sym_for_statement_token1] = ACTIONS(396),
    [aux_sym_foreach_statement_token1] = ACTIONS(398),
    [aux_sym_if_statement_token1] = ACTIONS(400),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(541),
    [sym_empty_statement] = STATE(462),
    [sym_function_static_declaration] = STATE(462),
    [sym_global_declaration] = STATE(462),
    [sym_namespace_definition] = STATE(462),
    [sym_namespace_use_declaration] = STATE(462),
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_trait_declaration] = STATE(462),
    [sym_interface_declaration] = STATE(462),
    [sym_enum_declaration] = STATE(462),
    [sym_class_declaration] = STATE(462),
    [sym_final_modifier] = STATE(1336),
    [sym_abstract_modifier] = STATE(1336),
    [sym_readonly_modifier] = STATE(1336),
    [sym_const_declaration] = STATE(462),
    [sym__const_declaration] = STATE(467),
    [sym__modifier] = STATE(1336),
    [sym_static_modifier] = STATE(1429),
    [sym_visibility_modifier] = STATE(1336),
    [sym_function_definition] = STATE(462),
    [sym__function_definition_header] = STATE(2227),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_echo_statement] = STATE(462),
    [sym_exit_statement] = STATE(462),
    [sym_unset_statement] = STATE(462),
    [sym_declare_statement] = STATE(462),
    [sym_literal] = STATE(1045),
    [sym_try_statement] = STATE(462),
    [sym_goto_statement] = STATE(462),
    [sym_continue_statement] = STATE(462),
    [sym_break_statement] = STATE(462),
    [sym_return_statement] = STATE(462),
    [sym_throw_expression] = STATE(1045),
    [sym_while_statement] = STATE(462),
    [sym_do_statement] = STATE(462),
    [sym_for_statement] = STATE(462),
    [sym_foreach_statement] = STATE(462),
    [sym_if_statement] = STATE(462),
    [sym_match_expression] = STATE(1047),
    [sym_switch_statement] = STATE(462),
    [sym_compound_statement] = STATE(462),
    [sym_named_label_statement] = STATE(462),
    [sym_expression_statement] = STATE(462),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1305),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_class_declaration_repeat1] = STATE(1336),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym__namespace_use_type_token1] = ACTIONS(23),
    [aux_sym__namespace_use_type_token2] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [sym_var_modifier] = ACTIONS(45),
    [aux_sym_visibility_modifier_token1] = ACTIONS(47),
    [aux_sym_visibility_modifier_token2] = ACTIONS(47),
    [aux_sym_visibility_modifier_token3] = ACTIONS(47),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [aux_sym_echo_statement_token1] = ACTIONS(55),
    [aux_sym_exit_statement_token1] = ACTIONS(57),
    [anon_sym_unset] = ACTIONS(59),
    [aux_sym_declare_statement_token1] = ACTIONS(423),
    [sym_float] = ACTIONS(63),
    [aux_sym_try_statement_token1] = ACTIONS(65),
    [aux_sym_goto_statement_token1] = ACTIONS(67),
    [aux_sym_continue_statement_token1] = ACTIONS(69),
    [aux_sym_break_statement_token1] = ACTIONS(71),
    [sym_integer] = ACTIONS(63),
    [aux_sym_return_statement_token1] = ACTIONS(73),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_while_statement_token1] = ACTIONS(425),
    [aux_sym_do_statement_token1] = ACTIONS(79),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [aux_sym_switch_statement_token1] = ACTIONS(89),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1039),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(991),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(629),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_COLON] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(637),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(647),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_yield_expression_token2] = ACTIONS(679),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(991),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_yield_expression_token2] = ACTIONS(709),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(1131),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_by_ref] = STATE(1131),
    [sym_yield_expression] = STATE(1047),
    [sym_array_element_initializer] = STATE(1111),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(721),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(723),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_yield_expression_token2] = ACTIONS(725),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(623),
  },
  [120] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(991),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(625),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(623),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_EQ_GT] = ACTIONS(623),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(623),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_PIPE] = ACTIONS(629),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_yield_expression_token2] = ACTIONS(747),
    [aux_sym_binary_expression_token1] = ACTIONS(629),
    [anon_sym_QMARK_QMARK] = ACTIONS(623),
    [anon_sym_STAR_STAR] = ACTIONS(623),
    [aux_sym_binary_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token3] = ACTIONS(629),
    [aux_sym_binary_expression_token4] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(623),
    [anon_sym_AMP_AMP] = ACTIONS(623),
    [anon_sym_CARET] = ACTIONS(623),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_LT_GT] = ACTIONS(623),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(623),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(623),
    [anon_sym_LT] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_EQ] = ACTIONS(623),
    [anon_sym_LT_EQ_GT] = ACTIONS(623),
    [anon_sym_LT_LT] = ACTIONS(629),
    [anon_sym_GT_GT] = ACTIONS(623),
    [anon_sym_DOT] = ACTIONS(629),
    [anon_sym_STAR] = ACTIONS(629),
    [anon_sym_SLASH] = ACTIONS(629),
    [anon_sym_PERCENT] = ACTIONS(623),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2487),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2555),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2569),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2463),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2562),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2519),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2563),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2465),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2558),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2596),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_cast_type] = STATE(2519),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(757),
    [aux_sym_cast_type_token2] = ACTIONS(759),
    [aux_sym_cast_type_token3] = ACTIONS(759),
    [aux_sym_cast_type_token4] = ACTIONS(759),
    [aux_sym_cast_type_token5] = ACTIONS(759),
    [aux_sym_cast_type_token6] = ACTIONS(759),
    [aux_sym_cast_type_token7] = ACTIONS(759),
    [aux_sym_cast_type_token8] = ACTIONS(759),
    [aux_sym_cast_type_token9] = ACTIONS(759),
    [aux_sym_cast_type_token10] = ACTIONS(759),
    [aux_sym_cast_type_token11] = ACTIONS(759),
    [aux_sym_cast_type_token12] = ACTIONS(759),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_variadic_placeholder] = STATE(2575),
    [sym_argument] = STATE(2196),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_variadic_placeholder] = STATE(2593),
    [sym_argument] = STATE(2207),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2255),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(793),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_variadic_placeholder] = STATE(2539),
    [sym_argument] = STATE(2184),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(797),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2255),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(793),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(799),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2255),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(793),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_variadic_placeholder] = STATE(2605),
    [sym_argument] = STATE(1877),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_variadic_placeholder] = STATE(2478),
    [sym_argument] = STATE(2056),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2255),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(793),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(807),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_variadic_placeholder] = STATE(2497),
    [sym_argument] = STATE(2034),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(809),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(775),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(1962),
    [sym_function_call_expression] = STATE(665),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(680),
    [sym__dereferencable_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(665),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2255),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1963),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__array_destructing_repeat1] = STATE(1965),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(811),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(813),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(819),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(821),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(823),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(829),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(833),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_argument] = STATE(2298),
    [sym__argument_name] = STATE(186),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2326),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1535),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(761),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(767),
    [aux_sym__namespace_use_type_token1] = ACTIONS(769),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(777),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(779),
    [aux_sym_match_expression_token1] = ACTIONS(781),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(783),
    [anon_sym_parent] = ACTIONS(783),
    [aux_sym__argument_name_token1] = ACTIONS(785),
    [aux_sym__argument_name_token2] = ACTIONS(787),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(841),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2016),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(843),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(845),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(1963),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2026),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2115),
    [sym_match_default_expression] = STATE(2115),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(855),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(857),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(861),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(863),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(865),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(867),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(869),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(873),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(875),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2083),
    [sym_match_default_expression] = STATE(2083),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(877),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(879),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(2309),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(672),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2309),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(887),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(691),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2238),
    [sym_match_default_expression] = STATE(2238),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(1002),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(1002),
    [sym_yield_expression] = STATE(982),
    [sym_array_element_initializer] = STATE(2132),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2238),
    [sym_match_default_expression] = STATE(2238),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(892),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2238),
    [sym_match_default_expression] = STATE(2238),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(894),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(2309),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(672),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2309),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(666),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(666),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(666),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(666),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(1856),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(652),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(652),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(652),
    [sym_nullsafe_member_call_expression] = STATE(652),
    [sym__variable_subscript_expression] = STATE(667),
    [sym__dereferencable_subscript_expression] = STATE(652),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2021),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym__list_destructing_repeat1] = STATE(2022),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(896),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [anon_sym_RPAREN2] = ACTIONS(898),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(1961),
    [sym__array_destructing_element] = STATE(2309),
    [sym_function_call_expression] = STATE(668),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(668),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(668),
    [sym_nullsafe_member_call_expression] = STATE(668),
    [sym__variable_subscript_expression] = STATE(672),
    [sym__dereferencable_subscript_expression] = STATE(668),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(672),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2309),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(881),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(885),
    [anon_sym_RBRACK] = ACTIONS(900),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2238),
    [sym_match_default_expression] = STATE(2238),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_foreach_pair] = STATE(2527),
    [sym__foreach_value] = STATE(2527),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2527),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_foreach_pair] = STATE(2486),
    [sym__foreach_value] = STATE(2486),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2486),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_foreach_pair] = STATE(2597),
    [sym__foreach_value] = STATE(2597),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2597),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_match_condition_list] = STATE(2427),
    [sym_match_conditional_expression] = STATE(2238),
    [sym_match_default_expression] = STATE(2238),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [aux_sym_match_default_expression_token1] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(678),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2116),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(663),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(663),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(663),
    [sym_nullsafe_member_call_expression] = STATE(663),
    [sym__variable_subscript_expression] = STATE(671),
    [sym__dereferencable_subscript_expression] = STATE(663),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(671),
    [sym__callable_variable] = STATE(663),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2414),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [anon_sym_COMMA] = ACTIONS(905),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [anon_sym_RPAREN2] = ACTIONS(905),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_foreach_pair] = STATE(2472),
    [sym__foreach_value] = STATE(2472),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2472),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_reference_modifier] = STATE(223),
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2399),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1534),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(763),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2434),
    [sym_sequence_expression] = STATE(2434),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2445),
    [sym_sequence_expression] = STATE(2445),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2531),
    [sym_sequence_expression] = STATE(2531),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2648),
    [sym_sequence_expression] = STATE(2648),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2520),
    [sym_sequence_expression] = STATE(2520),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2601),
    [sym_sequence_expression] = STATE(2601),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(917),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2598),
    [sym_sequence_expression] = STATE(2598),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(919),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2641),
    [sym_sequence_expression] = STATE(2641),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2437),
    [sym_sequence_expression] = STATE(2437),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2473),
    [sym_sequence_expression] = STATE(2473),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2474),
    [sym_sequence_expression] = STATE(2474),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2476),
    [sym_sequence_expression] = STATE(2476),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(929),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(2094),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(931),
  },
  [200] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(2093),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(933),
  },
  [201] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(2092),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(935),
  },
  [202] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2638),
    [sym_sequence_expression] = STATE(2638),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2490),
    [sym_sequence_expression] = STATE(2490),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2422),
    [sym_sequence_expression] = STATE(2422),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2493),
    [sym_sequence_expression] = STATE(2493),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(535),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(945),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(945),
  },
  [207] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(513),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(947),
  },
  [208] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2594),
    [sym_sequence_expression] = STATE(2594),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [sym__semicolon] = STATE(515),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_SEMI] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(951),
  },
  [210] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2616),
    [sym_sequence_expression] = STATE(2616),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(953),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2537),
    [sym_sequence_expression] = STATE(2537),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(955),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2470),
    [sym_sequence_expression] = STATE(2470),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(957),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2436),
    [sym_sequence_expression] = STATE(2436),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(959),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2603),
    [sym_sequence_expression] = STATE(2603),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(961),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__foreach_value] = STATE(2507),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2335),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2507),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2600),
    [sym_sequence_expression] = STATE(2600),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(963),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2460),
    [sym_sequence_expression] = STATE(2460),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(965),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2586),
    [sym_sequence_expression] = STATE(2586),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2440),
    [sym_sequence_expression] = STATE(2440),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2475),
    [sym_sequence_expression] = STATE(2475),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1215),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__expressions] = STATE(2469),
    [sym_sequence_expression] = STATE(2469),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym__expressions] = STATE(1983),
    [sym_sequence_expression] = STATE(1983),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2296),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1543),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2128),
    [sym_function_call_expression] = STATE(677),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(677),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(677),
    [sym_nullsafe_member_call_expression] = STATE(677),
    [sym__variable_subscript_expression] = STATE(692),
    [sym__dereferencable_subscript_expression] = STATE(677),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(677),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(2413),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym__expressions] = STATE(1957),
    [sym_sequence_expression] = STATE(1957),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(998),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1042),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(998),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(998),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_by_ref] = STATE(1095),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym_variadic_unpacking] = STATE(2401),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1511),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(729),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(998),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(791),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_by_ref] = STATE(998),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(981),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_sequence_expression] = STATE(2369),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(989),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [anon_sym_RPAREN2] = ACTIONS(993),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1017),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(1001),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [anon_sym_RPAREN2] = ACTIONS(1003),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1007),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1009),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1011),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_sequence_expression] = STATE(2307),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1013),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1231),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_EQ_GT] = ACTIONS(1019),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(1021),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_sequence_expression] = STATE(2307),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_RBRACK] = ACTIONS(1023),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1172),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1087),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(986),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1093),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1043),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(992),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(986),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1041),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1038),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1036),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(986),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(992),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1010),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1274),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1035),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1027),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(992),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1034),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1261),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1040),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1094),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1033),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1032),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1031),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1030),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1029),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1028),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1014),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1026),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1151),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1025),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1024),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1023),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1022),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1021),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1238),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1020),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1016),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1037),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1013),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1262),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1044),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(659),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(659),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(659),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(659),
    [sym_list_literal] = STATE(2462),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(640),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(640),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(640),
    [sym_nullsafe_member_call_expression] = STATE(640),
    [sym__variable_subscript_expression] = STATE(646),
    [sym__dereferencable_subscript_expression] = STATE(640),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(646),
    [sym__callable_variable] = STATE(640),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(705),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(707),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [aux_sym_require_expression_token1] = ACTIONS(715),
    [aux_sym_require_once_expression_token1] = ACTIONS(717),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1011),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1012),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_match_expression] = STATE(1047),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1048),
    [sym_unary_op_expression] = STATE(1048),
    [sym_error_suppression_expression] = STATE(1047),
    [sym_clone_expression] = STATE(1048),
    [sym_primary_expression] = STATE(1048),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1048),
    [sym_cast_variable] = STATE(658),
    [sym_assignment_expression] = STATE(1047),
    [sym_reference_assignment_expression] = STATE(1047),
    [sym_conditional_expression] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(1047),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_list_literal] = STATE(2618),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(632),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym__variable_subscript_expression] = STATE(649),
    [sym__dereferencable_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(649),
    [sym__callable_variable] = STATE(632),
    [sym_variable_name] = STATE(637),
    [sym_yield_expression] = STATE(1047),
    [sym_binary_expression] = STATE(1047),
    [sym_include_expression] = STATE(1047),
    [sym_include_once_expression] = STATE(1047),
    [sym_require_expression] = STATE(1047),
    [sym_require_once_expression] = STATE(1047),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_match_expression_token1] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(107),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_yield_expression_token1] = ACTIONS(127),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [aux_sym_require_expression_token1] = ACTIONS(133),
    [aux_sym_require_once_expression_token1] = ACTIONS(135),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(636),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(636),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(636),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(636),
    [sym_list_literal] = STATE(2587),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(613),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(613),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(613),
    [sym_nullsafe_member_call_expression] = STATE(613),
    [sym__variable_subscript_expression] = STATE(625),
    [sym__dereferencable_subscript_expression] = STATE(613),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(625),
    [sym__callable_variable] = STATE(613),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_match_expression] = STATE(982),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(983),
    [sym_unary_op_expression] = STATE(983),
    [sym_error_suppression_expression] = STATE(982),
    [sym_clone_expression] = STATE(983),
    [sym_primary_expression] = STATE(983),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(983),
    [sym_cast_variable] = STATE(669),
    [sym_assignment_expression] = STATE(982),
    [sym_reference_assignment_expression] = STATE(982),
    [sym_conditional_expression] = STATE(982),
    [sym_augmented_assignment_expression] = STATE(982),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_list_literal] = STATE(2554),
    [sym__list_destructing] = STATE(2229),
    [sym__array_destructing] = STATE(2229),
    [sym_function_call_expression] = STATE(650),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(650),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(650),
    [sym_nullsafe_member_call_expression] = STATE(650),
    [sym__variable_subscript_expression] = STATE(670),
    [sym__dereferencable_subscript_expression] = STATE(650),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(650),
    [sym_variable_name] = STATE(600),
    [sym_yield_expression] = STATE(982),
    [sym_binary_expression] = STATE(982),
    [sym_include_expression] = STATE(982),
    [sym_include_once_expression] = STATE(982),
    [sym_require_expression] = STATE(982),
    [sym_require_once_expression] = STATE(982),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_match_expression_token1] = ACTIONS(645),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [aux_sym__list_destructing_token1] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_yield_expression_token1] = ACTIONS(745),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [aux_sym_require_expression_token1] = ACTIONS(753),
    [aux_sym_require_once_expression_token1] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__unary_expression] = STATE(979),
    [sym_unary_op_expression] = STATE(979),
    [sym_error_suppression_expression] = STATE(979),
    [sym_clone_expression] = STATE(979),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(979),
    [sym_cast_variable] = STATE(611),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(611),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(611),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(611),
    [sym_function_call_expression] = STATE(597),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(612),
    [sym__callable_variable] = STATE(597),
    [sym_variable_name] = STATE(600),
    [sym_include_expression] = STATE(979),
    [sym_include_once_expression] = STATE(979),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(635),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__unary_expression] = STATE(979),
    [sym_unary_op_expression] = STATE(979),
    [sym_error_suppression_expression] = STATE(979),
    [sym_clone_expression] = STATE(979),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(979),
    [sym_cast_variable] = STATE(611),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(611),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(611),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(611),
    [sym_function_call_expression] = STATE(597),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(612),
    [sym__callable_variable] = STATE(597),
    [sym_variable_name] = STATE(600),
    [sym_include_expression] = STATE(979),
    [sym_include_once_expression] = STATE(979),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(727),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_AT] = ACTIONS(737),
    [aux_sym_clone_expression_token1] = ACTIONS(739),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(749),
    [aux_sym_include_once_expression_token1] = ACTIONS(751),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__unary_expression] = STATE(979),
    [sym_unary_op_expression] = STATE(979),
    [sym_error_suppression_expression] = STATE(979),
    [sym_clone_expression] = STATE(979),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(979),
    [sym_cast_variable] = STATE(664),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(664),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(664),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(664),
    [sym_function_call_expression] = STATE(648),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(648),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(648),
    [sym_nullsafe_member_call_expression] = STATE(648),
    [sym__variable_subscript_expression] = STATE(662),
    [sym__dereferencable_subscript_expression] = STATE(648),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(648),
    [sym_variable_name] = STATE(600),
    [sym_include_expression] = STATE(979),
    [sym_include_once_expression] = STATE(979),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(649),
    [anon_sym_BANG] = ACTIONS(649),
    [anon_sym_AT] = ACTIONS(651),
    [aux_sym_clone_expression_token1] = ACTIONS(653),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1629),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym__unary_expression] = STATE(1117),
    [sym_unary_op_expression] = STATE(1117),
    [sym_error_suppression_expression] = STATE(1117),
    [sym_clone_expression] = STATE(1117),
    [sym_primary_expression] = STATE(1117),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_expression] = STATE(1117),
    [sym_cast_variable] = STATE(661),
    [sym__variable_member_access_expression] = STATE(655),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_function_call_expression] = STATE(620),
    [sym__callable_expression] = STATE(2230),
    [sym_scoped_call_expression] = STATE(620),
    [sym__scope_resolution_qualifier] = STATE(2613),
    [sym_relative_scope] = STATE(2613),
    [sym_member_call_expression] = STATE(620),
    [sym_nullsafe_member_call_expression] = STATE(620),
    [sym__variable_subscript_expression] = STATE(660),
    [sym__dereferencable_subscript_expression] = STATE(620),
    [sym__dereferencable_expression] = STATE(1826),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(637),
    [sym__simple_variable] = STATE(637),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(620),
    [sym_variable_name] = STATE(637),
    [sym_include_expression] = STATE(1117),
    [sym_include_once_expression] = STATE(1117),
    [sym__reserved_identifier] = STATE(1629),
    [sym__identifier] = STATE(1629),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(49),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AT] = ACTIONS(95),
    [aux_sym_clone_expression_token1] = ACTIONS(97),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(125),
    [aux_sym_include_expression_token1] = ACTIONS(129),
    [aux_sym_include_once_expression_token1] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1611),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym__unary_expression] = STATE(979),
    [sym_unary_op_expression] = STATE(979),
    [sym_error_suppression_expression] = STATE(979),
    [sym_clone_expression] = STATE(979),
    [sym_primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_expression] = STATE(979),
    [sym_cast_variable] = STATE(611),
    [sym__variable_member_access_expression] = STATE(599),
    [sym_member_access_expression] = STATE(611),
    [sym__variable_nullsafe_member_access_expression] = STATE(594),
    [sym_nullsafe_member_access_expression] = STATE(611),
    [sym__variable_scoped_property_access_expression] = STATE(595),
    [sym_scoped_property_access_expression] = STATE(611),
    [sym_function_call_expression] = STATE(597),
    [sym__callable_expression] = STATE(2252),
    [sym_scoped_call_expression] = STATE(597),
    [sym__scope_resolution_qualifier] = STATE(2583),
    [sym_relative_scope] = STATE(2583),
    [sym_member_call_expression] = STATE(597),
    [sym_nullsafe_member_call_expression] = STATE(597),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(597),
    [sym__dereferencable_expression] = STATE(1832),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(600),
    [sym__simple_variable] = STATE(600),
    [sym__new_variable] = STATE(612),
    [sym__callable_variable] = STATE(597),
    [sym_variable_name] = STATE(600),
    [sym_include_expression] = STATE(979),
    [sym_include_once_expression] = STATE(979),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1611),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(689),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [anon_sym_PLUS] = ACTIONS(695),
    [anon_sym_DASH] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [aux_sym_clone_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [aux_sym_include_expression_token1] = ACTIONS(711),
    [aux_sym_include_once_expression_token1] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_catch_clause] = STATE(442),
    [sym_finally_clause] = STATE(442),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1033),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_catch_clause] = STATE(442),
    [sym_finally_clause] = STATE(442),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1041),
    [aux_sym_finally_clause_token1] = ACTIONS(1044),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_else_if_clause] = STATE(510),
    [sym_else_clause] = STATE(540),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN2] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_else_if_clause] = STATE(510),
    [sym_else_clause] = STATE(507),
    [aux_sym_if_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_name] = ACTIONS(1059),
    [anon_sym_QMARK_GT] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1059),
    [aux_sym_global_declaration_token1] = ACTIONS(1059),
    [aux_sym_namespace_definition_token1] = ACTIONS(1059),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1059),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [aux_sym_trait_declaration_token1] = ACTIONS(1059),
    [aux_sym_interface_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_case_token1] = ACTIONS(1059),
    [aux_sym_class_declaration_token1] = ACTIONS(1059),
    [aux_sym_final_modifier_token1] = ACTIONS(1059),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1059),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1059),
    [sym_var_modifier] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1059),
    [anon_sym_LPAREN2] = ACTIONS(1057),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1059),
    [aux_sym_cast_type_token1] = ACTIONS(1059),
    [aux_sym_echo_statement_token1] = ACTIONS(1059),
    [aux_sym_exit_statement_token1] = ACTIONS(1059),
    [anon_sym_unset] = ACTIONS(1059),
    [aux_sym_declare_statement_token1] = ACTIONS(1059),
    [aux_sym_declare_statement_token2] = ACTIONS(1059),
    [sym_float] = ACTIONS(1059),
    [aux_sym_try_statement_token1] = ACTIONS(1059),
    [aux_sym_goto_statement_token1] = ACTIONS(1059),
    [aux_sym_continue_statement_token1] = ACTIONS(1059),
    [aux_sym_break_statement_token1] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [aux_sym_return_statement_token1] = ACTIONS(1059),
    [aux_sym_throw_expression_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token2] = ACTIONS(1059),
    [aux_sym_do_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token2] = ACTIONS(1059),
    [aux_sym_foreach_statement_token1] = ACTIONS(1059),
    [aux_sym_foreach_statement_token2] = ACTIONS(1059),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_if_statement_token2] = ACTIONS(1059),
    [aux_sym_else_if_clause_token1] = ACTIONS(1061),
    [aux_sym_else_clause_token1] = ACTIONS(1063),
    [aux_sym_match_expression_token1] = ACTIONS(1059),
    [aux_sym_match_default_expression_token1] = ACTIONS(1059),
    [aux_sym_switch_statement_token1] = ACTIONS(1059),
    [aux_sym_switch_block_token1] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [aux_sym_clone_expression_token1] = ACTIONS(1059),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1059),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [aux_sym__list_destructing_token1] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(1059),
    [anon_sym_parent] = ACTIONS(1059),
    [aux_sym__argument_name_token1] = ACTIONS(1059),
    [aux_sym__argument_name_token2] = ACTIONS(1059),
    [anon_sym_POUND_LBRACK] = ACTIONS(1057),
    [aux_sym_encapsed_string_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [aux_sym_string_token1] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1057),
    [anon_sym_LT_LT_LT] = ACTIONS(1057),
    [anon_sym_BQUOTE] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [aux_sym_yield_expression_token1] = ACTIONS(1059),
    [aux_sym_include_expression_token1] = ACTIONS(1059),
    [aux_sym_include_once_expression_token1] = ACTIONS(1059),
    [aux_sym_require_expression_token1] = ACTIONS(1059),
    [aux_sym_require_once_expression_token1] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_else_if_clause] = STATE(510),
    [sym_else_clause] = STATE(540),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(1047),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1049),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_declaration_token1] = ACTIONS(1049),
    [aux_sym_enum_case_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_final_modifier_token1] = ACTIONS(1049),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1049),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1049),
    [sym_var_modifier] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN2] = ACTIONS(1047),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1049),
    [aux_sym_cast_type_token1] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [aux_sym_exit_statement_token1] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [aux_sym_declare_statement_token2] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1061),
    [aux_sym_else_clause_token1] = ACTIONS(1063),
    [aux_sym_match_expression_token1] = ACTIONS(1049),
    [aux_sym_match_default_expression_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_AT] = ACTIONS(1047),
    [aux_sym_clone_expression_token1] = ACTIONS(1049),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1049),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1049),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [aux_sym__list_destructing_token1] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [aux_sym__argument_name_token1] = ACTIONS(1049),
    [aux_sym__argument_name_token2] = ACTIONS(1049),
    [anon_sym_POUND_LBRACK] = ACTIONS(1047),
    [aux_sym_encapsed_string_token1] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_string_token1] = ACTIONS(1047),
    [anon_sym_SQUOTE] = ACTIONS(1047),
    [anon_sym_LT_LT_LT] = ACTIONS(1047),
    [anon_sym_BQUOTE] = ACTIONS(1047),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [aux_sym_yield_expression_token1] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_else_if_clause] = STATE(510),
    [sym_else_clause] = STATE(507),
    [aux_sym_if_statement_repeat1] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1057),
    [sym_name] = ACTIONS(1059),
    [anon_sym_QMARK_GT] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1057),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1059),
    [aux_sym_global_declaration_token1] = ACTIONS(1059),
    [aux_sym_namespace_definition_token1] = ACTIONS(1059),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1059),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1059),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1057),
    [anon_sym_RBRACE] = ACTIONS(1057),
    [aux_sym_trait_declaration_token1] = ACTIONS(1059),
    [aux_sym_interface_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_declaration_token1] = ACTIONS(1059),
    [aux_sym_enum_case_token1] = ACTIONS(1059),
    [aux_sym_class_declaration_token1] = ACTIONS(1059),
    [aux_sym_final_modifier_token1] = ACTIONS(1059),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1059),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1059),
    [sym_var_modifier] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1059),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1059),
    [anon_sym_LPAREN2] = ACTIONS(1057),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1059),
    [aux_sym_cast_type_token1] = ACTIONS(1059),
    [aux_sym_echo_statement_token1] = ACTIONS(1059),
    [aux_sym_exit_statement_token1] = ACTIONS(1059),
    [anon_sym_unset] = ACTIONS(1059),
    [aux_sym_declare_statement_token1] = ACTIONS(1059),
    [aux_sym_declare_statement_token2] = ACTIONS(1059),
    [sym_float] = ACTIONS(1059),
    [aux_sym_try_statement_token1] = ACTIONS(1059),
    [aux_sym_goto_statement_token1] = ACTIONS(1059),
    [aux_sym_continue_statement_token1] = ACTIONS(1059),
    [aux_sym_break_statement_token1] = ACTIONS(1059),
    [sym_integer] = ACTIONS(1059),
    [aux_sym_return_statement_token1] = ACTIONS(1059),
    [aux_sym_throw_expression_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token1] = ACTIONS(1059),
    [aux_sym_while_statement_token2] = ACTIONS(1059),
    [aux_sym_do_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token1] = ACTIONS(1059),
    [aux_sym_for_statement_token2] = ACTIONS(1059),
    [aux_sym_foreach_statement_token1] = ACTIONS(1059),
    [aux_sym_foreach_statement_token2] = ACTIONS(1059),
    [aux_sym_if_statement_token1] = ACTIONS(1059),
    [aux_sym_if_statement_token2] = ACTIONS(1059),
    [aux_sym_else_if_clause_token1] = ACTIONS(1065),
    [aux_sym_else_clause_token1] = ACTIONS(1068),
    [aux_sym_match_expression_token1] = ACTIONS(1059),
    [aux_sym_match_default_expression_token1] = ACTIONS(1059),
    [aux_sym_switch_statement_token1] = ACTIONS(1059),
    [aux_sym_switch_block_token1] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1059),
    [anon_sym_DASH] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [aux_sym_clone_expression_token1] = ACTIONS(1059),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1059),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1057),
    [aux_sym__list_destructing_token1] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_self] = ACTIONS(1059),
    [anon_sym_parent] = ACTIONS(1059),
    [aux_sym__argument_name_token1] = ACTIONS(1059),
    [aux_sym__argument_name_token2] = ACTIONS(1059),
    [anon_sym_POUND_LBRACK] = ACTIONS(1057),
    [aux_sym_encapsed_string_token1] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [aux_sym_string_token1] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(1057),
    [anon_sym_LT_LT_LT] = ACTIONS(1057),
    [anon_sym_BQUOTE] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1057),
    [aux_sym_yield_expression_token1] = ACTIONS(1059),
    [aux_sym_include_expression_token1] = ACTIONS(1059),
    [aux_sym_include_once_expression_token1] = ACTIONS(1059),
    [aux_sym_require_expression_token1] = ACTIONS(1059),
    [aux_sym_require_once_expression_token1] = ACTIONS(1059),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(1071),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1073),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_declaration_token1] = ACTIONS(1073),
    [aux_sym_enum_case_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_final_modifier_token1] = ACTIONS(1073),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1073),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1073),
    [sym_var_modifier] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN2] = ACTIONS(1071),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1073),
    [aux_sym_cast_type_token1] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [aux_sym_exit_statement_token1] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [aux_sym_declare_statement_token2] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_catch_clause_token1] = ACTIONS(1073),
    [aux_sym_finally_clause_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_match_expression_token1] = ACTIONS(1073),
    [aux_sym_match_default_expression_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_AT] = ACTIONS(1071),
    [aux_sym_clone_expression_token1] = ACTIONS(1073),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1073),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1073),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [aux_sym__list_destructing_token1] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [aux_sym__argument_name_token1] = ACTIONS(1073),
    [aux_sym__argument_name_token2] = ACTIONS(1073),
    [anon_sym_POUND_LBRACK] = ACTIONS(1071),
    [aux_sym_encapsed_string_token1] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1071),
    [aux_sym_string_token1] = ACTIONS(1071),
    [anon_sym_SQUOTE] = ACTIONS(1071),
    [anon_sym_LT_LT_LT] = ACTIONS(1071),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [aux_sym_yield_expression_token1] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_else_if_clause] = STATE(510),
    [aux_sym_if_statement_repeat1] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_name] = ACTIONS(1077),
    [anon_sym_QMARK_GT] = ACTIONS(1075),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1077),
    [aux_sym_global_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_definition_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1077),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1077),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [aux_sym_trait_declaration_token1] = ACTIONS(1077),
    [aux_sym_interface_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_declaration_token1] = ACTIONS(1077),
    [aux_sym_enum_case_token1] = ACTIONS(1077),
    [aux_sym_class_declaration_token1] = ACTIONS(1077),
    [aux_sym_final_modifier_token1] = ACTIONS(1077),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1077),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1077),
    [sym_var_modifier] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1077),
    [anon_sym_LPAREN2] = ACTIONS(1075),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1077),
    [aux_sym_cast_type_token1] = ACTIONS(1077),
    [aux_sym_echo_statement_token1] = ACTIONS(1077),
    [aux_sym_exit_statement_token1] = ACTIONS(1077),
    [anon_sym_unset] = ACTIONS(1077),
    [aux_sym_declare_statement_token1] = ACTIONS(1077),
    [aux_sym_declare_statement_token2] = ACTIONS(1077),
    [sym_float] = ACTIONS(1077),
    [aux_sym_try_statement_token1] = ACTIONS(1077),
    [aux_sym_goto_statement_token1] = ACTIONS(1077),
    [aux_sym_continue_statement_token1] = ACTIONS(1077),
    [aux_sym_break_statement_token1] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1077),
    [aux_sym_return_statement_token1] = ACTIONS(1077),
    [aux_sym_throw_expression_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token2] = ACTIONS(1077),
    [aux_sym_do_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token2] = ACTIONS(1077),
    [aux_sym_foreach_statement_token1] = ACTIONS(1077),
    [aux_sym_foreach_statement_token2] = ACTIONS(1077),
    [aux_sym_if_statement_token1] = ACTIONS(1077),
    [aux_sym_if_statement_token2] = ACTIONS(1077),
    [aux_sym_else_if_clause_token1] = ACTIONS(1079),
    [aux_sym_else_clause_token1] = ACTIONS(1077),
    [aux_sym_match_expression_token1] = ACTIONS(1077),
    [aux_sym_match_default_expression_token1] = ACTIONS(1077),
    [aux_sym_switch_statement_token1] = ACTIONS(1077),
    [aux_sym_switch_block_token1] = ACTIONS(1077),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_AT] = ACTIONS(1075),
    [aux_sym_clone_expression_token1] = ACTIONS(1077),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1077),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1077),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [aux_sym__list_destructing_token1] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_self] = ACTIONS(1077),
    [anon_sym_parent] = ACTIONS(1077),
    [aux_sym__argument_name_token1] = ACTIONS(1077),
    [aux_sym__argument_name_token2] = ACTIONS(1077),
    [anon_sym_POUND_LBRACK] = ACTIONS(1075),
    [aux_sym_encapsed_string_token1] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1075),
    [aux_sym_string_token1] = ACTIONS(1075),
    [anon_sym_SQUOTE] = ACTIONS(1075),
    [anon_sym_LT_LT_LT] = ACTIONS(1075),
    [anon_sym_BQUOTE] = ACTIONS(1075),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [aux_sym_yield_expression_token1] = ACTIONS(1077),
    [aux_sym_include_expression_token1] = ACTIONS(1077),
    [aux_sym_include_once_expression_token1] = ACTIONS(1077),
    [aux_sym_require_expression_token1] = ACTIONS(1077),
    [aux_sym_require_once_expression_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(1082),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_catch_clause_token1] = ACTIONS(1084),
    [aux_sym_finally_clause_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1088),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [sym_var_modifier] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [anon_sym_LPAREN2] = ACTIONS(1086),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [aux_sym_exit_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_catch_clause_token1] = ACTIONS(1088),
    [aux_sym_finally_clause_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [aux_sym__argument_name_token1] = ACTIONS(1088),
    [aux_sym__argument_name_token2] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_name] = ACTIONS(1092),
    [anon_sym_QMARK_GT] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1092),
    [aux_sym_global_declaration_token1] = ACTIONS(1092),
    [aux_sym_namespace_definition_token1] = ACTIONS(1092),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1092),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1092),
    [anon_sym_BSLASH] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [aux_sym_trait_declaration_token1] = ACTIONS(1092),
    [aux_sym_interface_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_declaration_token1] = ACTIONS(1092),
    [aux_sym_enum_case_token1] = ACTIONS(1092),
    [aux_sym_class_declaration_token1] = ACTIONS(1092),
    [aux_sym_final_modifier_token1] = ACTIONS(1092),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1092),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1092),
    [sym_var_modifier] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1092),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1092),
    [anon_sym_LPAREN2] = ACTIONS(1090),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1092),
    [aux_sym_echo_statement_token1] = ACTIONS(1092),
    [aux_sym_exit_statement_token1] = ACTIONS(1092),
    [anon_sym_unset] = ACTIONS(1092),
    [aux_sym_declare_statement_token1] = ACTIONS(1092),
    [aux_sym_declare_statement_token2] = ACTIONS(1092),
    [sym_float] = ACTIONS(1092),
    [aux_sym_try_statement_token1] = ACTIONS(1092),
    [aux_sym_catch_clause_token1] = ACTIONS(1092),
    [aux_sym_finally_clause_token1] = ACTIONS(1092),
    [aux_sym_goto_statement_token1] = ACTIONS(1092),
    [aux_sym_continue_statement_token1] = ACTIONS(1092),
    [aux_sym_break_statement_token1] = ACTIONS(1092),
    [sym_integer] = ACTIONS(1092),
    [aux_sym_return_statement_token1] = ACTIONS(1092),
    [aux_sym_throw_expression_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token1] = ACTIONS(1092),
    [aux_sym_while_statement_token2] = ACTIONS(1092),
    [aux_sym_do_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token1] = ACTIONS(1092),
    [aux_sym_for_statement_token2] = ACTIONS(1092),
    [aux_sym_foreach_statement_token1] = ACTIONS(1092),
    [aux_sym_foreach_statement_token2] = ACTIONS(1092),
    [aux_sym_if_statement_token1] = ACTIONS(1092),
    [aux_sym_if_statement_token2] = ACTIONS(1092),
    [aux_sym_else_if_clause_token1] = ACTIONS(1092),
    [aux_sym_else_clause_token1] = ACTIONS(1092),
    [aux_sym_match_expression_token1] = ACTIONS(1092),
    [aux_sym_match_default_expression_token1] = ACTIONS(1092),
    [aux_sym_switch_statement_token1] = ACTIONS(1092),
    [aux_sym_switch_block_token1] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [aux_sym_clone_expression_token1] = ACTIONS(1092),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1092),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [aux_sym__list_destructing_token1] = ACTIONS(1092),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_self] = ACTIONS(1092),
    [anon_sym_parent] = ACTIONS(1092),
    [aux_sym__argument_name_token1] = ACTIONS(1092),
    [aux_sym__argument_name_token2] = ACTIONS(1092),
    [anon_sym_POUND_LBRACK] = ACTIONS(1090),
    [aux_sym_encapsed_string_token1] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [aux_sym_string_token1] = ACTIONS(1090),
    [anon_sym_SQUOTE] = ACTIONS(1090),
    [anon_sym_LT_LT_LT] = ACTIONS(1090),
    [anon_sym_BQUOTE] = ACTIONS(1090),
    [anon_sym_DOLLAR] = ACTIONS(1090),
    [aux_sym_yield_expression_token1] = ACTIONS(1092),
    [aux_sym_include_expression_token1] = ACTIONS(1092),
    [aux_sym_include_once_expression_token1] = ACTIONS(1092),
    [aux_sym_require_expression_token1] = ACTIONS(1092),
    [aux_sym_require_once_expression_token1] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_catch_clause_token1] = ACTIONS(1096),
    [aux_sym_finally_clause_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1100),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [sym_var_modifier] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [anon_sym_LPAREN2] = ACTIONS(1098),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [aux_sym_exit_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [aux_sym__argument_name_token1] = ACTIONS(1100),
    [aux_sym__argument_name_token2] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_name] = ACTIONS(1104),
    [anon_sym_QMARK_GT] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1104),
    [aux_sym_global_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_definition_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1104),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1104),
    [anon_sym_BSLASH] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [aux_sym_trait_declaration_token1] = ACTIONS(1104),
    [aux_sym_interface_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_case_token1] = ACTIONS(1104),
    [aux_sym_class_declaration_token1] = ACTIONS(1104),
    [aux_sym_final_modifier_token1] = ACTIONS(1104),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1104),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1104),
    [sym_var_modifier] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1104),
    [anon_sym_LPAREN2] = ACTIONS(1102),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1104),
    [aux_sym_echo_statement_token1] = ACTIONS(1104),
    [aux_sym_exit_statement_token1] = ACTIONS(1104),
    [anon_sym_unset] = ACTIONS(1104),
    [aux_sym_declare_statement_token1] = ACTIONS(1104),
    [aux_sym_declare_statement_token2] = ACTIONS(1104),
    [sym_float] = ACTIONS(1104),
    [aux_sym_try_statement_token1] = ACTIONS(1104),
    [aux_sym_goto_statement_token1] = ACTIONS(1104),
    [aux_sym_continue_statement_token1] = ACTIONS(1104),
    [aux_sym_break_statement_token1] = ACTIONS(1104),
    [sym_integer] = ACTIONS(1104),
    [aux_sym_return_statement_token1] = ACTIONS(1104),
    [aux_sym_throw_expression_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token2] = ACTIONS(1104),
    [aux_sym_do_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token2] = ACTIONS(1104),
    [aux_sym_foreach_statement_token1] = ACTIONS(1104),
    [aux_sym_foreach_statement_token2] = ACTIONS(1104),
    [aux_sym_if_statement_token1] = ACTIONS(1104),
    [aux_sym_if_statement_token2] = ACTIONS(1104),
    [aux_sym_else_if_clause_token1] = ACTIONS(1104),
    [aux_sym_else_clause_token1] = ACTIONS(1104),
    [aux_sym_match_expression_token1] = ACTIONS(1104),
    [aux_sym_match_default_expression_token1] = ACTIONS(1104),
    [aux_sym_switch_statement_token1] = ACTIONS(1104),
    [aux_sym_switch_block_token1] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [aux_sym_clone_expression_token1] = ACTIONS(1104),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1104),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [aux_sym__list_destructing_token1] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_self] = ACTIONS(1104),
    [anon_sym_parent] = ACTIONS(1104),
    [aux_sym__argument_name_token1] = ACTIONS(1104),
    [aux_sym__argument_name_token2] = ACTIONS(1104),
    [anon_sym_POUND_LBRACK] = ACTIONS(1102),
    [aux_sym_encapsed_string_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [aux_sym_string_token1] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [anon_sym_LT_LT_LT] = ACTIONS(1102),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [anon_sym_DOLLAR] = ACTIONS(1102),
    [aux_sym_yield_expression_token1] = ACTIONS(1104),
    [aux_sym_include_expression_token1] = ACTIONS(1104),
    [aux_sym_include_once_expression_token1] = ACTIONS(1104),
    [aux_sym_require_expression_token1] = ACTIONS(1104),
    [aux_sym_require_once_expression_token1] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_name] = ACTIONS(1108),
    [anon_sym_QMARK_GT] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1108),
    [aux_sym_global_declaration_token1] = ACTIONS(1108),
    [aux_sym_namespace_definition_token1] = ACTIONS(1108),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1108),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1108),
    [anon_sym_BSLASH] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [aux_sym_trait_declaration_token1] = ACTIONS(1108),
    [aux_sym_interface_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_declaration_token1] = ACTIONS(1108),
    [aux_sym_enum_case_token1] = ACTIONS(1108),
    [aux_sym_class_declaration_token1] = ACTIONS(1108),
    [aux_sym_final_modifier_token1] = ACTIONS(1108),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1108),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1108),
    [sym_var_modifier] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1108),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1108),
    [anon_sym_LPAREN2] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1108),
    [aux_sym_cast_type_token1] = ACTIONS(1108),
    [aux_sym_echo_statement_token1] = ACTIONS(1108),
    [aux_sym_exit_statement_token1] = ACTIONS(1108),
    [anon_sym_unset] = ACTIONS(1108),
    [aux_sym_declare_statement_token1] = ACTIONS(1108),
    [aux_sym_declare_statement_token2] = ACTIONS(1108),
    [sym_float] = ACTIONS(1108),
    [aux_sym_try_statement_token1] = ACTIONS(1108),
    [aux_sym_goto_statement_token1] = ACTIONS(1108),
    [aux_sym_continue_statement_token1] = ACTIONS(1108),
    [aux_sym_break_statement_token1] = ACTIONS(1108),
    [sym_integer] = ACTIONS(1108),
    [aux_sym_return_statement_token1] = ACTIONS(1108),
    [aux_sym_throw_expression_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token1] = ACTIONS(1108),
    [aux_sym_while_statement_token2] = ACTIONS(1108),
    [aux_sym_do_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token1] = ACTIONS(1108),
    [aux_sym_for_statement_token2] = ACTIONS(1108),
    [aux_sym_foreach_statement_token1] = ACTIONS(1108),
    [aux_sym_foreach_statement_token2] = ACTIONS(1108),
    [aux_sym_if_statement_token1] = ACTIONS(1108),
    [aux_sym_if_statement_token2] = ACTIONS(1108),
    [aux_sym_else_if_clause_token1] = ACTIONS(1108),
    [aux_sym_else_clause_token1] = ACTIONS(1108),
    [aux_sym_match_expression_token1] = ACTIONS(1108),
    [aux_sym_match_default_expression_token1] = ACTIONS(1108),
    [aux_sym_switch_statement_token1] = ACTIONS(1108),
    [aux_sym_switch_block_token1] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [aux_sym_clone_expression_token1] = ACTIONS(1108),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1108),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [aux_sym__list_destructing_token1] = ACTIONS(1108),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_self] = ACTIONS(1108),
    [anon_sym_parent] = ACTIONS(1108),
    [aux_sym__argument_name_token1] = ACTIONS(1108),
    [aux_sym__argument_name_token2] = ACTIONS(1108),
    [anon_sym_POUND_LBRACK] = ACTIONS(1106),
    [aux_sym_encapsed_string_token1] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [aux_sym_string_token1] = ACTIONS(1106),
    [anon_sym_SQUOTE] = ACTIONS(1106),
    [anon_sym_LT_LT_LT] = ACTIONS(1106),
    [anon_sym_BQUOTE] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1106),
    [aux_sym_yield_expression_token1] = ACTIONS(1108),
    [aux_sym_include_expression_token1] = ACTIONS(1108),
    [aux_sym_include_once_expression_token1] = ACTIONS(1108),
    [aux_sym_require_expression_token1] = ACTIONS(1108),
    [aux_sym_require_once_expression_token1] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1112),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [sym_var_modifier] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [anon_sym_LPAREN2] = ACTIONS(1110),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [aux_sym_exit_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [aux_sym__argument_name_token1] = ACTIONS(1112),
    [aux_sym__argument_name_token2] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1116),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [sym_var_modifier] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [anon_sym_LPAREN2] = ACTIONS(1114),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [aux_sym_exit_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [aux_sym__argument_name_token1] = ACTIONS(1116),
    [aux_sym__argument_name_token2] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_name] = ACTIONS(1120),
    [anon_sym_QMARK_GT] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1120),
    [aux_sym_global_declaration_token1] = ACTIONS(1120),
    [aux_sym_namespace_definition_token1] = ACTIONS(1120),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1120),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1120),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [aux_sym_trait_declaration_token1] = ACTIONS(1120),
    [aux_sym_interface_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_declaration_token1] = ACTIONS(1120),
    [aux_sym_enum_case_token1] = ACTIONS(1120),
    [aux_sym_class_declaration_token1] = ACTIONS(1120),
    [aux_sym_final_modifier_token1] = ACTIONS(1120),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1120),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1120),
    [sym_var_modifier] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1120),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1120),
    [anon_sym_LPAREN2] = ACTIONS(1118),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1120),
    [aux_sym_echo_statement_token1] = ACTIONS(1120),
    [aux_sym_exit_statement_token1] = ACTIONS(1120),
    [anon_sym_unset] = ACTIONS(1120),
    [aux_sym_declare_statement_token1] = ACTIONS(1120),
    [aux_sym_declare_statement_token2] = ACTIONS(1120),
    [sym_float] = ACTIONS(1120),
    [aux_sym_try_statement_token1] = ACTIONS(1120),
    [aux_sym_goto_statement_token1] = ACTIONS(1120),
    [aux_sym_continue_statement_token1] = ACTIONS(1120),
    [aux_sym_break_statement_token1] = ACTIONS(1120),
    [sym_integer] = ACTIONS(1120),
    [aux_sym_return_statement_token1] = ACTIONS(1120),
    [aux_sym_throw_expression_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token1] = ACTIONS(1120),
    [aux_sym_while_statement_token2] = ACTIONS(1120),
    [aux_sym_do_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token1] = ACTIONS(1120),
    [aux_sym_for_statement_token2] = ACTIONS(1120),
    [aux_sym_foreach_statement_token1] = ACTIONS(1120),
    [aux_sym_foreach_statement_token2] = ACTIONS(1120),
    [aux_sym_if_statement_token1] = ACTIONS(1120),
    [aux_sym_if_statement_token2] = ACTIONS(1120),
    [aux_sym_else_if_clause_token1] = ACTIONS(1120),
    [aux_sym_else_clause_token1] = ACTIONS(1120),
    [aux_sym_match_expression_token1] = ACTIONS(1120),
    [aux_sym_match_default_expression_token1] = ACTIONS(1120),
    [aux_sym_switch_statement_token1] = ACTIONS(1120),
    [aux_sym_switch_block_token1] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [aux_sym_clone_expression_token1] = ACTIONS(1120),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1120),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [aux_sym__list_destructing_token1] = ACTIONS(1120),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_self] = ACTIONS(1120),
    [anon_sym_parent] = ACTIONS(1120),
    [aux_sym__argument_name_token1] = ACTIONS(1120),
    [aux_sym__argument_name_token2] = ACTIONS(1120),
    [anon_sym_POUND_LBRACK] = ACTIONS(1118),
    [aux_sym_encapsed_string_token1] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [aux_sym_string_token1] = ACTIONS(1118),
    [anon_sym_SQUOTE] = ACTIONS(1118),
    [anon_sym_LT_LT_LT] = ACTIONS(1118),
    [anon_sym_BQUOTE] = ACTIONS(1118),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [aux_sym_yield_expression_token1] = ACTIONS(1120),
    [aux_sym_include_expression_token1] = ACTIONS(1120),
    [aux_sym_include_once_expression_token1] = ACTIONS(1120),
    [aux_sym_require_expression_token1] = ACTIONS(1120),
    [aux_sym_require_once_expression_token1] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_name] = ACTIONS(1124),
    [anon_sym_QMARK_GT] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1124),
    [aux_sym_global_declaration_token1] = ACTIONS(1124),
    [aux_sym_namespace_definition_token1] = ACTIONS(1124),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1124),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1124),
    [anon_sym_BSLASH] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [aux_sym_trait_declaration_token1] = ACTIONS(1124),
    [aux_sym_interface_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_declaration_token1] = ACTIONS(1124),
    [aux_sym_enum_case_token1] = ACTIONS(1124),
    [aux_sym_class_declaration_token1] = ACTIONS(1124),
    [aux_sym_final_modifier_token1] = ACTIONS(1124),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1124),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1124),
    [sym_var_modifier] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1124),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1124),
    [anon_sym_LPAREN2] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1124),
    [aux_sym_cast_type_token1] = ACTIONS(1124),
    [aux_sym_echo_statement_token1] = ACTIONS(1124),
    [aux_sym_exit_statement_token1] = ACTIONS(1124),
    [anon_sym_unset] = ACTIONS(1124),
    [aux_sym_declare_statement_token1] = ACTIONS(1124),
    [aux_sym_declare_statement_token2] = ACTIONS(1124),
    [sym_float] = ACTIONS(1124),
    [aux_sym_try_statement_token1] = ACTIONS(1124),
    [aux_sym_goto_statement_token1] = ACTIONS(1124),
    [aux_sym_continue_statement_token1] = ACTIONS(1124),
    [aux_sym_break_statement_token1] = ACTIONS(1124),
    [sym_integer] = ACTIONS(1124),
    [aux_sym_return_statement_token1] = ACTIONS(1124),
    [aux_sym_throw_expression_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token1] = ACTIONS(1124),
    [aux_sym_while_statement_token2] = ACTIONS(1124),
    [aux_sym_do_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token1] = ACTIONS(1124),
    [aux_sym_for_statement_token2] = ACTIONS(1124),
    [aux_sym_foreach_statement_token1] = ACTIONS(1124),
    [aux_sym_foreach_statement_token2] = ACTIONS(1124),
    [aux_sym_if_statement_token1] = ACTIONS(1124),
    [aux_sym_if_statement_token2] = ACTIONS(1124),
    [aux_sym_else_if_clause_token1] = ACTIONS(1124),
    [aux_sym_else_clause_token1] = ACTIONS(1124),
    [aux_sym_match_expression_token1] = ACTIONS(1124),
    [aux_sym_match_default_expression_token1] = ACTIONS(1124),
    [aux_sym_switch_statement_token1] = ACTIONS(1124),
    [aux_sym_switch_block_token1] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [aux_sym_clone_expression_token1] = ACTIONS(1124),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1124),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [aux_sym__list_destructing_token1] = ACTIONS(1124),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_self] = ACTIONS(1124),
    [anon_sym_parent] = ACTIONS(1124),
    [aux_sym__argument_name_token1] = ACTIONS(1124),
    [aux_sym__argument_name_token2] = ACTIONS(1124),
    [anon_sym_POUND_LBRACK] = ACTIONS(1122),
    [aux_sym_encapsed_string_token1] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [aux_sym_string_token1] = ACTIONS(1122),
    [anon_sym_SQUOTE] = ACTIONS(1122),
    [anon_sym_LT_LT_LT] = ACTIONS(1122),
    [anon_sym_BQUOTE] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1122),
    [aux_sym_yield_expression_token1] = ACTIONS(1124),
    [aux_sym_include_expression_token1] = ACTIONS(1124),
    [aux_sym_include_once_expression_token1] = ACTIONS(1124),
    [aux_sym_require_expression_token1] = ACTIONS(1124),
    [aux_sym_require_once_expression_token1] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1128),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [sym_var_modifier] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [anon_sym_LPAREN2] = ACTIONS(1126),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [aux_sym_exit_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [aux_sym__argument_name_token1] = ACTIONS(1128),
    [aux_sym__argument_name_token2] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1132),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [sym_var_modifier] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [anon_sym_LPAREN2] = ACTIONS(1130),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [aux_sym_exit_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [aux_sym__argument_name_token1] = ACTIONS(1132),
    [aux_sym__argument_name_token2] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1136),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [sym_var_modifier] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [anon_sym_LPAREN2] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [aux_sym_exit_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [aux_sym__argument_name_token1] = ACTIONS(1136),
    [aux_sym__argument_name_token2] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1140),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [sym_var_modifier] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [aux_sym_exit_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [aux_sym__argument_name_token1] = ACTIONS(1140),
    [aux_sym__argument_name_token2] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1144),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [sym_var_modifier] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [aux_sym_exit_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [aux_sym__argument_name_token1] = ACTIONS(1144),
    [aux_sym__argument_name_token2] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1148),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [sym_var_modifier] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [anon_sym_LPAREN2] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [aux_sym_exit_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [aux_sym__argument_name_token1] = ACTIONS(1148),
    [aux_sym__argument_name_token2] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1152),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [sym_var_modifier] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [anon_sym_LPAREN2] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [aux_sym_exit_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [aux_sym__argument_name_token1] = ACTIONS(1152),
    [aux_sym__argument_name_token2] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1156),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [sym_var_modifier] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [anon_sym_LPAREN2] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [aux_sym_exit_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [aux_sym__argument_name_token1] = ACTIONS(1156),
    [aux_sym__argument_name_token2] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1160),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [sym_var_modifier] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [anon_sym_LPAREN2] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [aux_sym_exit_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [aux_sym__argument_name_token1] = ACTIONS(1160),
    [aux_sym__argument_name_token2] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1164),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [sym_var_modifier] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [anon_sym_LPAREN2] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [aux_sym_exit_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [aux_sym__argument_name_token1] = ACTIONS(1164),
    [aux_sym__argument_name_token2] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1168),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [sym_var_modifier] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [anon_sym_LPAREN2] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [aux_sym_exit_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [aux_sym__argument_name_token1] = ACTIONS(1168),
    [aux_sym__argument_name_token2] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1172),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [sym_var_modifier] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [anon_sym_LPAREN2] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [aux_sym_exit_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [aux_sym__argument_name_token1] = ACTIONS(1172),
    [aux_sym__argument_name_token2] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1176),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [sym_var_modifier] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [anon_sym_LPAREN2] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [aux_sym_exit_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [aux_sym__argument_name_token1] = ACTIONS(1176),
    [aux_sym__argument_name_token2] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1180),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [sym_var_modifier] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [anon_sym_LPAREN2] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [aux_sym_exit_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [aux_sym__argument_name_token1] = ACTIONS(1180),
    [aux_sym__argument_name_token2] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1184),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [sym_var_modifier] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [anon_sym_LPAREN2] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [aux_sym_exit_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [aux_sym__argument_name_token1] = ACTIONS(1184),
    [aux_sym__argument_name_token2] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1188),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [sym_var_modifier] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [anon_sym_LPAREN2] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [aux_sym_exit_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [aux_sym__argument_name_token1] = ACTIONS(1188),
    [aux_sym__argument_name_token2] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1192),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [sym_var_modifier] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [anon_sym_LPAREN2] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [aux_sym_exit_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [aux_sym__argument_name_token1] = ACTIONS(1192),
    [aux_sym__argument_name_token2] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1196),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [sym_var_modifier] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [anon_sym_LPAREN2] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [aux_sym_exit_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [aux_sym__argument_name_token1] = ACTIONS(1196),
    [aux_sym__argument_name_token2] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1200),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [sym_var_modifier] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [anon_sym_LPAREN2] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [aux_sym_exit_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [aux_sym__argument_name_token1] = ACTIONS(1200),
    [aux_sym__argument_name_token2] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1204),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [sym_var_modifier] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [aux_sym_exit_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [aux_sym__argument_name_token1] = ACTIONS(1204),
    [aux_sym__argument_name_token2] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1208),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [sym_var_modifier] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [anon_sym_LPAREN2] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [aux_sym_exit_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [aux_sym__argument_name_token1] = ACTIONS(1208),
    [aux_sym__argument_name_token2] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1212),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [sym_var_modifier] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [anon_sym_LPAREN2] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [aux_sym_exit_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [aux_sym__argument_name_token1] = ACTIONS(1212),
    [aux_sym__argument_name_token2] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1216),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [sym_var_modifier] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [anon_sym_LPAREN2] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [aux_sym_exit_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [aux_sym__argument_name_token1] = ACTIONS(1216),
    [aux_sym__argument_name_token2] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1220),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [sym_var_modifier] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [anon_sym_LPAREN2] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [aux_sym_exit_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [aux_sym__argument_name_token1] = ACTIONS(1220),
    [aux_sym__argument_name_token2] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1224),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [sym_var_modifier] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [anon_sym_LPAREN2] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [aux_sym_exit_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [aux_sym__argument_name_token1] = ACTIONS(1224),
    [aux_sym__argument_name_token2] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1228),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [sym_var_modifier] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [anon_sym_LPAREN2] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [aux_sym_exit_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [aux_sym__argument_name_token1] = ACTIONS(1228),
    [aux_sym__argument_name_token2] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1232),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [sym_var_modifier] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [anon_sym_LPAREN2] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [aux_sym_exit_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [aux_sym__argument_name_token1] = ACTIONS(1232),
    [aux_sym__argument_name_token2] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1236),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [sym_var_modifier] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [anon_sym_LPAREN2] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [aux_sym_exit_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [aux_sym__argument_name_token1] = ACTIONS(1236),
    [aux_sym__argument_name_token2] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_name] = ACTIONS(1096),
    [anon_sym_QMARK_GT] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1096),
    [aux_sym_global_declaration_token1] = ACTIONS(1096),
    [aux_sym_namespace_definition_token1] = ACTIONS(1096),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1096),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1096),
    [anon_sym_BSLASH] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [aux_sym_trait_declaration_token1] = ACTIONS(1096),
    [aux_sym_interface_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_declaration_token1] = ACTIONS(1096),
    [aux_sym_enum_case_token1] = ACTIONS(1096),
    [aux_sym_class_declaration_token1] = ACTIONS(1096),
    [aux_sym_final_modifier_token1] = ACTIONS(1096),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1096),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1096),
    [sym_var_modifier] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1096),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1096),
    [anon_sym_LPAREN2] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1096),
    [aux_sym_cast_type_token1] = ACTIONS(1096),
    [aux_sym_echo_statement_token1] = ACTIONS(1096),
    [aux_sym_exit_statement_token1] = ACTIONS(1096),
    [anon_sym_unset] = ACTIONS(1096),
    [aux_sym_declare_statement_token1] = ACTIONS(1096),
    [aux_sym_declare_statement_token2] = ACTIONS(1096),
    [sym_float] = ACTIONS(1096),
    [aux_sym_try_statement_token1] = ACTIONS(1096),
    [aux_sym_goto_statement_token1] = ACTIONS(1096),
    [aux_sym_continue_statement_token1] = ACTIONS(1096),
    [aux_sym_break_statement_token1] = ACTIONS(1096),
    [sym_integer] = ACTIONS(1096),
    [aux_sym_return_statement_token1] = ACTIONS(1096),
    [aux_sym_throw_expression_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token1] = ACTIONS(1096),
    [aux_sym_while_statement_token2] = ACTIONS(1096),
    [aux_sym_do_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token1] = ACTIONS(1096),
    [aux_sym_for_statement_token2] = ACTIONS(1096),
    [aux_sym_foreach_statement_token1] = ACTIONS(1096),
    [aux_sym_foreach_statement_token2] = ACTIONS(1096),
    [aux_sym_if_statement_token1] = ACTIONS(1096),
    [aux_sym_if_statement_token2] = ACTIONS(1096),
    [aux_sym_else_if_clause_token1] = ACTIONS(1096),
    [aux_sym_else_clause_token1] = ACTIONS(1096),
    [aux_sym_match_expression_token1] = ACTIONS(1096),
    [aux_sym_match_default_expression_token1] = ACTIONS(1096),
    [aux_sym_switch_statement_token1] = ACTIONS(1096),
    [aux_sym_switch_block_token1] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [aux_sym_clone_expression_token1] = ACTIONS(1096),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1096),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [aux_sym__list_destructing_token1] = ACTIONS(1096),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_self] = ACTIONS(1096),
    [anon_sym_parent] = ACTIONS(1096),
    [aux_sym__argument_name_token1] = ACTIONS(1096),
    [aux_sym__argument_name_token2] = ACTIONS(1096),
    [anon_sym_POUND_LBRACK] = ACTIONS(1094),
    [aux_sym_encapsed_string_token1] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [aux_sym_string_token1] = ACTIONS(1094),
    [anon_sym_SQUOTE] = ACTIONS(1094),
    [anon_sym_LT_LT_LT] = ACTIONS(1094),
    [anon_sym_BQUOTE] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1094),
    [aux_sym_yield_expression_token1] = ACTIONS(1096),
    [aux_sym_include_expression_token1] = ACTIONS(1096),
    [aux_sym_include_once_expression_token1] = ACTIONS(1096),
    [aux_sym_require_expression_token1] = ACTIONS(1096),
    [aux_sym_require_once_expression_token1] = ACTIONS(1096),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1240),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [sym_var_modifier] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [anon_sym_LPAREN2] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [aux_sym_exit_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [aux_sym__argument_name_token1] = ACTIONS(1240),
    [aux_sym__argument_name_token2] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1244),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [sym_var_modifier] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [anon_sym_LPAREN2] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [aux_sym_exit_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [aux_sym__argument_name_token1] = ACTIONS(1244),
    [aux_sym__argument_name_token2] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1248),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [sym_var_modifier] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [anon_sym_LPAREN2] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [aux_sym_exit_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [aux_sym__argument_name_token1] = ACTIONS(1248),
    [aux_sym__argument_name_token2] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1252),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [sym_var_modifier] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [anon_sym_LPAREN2] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [aux_sym_exit_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [aux_sym__argument_name_token1] = ACTIONS(1252),
    [aux_sym__argument_name_token2] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1256),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [sym_var_modifier] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [anon_sym_LPAREN2] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [aux_sym_exit_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [aux_sym__argument_name_token1] = ACTIONS(1256),
    [aux_sym__argument_name_token2] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1260),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [sym_var_modifier] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [anon_sym_LPAREN2] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [aux_sym_exit_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [aux_sym__argument_name_token1] = ACTIONS(1260),
    [aux_sym__argument_name_token2] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1264),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [sym_var_modifier] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [anon_sym_LPAREN2] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [aux_sym_exit_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [aux_sym__argument_name_token1] = ACTIONS(1264),
    [aux_sym__argument_name_token2] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1268),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [sym_var_modifier] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [anon_sym_LPAREN2] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [aux_sym_exit_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [aux_sym__argument_name_token1] = ACTIONS(1268),
    [aux_sym__argument_name_token2] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1272),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [sym_var_modifier] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [anon_sym_LPAREN2] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [aux_sym_exit_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [aux_sym__argument_name_token1] = ACTIONS(1272),
    [aux_sym__argument_name_token2] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1276),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [sym_var_modifier] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [anon_sym_LPAREN2] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [aux_sym_exit_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [aux_sym__argument_name_token1] = ACTIONS(1276),
    [aux_sym__argument_name_token2] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1280),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [sym_var_modifier] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [anon_sym_LPAREN2] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [aux_sym_exit_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [aux_sym__argument_name_token1] = ACTIONS(1280),
    [aux_sym__argument_name_token2] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1284),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [sym_var_modifier] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [anon_sym_LPAREN2] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [aux_sym_exit_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [aux_sym__argument_name_token1] = ACTIONS(1284),
    [aux_sym__argument_name_token2] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1288),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [sym_var_modifier] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [anon_sym_LPAREN2] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [aux_sym_exit_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [aux_sym__argument_name_token1] = ACTIONS(1288),
    [aux_sym__argument_name_token2] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1292),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [sym_var_modifier] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [aux_sym_exit_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [aux_sym__argument_name_token1] = ACTIONS(1292),
    [aux_sym__argument_name_token2] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1296),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [sym_var_modifier] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [aux_sym_exit_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [aux_sym__argument_name_token1] = ACTIONS(1296),
    [aux_sym__argument_name_token2] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1300),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [sym_var_modifier] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [anon_sym_LPAREN2] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [aux_sym_exit_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [aux_sym__argument_name_token1] = ACTIONS(1300),
    [aux_sym__argument_name_token2] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1304),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [sym_var_modifier] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [anon_sym_LPAREN2] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [aux_sym_exit_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [aux_sym__argument_name_token1] = ACTIONS(1304),
    [aux_sym__argument_name_token2] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1308),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [sym_var_modifier] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [anon_sym_LPAREN2] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [aux_sym_exit_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [aux_sym__argument_name_token1] = ACTIONS(1308),
    [aux_sym__argument_name_token2] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1312),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [sym_var_modifier] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [aux_sym_exit_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [aux_sym__argument_name_token1] = ACTIONS(1312),
    [aux_sym__argument_name_token2] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1316),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [sym_var_modifier] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [aux_sym_exit_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [aux_sym__argument_name_token1] = ACTIONS(1316),
    [aux_sym__argument_name_token2] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1320),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [sym_var_modifier] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [anon_sym_LPAREN2] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [aux_sym_exit_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [aux_sym__argument_name_token1] = ACTIONS(1320),
    [aux_sym__argument_name_token2] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1324),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [sym_var_modifier] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [anon_sym_LPAREN2] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [aux_sym_exit_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [aux_sym__argument_name_token1] = ACTIONS(1324),
    [aux_sym__argument_name_token2] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1328),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [sym_var_modifier] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [anon_sym_LPAREN2] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [aux_sym_exit_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [aux_sym__argument_name_token1] = ACTIONS(1328),
    [aux_sym__argument_name_token2] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1332),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [sym_var_modifier] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [anon_sym_LPAREN2] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [aux_sym_exit_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [aux_sym__argument_name_token1] = ACTIONS(1332),
    [aux_sym__argument_name_token2] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1336),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [sym_var_modifier] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [anon_sym_LPAREN2] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [aux_sym_exit_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [aux_sym__argument_name_token1] = ACTIONS(1336),
    [aux_sym__argument_name_token2] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1340),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [sym_var_modifier] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [anon_sym_LPAREN2] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [aux_sym_exit_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [aux_sym__argument_name_token1] = ACTIONS(1340),
    [aux_sym__argument_name_token2] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1344),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [sym_var_modifier] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [anon_sym_LPAREN2] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [aux_sym_exit_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [aux_sym__argument_name_token1] = ACTIONS(1344),
    [aux_sym__argument_name_token2] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1348),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [sym_var_modifier] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [anon_sym_LPAREN2] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [aux_sym_exit_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [aux_sym__argument_name_token1] = ACTIONS(1348),
    [aux_sym__argument_name_token2] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1352),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [sym_var_modifier] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [anon_sym_LPAREN2] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [aux_sym_exit_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [aux_sym__argument_name_token1] = ACTIONS(1352),
    [aux_sym__argument_name_token2] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1084),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [sym_var_modifier] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [anon_sym_LPAREN2] = ACTIONS(1082),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [aux_sym_exit_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [aux_sym__argument_name_token1] = ACTIONS(1084),
    [aux_sym__argument_name_token2] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1356),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [sym_var_modifier] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [anon_sym_LPAREN2] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [aux_sym_exit_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [aux_sym__argument_name_token1] = ACTIONS(1356),
    [aux_sym__argument_name_token2] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1360),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [sym_var_modifier] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [anon_sym_LPAREN2] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [aux_sym_exit_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [aux_sym__argument_name_token1] = ACTIONS(1360),
    [aux_sym__argument_name_token2] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1364),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [sym_var_modifier] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [anon_sym_LPAREN2] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [aux_sym_exit_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [aux_sym__argument_name_token1] = ACTIONS(1364),
    [aux_sym__argument_name_token2] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1368),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [sym_var_modifier] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [anon_sym_LPAREN2] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [aux_sym_exit_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [aux_sym__argument_name_token1] = ACTIONS(1368),
    [aux_sym__argument_name_token2] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1372),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [sym_var_modifier] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [anon_sym_LPAREN2] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [aux_sym_exit_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [aux_sym__argument_name_token1] = ACTIONS(1372),
    [aux_sym__argument_name_token2] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1376),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [sym_var_modifier] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [aux_sym_exit_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [aux_sym__argument_name_token1] = ACTIONS(1376),
    [aux_sym__argument_name_token2] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1380),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [sym_var_modifier] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [anon_sym_LPAREN2] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [aux_sym_exit_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [aux_sym__argument_name_token1] = ACTIONS(1380),
    [aux_sym__argument_name_token2] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1384),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [sym_var_modifier] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [anon_sym_LPAREN2] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [aux_sym_exit_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [aux_sym__argument_name_token1] = ACTIONS(1384),
    [aux_sym__argument_name_token2] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1388),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [sym_var_modifier] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [aux_sym_exit_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [aux_sym__argument_name_token1] = ACTIONS(1388),
    [aux_sym__argument_name_token2] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1392),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [sym_var_modifier] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [anon_sym_LPAREN2] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [aux_sym_exit_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [aux_sym__argument_name_token1] = ACTIONS(1392),
    [aux_sym__argument_name_token2] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1396),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [sym_var_modifier] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [anon_sym_LPAREN2] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [aux_sym_exit_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [aux_sym__argument_name_token1] = ACTIONS(1396),
    [aux_sym__argument_name_token2] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1400),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [sym_var_modifier] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [anon_sym_LPAREN2] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [aux_sym_exit_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [aux_sym__argument_name_token1] = ACTIONS(1400),
    [aux_sym__argument_name_token2] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1404),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [sym_var_modifier] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [anon_sym_LPAREN2] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [aux_sym_exit_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [aux_sym__argument_name_token1] = ACTIONS(1404),
    [aux_sym__argument_name_token2] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1408),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [sym_var_modifier] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [anon_sym_LPAREN2] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [aux_sym_exit_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [aux_sym__argument_name_token1] = ACTIONS(1408),
    [aux_sym__argument_name_token2] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1412),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [sym_var_modifier] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [anon_sym_LPAREN2] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [aux_sym_exit_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [aux_sym__argument_name_token1] = ACTIONS(1412),
    [aux_sym__argument_name_token2] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1416),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [sym_var_modifier] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [aux_sym_exit_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [aux_sym__argument_name_token1] = ACTIONS(1416),
    [aux_sym__argument_name_token2] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1420),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [sym_var_modifier] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [aux_sym_exit_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [aux_sym__argument_name_token1] = ACTIONS(1420),
    [aux_sym__argument_name_token2] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1424),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [sym_var_modifier] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [aux_sym_exit_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [aux_sym__argument_name_token1] = ACTIONS(1424),
    [aux_sym__argument_name_token2] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1428),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [sym_var_modifier] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [aux_sym_exit_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [aux_sym__argument_name_token1] = ACTIONS(1428),
    [aux_sym__argument_name_token2] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1432),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [sym_var_modifier] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [aux_sym_exit_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [aux_sym__argument_name_token1] = ACTIONS(1432),
    [aux_sym__argument_name_token2] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1436),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [sym_var_modifier] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [aux_sym_exit_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [aux_sym__argument_name_token1] = ACTIONS(1436),
    [aux_sym__argument_name_token2] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1440),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [sym_var_modifier] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [aux_sym_exit_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [aux_sym__argument_name_token1] = ACTIONS(1440),
    [aux_sym__argument_name_token2] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1444),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [sym_var_modifier] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [aux_sym_exit_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [aux_sym__argument_name_token1] = ACTIONS(1444),
    [aux_sym__argument_name_token2] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1448),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [sym_var_modifier] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [aux_sym_exit_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [aux_sym__argument_name_token1] = ACTIONS(1448),
    [aux_sym__argument_name_token2] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1452),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [sym_var_modifier] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [aux_sym_exit_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [aux_sym__argument_name_token1] = ACTIONS(1452),
    [aux_sym__argument_name_token2] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1456),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [sym_var_modifier] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [aux_sym_exit_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [aux_sym__argument_name_token1] = ACTIONS(1456),
    [aux_sym__argument_name_token2] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1460),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [sym_var_modifier] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [aux_sym_exit_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [aux_sym__argument_name_token1] = ACTIONS(1460),
    [aux_sym__argument_name_token2] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1464),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [sym_var_modifier] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [aux_sym_exit_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [aux_sym__argument_name_token1] = ACTIONS(1464),
    [aux_sym__argument_name_token2] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1468),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [sym_var_modifier] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [aux_sym_exit_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [aux_sym__argument_name_token1] = ACTIONS(1468),
    [aux_sym__argument_name_token2] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1472),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [sym_var_modifier] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [aux_sym_exit_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [aux_sym__argument_name_token1] = ACTIONS(1472),
    [aux_sym__argument_name_token2] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1476),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [sym_var_modifier] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [aux_sym_exit_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [aux_sym__argument_name_token1] = ACTIONS(1476),
    [aux_sym__argument_name_token2] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1480),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [sym_var_modifier] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [aux_sym_exit_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [aux_sym__argument_name_token1] = ACTIONS(1480),
    [aux_sym__argument_name_token2] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1484),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [sym_var_modifier] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [aux_sym_exit_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [aux_sym__argument_name_token1] = ACTIONS(1484),
    [aux_sym__argument_name_token2] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1488),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [sym_var_modifier] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [aux_sym_exit_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [aux_sym__argument_name_token1] = ACTIONS(1488),
    [aux_sym__argument_name_token2] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1492),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [sym_var_modifier] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [aux_sym_exit_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [aux_sym__argument_name_token1] = ACTIONS(1492),
    [aux_sym__argument_name_token2] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1496),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [sym_var_modifier] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [aux_sym_exit_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [aux_sym__argument_name_token1] = ACTIONS(1496),
    [aux_sym__argument_name_token2] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1500),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [sym_var_modifier] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [aux_sym_exit_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [aux_sym__argument_name_token1] = ACTIONS(1500),
    [aux_sym__argument_name_token2] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1504),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [sym_var_modifier] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [aux_sym_exit_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [aux_sym__argument_name_token1] = ACTIONS(1504),
    [aux_sym__argument_name_token2] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_name] = ACTIONS(1508),
    [anon_sym_QMARK_GT] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1508),
    [aux_sym_global_declaration_token1] = ACTIONS(1508),
    [aux_sym_namespace_definition_token1] = ACTIONS(1508),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1508),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1508),
    [anon_sym_BSLASH] = ACTIONS(1506),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [aux_sym_trait_declaration_token1] = ACTIONS(1508),
    [aux_sym_interface_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_declaration_token1] = ACTIONS(1508),
    [aux_sym_enum_case_token1] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1508),
    [aux_sym_final_modifier_token1] = ACTIONS(1508),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1508),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1508),
    [sym_var_modifier] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1508),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1508),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1508),
    [aux_sym_echo_statement_token1] = ACTIONS(1508),
    [aux_sym_exit_statement_token1] = ACTIONS(1508),
    [anon_sym_unset] = ACTIONS(1508),
    [aux_sym_declare_statement_token1] = ACTIONS(1508),
    [aux_sym_declare_statement_token2] = ACTIONS(1508),
    [sym_float] = ACTIONS(1508),
    [aux_sym_try_statement_token1] = ACTIONS(1508),
    [aux_sym_goto_statement_token1] = ACTIONS(1508),
    [aux_sym_continue_statement_token1] = ACTIONS(1508),
    [aux_sym_break_statement_token1] = ACTIONS(1508),
    [sym_integer] = ACTIONS(1508),
    [aux_sym_return_statement_token1] = ACTIONS(1508),
    [aux_sym_throw_expression_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token1] = ACTIONS(1508),
    [aux_sym_while_statement_token2] = ACTIONS(1508),
    [aux_sym_do_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token1] = ACTIONS(1508),
    [aux_sym_for_statement_token2] = ACTIONS(1508),
    [aux_sym_foreach_statement_token1] = ACTIONS(1508),
    [aux_sym_foreach_statement_token2] = ACTIONS(1508),
    [aux_sym_if_statement_token1] = ACTIONS(1508),
    [aux_sym_if_statement_token2] = ACTIONS(1508),
    [aux_sym_else_if_clause_token1] = ACTIONS(1508),
    [aux_sym_else_clause_token1] = ACTIONS(1508),
    [aux_sym_match_expression_token1] = ACTIONS(1508),
    [aux_sym_match_default_expression_token1] = ACTIONS(1508),
    [aux_sym_switch_statement_token1] = ACTIONS(1508),
    [aux_sym_switch_block_token1] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1508),
    [anon_sym_DASH] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1506),
    [aux_sym_clone_expression_token1] = ACTIONS(1508),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1508),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [aux_sym__list_destructing_token1] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1506),
    [anon_sym_self] = ACTIONS(1508),
    [anon_sym_parent] = ACTIONS(1508),
    [aux_sym__argument_name_token1] = ACTIONS(1508),
    [aux_sym__argument_name_token2] = ACTIONS(1508),
    [anon_sym_POUND_LBRACK] = ACTIONS(1506),
    [aux_sym_encapsed_string_token1] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [aux_sym_string_token1] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_LT_LT_LT] = ACTIONS(1506),
    [anon_sym_BQUOTE] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1506),
    [aux_sym_yield_expression_token1] = ACTIONS(1508),
    [aux_sym_include_expression_token1] = ACTIONS(1508),
    [aux_sym_include_once_expression_token1] = ACTIONS(1508),
    [aux_sym_require_expression_token1] = ACTIONS(1508),
    [aux_sym_require_once_expression_token1] = ACTIONS(1508),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1510),
    [sym_name] = ACTIONS(1512),
    [anon_sym_QMARK_GT] = ACTIONS(1510),
    [anon_sym_SEMI] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1512),
    [aux_sym_global_declaration_token1] = ACTIONS(1512),
    [aux_sym_namespace_definition_token1] = ACTIONS(1512),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1512),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1512),
    [anon_sym_BSLASH] = ACTIONS(1510),
    [anon_sym_LBRACE] = ACTIONS(1510),
    [anon_sym_RBRACE] = ACTIONS(1510),
    [aux_sym_trait_declaration_token1] = ACTIONS(1512),
    [aux_sym_interface_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_declaration_token1] = ACTIONS(1512),
    [aux_sym_enum_case_token1] = ACTIONS(1512),
    [aux_sym_class_declaration_token1] = ACTIONS(1512),
    [aux_sym_final_modifier_token1] = ACTIONS(1512),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1512),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1512),
    [sym_var_modifier] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1512),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1512),
    [anon_sym_LPAREN2] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1512),
    [aux_sym_echo_statement_token1] = ACTIONS(1512),
    [aux_sym_exit_statement_token1] = ACTIONS(1512),
    [anon_sym_unset] = ACTIONS(1512),
    [aux_sym_declare_statement_token1] = ACTIONS(1512),
    [aux_sym_declare_statement_token2] = ACTIONS(1512),
    [sym_float] = ACTIONS(1512),
    [aux_sym_try_statement_token1] = ACTIONS(1512),
    [aux_sym_goto_statement_token1] = ACTIONS(1512),
    [aux_sym_continue_statement_token1] = ACTIONS(1512),
    [aux_sym_break_statement_token1] = ACTIONS(1512),
    [sym_integer] = ACTIONS(1512),
    [aux_sym_return_statement_token1] = ACTIONS(1512),
    [aux_sym_throw_expression_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token1] = ACTIONS(1512),
    [aux_sym_while_statement_token2] = ACTIONS(1512),
    [aux_sym_do_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token1] = ACTIONS(1512),
    [aux_sym_for_statement_token2] = ACTIONS(1512),
    [aux_sym_foreach_statement_token1] = ACTIONS(1512),
    [aux_sym_foreach_statement_token2] = ACTIONS(1512),
    [aux_sym_if_statement_token1] = ACTIONS(1512),
    [aux_sym_if_statement_token2] = ACTIONS(1512),
    [aux_sym_else_if_clause_token1] = ACTIONS(1512),
    [aux_sym_else_clause_token1] = ACTIONS(1512),
    [aux_sym_match_expression_token1] = ACTIONS(1512),
    [aux_sym_match_default_expression_token1] = ACTIONS(1512),
    [aux_sym_switch_statement_token1] = ACTIONS(1512),
    [aux_sym_switch_block_token1] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1512),
    [anon_sym_DASH] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1510),
    [anon_sym_BANG] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1510),
    [aux_sym_clone_expression_token1] = ACTIONS(1512),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1512),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1510),
    [aux_sym__list_destructing_token1] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1510),
    [anon_sym_self] = ACTIONS(1512),
    [anon_sym_parent] = ACTIONS(1512),
    [aux_sym__argument_name_token1] = ACTIONS(1512),
    [aux_sym__argument_name_token2] = ACTIONS(1512),
    [anon_sym_POUND_LBRACK] = ACTIONS(1510),
    [aux_sym_encapsed_string_token1] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [aux_sym_string_token1] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_LT_LT_LT] = ACTIONS(1510),
    [anon_sym_BQUOTE] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1510),
    [aux_sym_yield_expression_token1] = ACTIONS(1512),
    [aux_sym_include_expression_token1] = ACTIONS(1512),
    [aux_sym_include_once_expression_token1] = ACTIONS(1512),
    [aux_sym_require_expression_token1] = ACTIONS(1512),
    [aux_sym_require_once_expression_token1] = ACTIONS(1512),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1514),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(1514),
    [anon_sym_SEMI] = ACTIONS(1514),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1516),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1514),
    [anon_sym_LBRACE] = ACTIONS(1514),
    [anon_sym_RBRACE] = ACTIONS(1514),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_case_token1] = ACTIONS(1516),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [sym_var_modifier] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [aux_sym_exit_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [aux_sym_declare_statement_token2] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token2] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token2] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token2] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token2] = ACTIONS(1516),
    [aux_sym_else_if_clause_token1] = ACTIONS(1516),
    [aux_sym_else_clause_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_match_default_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [aux_sym_switch_block_token1] = ACTIONS(1516),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1514),
    [anon_sym_BANG] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1514),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1514),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1514),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [aux_sym__argument_name_token1] = ACTIONS(1516),
    [aux_sym__argument_name_token2] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1514),
    [aux_sym_encapsed_string_token1] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [aux_sym_string_token1] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_LT_LT_LT] = ACTIONS(1514),
    [anon_sym_BQUOTE] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1518),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1520),
    [aux_sym_global_declaration_token1] = ACTIONS(1520),
    [aux_sym_namespace_definition_token1] = ACTIONS(1520),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1520),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1520),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1520),
    [aux_sym_interface_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_declaration_token1] = ACTIONS(1520),
    [aux_sym_enum_case_token1] = ACTIONS(1520),
    [aux_sym_class_declaration_token1] = ACTIONS(1520),
    [aux_sym_final_modifier_token1] = ACTIONS(1520),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1520),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1520),
    [sym_var_modifier] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1520),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1520),
    [anon_sym_LPAREN2] = ACTIONS(1518),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1520),
    [aux_sym_cast_type_token1] = ACTIONS(1520),
    [aux_sym_echo_statement_token1] = ACTIONS(1520),
    [aux_sym_exit_statement_token1] = ACTIONS(1520),
    [anon_sym_unset] = ACTIONS(1520),
    [aux_sym_declare_statement_token1] = ACTIONS(1520),
    [aux_sym_declare_statement_token2] = ACTIONS(1520),
    [sym_float] = ACTIONS(1520),
    [aux_sym_try_statement_token1] = ACTIONS(1520),
    [aux_sym_goto_statement_token1] = ACTIONS(1520),
    [aux_sym_continue_statement_token1] = ACTIONS(1520),
    [aux_sym_break_statement_token1] = ACTIONS(1520),
    [sym_integer] = ACTIONS(1520),
    [aux_sym_return_statement_token1] = ACTIONS(1520),
    [aux_sym_throw_expression_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token1] = ACTIONS(1520),
    [aux_sym_while_statement_token2] = ACTIONS(1520),
    [aux_sym_do_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token1] = ACTIONS(1520),
    [aux_sym_for_statement_token2] = ACTIONS(1520),
    [aux_sym_foreach_statement_token1] = ACTIONS(1520),
    [aux_sym_foreach_statement_token2] = ACTIONS(1520),
    [aux_sym_if_statement_token1] = ACTIONS(1520),
    [aux_sym_if_statement_token2] = ACTIONS(1520),
    [aux_sym_else_if_clause_token1] = ACTIONS(1520),
    [aux_sym_else_clause_token1] = ACTIONS(1520),
    [aux_sym_match_expression_token1] = ACTIONS(1520),
    [aux_sym_match_default_expression_token1] = ACTIONS(1520),
    [aux_sym_switch_statement_token1] = ACTIONS(1520),
    [aux_sym_switch_block_token1] = ACTIONS(1520),
    [anon_sym_PLUS] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1520),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_AT] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1520),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1520),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1520),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1520),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1520),
    [anon_sym_parent] = ACTIONS(1520),
    [aux_sym__argument_name_token1] = ACTIONS(1520),
    [aux_sym__argument_name_token2] = ACTIONS(1520),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1520),
    [aux_sym_include_expression_token1] = ACTIONS(1520),
    [aux_sym_include_once_expression_token1] = ACTIONS(1520),
    [aux_sym_require_expression_token1] = ACTIONS(1520),
    [aux_sym_require_once_expression_token1] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1522),
    [sym_name] = ACTIONS(1524),
    [anon_sym_QMARK_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1522),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1524),
    [aux_sym_global_declaration_token1] = ACTIONS(1524),
    [aux_sym_namespace_definition_token1] = ACTIONS(1524),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1524),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1524),
    [anon_sym_BSLASH] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1522),
    [anon_sym_RBRACE] = ACTIONS(1522),
    [aux_sym_trait_declaration_token1] = ACTIONS(1524),
    [aux_sym_interface_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_declaration_token1] = ACTIONS(1524),
    [aux_sym_enum_case_token1] = ACTIONS(1524),
    [aux_sym_class_declaration_token1] = ACTIONS(1524),
    [aux_sym_final_modifier_token1] = ACTIONS(1524),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1524),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1524),
    [sym_var_modifier] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1524),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1524),
    [anon_sym_LPAREN2] = ACTIONS(1522),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1524),
    [aux_sym_cast_type_token1] = ACTIONS(1524),
    [aux_sym_echo_statement_token1] = ACTIONS(1524),
    [aux_sym_exit_statement_token1] = ACTIONS(1524),
    [anon_sym_unset] = ACTIONS(1524),
    [aux_sym_declare_statement_token1] = ACTIONS(1524),
    [aux_sym_declare_statement_token2] = ACTIONS(1524),
    [sym_float] = ACTIONS(1524),
    [aux_sym_try_statement_token1] = ACTIONS(1524),
    [aux_sym_goto_statement_token1] = ACTIONS(1524),
    [aux_sym_continue_statement_token1] = ACTIONS(1524),
    [aux_sym_break_statement_token1] = ACTIONS(1524),
    [sym_integer] = ACTIONS(1524),
    [aux_sym_return_statement_token1] = ACTIONS(1524),
    [aux_sym_throw_expression_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token1] = ACTIONS(1524),
    [aux_sym_while_statement_token2] = ACTIONS(1524),
    [aux_sym_do_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token1] = ACTIONS(1524),
    [aux_sym_for_statement_token2] = ACTIONS(1524),
    [aux_sym_foreach_statement_token1] = ACTIONS(1524),
    [aux_sym_foreach_statement_token2] = ACTIONS(1524),
    [aux_sym_if_statement_token1] = ACTIONS(1524),
    [aux_sym_if_statement_token2] = ACTIONS(1524),
    [aux_sym_else_if_clause_token1] = ACTIONS(1524),
    [aux_sym_else_clause_token1] = ACTIONS(1524),
    [aux_sym_match_expression_token1] = ACTIONS(1524),
    [aux_sym_match_default_expression_token1] = ACTIONS(1524),
    [aux_sym_switch_statement_token1] = ACTIONS(1524),
    [aux_sym_switch_block_token1] = ACTIONS(1524),
    [anon_sym_PLUS] = ACTIONS(1524),
    [anon_sym_DASH] = ACTIONS(1524),
    [anon_sym_TILDE] = ACTIONS(1522),
    [anon_sym_BANG] = ACTIONS(1522),
    [anon_sym_AT] = ACTIONS(1522),
    [aux_sym_clone_expression_token1] = ACTIONS(1524),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1524),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1524),
    [anon_sym_DASH_DASH] = ACTIONS(1522),
    [anon_sym_PLUS_PLUS] = ACTIONS(1522),
    [aux_sym__list_destructing_token1] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1522),
    [anon_sym_self] = ACTIONS(1524),
    [anon_sym_parent] = ACTIONS(1524),
    [aux_sym__argument_name_token1] = ACTIONS(1524),
    [aux_sym__argument_name_token2] = ACTIONS(1524),
    [anon_sym_POUND_LBRACK] = ACTIONS(1522),
    [aux_sym_encapsed_string_token1] = ACTIONS(1522),
    [anon_sym_DQUOTE] = ACTIONS(1522),
    [aux_sym_string_token1] = ACTIONS(1522),
    [anon_sym_SQUOTE] = ACTIONS(1522),
    [anon_sym_LT_LT_LT] = ACTIONS(1522),
    [anon_sym_BQUOTE] = ACTIONS(1522),
    [anon_sym_DOLLAR] = ACTIONS(1522),
    [aux_sym_yield_expression_token1] = ACTIONS(1524),
    [aux_sym_include_expression_token1] = ACTIONS(1524),
    [aux_sym_include_once_expression_token1] = ACTIONS(1524),
    [aux_sym_require_expression_token1] = ACTIONS(1524),
    [aux_sym_require_once_expression_token1] = ACTIONS(1524),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1526),
    [sym_name] = ACTIONS(1528),
    [anon_sym_QMARK_GT] = ACTIONS(1526),
    [anon_sym_SEMI] = ACTIONS(1526),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1528),
    [aux_sym_global_declaration_token1] = ACTIONS(1528),
    [aux_sym_namespace_definition_token1] = ACTIONS(1528),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1528),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1528),
    [anon_sym_BSLASH] = ACTIONS(1526),
    [anon_sym_LBRACE] = ACTIONS(1526),
    [anon_sym_RBRACE] = ACTIONS(1526),
    [aux_sym_trait_declaration_token1] = ACTIONS(1528),
    [aux_sym_interface_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_declaration_token1] = ACTIONS(1528),
    [aux_sym_enum_case_token1] = ACTIONS(1528),
    [aux_sym_class_declaration_token1] = ACTIONS(1528),
    [aux_sym_final_modifier_token1] = ACTIONS(1528),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1528),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1528),
    [sym_var_modifier] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1528),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1526),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(1528),
    [aux_sym_echo_statement_token1] = ACTIONS(1528),
    [aux_sym_exit_statement_token1] = ACTIONS(1528),
    [anon_sym_unset] = ACTIONS(1528),
    [aux_sym_declare_statement_token1] = ACTIONS(1528),
    [aux_sym_declare_statement_token2] = ACTIONS(1528),
    [sym_float] = ACTIONS(1528),
    [aux_sym_try_statement_token1] = ACTIONS(1528),
    [aux_sym_goto_statement_token1] = ACTIONS(1528),
    [aux_sym_continue_statement_token1] = ACTIONS(1528),
    [aux_sym_break_statement_token1] = ACTIONS(1528),
    [sym_integer] = ACTIONS(1528),
    [aux_sym_return_statement_token1] = ACTIONS(1528),
    [aux_sym_throw_expression_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token1] = ACTIONS(1528),
    [aux_sym_while_statement_token2] = ACTIONS(1528),
    [aux_sym_do_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token1] = ACTIONS(1528),
    [aux_sym_for_statement_token2] = ACTIONS(1528),
    [aux_sym_foreach_statement_token1] = ACTIONS(1528),
    [aux_sym_foreach_statement_token2] = ACTIONS(1528),
    [aux_sym_if_statement_token1] = ACTIONS(1528),
    [aux_sym_if_statement_token2] = ACTIONS(1528),
    [aux_sym_else_if_clause_token1] = ACTIONS(1528),
    [aux_sym_else_clause_token1] = ACTIONS(1528),
    [aux_sym_match_expression_token1] = ACTIONS(1528),
    [aux_sym_match_default_expression_token1] = ACTIONS(1528),
    [aux_sym_switch_statement_token1] = ACTIONS(1528),
    [aux_sym_switch_block_token1] = ACTIONS(1528),
    [anon_sym_PLUS] = ACTIONS(1528),
    [anon_sym_DASH] = ACTIONS(1528),
    [anon_sym_TILDE] = ACTIONS(1526),
    [anon_sym_BANG] = ACTIONS(1526),
    [anon_sym_AT] = ACTIONS(1526),
    [aux_sym_clone_expression_token1] = ACTIONS(1528),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1528),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1528),
    [anon_sym_DASH_DASH] = ACTIONS(1526),
    [anon_sym_PLUS_PLUS] = ACTIONS(1526),
    [aux_sym__list_destructing_token1] = ACTIONS(1528),
    [anon_sym_LBRACK] = ACTIONS(1526),
    [anon_sym_self] = ACTIONS(1528),
    [anon_sym_parent] = ACTIONS(1528),
    [aux_sym__argument_name_token1] = ACTIONS(1528),
    [aux_sym__argument_name_token2] = ACTIONS(1528),
    [anon_sym_POUND_LBRACK] = ACTIONS(1526),
    [aux_sym_encapsed_string_token1] = ACTIONS(1526),
    [anon_sym_DQUOTE] = ACTIONS(1526),
    [aux_sym_string_token1] = ACTIONS(1526),
    [anon_sym_SQUOTE] = ACTIONS(1526),
    [anon_sym_LT_LT_LT] = ACTIONS(1526),
    [anon_sym_BQUOTE] = ACTIONS(1526),
    [anon_sym_DOLLAR] = ACTIONS(1526),
    [aux_sym_yield_expression_token1] = ACTIONS(1528),
    [aux_sym_include_expression_token1] = ACTIONS(1528),
    [aux_sym_include_once_expression_token1] = ACTIONS(1528),
    [aux_sym_require_expression_token1] = ACTIONS(1528),
    [aux_sym_require_once_expression_token1] = ACTIONS(1528),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1530),
    [sym_name] = ACTIONS(1532),
    [anon_sym_QMARK_GT] = ACTIONS(1530),
    [anon_sym_SEMI] = ACTIONS(1530),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1532),
    [aux_sym_global_declaration_token1] = ACTIONS(1532),
    [aux_sym_namespace_definition_token1] = ACTIONS(1532),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1532),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1532),
    [anon_sym_BSLASH] = ACTIONS(1530),
    [anon_sym_LBRACE] = ACTIONS(1530),
    [anon_sym_RBRACE] = ACTIONS(1530),
    [aux_sym_trait_declaration_token1] = ACTIONS(1532),
    [aux_sym_interface_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_declaration_token1] = ACTIONS(1532),
    [aux_sym_enum_case_token1] = ACTIONS(1532),
    [aux_sym_class_declaration_token1] = ACTIONS(1532),
    [aux_sym_final_modifier_token1] = ACTIONS(1532),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1532),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1532),
    [sym_var_modifier] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1532),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1532),
    [anon_sym_LPAREN2] = ACTIONS(1530),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1532),
    [aux_sym_cast_type_token1] = ACTIONS(1532),
    [aux_sym_echo_statement_token1] = ACTIONS(1532),
    [aux_sym_exit_statement_token1] = ACTIONS(1532),
    [anon_sym_unset] = ACTIONS(1532),
    [aux_sym_declare_statement_token1] = ACTIONS(1532),
    [aux_sym_declare_statement_token2] = ACTIONS(1532),
    [sym_float] = ACTIONS(1532),
    [aux_sym_try_statement_token1] = ACTIONS(1532),
    [aux_sym_goto_statement_token1] = ACTIONS(1532),
    [aux_sym_continue_statement_token1] = ACTIONS(1532),
    [aux_sym_break_statement_token1] = ACTIONS(1532),
    [sym_integer] = ACTIONS(1532),
    [aux_sym_return_statement_token1] = ACTIONS(1532),
    [aux_sym_throw_expression_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token1] = ACTIONS(1532),
    [aux_sym_while_statement_token2] = ACTIONS(1532),
    [aux_sym_do_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token1] = ACTIONS(1532),
    [aux_sym_for_statement_token2] = ACTIONS(1532),
    [aux_sym_foreach_statement_token1] = ACTIONS(1532),
    [aux_sym_foreach_statement_token2] = ACTIONS(1532),
    [aux_sym_if_statement_token1] = ACTIONS(1532),
    [aux_sym_if_statement_token2] = ACTIONS(1532),
    [aux_sym_else_if_clause_token1] = ACTIONS(1532),
    [aux_sym_else_clause_token1] = ACTIONS(1532),
    [aux_sym_match_expression_token1] = ACTIONS(1532),
    [aux_sym_match_default_expression_token1] = ACTIONS(1532),
    [aux_sym_switch_statement_token1] = ACTIONS(1532),
    [aux_sym_switch_block_token1] = ACTIONS(1532),
    [anon_sym_PLUS] = ACTIONS(1532),
    [anon_sym_DASH] = ACTIONS(1532),
    [anon_sym_TILDE] = ACTIONS(1530),
    [anon_sym_BANG] = ACTIONS(1530),
    [anon_sym_AT] = ACTIONS(1530),
    [aux_sym_clone_expression_token1] = ACTIONS(1532),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1532),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1530),
    [anon_sym_PLUS_PLUS] = ACTIONS(1530),
    [aux_sym__list_destructing_token1] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_self] = ACTIONS(1532),
    [anon_sym_parent] = ACTIONS(1532),
    [aux_sym__argument_name_token1] = ACTIONS(1532),
    [aux_sym__argument_name_token2] = ACTIONS(1532),
    [anon_sym_POUND_LBRACK] = ACTIONS(1530),
    [aux_sym_encapsed_string_token1] = ACTIONS(1530),
    [anon_sym_DQUOTE] = ACTIONS(1530),
    [aux_sym_string_token1] = ACTIONS(1530),
    [anon_sym_SQUOTE] = ACTIONS(1530),
    [anon_sym_LT_LT_LT] = ACTIONS(1530),
    [anon_sym_BQUOTE] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [aux_sym_yield_expression_token1] = ACTIONS(1532),
    [aux_sym_include_expression_token1] = ACTIONS(1532),
    [aux_sym_include_once_expression_token1] = ACTIONS(1532),
    [aux_sym_require_expression_token1] = ACTIONS(1532),
    [aux_sym_require_once_expression_token1] = ACTIONS(1532),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1534),
    [sym_name] = ACTIONS(1536),
    [anon_sym_QMARK_GT] = ACTIONS(1534),
    [anon_sym_SEMI] = ACTIONS(1534),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1536),
    [aux_sym_global_declaration_token1] = ACTIONS(1536),
    [aux_sym_namespace_definition_token1] = ACTIONS(1536),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1536),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1536),
    [anon_sym_BSLASH] = ACTIONS(1534),
    [anon_sym_LBRACE] = ACTIONS(1534),
    [anon_sym_RBRACE] = ACTIONS(1534),
    [aux_sym_trait_declaration_token1] = ACTIONS(1536),
    [aux_sym_interface_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_declaration_token1] = ACTIONS(1536),
    [aux_sym_enum_case_token1] = ACTIONS(1536),
    [aux_sym_class_declaration_token1] = ACTIONS(1536),
    [aux_sym_final_modifier_token1] = ACTIONS(1536),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1536),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1536),
    [sym_var_modifier] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1536),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1536),
    [anon_sym_LPAREN2] = ACTIONS(1534),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1536),
    [aux_sym_cast_type_token1] = ACTIONS(1536),
    [aux_sym_echo_statement_token1] = ACTIONS(1536),
    [aux_sym_exit_statement_token1] = ACTIONS(1536),
    [anon_sym_unset] = ACTIONS(1536),
    [aux_sym_declare_statement_token1] = ACTIONS(1536),
    [aux_sym_declare_statement_token2] = ACTIONS(1536),
    [sym_float] = ACTIONS(1536),
    [aux_sym_try_statement_token1] = ACTIONS(1536),
    [aux_sym_goto_statement_token1] = ACTIONS(1536),
    [aux_sym_continue_statement_token1] = ACTIONS(1536),
    [aux_sym_break_statement_token1] = ACTIONS(1536),
    [sym_integer] = ACTIONS(1536),
    [aux_sym_return_statement_token1] = ACTIONS(1536),
    [aux_sym_throw_expression_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token1] = ACTIONS(1536),
    [aux_sym_while_statement_token2] = ACTIONS(1536),
    [aux_sym_do_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token1] = ACTIONS(1536),
    [aux_sym_for_statement_token2] = ACTIONS(1536),
    [aux_sym_foreach_statement_token1] = ACTIONS(1536),
    [aux_sym_foreach_statement_token2] = ACTIONS(1536),
    [aux_sym_if_statement_token1] = ACTIONS(1536),
    [aux_sym_if_statement_token2] = ACTIONS(1536),
    [aux_sym_else_if_clause_token1] = ACTIONS(1536),
    [aux_sym_else_clause_token1] = ACTIONS(1536),
    [aux_sym_match_expression_token1] = ACTIONS(1536),
    [aux_sym_match_default_expression_token1] = ACTIONS(1536),
    [aux_sym_switch_statement_token1] = ACTIONS(1536),
    [aux_sym_switch_block_token1] = ACTIONS(1536),
    [anon_sym_PLUS] = ACTIONS(1536),
    [anon_sym_DASH] = ACTIONS(1536),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_AT] = ACTIONS(1534),
    [aux_sym_clone_expression_token1] = ACTIONS(1536),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1536),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1534),
    [anon_sym_PLUS_PLUS] = ACTIONS(1534),
    [aux_sym__list_destructing_token1] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1534),
    [anon_sym_self] = ACTIONS(1536),
    [anon_sym_parent] = ACTIONS(1536),
    [aux_sym__argument_name_token1] = ACTIONS(1536),
    [aux_sym__argument_name_token2] = ACTIONS(1536),
    [anon_sym_POUND_LBRACK] = ACTIONS(1534),
    [aux_sym_encapsed_string_token1] = ACTIONS(1534),
    [anon_sym_DQUOTE] = ACTIONS(1534),
    [aux_sym_string_token1] = ACTIONS(1534),
    [anon_sym_SQUOTE] = ACTIONS(1534),
    [anon_sym_LT_LT_LT] = ACTIONS(1534),
    [anon_sym_BQUOTE] = ACTIONS(1534),
    [anon_sym_DOLLAR] = ACTIONS(1534),
    [aux_sym_yield_expression_token1] = ACTIONS(1536),
    [aux_sym_include_expression_token1] = ACTIONS(1536),
    [aux_sym_include_once_expression_token1] = ACTIONS(1536),
    [aux_sym_require_expression_token1] = ACTIONS(1536),
    [aux_sym_require_once_expression_token1] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1538),
    [sym_name] = ACTIONS(1540),
    [anon_sym_QMARK_GT] = ACTIONS(1538),
    [anon_sym_SEMI] = ACTIONS(1538),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1540),
    [aux_sym_global_declaration_token1] = ACTIONS(1540),
    [aux_sym_namespace_definition_token1] = ACTIONS(1540),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1540),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1540),
    [anon_sym_BSLASH] = ACTIONS(1538),
    [anon_sym_LBRACE] = ACTIONS(1538),
    [anon_sym_RBRACE] = ACTIONS(1538),
    [aux_sym_trait_declaration_token1] = ACTIONS(1540),
    [aux_sym_interface_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_declaration_token1] = ACTIONS(1540),
    [aux_sym_enum_case_token1] = ACTIONS(1540),
    [aux_sym_class_declaration_token1] = ACTIONS(1540),
    [aux_sym_final_modifier_token1] = ACTIONS(1540),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1540),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1540),
    [sym_var_modifier] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1540),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1540),
    [anon_sym_LPAREN2] = ACTIONS(1538),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1540),
    [aux_sym_cast_type_token1] = ACTIONS(1540),
    [aux_sym_echo_statement_token1] = ACTIONS(1540),
    [aux_sym_exit_statement_token1] = ACTIONS(1540),
    [anon_sym_unset] = ACTIONS(1540),
    [aux_sym_declare_statement_token1] = ACTIONS(1540),
    [aux_sym_declare_statement_token2] = ACTIONS(1540),
    [sym_float] = ACTIONS(1540),
    [aux_sym_try_statement_token1] = ACTIONS(1540),
    [aux_sym_goto_statement_token1] = ACTIONS(1540),
    [aux_sym_continue_statement_token1] = ACTIONS(1540),
    [aux_sym_break_statement_token1] = ACTIONS(1540),
    [sym_integer] = ACTIONS(1540),
    [aux_sym_return_statement_token1] = ACTIONS(1540),
    [aux_sym_throw_expression_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token1] = ACTIONS(1540),
    [aux_sym_while_statement_token2] = ACTIONS(1540),
    [aux_sym_do_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token1] = ACTIONS(1540),
    [aux_sym_for_statement_token2] = ACTIONS(1540),
    [aux_sym_foreach_statement_token1] = ACTIONS(1540),
    [aux_sym_foreach_statement_token2] = ACTIONS(1540),
    [aux_sym_if_statement_token1] = ACTIONS(1540),
    [aux_sym_if_statement_token2] = ACTIONS(1540),
    [aux_sym_else_if_clause_token1] = ACTIONS(1540),
    [aux_sym_else_clause_token1] = ACTIONS(1540),
    [aux_sym_match_expression_token1] = ACTIONS(1540),
    [aux_sym_match_default_expression_token1] = ACTIONS(1540),
    [aux_sym_switch_statement_token1] = ACTIONS(1540),
    [aux_sym_switch_block_token1] = ACTIONS(1540),
    [anon_sym_PLUS] = ACTIONS(1540),
    [anon_sym_DASH] = ACTIONS(1540),
    [anon_sym_TILDE] = ACTIONS(1538),
    [anon_sym_BANG] = ACTIONS(1538),
    [anon_sym_AT] = ACTIONS(1538),
    [aux_sym_clone_expression_token1] = ACTIONS(1540),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1540),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1538),
    [anon_sym_PLUS_PLUS] = ACTIONS(1538),
    [aux_sym__list_destructing_token1] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1538),
    [anon_sym_self] = ACTIONS(1540),
    [anon_sym_parent] = ACTIONS(1540),
    [aux_sym__argument_name_token1] = ACTIONS(1540),
    [aux_sym__argument_name_token2] = ACTIONS(1540),
    [anon_sym_POUND_LBRACK] = ACTIONS(1538),
    [aux_sym_encapsed_string_token1] = ACTIONS(1538),
    [anon_sym_DQUOTE] = ACTIONS(1538),
    [aux_sym_string_token1] = ACTIONS(1538),
    [anon_sym_SQUOTE] = ACTIONS(1538),
    [anon_sym_LT_LT_LT] = ACTIONS(1538),
    [anon_sym_BQUOTE] = ACTIONS(1538),
    [anon_sym_DOLLAR] = ACTIONS(1538),
    [aux_sym_yield_expression_token1] = ACTIONS(1540),
    [aux_sym_include_expression_token1] = ACTIONS(1540),
    [aux_sym_include_once_expression_token1] = ACTIONS(1540),
    [aux_sym_require_expression_token1] = ACTIONS(1540),
    [aux_sym_require_once_expression_token1] = ACTIONS(1540),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1542),
    [sym_name] = ACTIONS(1544),
    [anon_sym_QMARK_GT] = ACTIONS(1542),
    [anon_sym_SEMI] = ACTIONS(1542),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1544),
    [aux_sym_global_declaration_token1] = ACTIONS(1544),
    [aux_sym_namespace_definition_token1] = ACTIONS(1544),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1544),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1544),
    [anon_sym_BSLASH] = ACTIONS(1542),
    [anon_sym_LBRACE] = ACTIONS(1542),
    [anon_sym_RBRACE] = ACTIONS(1542),
    [aux_sym_trait_declaration_token1] = ACTIONS(1544),
    [aux_sym_interface_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_declaration_token1] = ACTIONS(1544),
    [aux_sym_enum_case_token1] = ACTIONS(1544),
    [aux_sym_class_declaration_token1] = ACTIONS(1544),
    [aux_sym_final_modifier_token1] = ACTIONS(1544),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1544),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1544),
    [sym_var_modifier] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1544),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1544),
    [anon_sym_LPAREN2] = ACTIONS(1542),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1544),
    [aux_sym_cast_type_token1] = ACTIONS(1544),
    [aux_sym_echo_statement_token1] = ACTIONS(1544),
    [aux_sym_exit_statement_token1] = ACTIONS(1544),
    [anon_sym_unset] = ACTIONS(1544),
    [aux_sym_declare_statement_token1] = ACTIONS(1544),
    [aux_sym_declare_statement_token2] = ACTIONS(1544),
    [sym_float] = ACTIONS(1544),
    [aux_sym_try_statement_token1] = ACTIONS(1544),
    [aux_sym_goto_statement_token1] = ACTIONS(1544),
    [aux_sym_continue_statement_token1] = ACTIONS(1544),
    [aux_sym_break_statement_token1] = ACTIONS(1544),
    [sym_integer] = ACTIONS(1544),
    [aux_sym_return_statement_token1] = ACTIONS(1544),
    [aux_sym_throw_expression_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token1] = ACTIONS(1544),
    [aux_sym_while_statement_token2] = ACTIONS(1544),
    [aux_sym_do_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token1] = ACTIONS(1544),
    [aux_sym_for_statement_token2] = ACTIONS(1544),
    [aux_sym_foreach_statement_token1] = ACTIONS(1544),
    [aux_sym_foreach_statement_token2] = ACTIONS(1544),
    [aux_sym_if_statement_token1] = ACTIONS(1544),
    [aux_sym_if_statement_token2] = ACTIONS(1544),
    [aux_sym_else_if_clause_token1] = ACTIONS(1544),
    [aux_sym_else_clause_token1] = ACTIONS(1544),
    [aux_sym_match_expression_token1] = ACTIONS(1544),
    [aux_sym_match_default_expression_token1] = ACTIONS(1544),
    [aux_sym_switch_statement_token1] = ACTIONS(1544),
    [aux_sym_switch_block_token1] = ACTIONS(1544),
    [anon_sym_PLUS] = ACTIONS(1544),
    [anon_sym_DASH] = ACTIONS(1544),
    [anon_sym_TILDE] = ACTIONS(1542),
    [anon_sym_BANG] = ACTIONS(1542),
    [anon_sym_AT] = ACTIONS(1542),
    [aux_sym_clone_expression_token1] = ACTIONS(1544),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1544),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1542),
    [anon_sym_PLUS_PLUS] = ACTIONS(1542),
    [aux_sym__list_destructing_token1] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1542),
    [anon_sym_self] = ACTIONS(1544),
    [anon_sym_parent] = ACTIONS(1544),
    [aux_sym__argument_name_token1] = ACTIONS(1544),
    [aux_sym__argument_name_token2] = ACTIONS(1544),
    [anon_sym_POUND_LBRACK] = ACTIONS(1542),
    [aux_sym_encapsed_string_token1] = ACTIONS(1542),
    [anon_sym_DQUOTE] = ACTIONS(1542),
    [aux_sym_string_token1] = ACTIONS(1542),
    [anon_sym_SQUOTE] = ACTIONS(1542),
    [anon_sym_LT_LT_LT] = ACTIONS(1542),
    [anon_sym_BQUOTE] = ACTIONS(1542),
    [anon_sym_DOLLAR] = ACTIONS(1542),
    [aux_sym_yield_expression_token1] = ACTIONS(1544),
    [aux_sym_include_expression_token1] = ACTIONS(1544),
    [aux_sym_include_once_expression_token1] = ACTIONS(1544),
    [aux_sym_require_expression_token1] = ACTIONS(1544),
    [aux_sym_require_once_expression_token1] = ACTIONS(1544),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1546),
    [sym_name] = ACTIONS(1548),
    [anon_sym_QMARK_GT] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1546),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1548),
    [aux_sym_global_declaration_token1] = ACTIONS(1548),
    [aux_sym_namespace_definition_token1] = ACTIONS(1548),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1548),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1548),
    [anon_sym_BSLASH] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1546),
    [anon_sym_RBRACE] = ACTIONS(1546),
    [aux_sym_trait_declaration_token1] = ACTIONS(1548),
    [aux_sym_interface_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_declaration_token1] = ACTIONS(1548),
    [aux_sym_enum_case_token1] = ACTIONS(1548),
    [aux_sym_class_declaration_token1] = ACTIONS(1548),
    [aux_sym_final_modifier_token1] = ACTIONS(1548),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1548),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1548),
    [sym_var_modifier] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1548),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1548),
    [anon_sym_LPAREN2] = ACTIONS(1546),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1548),
    [aux_sym_cast_type_token1] = ACTIONS(1548),
    [aux_sym_echo_statement_token1] = ACTIONS(1548),
    [aux_sym_exit_statement_token1] = ACTIONS(1548),
    [anon_sym_unset] = ACTIONS(1548),
    [aux_sym_declare_statement_token1] = ACTIONS(1548),
    [aux_sym_declare_statement_token2] = ACTIONS(1548),
    [sym_float] = ACTIONS(1548),
    [aux_sym_try_statement_token1] = ACTIONS(1548),
    [aux_sym_goto_statement_token1] = ACTIONS(1548),
    [aux_sym_continue_statement_token1] = ACTIONS(1548),
    [aux_sym_break_statement_token1] = ACTIONS(1548),
    [sym_integer] = ACTIONS(1548),
    [aux_sym_return_statement_token1] = ACTIONS(1548),
    [aux_sym_throw_expression_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token1] = ACTIONS(1548),
    [aux_sym_while_statement_token2] = ACTIONS(1548),
    [aux_sym_do_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token1] = ACTIONS(1548),
    [aux_sym_for_statement_token2] = ACTIONS(1548),
    [aux_sym_foreach_statement_token1] = ACTIONS(1548),
    [aux_sym_foreach_statement_token2] = ACTIONS(1548),
    [aux_sym_if_statement_token1] = ACTIONS(1548),
    [aux_sym_if_statement_token2] = ACTIONS(1548),
    [aux_sym_else_if_clause_token1] = ACTIONS(1548),
    [aux_sym_else_clause_token1] = ACTIONS(1548),
    [aux_sym_match_expression_token1] = ACTIONS(1548),
    [aux_sym_match_default_expression_token1] = ACTIONS(1548),
    [aux_sym_switch_statement_token1] = ACTIONS(1548),
    [aux_sym_switch_block_token1] = ACTIONS(1548),
    [anon_sym_PLUS] = ACTIONS(1548),
    [anon_sym_DASH] = ACTIONS(1548),
    [anon_sym_TILDE] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AT] = ACTIONS(1546),
    [aux_sym_clone_expression_token1] = ACTIONS(1548),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1548),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1548),
    [anon_sym_DASH_DASH] = ACTIONS(1546),
    [anon_sym_PLUS_PLUS] = ACTIONS(1546),
    [aux_sym__list_destructing_token1] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1546),
    [anon_sym_self] = ACTIONS(1548),
    [anon_sym_parent] = ACTIONS(1548),
    [aux_sym__argument_name_token1] = ACTIONS(1548),
    [aux_sym__argument_name_token2] = ACTIONS(1548),
    [anon_sym_POUND_LBRACK] = ACTIONS(1546),
    [aux_sym_encapsed_string_token1] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1546),
    [aux_sym_string_token1] = ACTIONS(1546),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_LT_LT_LT] = ACTIONS(1546),
    [anon_sym_BQUOTE] = ACTIONS(1546),
    [anon_sym_DOLLAR] = ACTIONS(1546),
    [aux_sym_yield_expression_token1] = ACTIONS(1548),
    [aux_sym_include_expression_token1] = ACTIONS(1548),
    [aux_sym_include_once_expression_token1] = ACTIONS(1548),
    [aux_sym_require_expression_token1] = ACTIONS(1548),
    [aux_sym_require_once_expression_token1] = ACTIONS(1548),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1550),
    [sym_name] = ACTIONS(1552),
    [anon_sym_QMARK_GT] = ACTIONS(1550),
    [anon_sym_SEMI] = ACTIONS(1550),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1552),
    [aux_sym_global_declaration_token1] = ACTIONS(1552),
    [aux_sym_namespace_definition_token1] = ACTIONS(1552),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1552),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1552),
    [anon_sym_BSLASH] = ACTIONS(1550),
    [anon_sym_LBRACE] = ACTIONS(1550),
    [anon_sym_RBRACE] = ACTIONS(1550),
    [aux_sym_trait_declaration_token1] = ACTIONS(1552),
    [aux_sym_interface_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_declaration_token1] = ACTIONS(1552),
    [aux_sym_enum_case_token1] = ACTIONS(1552),
    [aux_sym_class_declaration_token1] = ACTIONS(1552),
    [aux_sym_final_modifier_token1] = ACTIONS(1552),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1552),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1552),
    [sym_var_modifier] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1552),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1552),
    [anon_sym_LPAREN2] = ACTIONS(1550),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1552),
    [aux_sym_cast_type_token1] = ACTIONS(1552),
    [aux_sym_echo_statement_token1] = ACTIONS(1552),
    [aux_sym_exit_statement_token1] = ACTIONS(1552),
    [anon_sym_unset] = ACTIONS(1552),
    [aux_sym_declare_statement_token1] = ACTIONS(1552),
    [aux_sym_declare_statement_token2] = ACTIONS(1552),
    [sym_float] = ACTIONS(1552),
    [aux_sym_try_statement_token1] = ACTIONS(1552),
    [aux_sym_goto_statement_token1] = ACTIONS(1552),
    [aux_sym_continue_statement_token1] = ACTIONS(1552),
    [aux_sym_break_statement_token1] = ACTIONS(1552),
    [sym_integer] = ACTIONS(1552),
    [aux_sym_return_statement_token1] = ACTIONS(1552),
    [aux_sym_throw_expression_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token1] = ACTIONS(1552),
    [aux_sym_while_statement_token2] = ACTIONS(1552),
    [aux_sym_do_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token1] = ACTIONS(1552),
    [aux_sym_for_statement_token2] = ACTIONS(1552),
    [aux_sym_foreach_statement_token1] = ACTIONS(1552),
    [aux_sym_foreach_statement_token2] = ACTIONS(1552),
    [aux_sym_if_statement_token1] = ACTIONS(1552),
    [aux_sym_if_statement_token2] = ACTIONS(1552),
    [aux_sym_else_if_clause_token1] = ACTIONS(1552),
    [aux_sym_else_clause_token1] = ACTIONS(1552),
    [aux_sym_match_expression_token1] = ACTIONS(1552),
    [aux_sym_match_default_expression_token1] = ACTIONS(1552),
    [aux_sym_switch_statement_token1] = ACTIONS(1552),
    [aux_sym_switch_block_token1] = ACTIONS(1552),
    [anon_sym_PLUS] = ACTIONS(1552),
    [anon_sym_DASH] = ACTIONS(1552),
    [anon_sym_TILDE] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1550),
    [anon_sym_AT] = ACTIONS(1550),
    [aux_sym_clone_expression_token1] = ACTIONS(1552),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1552),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1552),
    [anon_sym_DASH_DASH] = ACTIONS(1550),
    [anon_sym_PLUS_PLUS] = ACTIONS(1550),
    [aux_sym__list_destructing_token1] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1550),
    [anon_sym_self] = ACTIONS(1552),
    [anon_sym_parent] = ACTIONS(1552),
    [aux_sym__argument_name_token1] = ACTIONS(1552),
    [aux_sym__argument_name_token2] = ACTIONS(1552),
    [anon_sym_POUND_LBRACK] = ACTIONS(1550),
    [aux_sym_encapsed_string_token1] = ACTIONS(1550),
    [anon_sym_DQUOTE] = ACTIONS(1550),
    [aux_sym_string_token1] = ACTIONS(1550),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_LT_LT_LT] = ACTIONS(1550),
    [anon_sym_BQUOTE] = ACTIONS(1550),
    [anon_sym_DOLLAR] = ACTIONS(1550),
    [aux_sym_yield_expression_token1] = ACTIONS(1552),
    [aux_sym_include_expression_token1] = ACTIONS(1552),
    [aux_sym_include_once_expression_token1] = ACTIONS(1552),
    [aux_sym_require_expression_token1] = ACTIONS(1552),
    [aux_sym_require_once_expression_token1] = ACTIONS(1552),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1554),
    [sym_name] = ACTIONS(1556),
    [anon_sym_QMARK_GT] = ACTIONS(1554),
    [anon_sym_SEMI] = ACTIONS(1554),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1556),
    [aux_sym_global_declaration_token1] = ACTIONS(1556),
    [aux_sym_namespace_definition_token1] = ACTIONS(1556),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1556),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1556),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_LBRACE] = ACTIONS(1554),
    [anon_sym_RBRACE] = ACTIONS(1554),
    [aux_sym_trait_declaration_token1] = ACTIONS(1556),
    [aux_sym_interface_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_declaration_token1] = ACTIONS(1556),
    [aux_sym_enum_case_token1] = ACTIONS(1556),
    [aux_sym_class_declaration_token1] = ACTIONS(1556),
    [aux_sym_final_modifier_token1] = ACTIONS(1556),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1556),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1556),
    [sym_var_modifier] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1556),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1556),
    [anon_sym_LPAREN2] = ACTIONS(1554),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1556),
    [aux_sym_cast_type_token1] = ACTIONS(1556),
    [aux_sym_echo_statement_token1] = ACTIONS(1556),
    [aux_sym_exit_statement_token1] = ACTIONS(1556),
    [anon_sym_unset] = ACTIONS(1556),
    [aux_sym_declare_statement_token1] = ACTIONS(1556),
    [aux_sym_declare_statement_token2] = ACTIONS(1556),
    [sym_float] = ACTIONS(1556),
    [aux_sym_try_statement_token1] = ACTIONS(1556),
    [aux_sym_goto_statement_token1] = ACTIONS(1556),
    [aux_sym_continue_statement_token1] = ACTIONS(1556),
    [aux_sym_break_statement_token1] = ACTIONS(1556),
    [sym_integer] = ACTIONS(1556),
    [aux_sym_return_statement_token1] = ACTIONS(1556),
    [aux_sym_throw_expression_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token1] = ACTIONS(1556),
    [aux_sym_while_statement_token2] = ACTIONS(1556),
    [aux_sym_do_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token1] = ACTIONS(1556),
    [aux_sym_for_statement_token2] = ACTIONS(1556),
    [aux_sym_foreach_statement_token1] = ACTIONS(1556),
    [aux_sym_foreach_statement_token2] = ACTIONS(1556),
    [aux_sym_if_statement_token1] = ACTIONS(1556),
    [aux_sym_if_statement_token2] = ACTIONS(1556),
    [aux_sym_else_if_clause_token1] = ACTIONS(1556),
    [aux_sym_else_clause_token1] = ACTIONS(1556),
    [aux_sym_match_expression_token1] = ACTIONS(1556),
    [aux_sym_match_default_expression_token1] = ACTIONS(1556),
    [aux_sym_switch_statement_token1] = ACTIONS(1556),
    [aux_sym_switch_block_token1] = ACTIONS(1556),
    [anon_sym_PLUS] = ACTIONS(1556),
    [anon_sym_DASH] = ACTIONS(1556),
    [anon_sym_TILDE] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1554),
    [anon_sym_AT] = ACTIONS(1554),
    [aux_sym_clone_expression_token1] = ACTIONS(1556),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1556),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1556),
    [anon_sym_DASH_DASH] = ACTIONS(1554),
    [anon_sym_PLUS_PLUS] = ACTIONS(1554),
    [aux_sym__list_destructing_token1] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1554),
    [anon_sym_self] = ACTIONS(1556),
    [anon_sym_parent] = ACTIONS(1556),
    [aux_sym__argument_name_token1] = ACTIONS(1556),
    [aux_sym__argument_name_token2] = ACTIONS(1556),
    [anon_sym_POUND_LBRACK] = ACTIONS(1554),
    [aux_sym_encapsed_string_token1] = ACTIONS(1554),
    [anon_sym_DQUOTE] = ACTIONS(1554),
    [aux_sym_string_token1] = ACTIONS(1554),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_LT_LT_LT] = ACTIONS(1554),
    [anon_sym_BQUOTE] = ACTIONS(1554),
    [anon_sym_DOLLAR] = ACTIONS(1554),
    [aux_sym_yield_expression_token1] = ACTIONS(1556),
    [aux_sym_include_expression_token1] = ACTIONS(1556),
    [aux_sym_include_once_expression_token1] = ACTIONS(1556),
    [aux_sym_require_expression_token1] = ACTIONS(1556),
    [aux_sym_require_once_expression_token1] = ACTIONS(1556),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1558),
    [sym_name] = ACTIONS(1560),
    [anon_sym_QMARK_GT] = ACTIONS(1558),
    [anon_sym_SEMI] = ACTIONS(1558),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1560),
    [aux_sym_global_declaration_token1] = ACTIONS(1560),
    [aux_sym_namespace_definition_token1] = ACTIONS(1560),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1560),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1560),
    [anon_sym_BSLASH] = ACTIONS(1558),
    [anon_sym_LBRACE] = ACTIONS(1558),
    [anon_sym_RBRACE] = ACTIONS(1558),
    [aux_sym_trait_declaration_token1] = ACTIONS(1560),
    [aux_sym_interface_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_declaration_token1] = ACTIONS(1560),
    [aux_sym_enum_case_token1] = ACTIONS(1560),
    [aux_sym_class_declaration_token1] = ACTIONS(1560),
    [aux_sym_final_modifier_token1] = ACTIONS(1560),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1560),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1560),
    [sym_var_modifier] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1560),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1560),
    [anon_sym_LPAREN2] = ACTIONS(1558),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1560),
    [aux_sym_cast_type_token1] = ACTIONS(1560),
    [aux_sym_echo_statement_token1] = ACTIONS(1560),
    [aux_sym_exit_statement_token1] = ACTIONS(1560),
    [anon_sym_unset] = ACTIONS(1560),
    [aux_sym_declare_statement_token1] = ACTIONS(1560),
    [aux_sym_declare_statement_token2] = ACTIONS(1560),
    [sym_float] = ACTIONS(1560),
    [aux_sym_try_statement_token1] = ACTIONS(1560),
    [aux_sym_goto_statement_token1] = ACTIONS(1560),
    [aux_sym_continue_statement_token1] = ACTIONS(1560),
    [aux_sym_break_statement_token1] = ACTIONS(1560),
    [sym_integer] = ACTIONS(1560),
    [aux_sym_return_statement_token1] = ACTIONS(1560),
    [aux_sym_throw_expression_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token1] = ACTIONS(1560),
    [aux_sym_while_statement_token2] = ACTIONS(1560),
    [aux_sym_do_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token1] = ACTIONS(1560),
    [aux_sym_for_statement_token2] = ACTIONS(1560),
    [aux_sym_foreach_statement_token1] = ACTIONS(1560),
    [aux_sym_foreach_statement_token2] = ACTIONS(1560),
    [aux_sym_if_statement_token1] = ACTIONS(1560),
    [aux_sym_if_statement_token2] = ACTIONS(1560),
    [aux_sym_else_if_clause_token1] = ACTIONS(1560),
    [aux_sym_else_clause_token1] = ACTIONS(1560),
    [aux_sym_match_expression_token1] = ACTIONS(1560),
    [aux_sym_match_default_expression_token1] = ACTIONS(1560),
    [aux_sym_switch_statement_token1] = ACTIONS(1560),
    [aux_sym_switch_block_token1] = ACTIONS(1560),
    [anon_sym_PLUS] = ACTIONS(1560),
    [anon_sym_DASH] = ACTIONS(1560),
    [anon_sym_TILDE] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1558),
    [anon_sym_AT] = ACTIONS(1558),
    [aux_sym_clone_expression_token1] = ACTIONS(1560),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1560),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1560),
    [anon_sym_DASH_DASH] = ACTIONS(1558),
    [anon_sym_PLUS_PLUS] = ACTIONS(1558),
    [aux_sym__list_destructing_token1] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1558),
    [anon_sym_self] = ACTIONS(1560),
    [anon_sym_parent] = ACTIONS(1560),
    [aux_sym__argument_name_token1] = ACTIONS(1560),
    [aux_sym__argument_name_token2] = ACTIONS(1560),
    [anon_sym_POUND_LBRACK] = ACTIONS(1558),
    [aux_sym_encapsed_string_token1] = ACTIONS(1558),
    [anon_sym_DQUOTE] = ACTIONS(1558),
    [aux_sym_string_token1] = ACTIONS(1558),
    [anon_sym_SQUOTE] = ACTIONS(1558),
    [anon_sym_LT_LT_LT] = ACTIONS(1558),
    [anon_sym_BQUOTE] = ACTIONS(1558),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [aux_sym_yield_expression_token1] = ACTIONS(1560),
    [aux_sym_include_expression_token1] = ACTIONS(1560),
    [aux_sym_include_once_expression_token1] = ACTIONS(1560),
    [aux_sym_require_expression_token1] = ACTIONS(1560),
    [aux_sym_require_once_expression_token1] = ACTIONS(1560),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1562),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(1562),
    [anon_sym_SEMI] = ACTIONS(1562),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1562),
    [anon_sym_RBRACE] = ACTIONS(1562),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_case_token1] = ACTIONS(1564),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1562),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [aux_sym_declare_statement_token2] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token2] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token2] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token2] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token2] = ACTIONS(1564),
    [aux_sym_else_if_clause_token1] = ACTIONS(1564),
    [aux_sym_else_clause_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_match_default_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [aux_sym_switch_block_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1562),
    [anon_sym_BANG] = ACTIONS(1562),
    [anon_sym_AT] = ACTIONS(1562),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1562),
    [anon_sym_PLUS_PLUS] = ACTIONS(1562),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1562),
    [aux_sym_encapsed_string_token1] = ACTIONS(1562),
    [anon_sym_DQUOTE] = ACTIONS(1562),
    [aux_sym_string_token1] = ACTIONS(1562),
    [anon_sym_SQUOTE] = ACTIONS(1562),
    [anon_sym_LT_LT_LT] = ACTIONS(1562),
    [anon_sym_BQUOTE] = ACTIONS(1562),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1566),
    [sym_name] = ACTIONS(1568),
    [anon_sym_QMARK_GT] = ACTIONS(1566),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1568),
    [aux_sym_global_declaration_token1] = ACTIONS(1568),
    [aux_sym_namespace_definition_token1] = ACTIONS(1568),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1568),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1568),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [anon_sym_RBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1568),
    [aux_sym_interface_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_declaration_token1] = ACTIONS(1568),
    [aux_sym_enum_case_token1] = ACTIONS(1568),
    [aux_sym_class_declaration_token1] = ACTIONS(1568),
    [aux_sym_final_modifier_token1] = ACTIONS(1568),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1568),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1568),
    [sym_var_modifier] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1568),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1568),
    [aux_sym_cast_type_token1] = ACTIONS(1568),
    [aux_sym_echo_statement_token1] = ACTIONS(1568),
    [aux_sym_exit_statement_token1] = ACTIONS(1568),
    [anon_sym_unset] = ACTIONS(1568),
    [aux_sym_declare_statement_token1] = ACTIONS(1568),
    [aux_sym_declare_statement_token2] = ACTIONS(1568),
    [sym_float] = ACTIONS(1568),
    [aux_sym_try_statement_token1] = ACTIONS(1568),
    [aux_sym_goto_statement_token1] = ACTIONS(1568),
    [aux_sym_continue_statement_token1] = ACTIONS(1568),
    [aux_sym_break_statement_token1] = ACTIONS(1568),
    [sym_integer] = ACTIONS(1568),
    [aux_sym_return_statement_token1] = ACTIONS(1568),
    [aux_sym_throw_expression_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token1] = ACTIONS(1568),
    [aux_sym_while_statement_token2] = ACTIONS(1568),
    [aux_sym_do_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token1] = ACTIONS(1568),
    [aux_sym_for_statement_token2] = ACTIONS(1568),
    [aux_sym_foreach_statement_token1] = ACTIONS(1568),
    [aux_sym_foreach_statement_token2] = ACTIONS(1568),
    [aux_sym_if_statement_token1] = ACTIONS(1568),
    [aux_sym_if_statement_token2] = ACTIONS(1568),
    [aux_sym_else_if_clause_token1] = ACTIONS(1568),
    [aux_sym_else_clause_token1] = ACTIONS(1568),
    [aux_sym_match_expression_token1] = ACTIONS(1568),
    [aux_sym_match_default_expression_token1] = ACTIONS(1568),
    [aux_sym_switch_statement_token1] = ACTIONS(1568),
    [aux_sym_switch_block_token1] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1568),
    [anon_sym_DASH] = ACTIONS(1568),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1568),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1568),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1568),
    [anon_sym_parent] = ACTIONS(1568),
    [aux_sym__argument_name_token1] = ACTIONS(1568),
    [aux_sym__argument_name_token2] = ACTIONS(1568),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1568),
    [aux_sym_include_expression_token1] = ACTIONS(1568),
    [aux_sym_include_once_expression_token1] = ACTIONS(1568),
    [aux_sym_require_expression_token1] = ACTIONS(1568),
    [aux_sym_require_once_expression_token1] = ACTIONS(1568),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1570),
    [sym_name] = ACTIONS(1572),
    [anon_sym_QMARK_GT] = ACTIONS(1570),
    [anon_sym_SEMI] = ACTIONS(1570),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1572),
    [aux_sym_global_declaration_token1] = ACTIONS(1572),
    [aux_sym_namespace_definition_token1] = ACTIONS(1572),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1572),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1572),
    [anon_sym_BSLASH] = ACTIONS(1570),
    [anon_sym_LBRACE] = ACTIONS(1570),
    [anon_sym_RBRACE] = ACTIONS(1570),
    [aux_sym_trait_declaration_token1] = ACTIONS(1572),
    [aux_sym_interface_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_declaration_token1] = ACTIONS(1572),
    [aux_sym_enum_case_token1] = ACTIONS(1572),
    [aux_sym_class_declaration_token1] = ACTIONS(1572),
    [aux_sym_final_modifier_token1] = ACTIONS(1572),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1572),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1572),
    [sym_var_modifier] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1572),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1572),
    [anon_sym_LPAREN2] = ACTIONS(1570),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1572),
    [aux_sym_cast_type_token1] = ACTIONS(1572),
    [aux_sym_echo_statement_token1] = ACTIONS(1572),
    [aux_sym_exit_statement_token1] = ACTIONS(1572),
    [anon_sym_unset] = ACTIONS(1572),
    [aux_sym_declare_statement_token1] = ACTIONS(1572),
    [aux_sym_declare_statement_token2] = ACTIONS(1572),
    [sym_float] = ACTIONS(1572),
    [aux_sym_try_statement_token1] = ACTIONS(1572),
    [aux_sym_goto_statement_token1] = ACTIONS(1572),
    [aux_sym_continue_statement_token1] = ACTIONS(1572),
    [aux_sym_break_statement_token1] = ACTIONS(1572),
    [sym_integer] = ACTIONS(1572),
    [aux_sym_return_statement_token1] = ACTIONS(1572),
    [aux_sym_throw_expression_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token1] = ACTIONS(1572),
    [aux_sym_while_statement_token2] = ACTIONS(1572),
    [aux_sym_do_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token1] = ACTIONS(1572),
    [aux_sym_for_statement_token2] = ACTIONS(1572),
    [aux_sym_foreach_statement_token1] = ACTIONS(1572),
    [aux_sym_foreach_statement_token2] = ACTIONS(1572),
    [aux_sym_if_statement_token1] = ACTIONS(1572),
    [aux_sym_if_statement_token2] = ACTIONS(1572),
    [aux_sym_else_if_clause_token1] = ACTIONS(1572),
    [aux_sym_else_clause_token1] = ACTIONS(1572),
    [aux_sym_match_expression_token1] = ACTIONS(1572),
    [aux_sym_match_default_expression_token1] = ACTIONS(1572),
    [aux_sym_switch_statement_token1] = ACTIONS(1572),
    [aux_sym_switch_block_token1] = ACTIONS(1572),
    [anon_sym_PLUS] = ACTIONS(1572),
    [anon_sym_DASH] = ACTIONS(1572),
    [anon_sym_TILDE] = ACTIONS(1570),
    [anon_sym_BANG] = ACTIONS(1570),
    [anon_sym_AT] = ACTIONS(1570),
    [aux_sym_clone_expression_token1] = ACTIONS(1572),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1572),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1572),
    [anon_sym_DASH_DASH] = ACTIONS(1570),
    [anon_sym_PLUS_PLUS] = ACTIONS(1570),
    [aux_sym__list_destructing_token1] = ACTIONS(1572),
    [anon_sym_LBRACK] = ACTIONS(1570),
    [anon_sym_self] = ACTIONS(1572),
    [anon_sym_parent] = ACTIONS(1572),
    [aux_sym__argument_name_token1] = ACTIONS(1572),
    [aux_sym__argument_name_token2] = ACTIONS(1572),
    [anon_sym_POUND_LBRACK] = ACTIONS(1570),
    [aux_sym_encapsed_string_token1] = ACTIONS(1570),
    [anon_sym_DQUOTE] = ACTIONS(1570),
    [aux_sym_string_token1] = ACTIONS(1570),
    [anon_sym_SQUOTE] = ACTIONS(1570),
    [anon_sym_LT_LT_LT] = ACTIONS(1570),
    [anon_sym_BQUOTE] = ACTIONS(1570),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [aux_sym_yield_expression_token1] = ACTIONS(1572),
    [aux_sym_include_expression_token1] = ACTIONS(1572),
    [aux_sym_include_once_expression_token1] = ACTIONS(1572),
    [aux_sym_require_expression_token1] = ACTIONS(1572),
    [aux_sym_require_once_expression_token1] = ACTIONS(1572),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1574),
    [sym_name] = ACTIONS(1576),
    [anon_sym_QMARK_GT] = ACTIONS(1574),
    [anon_sym_SEMI] = ACTIONS(1574),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1576),
    [aux_sym_global_declaration_token1] = ACTIONS(1576),
    [aux_sym_namespace_definition_token1] = ACTIONS(1576),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1576),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1576),
    [anon_sym_BSLASH] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_trait_declaration_token1] = ACTIONS(1576),
    [aux_sym_interface_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_declaration_token1] = ACTIONS(1576),
    [aux_sym_enum_case_token1] = ACTIONS(1576),
    [aux_sym_class_declaration_token1] = ACTIONS(1576),
    [aux_sym_final_modifier_token1] = ACTIONS(1576),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1576),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1576),
    [sym_var_modifier] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1576),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1576),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1576),
    [aux_sym_cast_type_token1] = ACTIONS(1576),
    [aux_sym_echo_statement_token1] = ACTIONS(1576),
    [aux_sym_exit_statement_token1] = ACTIONS(1576),
    [anon_sym_unset] = ACTIONS(1576),
    [aux_sym_declare_statement_token1] = ACTIONS(1576),
    [aux_sym_declare_statement_token2] = ACTIONS(1576),
    [sym_float] = ACTIONS(1576),
    [aux_sym_try_statement_token1] = ACTIONS(1576),
    [aux_sym_goto_statement_token1] = ACTIONS(1576),
    [aux_sym_continue_statement_token1] = ACTIONS(1576),
    [aux_sym_break_statement_token1] = ACTIONS(1576),
    [sym_integer] = ACTIONS(1576),
    [aux_sym_return_statement_token1] = ACTIONS(1576),
    [aux_sym_throw_expression_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token1] = ACTIONS(1576),
    [aux_sym_while_statement_token2] = ACTIONS(1576),
    [aux_sym_do_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token1] = ACTIONS(1576),
    [aux_sym_for_statement_token2] = ACTIONS(1576),
    [aux_sym_foreach_statement_token1] = ACTIONS(1576),
    [aux_sym_foreach_statement_token2] = ACTIONS(1576),
    [aux_sym_if_statement_token1] = ACTIONS(1576),
    [aux_sym_if_statement_token2] = ACTIONS(1576),
    [aux_sym_else_if_clause_token1] = ACTIONS(1576),
    [aux_sym_else_clause_token1] = ACTIONS(1576),
    [aux_sym_match_expression_token1] = ACTIONS(1576),
    [aux_sym_match_default_expression_token1] = ACTIONS(1576),
    [aux_sym_switch_statement_token1] = ACTIONS(1576),
    [aux_sym_switch_block_token1] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_TILDE] = ACTIONS(1574),
    [anon_sym_BANG] = ACTIONS(1574),
    [anon_sym_AT] = ACTIONS(1574),
    [aux_sym_clone_expression_token1] = ACTIONS(1576),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1576),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1576),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [aux_sym__list_destructing_token1] = ACTIONS(1576),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_self] = ACTIONS(1576),
    [anon_sym_parent] = ACTIONS(1576),
    [aux_sym__argument_name_token1] = ACTIONS(1576),
    [aux_sym__argument_name_token2] = ACTIONS(1576),
    [anon_sym_POUND_LBRACK] = ACTIONS(1574),
    [aux_sym_encapsed_string_token1] = ACTIONS(1574),
    [anon_sym_DQUOTE] = ACTIONS(1574),
    [aux_sym_string_token1] = ACTIONS(1574),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_LT_LT_LT] = ACTIONS(1574),
    [anon_sym_BQUOTE] = ACTIONS(1574),
    [anon_sym_DOLLAR] = ACTIONS(1574),
    [aux_sym_yield_expression_token1] = ACTIONS(1576),
    [aux_sym_include_expression_token1] = ACTIONS(1576),
    [aux_sym_include_once_expression_token1] = ACTIONS(1576),
    [aux_sym_require_expression_token1] = ACTIONS(1576),
    [aux_sym_require_once_expression_token1] = ACTIONS(1576),
    [sym_comment] = ACTIONS(3),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1578),
    [sym_name] = ACTIONS(1580),
    [anon_sym_QMARK_GT] = ACTIONS(1578),
    [anon_sym_SEMI] = ACTIONS(1578),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1580),
    [aux_sym_global_declaration_token1] = ACTIONS(1580),
    [aux_sym_namespace_definition_token1] = ACTIONS(1580),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1580),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1580),
    [anon_sym_BSLASH] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_trait_declaration_token1] = ACTIONS(1580),
    [aux_sym_interface_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_declaration_token1] = ACTIONS(1580),
    [aux_sym_enum_case_token1] = ACTIONS(1580),
    [aux_sym_class_declaration_token1] = ACTIONS(1580),
    [aux_sym_final_modifier_token1] = ACTIONS(1580),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1580),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1580),
    [sym_var_modifier] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1580),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1580),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1580),
    [aux_sym_cast_type_token1] = ACTIONS(1580),
    [aux_sym_echo_statement_token1] = ACTIONS(1580),
    [aux_sym_exit_statement_token1] = ACTIONS(1580),
    [anon_sym_unset] = ACTIONS(1580),
    [aux_sym_declare_statement_token1] = ACTIONS(1580),
    [aux_sym_declare_statement_token2] = ACTIONS(1580),
    [sym_float] = ACTIONS(1580),
    [aux_sym_try_statement_token1] = ACTIONS(1580),
    [aux_sym_goto_statement_token1] = ACTIONS(1580),
    [aux_sym_continue_statement_token1] = ACTIONS(1580),
    [aux_sym_break_statement_token1] = ACTIONS(1580),
    [sym_integer] = ACTIONS(1580),
    [aux_sym_return_statement_token1] = ACTIONS(1580),
    [aux_sym_throw_expression_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token1] = ACTIONS(1580),
    [aux_sym_while_statement_token2] = ACTIONS(1580),
    [aux_sym_do_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token1] = ACTIONS(1580),
    [aux_sym_for_statement_token2] = ACTIONS(1580),
    [aux_sym_foreach_statement_token1] = ACTIONS(1580),
    [aux_sym_foreach_statement_token2] = ACTIONS(1580),
    [aux_sym_if_statement_token1] = ACTIONS(1580),
    [aux_sym_if_statement_token2] = ACTIONS(1580),
    [aux_sym_else_if_clause_token1] = ACTIONS(1580),
    [aux_sym_else_clause_token1] = ACTIONS(1580),
    [aux_sym_match_expression_token1] = ACTIONS(1580),
    [aux_sym_match_default_expression_token1] = ACTIONS(1580),
    [aux_sym_switch_statement_token1] = ACTIONS(1580),
    [aux_sym_switch_block_token1] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_TILDE] = ACTIONS(1578),
    [anon_sym_BANG] = ACTIONS(1578),
    [anon_sym_AT] = ACTIONS(1578),
    [aux_sym_clone_expression_token1] = ACTIONS(1580),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1580),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1580),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [aux_sym__list_destructing_token1] = ACTIONS(1580),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_self] = ACTIONS(1580),
    [anon_sym_parent] = ACTIONS(1580),
    [aux_sym__argument_name_token1] = ACTIONS(1580),
    [aux_sym__argument_name_token2] = ACTIONS(1580),
    [anon_sym_POUND_LBRACK] = ACTIONS(1578),
    [aux_sym_encapsed_string_token1] = ACTIONS(1578),
    [anon_sym_DQUOTE] = ACTIONS(1578),
    [aux_sym_string_token1] = ACTIONS(1578),
    [anon_sym_SQUOTE] = ACTIONS(1578),
    [anon_sym_LT_LT_LT] = ACTIONS(1578),
    [anon_sym_BQUOTE] = ACTIONS(1578),
    [anon_sym_DOLLAR] = ACTIONS(1578),
    [aux_sym_yield_expression_token1] = ACTIONS(1580),
    [aux_sym_include_expression_token1] = ACTIONS(1580),
    [aux_sym_include_once_expression_token1] = ACTIONS(1580),
    [aux_sym_require_expression_token1] = ACTIONS(1580),
    [aux_sym_require_once_expression_token1] = ACTIONS(1580),
    [sym_comment] = ACTIONS(3),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1582),
    [sym_name] = ACTIONS(1584),
    [anon_sym_QMARK_GT] = ACTIONS(1582),
    [anon_sym_SEMI] = ACTIONS(1582),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1584),
    [aux_sym_global_declaration_token1] = ACTIONS(1584),
    [aux_sym_namespace_definition_token1] = ACTIONS(1584),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1584),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1584),
    [anon_sym_BSLASH] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_trait_declaration_token1] = ACTIONS(1584),
    [aux_sym_interface_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_declaration_token1] = ACTIONS(1584),
    [aux_sym_enum_case_token1] = ACTIONS(1584),
    [aux_sym_class_declaration_token1] = ACTIONS(1584),
    [aux_sym_final_modifier_token1] = ACTIONS(1584),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1584),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1584),
    [sym_var_modifier] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1584),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1584),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1584),
    [aux_sym_cast_type_token1] = ACTIONS(1584),
    [aux_sym_echo_statement_token1] = ACTIONS(1584),
    [aux_sym_exit_statement_token1] = ACTIONS(1584),
    [anon_sym_unset] = ACTIONS(1584),
    [aux_sym_declare_statement_token1] = ACTIONS(1584),
    [aux_sym_declare_statement_token2] = ACTIONS(1584),
    [sym_float] = ACTIONS(1584),
    [aux_sym_try_statement_token1] = ACTIONS(1584),
    [aux_sym_goto_statement_token1] = ACTIONS(1584),
    [aux_sym_continue_statement_token1] = ACTIONS(1584),
    [aux_sym_break_statement_token1] = ACTIONS(1584),
    [sym_integer] = ACTIONS(1584),
    [aux_sym_return_statement_token1] = ACTIONS(1584),
    [aux_sym_throw_expression_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token1] = ACTIONS(1584),
    [aux_sym_while_statement_token2] = ACTIONS(1584),
    [aux_sym_do_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token1] = ACTIONS(1584),
    [aux_sym_for_statement_token2] = ACTIONS(1584),
    [aux_sym_foreach_statement_token1] = ACTIONS(1584),
    [aux_sym_foreach_statement_token2] = ACTIONS(1584),
    [aux_sym_if_statement_token1] = ACTIONS(1584),
    [aux_sym_if_statement_token2] = ACTIONS(1584),
    [aux_sym_else_if_clause_token1] = ACTIONS(1584),
    [aux_sym_else_clause_token1] = ACTIONS(1584),
    [aux_sym_match_expression_token1] = ACTIONS(1584),
    [aux_sym_match_default_expression_token1] = ACTIONS(1584),
    [aux_sym_switch_statement_token1] = ACTIONS(1584),
    [aux_sym_switch_block_token1] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_TILDE] = ACTIONS(1582),
    [anon_sym_BANG] = ACTIONS(1582),
    [anon_sym_AT] = ACTIONS(1582),
    [aux_sym_clone_expression_token1] = ACTIONS(1584),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1584),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1584),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [aux_sym__list_destructing_token1] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_self] = ACTIONS(1584),
    [anon_sym_parent] = ACTIONS(1584),
    [aux_sym__argument_name_token1] = ACTIONS(1584),
    [aux_sym__argument_name_token2] = ACTIONS(1584),
    [anon_sym_POUND_LBRACK] = ACTIONS(1582),
    [aux_sym_encapsed_string_token1] = ACTIONS(1582),
    [anon_sym_DQUOTE] = ACTIONS(1582),
    [aux_sym_string_token1] = ACTIONS(1582),
    [anon_sym_SQUOTE] = ACTIONS(1582),
    [anon_sym_LT_LT_LT] = ACTIONS(1582),
    [anon_sym_BQUOTE] = ACTIONS(1582),
    [anon_sym_DOLLAR] = ACTIONS(1582),
    [aux_sym_yield_expression_token1] = ACTIONS(1584),
    [aux_sym_include_expression_token1] = ACTIONS(1584),
    [aux_sym_include_once_expression_token1] = ACTIONS(1584),
    [aux_sym_require_expression_token1] = ACTIONS(1584),
    [aux_sym_require_once_expression_token1] = ACTIONS(1584),
    [sym_comment] = ACTIONS(3),
  },
  [577] = {
    [sym_qualified_name] = STATE(935),
    [sym__name] = STATE(1565),
    [sym_namespace_name] = STATE(2622),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(1045),
    [sym__anonymous_function_header] = STATE(2228),
    [sym__arrow_function_header] = STATE(2619),
    [sym_arrow_function] = STATE(1045),
    [sym_literal] = STATE(1045),
    [sym_throw_expression] = STATE(1045),
    [sym_primary_expression] = STATE(1069),
    [sym_parenthesized_expression] = STATE(911),
    [sym_class_constant_access_expression] = STATE(1004),
    [sym_print_intrinsic] = STATE(1045),
    [sym_object_creation_expression] = STATE(1045),
    [sym__new_non_dereferencable_expression] = STATE(1049),
    [sym__new_dereferencable_expression] = STATE(909),
    [sym_update_expression] = STATE(1045),
    [sym_cast_variable] = STATE(877),
    [sym__variable_member_access_expression] = STATE(885),
    [sym_member_access_expression] = STATE(877),
    [sym__variable_nullsafe_member_access_expression] = STATE(883),
    [sym_nullsafe_member_access_expression] = STATE(877),
    [sym__variable_scoped_property_access_expression] = STATE(870),
    [sym_scoped_property_access_expression] = STATE(877),
    [sym_function_call_expression] = STATE(846),
    [sym__callable_expression] = STATE(2282),
    [sym_scoped_call_expression] = STATE(846),
    [sym__scope_resolution_qualifier] = STATE(2499),
    [sym_relative_scope] = STATE(2499),
    [sym_member_call_expression] = STATE(846),
    [sym_nullsafe_member_call_expression] = STATE(846),
    [sym__variable_subscript_expression] = STATE(871),
    [sym__dereferencable_subscript_expression] = STATE(846),
    [sym__dereferencable_expression] = STATE(1821),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(906),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(950),
    [sym_string] = STATE(950),
    [sym_heredoc] = STATE(950),
    [sym_nowdoc] = STATE(950),
    [sym_shell_command_expression] = STATE(1045),
    [sym_boolean] = STATE(1104),
    [sym_null] = STATE(1104),
    [sym__string] = STATE(950),
    [sym_dynamic_variable_name] = STATE(844),
    [sym__simple_variable] = STATE(844),
    [sym__new_variable] = STATE(871),
    [sym__callable_variable] = STATE(846),
    [sym_variable_name] = STATE(844),
    [sym__reserved_identifier] = STATE(1565),
    [sym__identifier] = STATE(1565),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(719),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LPAREN2] = ACTIONS(1586),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(53),
    [sym_float] = ACTIONS(63),
    [sym_integer] = ACTIONS(63),
    [aux_sym_throw_expression_token1] = ACTIONS(75),
    [aux_sym_print_intrinsic_token1] = ACTIONS(99),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(101),
    [anon_sym_DASH_DASH] = ACTIONS(103),
    [anon_sym_PLUS_PLUS] = ACTIONS(103),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(111),
    [aux_sym__argument_name_token2] = ACTIONS(113),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(117),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [aux_sym_string_token1] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_LT_LT_LT] = ACTIONS(121),
    [anon_sym_BQUOTE] = ACTIONS(123),
    [anon_sym_DOLLAR] = ACTIONS(1588),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2461),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_primary_expression] = STATE(993),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_variable] = STATE(742),
    [sym__variable_member_access_expression] = STATE(738),
    [sym_member_access_expression] = STATE(742),
    [sym__variable_nullsafe_member_access_expression] = STATE(736),
    [sym_nullsafe_member_access_expression] = STATE(742),
    [sym__variable_scoped_property_access_expression] = STATE(735),
    [sym_scoped_property_access_expression] = STATE(742),
    [sym_function_call_expression] = STATE(726),
    [sym__callable_expression] = STATE(2254),
    [sym_scoped_call_expression] = STATE(726),
    [sym__scope_resolution_qualifier] = STATE(2608),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(726),
    [sym_nullsafe_member_call_expression] = STATE(726),
    [sym__variable_subscript_expression] = STATE(745),
    [sym__dereferencable_subscript_expression] = STATE(726),
    [sym__dereferencable_expression] = STATE(1803),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(722),
    [sym__simple_variable] = STATE(722),
    [sym__new_variable] = STATE(745),
    [sym__callable_variable] = STATE(726),
    [sym_variable_name] = STATE(722),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(693),
    [aux_sym_print_intrinsic_token1] = ACTIONS(703),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2553),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_primary_expression] = STATE(993),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_variable] = STATE(742),
    [sym__variable_member_access_expression] = STATE(738),
    [sym_member_access_expression] = STATE(742),
    [sym__variable_nullsafe_member_access_expression] = STATE(736),
    [sym_nullsafe_member_access_expression] = STATE(742),
    [sym__variable_scoped_property_access_expression] = STATE(735),
    [sym_scoped_property_access_expression] = STATE(742),
    [sym_function_call_expression] = STATE(726),
    [sym__callable_expression] = STATE(2254),
    [sym_scoped_call_expression] = STATE(726),
    [sym__scope_resolution_qualifier] = STATE(2608),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(726),
    [sym_nullsafe_member_call_expression] = STATE(726),
    [sym__variable_subscript_expression] = STATE(745),
    [sym__dereferencable_subscript_expression] = STATE(726),
    [sym__dereferencable_expression] = STATE(1803),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(722),
    [sym__simple_variable] = STATE(722),
    [sym__new_variable] = STATE(745),
    [sym__callable_variable] = STATE(726),
    [sym_variable_name] = STATE(722),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(731),
    [aux_sym_print_intrinsic_token1] = ACTIONS(741),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_qualified_name] = STATE(776),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2501),
    [sym_static_modifier] = STATE(2243),
    [sym_anonymous_function] = STATE(981),
    [sym__anonymous_function_header] = STATE(2249),
    [sym__arrow_function_header] = STATE(2590),
    [sym_arrow_function] = STATE(981),
    [sym_literal] = STATE(981),
    [sym_throw_expression] = STATE(981),
    [sym_primary_expression] = STATE(993),
    [sym_parenthesized_expression] = STATE(772),
    [sym_class_constant_access_expression] = STATE(836),
    [sym_print_intrinsic] = STATE(981),
    [sym_object_creation_expression] = STATE(981),
    [sym__new_non_dereferencable_expression] = STATE(985),
    [sym__new_dereferencable_expression] = STATE(768),
    [sym_update_expression] = STATE(981),
    [sym_cast_variable] = STATE(742),
    [sym__variable_member_access_expression] = STATE(738),
    [sym_member_access_expression] = STATE(742),
    [sym__variable_nullsafe_member_access_expression] = STATE(736),
    [sym_nullsafe_member_access_expression] = STATE(742),
    [sym__variable_scoped_property_access_expression] = STATE(735),
    [sym_scoped_property_access_expression] = STATE(742),
    [sym_function_call_expression] = STATE(726),
    [sym__callable_expression] = STATE(2254),
    [sym_scoped_call_expression] = STATE(726),
    [sym__scope_resolution_qualifier] = STATE(2608),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(726),
    [sym_nullsafe_member_call_expression] = STATE(726),
    [sym__variable_subscript_expression] = STATE(745),
    [sym__dereferencable_subscript_expression] = STATE(726),
    [sym__dereferencable_expression] = STATE(1803),
    [sym__dereferencable_scalar] = STATE(1646),
    [sym_array_creation_expression] = STATE(764),
    [sym_attribute_group] = STATE(1318),
    [sym_attribute_list] = STATE(1783),
    [sym_encapsed_string] = STATE(761),
    [sym_string] = STATE(761),
    [sym_heredoc] = STATE(761),
    [sym_nowdoc] = STATE(761),
    [sym_shell_command_expression] = STATE(981),
    [sym_boolean] = STATE(975),
    [sym_null] = STATE(975),
    [sym__string] = STATE(761),
    [sym_dynamic_variable_name] = STATE(722),
    [sym__simple_variable] = STATE(722),
    [sym__new_variable] = STATE(745),
    [sym__callable_variable] = STATE(726),
    [sym_variable_name] = STATE(722),
    [sym__reserved_identifier] = STATE(1640),
    [sym__identifier] = STATE(1640),
    [aux_sym_attribute_list_repeat1] = STATE(1318),
    [sym_name] = ACTIONS(621),
    [aux_sym_function_static_declaration_token1] = ACTIONS(627),
    [aux_sym__namespace_use_type_token1] = ACTIONS(631),
    [anon_sym_BSLASH] = ACTIONS(633),
    [anon_sym_LPAREN2] = ACTIONS(1590),
    [aux_sym__arrow_function_header_token1] = ACTIONS(51),
    [aux_sym_cast_type_token1] = ACTIONS(639),
    [sym_float] = ACTIONS(641),
    [sym_integer] = ACTIONS(641),
    [aux_sym_throw_expression_token1] = ACTIONS(643),
    [aux_sym_print_intrinsic_token1] = ACTIONS(655),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(657),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(1025),
    [anon_sym_self] = ACTIONS(109),
    [anon_sym_parent] = ACTIONS(109),
    [aux_sym__argument_name_token1] = ACTIONS(663),
    [aux_sym__argument_name_token2] = ACTIONS(665),
    [anon_sym_POUND_LBRACK] = ACTIONS(115),
    [aux_sym_encapsed_string_token1] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [aux_sym_string_token1] = ACTIONS(669),
    [anon_sym_SQUOTE] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_BQUOTE] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(1592),
    [sym_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_name] = ACTIONS(1594),
    [anon_sym_SEMI] = ACTIONS(1596),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1594),
    [aux_sym_global_declaration_token1] = ACTIONS(1594),
    [aux_sym_namespace_definition_token1] = ACTIONS(1594),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1594),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1594),
    [anon_sym_BSLASH] = ACTIONS(1596),
    [anon_sym_LBRACE] = ACTIONS(1596),
    [aux_sym_trait_declaration_token1] = ACTIONS(1594),
    [aux_sym_interface_declaration_token1] = ACTIONS(1594),
    [aux_sym_enum_declaration_token1] = ACTIONS(1594),
    [anon_sym_COLON] = ACTIONS(1596),
    [aux_sym_class_declaration_token1] = ACTIONS(1594),
    [aux_sym_final_modifier_token1] = ACTIONS(1594),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1594),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1594),
    [sym_var_modifier] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1594),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1594),
    [anon_sym_LPAREN2] = ACTIONS(1596),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1594),
    [aux_sym_cast_type_token1] = ACTIONS(1594),
    [aux_sym_echo_statement_token1] = ACTIONS(1594),
    [aux_sym_exit_statement_token1] = ACTIONS(1594),
    [anon_sym_unset] = ACTIONS(1594),
    [aux_sym_declare_statement_token1] = ACTIONS(1594),
    [sym_float] = ACTIONS(1594),
    [aux_sym_try_statement_token1] = ACTIONS(1594),
    [aux_sym_goto_statement_token1] = ACTIONS(1594),
    [aux_sym_continue_statement_token1] = ACTIONS(1594),
    [aux_sym_break_statement_token1] = ACTIONS(1594),
    [sym_integer] = ACTIONS(1594),
    [aux_sym_return_statement_token1] = ACTIONS(1594),
    [aux_sym_throw_expression_token1] = ACTIONS(1594),
    [aux_sym_while_statement_token1] = ACTIONS(1594),
    [aux_sym_do_statement_token1] = ACTIONS(1594),
    [aux_sym_for_statement_token1] = ACTIONS(1594),
    [aux_sym_foreach_statement_token1] = ACTIONS(1594),
    [aux_sym_if_statement_token1] = ACTIONS(1594),
    [aux_sym_match_expression_token1] = ACTIONS(1594),
    [aux_sym_switch_statement_token1] = ACTIONS(1594),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_TILDE] = ACTIONS(1596),
    [anon_sym_BANG] = ACTIONS(1596),
    [anon_sym_AT] = ACTIONS(1596),
    [aux_sym_clone_expression_token1] = ACTIONS(1594),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1594),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1594),
    [anon_sym_DASH_DASH] = ACTIONS(1596),
    [anon_sym_PLUS_PLUS] = ACTIONS(1596),
    [aux_sym__list_destructing_token1] = ACTIONS(1594),
    [anon_sym_LBRACK] = ACTIONS(1596),
    [anon_sym_self] = ACTIONS(1594),
    [anon_sym_parent] = ACTIONS(1594),
    [aux_sym__argument_name_token1] = ACTIONS(1594),
    [aux_sym__argument_name_token2] = ACTIONS(1594),
    [anon_sym_POUND_LBRACK] = ACTIONS(1596),
    [aux_sym_encapsed_string_token1] = ACTIONS(1596),
    [anon_sym_DQUOTE] = ACTIONS(1596),
    [aux_sym_string_token1] = ACTIONS(1596),
    [anon_sym_SQUOTE] = ACTIONS(1596),
    [anon_sym_LT_LT_LT] = ACTIONS(1596),
    [anon_sym_BQUOTE] = ACTIONS(1596),
    [anon_sym_DOLLAR] = ACTIONS(1596),
    [aux_sym_yield_expression_token1] = ACTIONS(1594),
    [aux_sym_include_expression_token1] = ACTIONS(1594),
    [aux_sym_include_once_expression_token1] = ACTIONS(1594),
    [aux_sym_require_expression_token1] = ACTIONS(1594),
    [aux_sym_require_once_expression_token1] = ACTIONS(1594),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(605), 1,
      sym_arguments,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(604), 1,
      sym_arguments,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [494] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [562] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [698] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [766] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [834] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1656), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1654), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [970] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1660), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1658), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1038] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1674), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1116] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1184] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1252] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN2,
    ACTIONS(1682), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1680), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1322] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1390] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1458] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1526] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1594] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1662] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1730] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1798] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1714), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1866] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1718), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1934] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1722), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2004] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1674), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2079] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1674), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2154] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2229] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(618), 1,
      sym_arguments,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2298] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2367] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2495] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2559] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2623] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1674), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2697] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2761] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1706), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2889] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1736), 1,
      anon_sym_RBRACE,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(643), 1,
      aux_sym_use_list_repeat1,
    STATE(1601), 1,
      sym_class_constant_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2188), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1853), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1646), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [3001] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3073] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3137] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2233), 1,
      sym_by_ref,
    STATE(2235), 1,
      sym__list_destructing,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1577), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1568), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1551), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3255] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym_name,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1744), 1,
      anon_sym_RBRACE,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(624), 1,
      aux_sym_use_list_repeat1,
    STATE(1601), 1,
      sym_class_constant_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2188), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1853), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1646), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [3367] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3495] = 30,
    ACTIONS(105), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2172), 1,
      sym__list_destructing,
    STATE(2193), 1,
      sym_by_ref,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1530), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1532), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1492), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [3613] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1746), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1748), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3687] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3751] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1718), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3815] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1714), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3879] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3951] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN2,
    ACTIONS(1682), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1680), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4017] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4081] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4145] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4219] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1660), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1658), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4283] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1722), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4349] = 27,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1754), 1,
      sym_name,
    ACTIONS(1760), 1,
      anon_sym_BSLASH,
    ACTIONS(1763), 1,
      anon_sym_RBRACE,
    ACTIONS(1765), 1,
      anon_sym_LPAREN2,
    ACTIONS(1768), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1771), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1774), 1,
      anon_sym_LBRACK,
    ACTIONS(1783), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1786), 1,
      anon_sym_DOLLAR,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(643), 1,
      aux_sym_use_list_repeat1,
    STATE(1601), 1,
      sym_class_constant_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(1777), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1780), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2188), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1757), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1853), 7,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__variable_subscript_expression,
      sym__dereferencable_expression,
      sym__new_variable,
    STATE(1646), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym__callable_variable,
  [4461] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4524] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4587] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4658] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4721] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1674), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4794] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1748), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4865] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1789), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1791), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4938] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1656), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1654), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5001] = 11,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1793), 1,
      anon_sym_RPAREN2,
    STATE(2122), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5080] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5143] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1638), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5206] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5269] = 29,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2305), 1,
      sym_by_ref,
    STATE(2310), 1,
      sym__array_destructing,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1630), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1579), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1527), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [5384] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1676), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5447] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1748), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5518] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5589] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1674), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5660] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1674), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5731] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1674), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5801] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5875] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1674), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5945] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6019] = 10,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1793), 1,
      anon_sym_RPAREN2,
    STATE(2122), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6095] = 10,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1793), 1,
      anon_sym_RPAREN2,
    STATE(2122), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6171] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6245] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1791), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6315] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1789), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1791), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1662), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6385] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6456] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6527] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1802), 1,
      anon_sym_RPAREN2,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1597), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1599), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1542), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6636] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1804), 1,
      anon_sym_RPAREN2,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1597), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1599), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1542), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6745] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1806), 1,
      anon_sym_RPAREN2,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1597), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1599), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1542), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6854] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1800), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6925] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6998] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1728), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7069] = 27,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1811), 1,
      anon_sym_RPAREN2,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1597), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1599), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1542), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7178] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7249] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1797), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7320] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(791), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(789), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(733), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7426] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(735), 1,
      sym__variable_scoped_property_access_expression,
    STATE(736), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(738), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2254), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(723), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1803), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2608), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(722), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(725), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1640), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(703), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7532] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(792), 1,
      sym__variable_scoped_property_access_expression,
    STATE(808), 1,
      sym__variable_member_access_expression,
    STATE(824), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2277), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(829), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2582), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(788), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(830), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1624), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(807), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7638] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(723), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(725), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(703), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7744] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_LPAREN2,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(893), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(895), 1,
      sym__variable_scoped_property_access_expression,
    STATE(943), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2231), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(978), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1814), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2549), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(897), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(976), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1596), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(968), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7850] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(792), 1,
      sym__variable_scoped_property_access_expression,
    STATE(808), 1,
      sym__variable_member_access_expression,
    STATE(824), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2277), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(840), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2582), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(788), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(839), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1624), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(823), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7956] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1528), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1526), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1496), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8062] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_LPAREN2,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(893), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(895), 1,
      sym__variable_scoped_property_access_expression,
    STATE(943), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2231), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(980), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1814), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2549), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(897), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1000), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1596), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(942), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8168] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8238] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_LPAREN2,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(893), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(895), 1,
      sym__variable_scoped_property_access_expression,
    STATE(943), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2231), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(999), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1814), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2549), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(897), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(994), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1596), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(894), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8344] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1750), 1,
      anon_sym_EQ,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1662), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1752), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1664), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8414] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1597), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1599), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1542), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8520] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1813), 1,
      anon_sym_LPAREN2,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(792), 1,
      sym__variable_scoped_property_access_expression,
    STATE(808), 1,
      sym__variable_member_access_expression,
    STATE(824), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2277), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(791), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1864), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2582), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(788), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(789), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1624), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(733), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8626] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(1821), 1,
      anon_sym_LPAREN2,
    STATE(870), 1,
      sym__variable_scoped_property_access_expression,
    STATE(883), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(885), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2282), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(868), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1821), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2552), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(844), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(886), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1565), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(864), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8732] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1825), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8796] = 26,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(639), 1,
      aux_sym_cast_type_token1,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_LPAREN2,
    ACTIONS(1740), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      sym_name,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(1760), 1,
      sym__new_dereferencable_expression,
    STATE(2252), 1,
      sym__callable_expression,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1558), 2,
      sym__variable_subscript_expression,
      sym__new_variable,
    STATE(1853), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2583), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(109), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(600), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
    STATE(1559), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1611), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1504), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
      sym__callable_variable,
    STATE(1646), 8,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1832), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8960] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1716), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9020] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1480), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1478), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9075] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(707), 1,
      sym_arguments,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9134] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1556), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9189] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9248] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(708), 1,
      sym_arguments,
    ACTIONS(1618), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9307] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1840), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1848), 1,
      sym_var_modifier,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1525), 1,
      sym_property_element,
    STATE(1656), 1,
      sym__function_definition_header,
    STATE(1726), 1,
      sym_variable_name,
    STATE(2199), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9404] = 24,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1840), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1842), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1848), 1,
      sym_var_modifier,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1519), 1,
      sym_property_element,
    STATE(1726), 1,
      sym_variable_name,
    STATE(1730), 1,
      sym__function_definition_header,
    STATE(2156), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9501] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9555] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9609] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9663] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9717] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9771] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9879] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1660), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9933] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9987] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10041] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10097] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10151] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1716), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10207] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10261] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10315] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN2,
    ACTIONS(1682), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10371] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10427] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10481] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10537] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10597] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10705] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10765] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10819] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    ACTIONS(1863), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10874] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10927] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10984] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11037] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1656), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11090] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11143] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN2,
    STATE(814), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11200] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11253] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN2,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11310] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11363] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11416] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11473] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11526] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11581] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1672), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11638] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1879), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11694] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1886), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1884), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11746] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1890), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11798] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1894), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1892), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11850] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1898), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11902] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11954] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1902), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1900), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12006] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1906), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12058] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1096), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1094), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12110] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1910), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12162] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1914), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1912), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12214] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1918), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1916), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12266] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12318] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1922), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1920), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12370] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12422] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1928), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1926), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12476] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1932), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1930), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12528] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1936), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1934), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12580] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1928), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12634] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1940), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1938), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12686] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12738] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1944), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1942), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12790] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_LPAREN2,
    ACTIONS(1952), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1948), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12846] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1956), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1954), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12898] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12950] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1960), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13002] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13058] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1964), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1962), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13110] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1968), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13162] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1972), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13214] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1978), 1,
      anon_sym_COMMA,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1984), 1,
      anon_sym_RPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2015), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13362] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13414] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13468] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13520] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13572] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13624] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13676] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13728] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2008), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13780] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13832] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13884] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN2,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13938] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13992] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2016), 1,
      anon_sym_DASH_GT,
    ACTIONS(2018), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14052] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14106] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1656), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14210] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14262] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14314] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14366] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14418] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14470] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14522] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14574] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14626] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14678] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14730] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14782] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14834] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14886] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14942] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14994] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15046] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15098] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15150] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15202] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15254] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15306] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15358] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15410] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15462] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15514] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15566] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2082), 1,
      anon_sym_COMMA,
    ACTIONS(2084), 1,
      anon_sym_RPAREN2,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1994), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [15660] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15712] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15764] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15820] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15872] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1084), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1082), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15924] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15979] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2090), 1,
      anon_sym_RPAREN2,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16070] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      anon_sym_RPAREN2,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16161] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16214] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16267] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2094), 1,
      anon_sym_RPAREN2,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16358] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16413] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(855), 1,
      sym_arguments,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16468] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2098), 1,
      anon_sym_RPAREN2,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16559] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(852), 1,
      sym_arguments,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16614] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16667] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16718] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2100), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16773] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16826] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16879] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16935] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16985] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17035] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN2,
    ACTIONS(1682), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17087] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      sym_name,
    ACTIONS(2104), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2106), 1,
      anon_sym_BSLASH,
    ACTIONS(2108), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2110), 1,
      sym_var_modifier,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(792), 1,
      sym__variable_scoped_property_access_expression,
    STATE(800), 1,
      sym_anonymous_class,
    STATE(808), 1,
      sym__variable_member_access_expression,
    STATE(824), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(2566), 1,
      sym_namespace_name,
    ACTIONS(2114), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(887), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(882), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(790), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [17181] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17237] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2116), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [17337] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_RPAREN2,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17391] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17441] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17491] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17541] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1071), 1,
      sym_attribute_list,
    STATE(1198), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1693), 1,
      sym_type,
    STATE(1988), 1,
      sym_reference_modifier,
    STATE(2001), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1295), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2376), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [17629] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(2120), 1,
      sym_name,
    ACTIONS(2122), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2124), 1,
      anon_sym_BSLASH,
    ACTIONS(2126), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2128), 1,
      sym_var_modifier,
    ACTIONS(2130), 1,
      anon_sym_LPAREN2,
    STATE(893), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(895), 1,
      sym__variable_scoped_property_access_expression,
    STATE(943), 1,
      sym__variable_member_access_expression,
    STATE(967), 1,
      sym_anonymous_class,
    STATE(1347), 1,
      sym_attribute_list,
    STATE(2479), 1,
      sym_namespace_name,
    ACTIONS(2132), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1009), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1007), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(966), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1345), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [17723] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17823] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17873] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17923] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17975] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18025] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(2104), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2108), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2110), 1,
      sym_var_modifier,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(594), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(595), 1,
      sym__variable_scoped_property_access_expression,
    STATE(599), 1,
      sym__variable_member_access_expression,
    STATE(800), 1,
      sym_anonymous_class,
    STATE(1346), 1,
      sym_attribute_list,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2304), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(2395), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(1764), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
    STATE(1338), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [18119] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18169] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18219] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18273] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18323] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18373] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18423] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18474] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18523] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1656), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18572] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2136), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [18674] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18723] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18772] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(941), 1,
      sym_arguments,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18825] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(944), 1,
      sym_arguments,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1616), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18878] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1732), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18931] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18980] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19029] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19078] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19129] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19180] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19229] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19278] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19327] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19378] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN2,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19431] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1861), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19481] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2076), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2074), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19529] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2080), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2078), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19577] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1906), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1904), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19625] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1902), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1900), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19673] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19721] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1656), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19821] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1972), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19869] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_LPAREN2,
    ACTIONS(1682), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1680), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19919] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1968), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19967] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20015] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20063] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1932), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1930), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20159] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1708), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20207] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1612), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20255] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20303] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1928), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20353] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1918), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1916), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20401] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1910), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1908), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20449] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_LPAREN2,
    ACTIONS(1952), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1948), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20501] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1890), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20549] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20601] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20699] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1964), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1962), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20747] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20795] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1718), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20843] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20899] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2072), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2070), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20947] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20995] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1960), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21043] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1480), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1478), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21091] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21139] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1914), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1912), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21187] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21235] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1598), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21283] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1956), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1954), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21331] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1944), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1942), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21379] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1940), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1938), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21427] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2008), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21475] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1936), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1934), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21523] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1886), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1884), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21571] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21619] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21667] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21715] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1974), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21765] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2088), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21813] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2028), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21861] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2148), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21917] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21965] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1894), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1892), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22013] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22061] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22113] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22161] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22209] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22257] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2004), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22305] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22353] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1722), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22403] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22451] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1928), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1926), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22501] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22549] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_LPAREN2,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22599] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1898), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1896), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22647] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1922), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1920), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22695] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1692), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22743] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22791] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1678), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1676), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22839] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1636), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22887] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22935] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1640), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1638), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22983] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1710), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23031] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23079] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2024), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23127] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23175] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23223] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2152), 1,
      anon_sym_DASH_GT,
    ACTIONS(2154), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2156), 1,
      anon_sym_LBRACK,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23279] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23327] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23379] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2100), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23431] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2000), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23479] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(2158), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23535] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23583] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23630] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23677] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1926), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23724] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23820] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1674), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23869] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23916] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23965] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1664), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24012] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2178), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24059] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2180), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2178), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24108] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24155] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1948), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24202] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24249] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24296] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24343] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24390] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24437] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24484] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24531] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24578] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24627] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24674] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2224), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2222), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24721] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1823), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1825), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24772] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24819] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1865), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24868] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24917] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2232), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2230), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24964] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2236), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25011] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_EQ,
    ACTIONS(2238), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25062] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25158] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1716), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1714), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25204] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2012), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25251] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1830), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1832), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25296] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(953), 1,
      sym_arguments,
    ACTIONS(2144), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2142), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25345] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [25427] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25503] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25579] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25655] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [25735] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25779] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25855] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25931] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25977] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26031] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26083] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26139] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2240), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26199] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26265] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26335] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26407] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26485] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [26567] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26643] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26689] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26765] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26815] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26883] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26947] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27029] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27111] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27193] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27275] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27357] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2312), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27441] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27523] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27605] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [27687] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27762] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [27843] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1664), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27886] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2224), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2222), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27929] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2178), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27972] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2358), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2178), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28017] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1948), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1946), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28060] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28103] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28184] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28265] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28346] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28427] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2400), 1,
      anon_sym_EQ_GT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28510] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28553] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28634] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28715] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28796] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28839] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [28920] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29001] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1084), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1082), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29044] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1096), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1094), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29087] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29168] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29249] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29292] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29335] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29378] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29421] = 18,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1982), 1,
      anon_sym_LPAREN2,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(2402), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1193), 1,
      sym_visibility_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1729), 1,
      sym_type,
    STATE(2079), 1,
      sym_reference_modifier,
    STATE(2080), 1,
      sym_variable_name,
    STATE(2559), 1,
      sym_namespace_name,
    ACTIONS(47), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1541), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [29494] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29569] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29644] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [29725] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29788] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29855] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29904] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29979] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30024] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30099] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [30178] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30255] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30326] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30395] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30460] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2240), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30519] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [30574] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30625] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30678] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30723] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30766] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30841] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30916] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [30997] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2228), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31040] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31121] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31202] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31273] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [31354] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2406), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2411), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2414), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2417), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2420), 1,
      sym_var_modifier,
    ACTIONS(2423), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2409), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2404), 16,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [31411] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31486] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31561] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31604] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1926), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31647] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31690] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31771] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31834] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31915] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [31996] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2220), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2218), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32039] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32082] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2426), 1,
      anon_sym_EQ_GT,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2234), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [32165] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32240] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32283] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32350] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32393] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2174), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32436] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32511] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32586] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32635] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2232), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2230), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32678] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32723] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [32776] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32851] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32902] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32947] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [33002] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2240), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33061] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33126] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33195] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2236), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2234), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33238] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33315] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [33394] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33469] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2240), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33527] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33595] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2310), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33675] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2308), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33755] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2306), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33835] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2244), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33915] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2304), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [33995] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2226), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [34075] = 20,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34151] = 21,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34229] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2288), 1,
      anon_sym_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34303] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34377] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34451] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34525] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2298), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34599] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34673] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34717] = 14,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34781] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34831] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34885] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2468), 1,
      anon_sym_EQ_GT,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2234), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34967] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2316), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35047] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35099] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35143] = 19,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35217] = 17,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_QMARK,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35287] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2242), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2240), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35335] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2300), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35415] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2302), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35495] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2314), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [35575] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2242), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35637] = 15,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2242), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2240), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35703] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2357), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35786] = 4,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35829] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2379), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2474), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35912] = 4,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35955] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2250), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36038] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2381), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2478), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36121] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2480), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [36200] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2370), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36283] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2322), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2484), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36366] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2325), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2486), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36449] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(2330), 1,
      sym_property_hook_list,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2488), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36532] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2490), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36610] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2492), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1518), 1,
      sym_type,
    STATE(1648), 1,
      sym_const_element,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36672] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2494), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36752] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(549), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36832] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(552), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36912] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(555), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36992] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2504), 1,
      anon_sym_EQ_GT,
    ACTIONS(2234), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37072] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(2062), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37152] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(2061), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37232] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(2059), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37312] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2512), 1,
      anon_sym_EQ_GT,
    ACTIONS(2234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37392] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(2044), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37472] = 24,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2516), 1,
      anon_sym_COMMA,
    ACTIONS(2518), 1,
      anon_sym_EQ_GT,
    STATE(2170), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37554] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37634] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2522), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37712] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1281), 1,
      sym_readonly_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1797), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1753), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1616), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37778] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(1709), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37858] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2526), 1,
      anon_sym_EQ_GT,
    ACTIONS(2234), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37938] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2492), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1560), 1,
      sym_type,
    STATE(1749), 1,
      sym_const_element,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38000] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2492), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1523), 1,
      sym_type,
    STATE(1704), 1,
      sym_const_element,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38062] = 16,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1232), 1,
      sym_readonly_modifier,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1815), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1723), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1616), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38128] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2492), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1510), 1,
      sym_type,
    STATE(1696), 1,
      sym_const_element,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38190] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_AMP,
    ACTIONS(2320), 1,
      anon_sym_PIPE,
    ACTIONS(2324), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2326), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2330), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2332), 1,
      anon_sym_CARET,
    ACTIONS(2340), 1,
      anon_sym_GT_EQ,
    ACTIONS(2344), 1,
      anon_sym_DOT,
    ACTIONS(2348), 1,
      anon_sym_PERCENT,
    ACTIONS(2350), 1,
      anon_sym_QMARK,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2356), 1,
      aux_sym_binary_expression_token4,
    STATE(525), 1,
      sym__semicolon,
    ACTIONS(2322), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2342), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2346), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2338), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2336), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38270] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38347] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38424] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      anon_sym_RBRACE,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2550), 1,
      sym_var_modifier,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1228), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38495] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2520), 1,
      anon_sym_SEMI,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38574] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38651] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2561), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2564), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2567), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2570), 1,
      anon_sym_RBRACE,
    ACTIONS(2572), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2575), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2578), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2581), 1,
      sym_var_modifier,
    ACTIONS(2587), 1,
      anon_sym_POUND_LBRACK,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2584), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1206), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [38722] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38799] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38876] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2594), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38953] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39030] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39107] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39184] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39261] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39338] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2494), 1,
      anon_sym_SEMI,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39417] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2550), 1,
      sym_var_modifier,
    ACTIONS(2606), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1206), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [39488] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2608), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39565] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2610), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39642] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2520), 1,
      anon_sym_RPAREN2,
    ACTIONS(2612), 1,
      anon_sym_COMMA,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39721] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2614), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39798] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2616), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39875] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2618), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39952] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2550), 1,
      sym_var_modifier,
    ACTIONS(2620), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1225), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40023] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_GT_EQ,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2442), 1,
      anon_sym_PERCENT,
    ACTIONS(2444), 1,
      anon_sym_AMP,
    ACTIONS(2446), 1,
      anon_sym_PIPE,
    ACTIONS(2448), 1,
      anon_sym_CARET,
    ACTIONS(2454), 1,
      anon_sym_QMARK,
    ACTIONS(2456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2458), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2460), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2462), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2464), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2466), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2494), 1,
      anon_sym_RPAREN2,
    ACTIONS(2612), 1,
      anon_sym_COMMA,
    ACTIONS(2428), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2440), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2450), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2432), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2452), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40102] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2550), 1,
      sym_var_modifier,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1206), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40173] = 23,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2624), 1,
      anon_sym_EQ_GT,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40252] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2550), 1,
      sym_var_modifier,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1216), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40323] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2550), 1,
      sym_var_modifier,
    ACTIONS(2630), 1,
      anon_sym_RBRACE,
    STATE(1327), 1,
      sym_attribute_list,
    STATE(1380), 1,
      sym__const_declaration,
    STATE(1382), 1,
      sym__class_const_declaration,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1206), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
    STATE(706), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [40394] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2632), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40470] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40546] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2636), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40622] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1829), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1759), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1616), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40682] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2638), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40758] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2640), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40834] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40910] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2644), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40986] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2646), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41062] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2648), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41138] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2650), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41214] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_LPAREN,
    ACTIONS(2654), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2652), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41254] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41330] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41406] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2662), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41482] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41558] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41634] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41710] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2670), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41786] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2672), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41862] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41938] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2676), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42014] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2678), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42090] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42166] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2682), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42242] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2684), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42318] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42394] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2688), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42470] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42546] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2690), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42622] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2692), 1,
      anon_sym_EQ_GT,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42698] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42774] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42850] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42926] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43002] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2702), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43078] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43154] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43230] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2708), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43306] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2710), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43382] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43458] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_AMP,
    ACTIONS(2362), 1,
      anon_sym_QMARK,
    ACTIONS(2364), 1,
      anon_sym_PIPE,
    ACTIONS(2368), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2374), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2378), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2380), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2382), 1,
      anon_sym_CARET,
    ACTIONS(2390), 1,
      anon_sym_GT_EQ,
    ACTIONS(2394), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_PERCENT,
    ACTIONS(2714), 1,
      anon_sym_RBRACK,
    ACTIONS(2366), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2384), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2392), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2388), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2386), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43534] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43610] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43686] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43762] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2722), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43838] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43914] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43990] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2728), 1,
      anon_sym_COLON,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44066] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44142] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2732), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44218] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2734), 1,
      anon_sym_RBRACE,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44294] = 14,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1855), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1686), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1616), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44354] = 22,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_AMP,
    ACTIONS(2248), 1,
      anon_sym_QMARK,
    ACTIONS(2250), 1,
      anon_sym_PIPE,
    ACTIONS(2254), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2256), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2266), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2268), 1,
      anon_sym_CARET,
    ACTIONS(2276), 1,
      anon_sym_GT_EQ,
    ACTIONS(2280), 1,
      anon_sym_DOT,
    ACTIONS(2284), 1,
      anon_sym_PERCENT,
    ACTIONS(2736), 1,
      anon_sym_RPAREN2,
    ACTIONS(2252), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2270), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2282), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2272), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44430] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2740), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2738), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44467] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2744), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2742), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44504] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    STATE(1332), 1,
      sym_attribute_list,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1290), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44569] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1332), 1,
      sym_attribute_list,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1289), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44634] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2756), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2754), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44671] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2761), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2764), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2772), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2775), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2778), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2781), 1,
      sym_var_modifier,
    ACTIONS(2787), 1,
      anon_sym_POUND_LBRACK,
    STATE(1332), 1,
      sym_attribute_list,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2784), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1288), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44736] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    ACTIONS(2790), 1,
      anon_sym_RBRACE,
    STATE(1332), 1,
      sym_attribute_list,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1288), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44801] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2748), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2750), 1,
      sym_var_modifier,
    ACTIONS(2792), 1,
      anon_sym_RBRACE,
    STATE(1332), 1,
      sym_attribute_list,
    STATE(1748), 1,
      sym__function_definition_header,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1288), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [44866] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1834), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2794), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44903] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2798), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2796), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [44939] = 12,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2804), 1,
      anon_sym_LPAREN2,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    ACTIONS(2808), 1,
      sym_bottom_type,
    STATE(1761), 1,
      sym_qualified_name,
    STATE(2040), 1,
      sym_type,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(2104), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1505), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44992] = 12,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1850), 1,
      anon_sym_LPAREN2,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2810), 1,
      sym_bottom_type,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2359), 1,
      sym_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1481), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1407), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45045] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_POUND_LBRACK,
    STATE(1296), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2814), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2812), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45082] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_POUND_LBRACK,
    STATE(1296), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2818), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2816), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2823), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2827), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2831), 16,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45212] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN2,
    STATE(1761), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1874), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45254] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1464), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45296] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2839), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2841), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2843), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2845), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2847), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2849), 1,
      sym_var_modifier,
    ACTIONS(2851), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1445), 1,
      sym_static_modifier,
    STATE(2283), 1,
      sym__function_definition_header,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1349), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45352] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2431), 1,
      sym_intersection_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45394] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1472), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45436] = 16,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2839), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2851), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2853), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2855), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2857), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2859), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2861), 1,
      sym_var_modifier,
    STATE(1445), 1,
      sym_static_modifier,
    STATE(2269), 1,
      sym__function_definition_header,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1342), 6,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [45492] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(2102), 1,
      sym_name,
    ACTIONS(2106), 1,
      anon_sym_BSLASH,
    ACTIONS(2112), 1,
      anon_sym_LPAREN2,
    STATE(792), 1,
      sym__variable_scoped_property_access_expression,
    STATE(808), 1,
      sym__variable_member_access_expression,
    STATE(824), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(2566), 1,
      sym_namespace_name,
    STATE(1005), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(882), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(790), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45542] = 13,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(2120), 1,
      sym_name,
    ACTIONS(2124), 1,
      anon_sym_BSLASH,
    ACTIONS(2130), 1,
      anon_sym_LPAREN2,
    STATE(893), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(895), 1,
      sym__variable_scoped_property_access_expression,
    STATE(943), 1,
      sym__variable_member_access_expression,
    STATE(2479), 1,
      sym_namespace_name,
    STATE(1091), 2,
      sym_parenthesized_expression,
      sym__class_name_reference,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1007), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
    STATE(966), 5,
      sym__variable_subscript_expression,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym__new_variable,
      sym_variable_name,
  [45592] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1472), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45634] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    ACTIONS(2835), 1,
      anon_sym_LPAREN2,
    STATE(1761), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1843), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45676] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2635), 1,
      sym_intersection_type,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45718] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    ACTIONS(2837), 1,
      anon_sym_LPAREN2,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1464), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45760] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2540), 1,
      sym_intersection_type,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45802] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2453), 1,
      sym_intersection_type,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45844] = 9,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(2528), 1,
      sym_intersection_type,
    STATE(2013), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45886] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    STATE(1761), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1868), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45925] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1457), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45964] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    ACTIONS(2806), 1,
      anon_sym_QMARK,
    STATE(1761), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1838), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2814), 1,
      anon_sym_AMP,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2812), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46036] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1852), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1474), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_AMP,
    ACTIONS(2863), 1,
      anon_sym_POUND_LBRACK,
    STATE(1320), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2816), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46108] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1474), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46147] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    ACTIONS(1988), 1,
      anon_sym_QMARK,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1457), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46186] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    STATE(1661), 1,
      sym_static_variable_declaration,
    STATE(1817), 1,
      sym_variable_name,
    ACTIONS(1714), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46222] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    STATE(1716), 1,
      sym_static_variable_declaration,
    STATE(1817), 1,
      sym_variable_name,
    ACTIONS(1714), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1834), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [46258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2831), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2823), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46312] = 12,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2540), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2868), 1,
      sym_var_modifier,
    STATE(1385), 1,
      sym__const_declaration,
    STATE(1734), 1,
      sym__function_definition_header,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(705), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2829), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2827), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [46384] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2501), 1,
      sym_namespace_name,
    STATE(1449), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46418] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1838), 1,
      sym_name,
    ACTIONS(1980), 1,
      anon_sym_BSLASH,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2559), 1,
      sym_namespace_name,
    STATE(1449), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1846), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46452] = 7,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2800), 1,
      sym_name,
    STATE(1761), 1,
      sym_qualified_name,
    STATE(2622), 1,
      sym_namespace_name,
    STATE(1739), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2802), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46486] = 11,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2870), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2872), 1,
      sym_var_modifier,
    STATE(1734), 1,
      sym__function_definition_header,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1337), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46528] = 10,
    ACTIONS(641), 1,
      sym_integer,
    ACTIONS(671), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2874), 1,
      sym_float,
    ACTIONS(2876), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2878), 1,
      aux_sym__argument_name_token2,
    STATE(2467), 1,
      sym_literal,
    ACTIONS(667), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(669), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(975), 7,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym_boolean,
      sym_null,
      sym__string,
  [46567] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    STATE(1730), 1,
      sym__function_definition_header,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46606] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2882), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2884), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46645] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2886), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2888), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46684] = 10,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    STATE(1656), 1,
      sym__function_definition_header,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46723] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2890), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46759] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2886), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46795] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2892), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1763), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [46819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_LBRACE,
    ACTIONS(2898), 1,
      anon_sym_BSLASHu,
    ACTIONS(2900), 1,
      sym__new_line,
    ACTIONS(2903), 1,
      anon_sym_DOLLAR,
    ACTIONS(2905), 1,
      sym_heredoc_end,
    STATE(1343), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2896), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1351), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [46859] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2907), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46895] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_LBRACE,
    ACTIONS(2915), 1,
      anon_sym_BSLASHu,
    ACTIONS(2918), 1,
      sym__new_line,
    ACTIONS(2921), 1,
      anon_sym_DOLLAR,
    ACTIONS(2924), 1,
      sym_heredoc_end,
    STATE(1343), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2912), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1351), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [46935] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2926), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [46971] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2928), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47007] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2930), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2932), 1,
      sym_var_modifier,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1344), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47043] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2934), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2936), 1,
      sym_var_modifier,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1348), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47079] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2938), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47115] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2544), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2548), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2880), 1,
      sym_var_modifier,
    ACTIONS(2940), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2552), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1100), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_class_declaration_repeat1,
  [47151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_BSLASHu,
    ACTIONS(2953), 1,
      anon_sym_DOLLAR,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2945), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2951), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_LBRACE,
    ACTIONS(2903), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2960), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47221] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_LBRACE,
    ACTIONS(2898), 1,
      anon_sym_BSLASHu,
    ACTIONS(2903), 1,
      anon_sym_DOLLAR,
    ACTIONS(2962), 1,
      sym__new_line,
    STATE(1341), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2896), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1351), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_LBRACE,
    ACTIONS(2903), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      anon_sym_BSLASHu,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2924), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2956), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1350), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47293] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_BQUOTE,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    STATE(1482), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2966), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47347] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(1652), 1,
      sym_namespace_use_clause,
    STATE(1970), 1,
      sym__namespace_use_group,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(2976), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1810), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47381] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_LBRACE,
    ACTIONS(2982), 1,
      anon_sym_BSLASHu,
    ACTIONS(2984), 1,
      anon_sym_DQUOTE,
    ACTIONS(2986), 1,
      anon_sym_DOLLAR,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1574), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2980), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47435] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_BSLASHu,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    ACTIONS(2990), 1,
      anon_sym_BQUOTE,
    STATE(1482), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2966), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2992), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2994), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47509] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(1724), 1,
      sym_namespace_use_clause,
    STATE(1942), 1,
      sym__namespace_use_group,
    STATE(2609), 1,
      sym_namespace_name,
    ACTIONS(2976), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1810), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [47543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47563] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_LBRACE,
    ACTIONS(2982), 1,
      anon_sym_BSLASHu,
    ACTIONS(2986), 1,
      anon_sym_DOLLAR,
    ACTIONS(2998), 1,
      anon_sym_DQUOTE,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1574), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2980), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47597] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_DOLLAR,
    ACTIONS(3002), 1,
      anon_sym_BSLASHu,
    ACTIONS(3004), 1,
      anon_sym_DQUOTE,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1574), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3000), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1364), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47691] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3012), 1,
      anon_sym_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_BSLASHu,
    ACTIONS(3021), 1,
      anon_sym_BQUOTE,
    ACTIONS(3023), 1,
      anon_sym_DOLLAR,
    STATE(1482), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3015), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1369), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47725] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3028), 1,
      anon_sym_BSLASHu,
    ACTIONS(3030), 1,
      anon_sym_BQUOTE,
    STATE(1482), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3026), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1359), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47779] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_LBRACE,
    ACTIONS(3040), 1,
      anon_sym_BSLASHu,
    ACTIONS(3043), 1,
      anon_sym_DQUOTE,
    ACTIONS(3045), 1,
      anon_sym_DOLLAR,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1574), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3037), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1372), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3048), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3050), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47853] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3054), 1,
      anon_sym_BSLASHu,
    ACTIONS(3056), 1,
      anon_sym_BQUOTE,
    STATE(1482), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3052), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1354), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47887] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_LBRACE,
    ACTIONS(2986), 1,
      anon_sym_DOLLAR,
    ACTIONS(3060), 1,
      anon_sym_BSLASHu,
    ACTIONS(3062), 1,
      anon_sym_DQUOTE,
    STATE(1490), 1,
      sym_variable_name,
    STATE(1574), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3058), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1357), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [47921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3074), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3078), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48131] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2339), 1,
      sym_namespace_use_clause,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(3086), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2105), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48200] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2148), 1,
      sym_namespace_use_clause,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(3086), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2105), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3092), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48307] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3100), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3102), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [48332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48351] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [48374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48393] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2052), 1,
      sym_namespace_use_clause,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(3108), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1810), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48443] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3112), 1,
      anon_sym_LBRACE,
    ACTIONS(3116), 1,
      anon_sym_BSLASHu,
    ACTIONS(3118), 1,
      anon_sym_DOLLAR,
    STATE(1468), 1,
      sym_variable_name,
    STATE(1517), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3114), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1353), 6,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
      sym__simple_variable,
  [48474] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym__member_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(951), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48502] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(598), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48530] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(614), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(641), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48558] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48586] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_AMP,
    ACTIONS(3150), 1,
      anon_sym_PIPE,
    STATE(1453), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1456), 1,
      aux_sym_union_type_repeat1,
    STATE(1462), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3145), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3138), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [48616] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3152), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(701), 1,
      sym__member_name,
    ACTIONS(3154), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(714), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48644] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(3158), 1,
      anon_sym_RBRACK,
    STATE(2410), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48674] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(3160), 1,
      anon_sym_RBRACK,
    STATE(2410), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [48704] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3164), 1,
      anon_sym_RBRACE,
    STATE(1674), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2571), 1,
      sym_reference_modifier,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48740] = 8,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3166), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(2217), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(717), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48770] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3170), 1,
      anon_sym_RBRACE,
    STATE(1674), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2571), 1,
      sym_reference_modifier,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1428), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [48806] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3166), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(2240), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(948), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48836] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym__member_name,
    ACTIONS(3172), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48864] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym__member_name,
    ACTIONS(3172), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48892] = 8,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(2281), 1,
      sym__member_name,
    STATE(952), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(859), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48922] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(875), 1,
      sym__member_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(951), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [48950] = 8,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3174), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LBRACE,
    STATE(2333), 1,
      sym__member_name,
    STATE(952), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(642), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [48980] = 7,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3152), 1,
      sym_name,
    ACTIONS(3156), 1,
      anon_sym_LBRACE,
    STATE(704), 1,
      sym__member_name,
    ACTIONS(3154), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(714), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49008] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(590), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49036] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(3178), 1,
      anon_sym_RBRACK,
    STATE(2410), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49066] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym__member_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(951), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49094] = 7,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3126), 1,
      sym_name,
    ACTIONS(3130), 1,
      anon_sym_LBRACE,
    STATE(587), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(596), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49122] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym__member_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(951), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49150] = 7,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3132), 1,
      sym_name,
    ACTIONS(3136), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym__member_name,
    ACTIONS(3134), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(641), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49178] = 8,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    ACTIONS(3180), 1,
      anon_sym_RBRACK,
    STATE(2410), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49208] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3182), 1,
      anon_sym_RBRACE,
    STATE(1674), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2571), 1,
      sym_reference_modifier,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49244] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3186), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3188), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3184), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49266] = 8,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3166), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(2341), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(610), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49296] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3190), 1,
      sym_name,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(778), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49324] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3190), 1,
      sym_name,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(737), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(778), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49352] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3190), 1,
      sym_name,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(758), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(778), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49380] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3190), 1,
      sym_name,
    ACTIONS(3192), 1,
      anon_sym_LBRACE,
    STATE(787), 1,
      sym__member_name,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(778), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49408] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_name,
    ACTIONS(3198), 1,
      anon_sym_LBRACE,
    STATE(833), 1,
      sym__member_name,
    ACTIONS(3196), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(860), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49436] = 8,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3166), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(2281), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(859), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49466] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(115), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3162), 1,
      sym_name,
    ACTIONS(3200), 1,
      anon_sym_RBRACE,
    STATE(1674), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2571), 1,
      sym_reference_modifier,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1411), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49502] = 7,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3194), 1,
      sym_name,
    ACTIONS(3198), 1,
      anon_sym_LBRACE,
    STATE(835), 1,
      sym__member_name,
    ACTIONS(3196), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(860), 5,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
      sym__reserved_identifier,
      sym__identifier,
  [49530] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 1,
      sym_name,
    ACTIONS(3205), 1,
      anon_sym_AMP,
    ACTIONS(3208), 1,
      anon_sym_RBRACE,
    ACTIONS(3210), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3213), 1,
      anon_sym_POUND_LBRACK,
    STATE(1674), 1,
      sym_attribute_list,
    STATE(2194), 1,
      sym_final_modifier,
    STATE(2571), 1,
      sym_reference_modifier,
    STATE(1318), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(1439), 2,
      sym_property_hook,
      aux_sym_property_hook_list_repeat1,
  [49566] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3166), 1,
      sym_name,
    ACTIONS(3168), 1,
      anon_sym_LBRACE,
    STATE(2286), 1,
      sym__member_name,
    STATE(744), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(3128), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(779), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [49596] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3216), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2187), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49621] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3218), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3220), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49640] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2410), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49667] = 6,
    ACTIONS(121), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3222), 1,
      sym_integer,
    ACTIONS(117), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(119), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(2166), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49692] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3224), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3226), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3184), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [49713] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3100), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3102), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49732] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(1972), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49759] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(1996), 1,
      sym_attribute,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1786), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49786] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3228), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3230), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49805] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3232), 1,
      sym_name,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1507), 1,
      sym_reference_modifier,
    STATE(1699), 1,
      sym_formal_parameters,
    STATE(2234), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49833] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2090), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49857] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2202), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [49881] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_AMP,
    STATE(1469), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3236), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3238), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [49903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1644), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [49921] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3240), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3242), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49939] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3248), 1,
      anon_sym_PIPE,
    STATE(1466), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3244), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3246), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [49961] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3250), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3252), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [49979] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1714), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50001] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2557), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1820), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50025] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1795), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50049] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3258), 1,
      anon_sym_PIPE,
    STATE(1470), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3254), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3256), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50071] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3258), 1,
      anon_sym_PIPE,
    STATE(1471), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3260), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3262), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50093] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1820), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50117] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3264), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3267), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50135] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3232), 1,
      sym_name,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1491), 1,
      sym_reference_modifier,
    STATE(1725), 1,
      sym_formal_parameters,
    STATE(2234), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50163] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_PIPE,
    STATE(1466), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3270), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3272), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50185] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1515), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_DASH_GT,
    ACTIONS(3281), 1,
      anon_sym_LBRACK,
    ACTIONS(3285), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3277), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3283), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [50233] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_AMP,
    STATE(1469), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3250), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3252), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [50255] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3258), 1,
      anon_sym_PIPE,
    STATE(1471), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3290), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3292), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50277] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_PIPE,
    STATE(1471), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3294), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3296), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [50299] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3294), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3296), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50317] = 6,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2120), 1,
      sym_name,
    STATE(2622), 1,
      sym_namespace_name,
    ACTIONS(2132), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1858), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50341] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3270), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3272), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [50359] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_name,
    STATE(2501), 1,
      sym_namespace_name,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(2078), 4,
      sym_qualified_name,
      sym__name,
      sym__reserved_identifier,
      sym__identifier,
  [50383] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1516), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1719), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50410] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_BSLASHu,
    ACTIONS(1642), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50427] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1546), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3309), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1688), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50454] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1555), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3311), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1695), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50481] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1512), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1746), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50508] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3315), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3317), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50525] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_BSLASHu,
    ACTIONS(3319), 1,
      anon_sym_DASH_GT,
    ACTIONS(3321), 1,
      anon_sym_LBRACK,
    ACTIONS(3323), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3283), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50548] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_BSLASHu,
    ACTIONS(1642), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50565] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1557), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3325), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1645), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50592] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1553), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3327), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1722), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50619] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1547), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1664), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50646] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(1859), 1,
      anon_sym_EQ,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3102), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3100), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50669] = 8,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1556), 1,
      sym_formal_parameters,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3331), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1700), 2,
      sym__property_hook_body,
      sym__semicolon,
  [50696] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1834), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1714), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50715] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_BSLASHu,
    ACTIONS(3333), 1,
      anon_sym_DASH_GT,
    ACTIONS(3335), 1,
      anon_sym_LBRACK,
    ACTIONS(3337), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3283), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [50738] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    ACTIONS(3339), 1,
      sym_name,
    STATE(1691), 1,
      sym_formal_parameters,
    STATE(2218), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50760] = 6,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(3341), 1,
      anon_sym_RPAREN2,
    STATE(2209), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50782] = 6,
    ACTIONS(1031), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1029), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1502), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [50804] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_COLON,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1714), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50822] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(959), 1,
      sym_declaration_list,
    STATE(1589), 1,
      sym_arguments,
    STATE(1772), 1,
      sym_base_clause,
    STATE(2411), 1,
      sym_class_interface_clause,
  [50850] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(3353), 1,
      anon_sym_COMMA,
    ACTIONS(3355), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50872] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(954), 1,
      sym_declaration_list,
    STATE(1612), 1,
      sym_arguments,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2303), 1,
      sym_class_interface_clause,
  [50900] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(945), 1,
      sym_declaration_list,
    STATE(1594), 1,
      sym_arguments,
    STATE(1779), 1,
      sym_base_clause,
    STATE(2408), 1,
      sym_class_interface_clause,
  [50928] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    ACTIONS(3357), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50948] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(759), 1,
      sym_declaration_list,
    STATE(1610), 1,
      sym_arguments,
    STATE(1837), 1,
      sym_base_clause,
    STATE(2331), 1,
      sym_class_interface_clause,
  [50976] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
    STATE(1600), 1,
      sym_arguments,
    STATE(1789), 1,
      sym_base_clause,
    STATE(2355), 1,
      sym_class_interface_clause,
  [51004] = 6,
    ACTIONS(1039), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3364), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(1037), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1502), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51026] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3367), 1,
      sym_name,
    STATE(1642), 1,
      sym_reference_modifier,
    STATE(2257), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51048] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51070] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_AMP,
    ACTIONS(3375), 1,
      anon_sym_PIPE,
    STATE(1733), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1735), 1,
      aux_sym_union_type_repeat1,
    STATE(1755), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3145), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51094] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(801), 1,
      sym_declaration_list,
    STATE(1598), 1,
      sym_arguments,
    STATE(1788), 1,
      sym_base_clause,
    STATE(2360), 1,
      sym_class_interface_clause,
  [51122] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    ACTIONS(3339), 1,
      sym_name,
    STATE(1765), 1,
      sym_formal_parameters,
    STATE(2218), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51144] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(898), 1,
      sym_declaration_list,
    STATE(1615), 1,
      sym_arguments,
    STATE(1830), 1,
      sym_base_clause,
    STATE(2323), 1,
      sym_class_interface_clause,
  [51172] = 9,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_declaration_list,
    STATE(1622), 1,
      sym_arguments,
    STATE(1804), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [51200] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    STATE(1667), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51219] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51234] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3379), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1750), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51255] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3383), 1,
      anon_sym_DASH,
    ACTIONS(3381), 2,
      sym_integer,
      sym_name,
    STATE(2628), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51274] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3385), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1393), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51295] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3391), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1374), 2,
      sym_use_list,
      sym__semicolon,
  [51316] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1738), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3401), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51352] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    STATE(1736), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51371] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1531), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1401), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51392] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1672), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1366), 2,
      sym_use_list,
      sym__semicolon,
  [51413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2951), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1710), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51443] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    STATE(1768), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1626), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51477] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1552), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1387), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51498] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_COMMA,
    ACTIONS(3355), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51517] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(3411), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51534] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_COMMA,
    ACTIONS(3355), 1,
      anon_sym_RPAREN2,
    STATE(2100), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51553] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2138), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2136), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51568] = 5,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_RPAREN2,
    STATE(2209), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51587] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1381), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51608] = 5,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_RPAREN2,
    STATE(2209), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3415), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3417), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51642] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51657] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51672] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    STATE(2088), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51691] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3421), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3424), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3419), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1537), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [51710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3429), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1642), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [51740] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3383), 1,
      anon_sym_DASH,
    ACTIONS(3431), 2,
      sym_integer,
      sym_name,
    STATE(2447), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51759] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_AMP,
    ACTIONS(3439), 1,
      anon_sym_PIPE,
    STATE(1758), 1,
      aux_sym_union_type_repeat1,
    STATE(1766), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1801), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3145), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [51782] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51799] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1859), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51814] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3383), 1,
      anon_sym_DASH,
    ACTIONS(3443), 2,
      sym_integer,
      sym_name,
    STATE(2425), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [51833] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1548), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1392), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51854] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3447), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1710), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51875] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1687), 2,
      sym__property_hook_body,
      sym__semicolon,
  [51896] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1378), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51917] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1856), 1,
      anon_sym_BSLASH,
    STATE(2268), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3102), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [51934] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1514), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3453), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1384), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51955] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51972] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_COMMA,
    ACTIONS(3389), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1399), 2,
      sym_property_hook_list,
      sym__semicolon,
  [51993] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3459), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1742), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52014] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2866), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1714), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52029] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1712), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52050] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1713), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52071] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3305), 1,
      anon_sym_EQ_GT,
    STATE(1668), 1,
      sym_compound_statement,
    ACTIONS(3465), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1737), 2,
      sym__property_hook_body,
      sym__semicolon,
  [52092] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52111] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_RPAREN2,
    STATE(2077), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52130] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3377), 1,
      sym_name,
    STATE(1680), 1,
      sym_const_element,
    STATE(2568), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3467), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3469), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [52164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_SQUOTE,
    ACTIONS(3473), 1,
      aux_sym_string_token2,
    ACTIONS(3475), 1,
      aux_sym_string_content_token1,
    STATE(1792), 1,
      aux_sym_string_content_repeat1,
    STATE(1586), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52184] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      aux_sym_switch_block_token1,
    STATE(1537), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52202] = 5,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
    ACTIONS(3485), 1,
      anon_sym_LBRACE,
    STATE(629), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52220] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(856), 1,
      sym_arguments,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52236] = 5,
    ACTIONS(1588), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3487), 1,
      sym_name,
    ACTIONS(3489), 1,
      anon_sym_LBRACE,
    STATE(851), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52254] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3491), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1823), 1,
      sym_named_type,
    STATE(2164), 1,
      sym_type_list,
    STATE(2501), 1,
      sym_namespace_name,
  [52276] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52290] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    ACTIONS(3493), 1,
      sym_name,
    ACTIONS(3495), 1,
      anon_sym_LBRACE,
    STATE(815), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52308] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_BSLASHu,
    ACTIONS(3401), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52322] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3497), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    STATE(1576), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2457), 1,
      sym_else_clause_2,
  [52344] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3503), 1,
      anon_sym_RBRACE,
    STATE(1537), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52362] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3505), 1,
      sym_name,
    ACTIONS(3507), 1,
      anon_sym_LBRACE,
    ACTIONS(3509), 1,
      anon_sym_DOLLAR,
    STATE(1632), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52380] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_BSLASHu,
    ACTIONS(3401), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52394] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_BSLASHu,
    ACTIONS(3021), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52408] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3513), 1,
      aux_sym_if_statement_token2,
    STATE(1707), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2536), 1,
      sym_else_clause_2,
  [52430] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52444] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3515), 1,
      aux_sym_if_statement_token2,
    STATE(1707), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2492), 1,
      sym_else_clause_2,
  [52466] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52480] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3517), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3519), 1,
      aux_sym_else_clause_token1,
    STATE(1702), 1,
      aux_sym_if_statement_repeat1,
    STATE(1977), 1,
      sym_else_clause,
    STATE(2008), 1,
      sym_else_if_clause,
  [52502] = 7,
    ACTIONS(1047), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3521), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3524), 1,
      aux_sym_else_clause_token1,
    STATE(1702), 1,
      aux_sym_if_statement_repeat1,
    STATE(1977), 1,
      sym_else_clause,
    STATE(2008), 1,
      sym_else_if_clause,
  [52524] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3527), 1,
      anon_sym_RBRACE,
    STATE(1537), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      aux_sym_string_content_token1,
    ACTIONS(3529), 1,
      anon_sym_SQUOTE,
    ACTIONS(3531), 1,
      aux_sym_string_token2,
    STATE(1792), 1,
      aux_sym_string_content_repeat1,
    STATE(1607), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52562] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3533), 1,
      aux_sym_switch_block_token1,
    STATE(1537), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52580] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASHu,
    ACTIONS(1710), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52594] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_SQUOTE,
    ACTIONS(3537), 1,
      aux_sym_string_token2,
    ACTIONS(3540), 1,
      aux_sym_string_content_token1,
    STATE(1792), 1,
      aux_sym_string_content_repeat1,
    STATE(1586), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52614] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1784), 1,
      sym_base_clause,
    STATE(1997), 1,
      sym_declaration_list,
    STATE(2387), 1,
      sym_class_interface_clause,
  [52636] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3543), 1,
      anon_sym_RBRACE,
    STATE(1572), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52654] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(898), 1,
      sym_declaration_list,
    STATE(1830), 1,
      sym_base_clause,
    STATE(2323), 1,
      sym_class_interface_clause,
  [52676] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_BSLASHu,
    ACTIONS(3417), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52690] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_BSLASHu,
    ACTIONS(3429), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52704] = 7,
    ACTIONS(1057), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3545), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3548), 1,
      aux_sym_else_clause_token1,
    STATE(1581), 1,
      aux_sym_if_statement_repeat1,
    STATE(2007), 1,
      sym_else_clause,
    STATE(2008), 1,
      sym_else_if_clause,
  [52726] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_BSLASHu,
    ACTIONS(3043), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52740] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(896), 1,
      sym_declaration_list,
    STATE(1831), 1,
      sym_base_clause,
    STATE(2324), 1,
      sym_class_interface_clause,
  [52762] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3553), 1,
      aux_sym_switch_block_token1,
    STATE(1563), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52780] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(916), 1,
      sym_arguments,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52796] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52810] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_declaration_list,
    STATE(1804), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [52832] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52846] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_declaration_list,
    STATE(1807), 1,
      sym_base_clause,
    STATE(2416), 1,
      sym_class_interface_clause,
  [52868] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3357), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3555), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52884] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_BSLASHu,
    ACTIONS(3469), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52898] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3415), 1,
      anon_sym_BSLASHu,
    ACTIONS(3417), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52912] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3557), 1,
      sym_name,
    ACTIONS(3559), 1,
      anon_sym_LBRACE,
    STATE(915), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52930] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASHu,
    ACTIONS(1710), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52944] = 5,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
    ACTIONS(3563), 1,
      anon_sym_LBRACE,
    STATE(588), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [52962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3473), 1,
      aux_sym_string_token2,
    ACTIONS(3475), 1,
      aux_sym_string_content_token1,
    ACTIONS(3565), 1,
      anon_sym_SQUOTE,
    STATE(1792), 1,
      aux_sym_string_content_repeat1,
    STATE(1586), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [52982] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_BSLASHu,
    ACTIONS(3429), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52996] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1776), 1,
      sym_base_clause,
    STATE(1998), 1,
      sym_declaration_list,
    STATE(2383), 1,
      sym_class_interface_clause,
  [53018] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
    STATE(1789), 1,
      sym_base_clause,
    STATE(2355), 1,
      sym_class_interface_clause,
  [53040] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(609), 1,
      sym_arguments,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53056] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(945), 1,
      sym_declaration_list,
    STATE(1779), 1,
      sym_base_clause,
    STATE(2408), 1,
      sym_class_interface_clause,
  [53078] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2284), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1825), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [53094] = 7,
    ACTIONS(1057), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3517), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3519), 1,
      aux_sym_else_clause_token1,
    STATE(1580), 1,
      aux_sym_if_statement_repeat1,
    STATE(2007), 1,
      sym_else_clause,
    STATE(2008), 1,
      sym_else_if_clause,
  [53116] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(908), 1,
      sym_declaration_list,
    STATE(1867), 1,
      sym_base_clause,
    STATE(2237), 1,
      sym_class_interface_clause,
  [53138] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3150), 1,
      anon_sym_PIPE,
    ACTIONS(3567), 1,
      anon_sym_AMP,
    STATE(1456), 1,
      aux_sym_union_type_repeat1,
    STATE(1462), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(2123), 1,
      aux_sym_intersection_type_repeat1,
  [53160] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3573), 1,
      aux_sym_switch_block_token1,
    STATE(1584), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53178] = 5,
    ACTIONS(1592), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3575), 1,
      sym_name,
    ACTIONS(3577), 1,
      anon_sym_LBRACE,
    STATE(709), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53196] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_declaration_list,
    STATE(1774), 1,
      sym_base_clause,
    STATE(2321), 1,
      sym_class_interface_clause,
  [53218] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1809), 1,
      sym_base_clause,
    STATE(1964), 1,
      sym_declaration_list,
    STATE(2402), 1,
      sym_class_interface_clause,
  [53240] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3581), 1,
      aux_sym_if_statement_token2,
    STATE(1578), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
    STATE(2430), 1,
      sym_else_clause_2,
  [53262] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_declaration_list,
    STATE(1824), 1,
      sym_base_clause,
    STATE(2375), 1,
      sym_class_interface_clause,
  [53284] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_declaration_list,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2276), 1,
      sym_class_interface_clause,
  [53306] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN2,
    STATE(786), 1,
      sym_arguments,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53322] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_BSLASHu,
    ACTIONS(1642), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3475), 1,
      aux_sym_string_content_token1,
    ACTIONS(3583), 1,
      anon_sym_SQUOTE,
    ACTIONS(3585), 1,
      aux_sym_string_token2,
    STATE(1792), 1,
      aux_sym_string_content_repeat1,
    STATE(1562), 2,
      sym_string_content,
      aux_sym_string_repeat1,
  [53356] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2066), 1,
      sym_declaration_list,
    STATE(2308), 1,
      sym_class_interface_clause,
  [53378] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_declaration_list,
    STATE(1775), 1,
      sym_base_clause,
    STATE(2388), 1,
      sym_class_interface_clause,
  [53400] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(634), 1,
      sym_arguments,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53416] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53430] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_BSLASHu,
    ACTIONS(1642), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53444] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_BSLASHu,
    ACTIONS(1626), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [53458] = 7,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3491), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(1823), 1,
      sym_named_type,
    STATE(2150), 1,
      sym_type_list,
    STATE(2501), 1,
      sym_namespace_name,
  [53480] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_BSLASHu,
    ACTIONS(1626), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53494] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3507), 1,
      anon_sym_LBRACE,
    ACTIONS(3509), 1,
      anon_sym_DOLLAR,
    ACTIONS(3587), 1,
      sym_name,
    STATE(1632), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53512] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3589), 1,
      sym_name,
    ACTIONS(3591), 1,
      anon_sym_LBRACE,
    ACTIONS(3593), 1,
      anon_sym_DOLLAR,
    STATE(1634), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53530] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3595), 1,
      sym_name,
    ACTIONS(3597), 1,
      anon_sym_LBRACE,
    ACTIONS(3599), 1,
      anon_sym_DOLLAR,
    STATE(1524), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53548] = 7,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(1778), 1,
      sym_base_clause,
    STATE(2292), 1,
      sym_class_interface_clause,
  [53570] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_BSLASHu,
    ACTIONS(3469), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53584] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(724), 1,
      sym_arguments,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53600] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_LBRACE,
    ACTIONS(3599), 1,
      anon_sym_DOLLAR,
    ACTIONS(3601), 1,
      sym_name,
    STATE(1524), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53618] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3603), 1,
      sym_name,
    STATE(2295), 2,
      sym__reserved_identifier,
      sym__identifier,
    ACTIONS(2114), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53634] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3591), 1,
      anon_sym_LBRACE,
    ACTIONS(3593), 1,
      anon_sym_DOLLAR,
    ACTIONS(3605), 1,
      sym_name,
    STATE(1634), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [53652] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3477), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3479), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3607), 1,
      anon_sym_RBRACE,
    STATE(1582), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3609), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3611), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53683] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_LPAREN2,
    ACTIONS(1670), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [53696] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3613), 1,
      sym_name,
    ACTIONS(3615), 1,
      anon_sym_BSLASH,
    STATE(560), 1,
      sym_compound_statement,
    STATE(1721), 1,
      sym_namespace_name,
  [53715] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1732), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2072), 1,
      sym__semicolon,
    ACTIONS(3617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53732] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    ACTIONS(3623), 1,
      anon_sym_COLON,
    STATE(2068), 1,
      sym_enum_declaration_list,
    STATE(2306), 1,
      sym_class_interface_clause,
  [53751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1082), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53764] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3345), 1,
      aux_sym_finally_clause_token1,
    STATE(1493), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [53779] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    STATE(1743), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2076), 1,
      sym__semicolon,
    ACTIONS(3625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53796] = 5,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2081), 1,
      sym__semicolon,
    STATE(2084), 1,
      sym_compound_statement,
    ACTIONS(3629), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53813] = 6,
    ACTIONS(633), 1,
      anon_sym_BSLASH,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3491), 1,
      sym_name,
    STATE(1446), 1,
      sym_qualified_name,
    STATE(2183), 1,
      sym_named_type,
    STATE(2501), 1,
      sym_namespace_name,
  [53832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1096), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1094), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53845] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1368), 1,
      sym_compound_statement,
    STATE(1371), 1,
      sym__semicolon,
    ACTIONS(3631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53862] = 6,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1947), 1,
      sym_formal_parameters,
    STATE(2244), 1,
      sym_reference_modifier,
  [53881] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(558), 1,
      sym__semicolon,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53898] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE,
    STATE(1683), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3292), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [53913] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_COMMA,
    STATE(1681), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2085), 1,
      sym__semicolon,
    ACTIONS(3637), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53930] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2086), 1,
      sym__semicolon,
    ACTIONS(3641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53947] = 5,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3645), 1,
      anon_sym_RPAREN2,
    STATE(2273), 2,
      sym_variable_name,
      sym_by_ref,
  [53964] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [53975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3649), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3651), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [53988] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1936), 1,
      sym__semicolon,
    ACTIONS(3653), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54005] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1885), 1,
      sym__semicolon,
    ACTIONS(3655), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54022] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1665), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1960), 1,
      sym__semicolon,
    ACTIONS(3657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3659), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3661), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54052] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3663), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54063] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3667), 1,
      anon_sym_EQ,
    STATE(2266), 1,
      sym_property_hook_list,
    ACTIONS(3665), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54080] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3671), 1,
      anon_sym_EQ,
    STATE(2328), 1,
      sym_property_hook_list,
    ACTIONS(3669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54097] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_COMMA,
    STATE(1672), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3673), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54112] = 5,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3678), 1,
      anon_sym_RPAREN2,
    STATE(2273), 2,
      sym_variable_name,
      sym_by_ref,
  [54129] = 6,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      sym_name,
    STATE(2200), 1,
      sym_final_modifier,
    STATE(2584), 1,
      sym_reference_modifier,
  [54148] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3682), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54163] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3689), 1,
      anon_sym_EQ,
    STATE(2247), 1,
      sym_property_hook_list,
    ACTIONS(3687), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54180] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(487), 1,
      sym__semicolon,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3691), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54197] = 3,
    ACTIONS(1092), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1090), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54210] = 6,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1725), 1,
      sym_formal_parameters,
    STATE(2293), 1,
      sym_reference_modifier,
  [54229] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(573), 1,
      sym__semicolon,
    STATE(1744), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3693), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54246] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_COMMA,
    STATE(1822), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2047), 1,
      sym__semicolon,
    ACTIONS(3695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54263] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3699), 1,
      anon_sym_LBRACE,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    STATE(2216), 1,
      sym_anonymous_function_use_clause,
    STATE(2627), 1,
      sym__return_type,
  [54282] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_PIPE,
    STATE(1683), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3296), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54297] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3706), 1,
      anon_sym_AMP,
    STATE(1684), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3252), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54312] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3709), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3272), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54327] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3714), 1,
      anon_sym_EQ,
    STATE(2265), 1,
      sym_property_hook_list,
    ACTIONS(3712), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3718), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3722), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54370] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1992), 1,
      sym__semicolon,
    ACTIONS(3724), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54387] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE,
    STATE(1659), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3256), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54402] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3726), 1,
      anon_sym_LBRACE,
    STATE(2082), 1,
      sym_anonymous_function_use_clause,
    STATE(2454), 1,
      sym__return_type,
  [54421] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COLON,
    STATE(1993), 1,
      sym__return_type,
    ACTIONS(3728), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54436] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3732), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2067), 1,
      sym_reference_modifier,
    STATE(2073), 1,
      sym_variable_name,
  [54455] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3734), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [54466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3738), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54479] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1666), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2036), 1,
      sym__semicolon,
    ACTIONS(3740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54496] = 6,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3613), 1,
      sym_name,
    ACTIONS(3615), 1,
      anon_sym_BSLASH,
    STATE(1653), 1,
      sym_namespace_name,
    STATE(2108), 1,
      sym_compound_statement,
  [54515] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3742), 1,
      anon_sym_LBRACE,
    STATE(2141), 1,
      sym_anonymous_function_use_clause,
    STATE(2438), 1,
      sym__return_type,
  [54534] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3744), 1,
      anon_sym_LBRACE,
    STATE(2144), 1,
      sym_anonymous_function_use_clause,
    STATE(2433), 1,
      sym__return_type,
  [54553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3748), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54566] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    ACTIONS(3752), 1,
      anon_sym_COLON,
    STATE(478), 1,
      sym_enum_declaration_list,
    STATE(2389), 1,
      sym_class_interface_clause,
  [54585] = 6,
    ACTIONS(1075), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1077), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3754), 1,
      aux_sym_else_if_clause_token1,
    STATE(1702), 1,
      aux_sym_if_statement_repeat1,
    STATE(2008), 1,
      sym_else_if_clause,
  [54604] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3757), 1,
      sym_name,
    STATE(2143), 1,
      sym_visibility_modifier,
    ACTIONS(3759), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [54619] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(558), 1,
      sym__semicolon,
    STATE(1769), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54636] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_BSLASH,
    STATE(1705), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3761), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54651] = 3,
    ACTIONS(1088), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1086), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54664] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3766), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3768), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3771), 1,
      aux_sym_else_clause_token1,
    STATE(1707), 1,
      aux_sym_if_statement_repeat2,
    STATE(2112), 1,
      sym_else_if_clause_2,
  [54683] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3773), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3775), 1,
      aux_sym_finally_clause_token1,
    STATE(441), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [54698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3779), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3783), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54724] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    STATE(548), 1,
      sym__semicolon,
    STATE(1818), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3785), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3789), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3791), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3793), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54767] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_BSLASH,
    STATE(1731), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3795), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54782] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_COMMA,
    STATE(542), 1,
      sym__semicolon,
    STATE(1822), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54799] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(469), 1,
      sym__semicolon,
    STATE(1717), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54816] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(538), 1,
      sym__semicolon,
    STATE(1825), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54833] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3639), 1,
      anon_sym_COMMA,
    STATE(470), 1,
      sym__semicolon,
    STATE(1715), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3809), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54863] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_BSLASH,
    STATE(1754), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3811), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54878] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(471), 1,
      sym_compound_statement,
    STATE(472), 1,
      sym__semicolon,
    ACTIONS(3813), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3817), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [54908] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3821), 1,
      anon_sym_EQ,
    STATE(2377), 1,
      sym_property_hook_list,
    ACTIONS(3819), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [54925] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    STATE(473), 1,
      sym__semicolon,
    STATE(1711), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3823), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54942] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3825), 1,
      anon_sym_LBRACE,
    STATE(2004), 1,
      sym_anonymous_function_use_clause,
    STATE(2543), 1,
      sym__return_type,
  [54961] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_EQ,
    ACTIONS(3827), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [54974] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    ACTIONS(3831), 1,
      anon_sym_COLON,
    STATE(1999), 1,
      sym_enum_declaration_list,
    STATE(2382), 1,
      sym_class_interface_clause,
  [54993] = 3,
    ACTIONS(1073), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1071), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55006] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(3833), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2153), 1,
      sym_reference_modifier,
    STATE(2154), 1,
      sym_variable_name,
  [55025] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1355), 1,
      sym_compound_statement,
    STATE(1367), 1,
      sym__semicolon,
    ACTIONS(3835), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55042] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_BSLASH,
    STATE(1705), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3837), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55057] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2036), 1,
      sym__semicolon,
    ACTIONS(3740), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55074] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3635), 1,
      anon_sym_PIPE,
    STATE(1683), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3262), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55089] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1358), 1,
      sym__semicolon,
    STATE(1363), 1,
      sym_compound_statement,
    ACTIONS(3839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55106] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3841), 1,
      anon_sym_PIPE,
    STATE(1685), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3246), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55121] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(1689), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2037), 1,
      sym__semicolon,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3847), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3849), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3851), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55164] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3230), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55175] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COLON,
    STATE(2038), 1,
      sym__return_type,
    ACTIONS(3853), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55190] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3855), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3859), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55214] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3627), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2018), 1,
      sym__semicolon,
    ACTIONS(3861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55231] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      sym__semicolon,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3863), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55248] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2049), 1,
      sym__semicolon,
    ACTIONS(3865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3869), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55278] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_PIPE,
    STATE(1747), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3272), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55293] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1373), 1,
      sym__semicolon,
    STATE(1377), 1,
      sym_compound_statement,
    ACTIONS(3874), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55310] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(502), 1,
      sym__semicolon,
    STATE(1658), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3876), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3878), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3880), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [55340] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    ACTIONS(3882), 1,
      anon_sym_COLON,
    STATE(574), 1,
      sym_enum_declaration_list,
    STATE(2290), 1,
      sym_class_interface_clause,
  [55359] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3884), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3296), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55374] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3889), 1,
      anon_sym_EQ,
    STATE(2261), 1,
      sym_property_hook_list,
    ACTIONS(3887), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55391] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_BSLASH,
    STATE(1705), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3795), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55406] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_AMP,
    STATE(1684), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3238), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55421] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3292), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55436] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3895), 1,
      anon_sym_EQ,
    STATE(2270), 1,
      sym_property_hook_list,
    ACTIONS(3893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55453] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_PIPE,
    STATE(1747), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3246), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55468] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(3901), 1,
      anon_sym_EQ,
    STATE(2272), 1,
      sym_property_hook_list,
    ACTIONS(3899), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [55485] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1950), 1,
      anon_sym_LPAREN2,
    ACTIONS(1952), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55498] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3102), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55509] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3220), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55520] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3903), 1,
      anon_sym_LBRACE,
    STATE(2179), 1,
      sym_anonymous_function_use_clause,
    STATE(2532), 1,
      sym__return_type,
  [55539] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3905), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3907), 1,
      anon_sym_DASH_GT,
    ACTIONS(3909), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3911), 1,
      anon_sym_LBRACK,
  [55558] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3913), 1,
      anon_sym_LBRACE,
    STATE(2180), 1,
      sym_anonymous_function_use_clause,
    STATE(2599), 1,
      sym__return_type,
  [55577] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_PIPE,
    STATE(1752), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3262), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55592] = 6,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3697), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3915), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_anonymous_function_use_clause,
    STATE(2546), 1,
      sym__return_type,
  [55611] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(566), 1,
      sym__semicolon,
    STATE(1677), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3917), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55628] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3619), 1,
      anon_sym_COMMA,
    STATE(565), 1,
      sym__semicolon,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3919), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55645] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_PIPE,
    STATE(1756), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3256), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55660] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1767), 1,
      sym_formal_parameters,
    STATE(2385), 1,
      sym_reference_modifier,
  [55676] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(898), 1,
      sym_declaration_list,
    STATE(2323), 1,
      sym_class_interface_clause,
  [55692] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3921), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [55702] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_declaration_list,
    STATE(2275), 1,
      sym_class_interface_clause,
  [55718] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_declaration_list,
    STATE(2287), 1,
      sym_class_interface_clause,
  [55734] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1966), 1,
      sym_declaration_list,
    STATE(2404), 1,
      sym_class_interface_clause,
  [55750] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2521), 1,
      sym_declare_directive,
    ACTIONS(3923), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55762] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(2362), 1,
      sym_class_interface_clause,
  [55778] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(896), 1,
      sym_declaration_list,
    STATE(2324), 1,
      sym_class_interface_clause,
  [55794] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3647), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55804] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2466), 1,
      sym_declare_directive,
    ACTIONS(3923), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55816] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3925), 1,
      anon_sym_LPAREN,
    ACTIONS(2654), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [55828] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2534), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2851), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3927), 1,
      aux_sym__namespace_use_type_token1,
    STATE(2294), 1,
      sym_static_modifier,
  [55844] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1955), 1,
      sym_declaration_list,
    STATE(2400), 1,
      sym_class_interface_clause,
  [55860] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1725), 1,
      sym_formal_parameters,
    STATE(2293), 1,
      sym_reference_modifier,
  [55876] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(2311), 1,
      sym_arguments,
    ACTIONS(3929), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [55890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3933), 1,
      sym_nowdoc_string,
    STATE(1787), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3931), 2,
      sym_heredoc_end,
      sym__new_line,
  [55904] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_declaration_list,
    STATE(2415), 1,
      sym_class_interface_clause,
  [55920] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_declaration_list,
    STATE(2416), 1,
      sym_class_interface_clause,
  [55936] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_enum_declaration_list,
    STATE(2353), 1,
      sym_class_interface_clause,
  [55952] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_declaration_list,
    STATE(2288), 1,
      sym_base_clause,
  [55968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 1,
      aux_sym_string_content_token1,
    STATE(1851), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3936), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [55982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(3944), 1,
      sym_heredoc_end,
    STATE(2318), 1,
      sym_heredoc_body,
  [55998] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3946), 1,
      anon_sym_AMP,
    STATE(1794), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3252), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56012] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3951), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56026] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3955), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3953), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56040] = 4,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1670), 2,
      sym_variable_name,
      sym_by_ref,
  [56054] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_enum_declaration_list,
    STATE(2405), 1,
      sym_class_interface_clause,
  [56070] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1698), 1,
      sym_formal_parameters,
    STATE(2327), 1,
      sym_reference_modifier,
  [56086] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2039), 1,
      sym_formal_parameters,
    STATE(2329), 1,
      sym_reference_modifier,
  [56102] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_AMP,
    STATE(1794), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3238), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56116] = 4,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2155), 2,
      sym_variable_name,
      sym_by_ref,
  [56130] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3963), 1,
      anon_sym_DASH_GT,
    ACTIONS(3965), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3967), 1,
      anon_sym_LBRACK,
  [56146] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_declaration_list,
    STATE(2375), 1,
      sym_class_interface_clause,
  [56162] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_COMMA,
    STATE(1869), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3969), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56176] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3973), 1,
      anon_sym_EQ,
    STATE(1386), 1,
      sym__semicolon,
    ACTIONS(3971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56190] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym_declaration_list,
    STATE(2267), 1,
      sym_class_interface_clause,
  [56206] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1940), 1,
      sym_enum_declaration_list,
    STATE(2361), 1,
      sym_class_interface_clause,
  [56222] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1937), 1,
      sym_declaration_list,
    STATE(2358), 1,
      sym_class_interface_clause,
  [56238] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3977), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3975), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56250] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2041), 1,
      sym_formal_parameters,
    STATE(2337), 1,
      sym_reference_modifier,
  [56266] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2000), 1,
      sym_declaration_list,
    STATE(2374), 1,
      sym_base_clause,
  [56282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(3979), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3981), 1,
      sym_heredoc_end,
    STATE(2372), 1,
      sym_heredoc_body,
  [56298] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3983), 1,
      anon_sym_DASH_GT,
    ACTIONS(3985), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3987), 1,
      anon_sym_LBRACK,
  [56314] = 4,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1757), 2,
      sym_variable_name,
      sym_by_ref,
  [56328] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3734), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56338] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3991), 1,
      anon_sym_EQ,
    ACTIONS(3989), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56350] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3993), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56364] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2045), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56376] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4000), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3998), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [56388] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4002), 1,
      anon_sym_DASH_GT,
    ACTIONS(4004), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4006), 1,
      anon_sym_LBRACK,
  [56404] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym_COMMA,
    STATE(1822), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(4008), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56418] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_PIPE,
    STATE(1872), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4013), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56432] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
    STATE(2348), 1,
      sym_class_interface_clause,
  [56448] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4019), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(4017), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56462] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4022), 1,
      anon_sym_DASH_GT,
    ACTIONS(4024), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4026), 1,
      anon_sym_LBRACK,
  [56478] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2509), 1,
      sym_declare_directive,
    ACTIONS(3923), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56490] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3855), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56500] = 4,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1676), 2,
      sym_variable_name,
      sym_by_ref,
  [56514] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(908), 1,
      sym_declaration_list,
    STATE(2237), 1,
      sym_class_interface_clause,
  [56530] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(907), 1,
      sym_declaration_list,
    STATE(2236), 1,
      sym_class_interface_clause,
  [56546] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4028), 1,
      anon_sym_DASH_GT,
    ACTIONS(4030), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4032), 1,
      anon_sym_LBRACK,
  [56562] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3761), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [56572] = 4,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2273), 2,
      sym_variable_name,
      sym_by_ref,
  [56586] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2146), 1,
      sym_formal_parameters,
    STATE(2384), 1,
      sym_reference_modifier,
  [56602] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_base_clause,
  [56618] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
    STATE(2355), 1,
      sym_class_interface_clause,
  [56634] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3252), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [56644] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1832), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56654] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1660), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56666] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4036), 1,
      anon_sym_LPAREN2,
    STATE(2102), 1,
      sym__semicolon,
    ACTIONS(4034), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56680] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_enum_declaration_list,
    STATE(2225), 1,
      sym_class_interface_clause,
  [56696] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3267), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56706] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_DOLLAR,
    STATE(781), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56718] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
    STATE(2220), 1,
      sym_class_interface_clause,
  [56734] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_declaration_list,
    STATE(2350), 1,
      sym_class_interface_clause,
  [56750] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_PIPE,
    STATE(1847), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4038), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [56764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(4043), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4045), 1,
      sym_heredoc_end,
    STATE(2403), 1,
      sym_heredoc_body,
  [56780] = 3,
    ACTIONS(675), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(593), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [56792] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3682), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 1,
      aux_sym_string_content_token1,
    STATE(1851), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(4047), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [56816] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4052), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [56826] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4032), 1,
      anon_sym_LBRACK,
    ACTIONS(4054), 1,
      anon_sym_DASH_GT,
    ACTIONS(4056), 1,
      anon_sym_QMARK_DASH_GT,
  [56842] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3663), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56852] = 4,
    ACTIONS(791), 1,
      anon_sym_AMP,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(1671), 2,
      sym_variable_name,
      sym_by_ref,
  [56866] = 5,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    ACTIONS(4060), 1,
      anon_sym_RPAREN2,
    STATE(2125), 1,
      aux_sym__list_destructing_repeat1,
  [56882] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2585), 1,
      sym_declare_directive,
    ACTIONS(3923), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56894] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3673), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56904] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_LPAREN2,
    STATE(481), 1,
      sym__semicolon,
    ACTIONS(4062), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56918] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1947), 1,
      sym_formal_parameters,
    STATE(2244), 1,
      sym_reference_modifier,
  [56934] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3242), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(4066), 1,
      anon_sym_DQUOTE2,
    ACTIONS(4068), 1,
      sym_heredoc_end,
    STATE(2340), 1,
      sym_heredoc_body,
  [56960] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(945), 1,
      sym_declaration_list,
    STATE(2408), 1,
      sym_class_interface_clause,
  [56976] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4070), 1,
      anon_sym_DASH_GT,
    ACTIONS(4072), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(4074), 1,
      anon_sym_LBRACK,
  [56992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      sym_nowdoc_string,
    STATE(1787), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(4076), 2,
      sym_heredoc_end,
      sym__new_line,
  [57006] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1819), 1,
      anon_sym_DOLLAR,
    STATE(934), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57018] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(3351), 1,
      aux_sym_class_interface_clause_token1,
    STATE(932), 1,
      sym_declaration_list,
    STATE(2317), 1,
      sym_class_interface_clause,
  [57034] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3272), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57044] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_COMMA,
    STATE(1869), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3673), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [57058] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4085), 1,
      anon_sym_EQ,
    STATE(1397), 1,
      sym__semicolon,
    ACTIONS(4083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57072] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3349), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2070), 1,
      sym_declaration_list,
    STATE(2297), 1,
      sym_base_clause,
  [57088] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_PIPE,
    STATE(1847), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(4087), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [57102] = 5,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1699), 1,
      sym_formal_parameters,
    STATE(2364), 1,
      sym_reference_modifier,
  [57118] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3296), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [57128] = 3,
    ACTIONS(125), 1,
      anon_sym_DOLLAR,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1718), 3,
      sym_dynamic_variable_name,
      sym__simple_variable,
      sym_variable_name,
  [57140] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(504), 1,
      sym__semicolon,
    ACTIONS(3527), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57151] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4089), 1,
      anon_sym_COMMA,
    ACTIONS(4091), 1,
      anon_sym_RPAREN2,
    STATE(2205), 1,
      aux_sym_arguments_repeat1,
  [57164] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57175] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1878), 1,
      sym__semicolon,
    ACTIONS(4093), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57186] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57197] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57208] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57219] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57230] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1880), 1,
      sym__semicolon,
    ACTIONS(4095), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57241] = 3,
    ACTIONS(1540), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1538), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57252] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57263] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1882), 1,
      sym__semicolon,
    ACTIONS(4097), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57274] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57285] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57296] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1883), 1,
      sym__semicolon,
    ACTIONS(4099), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57307] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57318] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57329] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57340] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57351] = 3,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57362] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57373] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1886), 1,
      sym__semicolon,
    ACTIONS(4101), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57384] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1888), 1,
      sym__semicolon,
    ACTIONS(4103), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57395] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1889), 1,
      sym__semicolon,
    ACTIONS(4105), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57406] = 3,
    ACTIONS(1580), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1578), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57417] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1891), 1,
      sym__semicolon,
    ACTIONS(4107), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57428] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1892), 1,
      sym__semicolon,
    ACTIONS(4109), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57439] = 3,
    ACTIONS(1568), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1566), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57450] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1893), 1,
      sym__semicolon,
    ACTIONS(4111), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57461] = 3,
    ACTIONS(1552), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1550), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57472] = 3,
    ACTIONS(1536), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1534), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57483] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1894), 1,
      sym__semicolon,
    ACTIONS(4113), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57494] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57505] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57516] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57527] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57538] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1900), 1,
      sym__semicolon,
    ACTIONS(4115), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57549] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57560] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57571] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1903), 1,
      sym__semicolon,
    ACTIONS(4117), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57582] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1905), 1,
      sym__semicolon,
    ACTIONS(4119), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57593] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1906), 1,
      sym__semicolon,
    ACTIONS(4121), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57604] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57615] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57626] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57637] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57648] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57659] = 3,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57670] = 3,
    ACTIONS(1124), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1122), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57681] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57692] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57703] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57714] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57725] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57736] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57747] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1918), 1,
      sym__semicolon,
    ACTIONS(4123), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57758] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1919), 1,
      sym__semicolon,
    ACTIONS(4125), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57769] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57780] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57791] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57802] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57813] = 3,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57824] = 3,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57835] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_DQUOTE,
    ACTIONS(4129), 1,
      anon_sym_SQUOTE,
    ACTIONS(4131), 1,
      sym_heredoc_start,
  [57848] = 3,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57859] = 3,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57870] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(476), 1,
      sym__semicolon,
    ACTIONS(4133), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57881] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1922), 1,
      sym__semicolon,
    ACTIONS(4135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57892] = 3,
    ACTIONS(1108), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1106), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57903] = 3,
    ACTIONS(1112), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1110), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57914] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_RPAREN2,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [57927] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4142), 1,
      anon_sym_EQ_GT,
    STATE(2530), 1,
      sym__return_type,
  [57940] = 3,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57951] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57962] = 3,
    ACTIONS(1148), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1146), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57973] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1933), 1,
      sym__semicolon,
    ACTIONS(4144), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57984] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1934), 1,
      sym__semicolon,
    ACTIONS(4146), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57995] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58006] = 3,
    ACTIONS(1188), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1186), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58017] = 3,
    ACTIONS(1524), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1522), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58028] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1986), 1,
      sym__semicolon,
    ACTIONS(4148), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58039] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(546), 1,
      sym__semicolon,
    ACTIONS(4150), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58050] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(547), 1,
      sym__semicolon,
    ACTIONS(4152), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58061] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    ACTIONS(4156), 1,
      anon_sym_COLON,
    STATE(576), 1,
      sym_switch_block,
  [58074] = 3,
    ACTIONS(1544), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1542), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58085] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    ACTIONS(4158), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58096] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RBRACK,
    STATE(2023), 1,
      aux_sym__array_destructing_repeat1,
  [58109] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_RBRACK,
    STATE(2024), 1,
      aux_sym_array_creation_expression_repeat1,
  [58122] = 3,
    ACTIONS(1560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1558), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58133] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RBRACK,
    STATE(2025), 1,
      aux_sym__array_destructing_repeat1,
  [58146] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58157] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58168] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58179] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1941), 1,
      sym__semicolon,
    ACTIONS(4168), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58190] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2074), 1,
      sym__semicolon,
    ACTIONS(4170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58201] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58212] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(2031), 1,
      aux_sym_attribute_group_repeat1,
  [58225] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1944), 1,
      sym__semicolon,
    ACTIONS(4176), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58236] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1945), 1,
      sym__semicolon,
    ACTIONS(4178), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58247] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58258] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1817), 1,
      sym_variable_name,
    STATE(2042), 1,
      sym_static_variable_declaration,
  [58271] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58282] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58293] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58304] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4180), 1,
      sym_name,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    STATE(2342), 1,
      sym_namespace_use_group,
  [58317] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58328] = 3,
    ACTIONS(1508), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1506), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58339] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2065), 1,
      sym__semicolon,
    ACTIONS(4184), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58350] = 3,
    ACTIONS(1516), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1514), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58361] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1953), 1,
      sym__semicolon,
    ACTIONS(4186), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58372] = 3,
    ACTIONS(1528), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1526), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58383] = 3,
    ACTIONS(1532), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1530), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58394] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4188), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2058), 1,
      sym_variable_name,
  [58407] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_LBRACE,
    ACTIONS(4192), 1,
      anon_sym_COLON,
    STATE(2054), 1,
      sym_switch_block,
  [58420] = 3,
    ACTIONS(1548), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1546), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58431] = 3,
    ACTIONS(1564), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1562), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58442] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58453] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4194), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58462] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4196), 1,
      anon_sym_COMMA,
    ACTIONS(4198), 1,
      anon_sym_RPAREN2,
    STATE(2060), 1,
      aux_sym_formal_parameters_repeat1,
  [58475] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_COMMA,
    ACTIONS(4202), 1,
      anon_sym_RBRACK,
    STATE(2046), 1,
      aux_sym_array_creation_expression_repeat1,
  [58488] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_COMMA,
    ACTIONS(4206), 1,
      anon_sym_RBRACK,
    STATE(2048), 1,
      aux_sym_attribute_group_repeat1,
  [58501] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58512] = 3,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58523] = 3,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58534] = 3,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58545] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_EQ,
    ACTIONS(4208), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [58556] = 3,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58567] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1971), 1,
      sym__semicolon,
    ACTIONS(3503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58578] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4212), 1,
      anon_sym_LBRACE,
    STATE(2451), 1,
      sym__return_type,
  [58591] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58602] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1975), 1,
      sym__semicolon,
    ACTIONS(4214), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58613] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58624] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58635] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1979), 1,
      sym__semicolon,
    ACTIONS(4216), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58646] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3853), 1,
      anon_sym_LBRACE,
    STATE(2450), 1,
      sym__return_type,
  [58659] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1981), 1,
      sym__semicolon,
    ACTIONS(4218), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58670] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1984), 1,
      sym__semicolon,
    ACTIONS(4220), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58681] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_AMP,
    ACTIONS(4222), 1,
      anon_sym_RPAREN2,
    STATE(1453), 1,
      aux_sym_intersection_type_repeat1,
  [58694] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4224), 1,
      anon_sym_EQ_GT,
    STATE(2444), 1,
      sym__return_type,
  [58707] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_COMMA,
    ACTIONS(4228), 1,
      anon_sym_RPAREN2,
    STATE(2069), 1,
      aux_sym_formal_parameters_repeat1,
  [58720] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4230), 1,
      anon_sym_COMMA,
    ACTIONS(4232), 1,
      anon_sym_RPAREN2,
    STATE(2096), 1,
      aux_sym_array_creation_expression_repeat1,
  [58733] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(524), 1,
      sym__semicolon,
    ACTIONS(4234), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58744] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58755] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4236), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [58764] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58775] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RPAREN2,
    STATE(2122), 1,
      aux_sym__list_destructing_repeat1,
  [58788] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1793), 1,
      anon_sym_RPAREN2,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [58801] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4238), 1,
      anon_sym_RBRACK,
    STATE(2025), 1,
      aux_sym__array_destructing_repeat1,
  [58814] = 4,
    ACTIONS(871), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym_array_creation_expression_repeat1,
  [58827] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    ACTIONS(4245), 1,
      anon_sym_RBRACK,
    STATE(2025), 1,
      aux_sym__array_destructing_repeat1,
  [58840] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_COMMA,
    ACTIONS(4249), 1,
      anon_sym_RPAREN2,
    STATE(2075), 1,
      aux_sym_array_creation_expression_repeat1,
  [58853] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2756), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [58862] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58873] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58884] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58895] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_RBRACK,
    ACTIONS(4251), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_attribute_group_repeat1,
  [58908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(4253), 1,
      sym_heredoc_end,
    STATE(2406), 1,
      sym_heredoc_body,
  [58921] = 4,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2278), 1,
      sym_parenthesized_expression,
  [58934] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    ACTIONS(4257), 1,
      anon_sym_RPAREN2,
    STATE(2140), 1,
      aux_sym_arguments_repeat1,
  [58947] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58958] = 3,
    ACTIONS(1512), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1510), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58969] = 3,
    ACTIONS(1572), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1570), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58980] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4259), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58989] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4261), 1,
      anon_sym_EQ_GT,
    STATE(2432), 1,
      sym__return_type,
  [59002] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4263), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59011] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4265), 1,
      anon_sym_EQ_GT,
    STATE(2435), 1,
      sym__return_type,
  [59024] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4017), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59033] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_RBRACE,
    ACTIONS(4267), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [59046] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59057] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4008), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59066] = 4,
    ACTIONS(875), 1,
      anon_sym_RBRACK,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4270), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym_array_creation_expression_repeat1,
  [59079] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59090] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_RBRACK,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_attribute_group_repeat1,
  [59103] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59114] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4180), 1,
      sym_name,
    ACTIONS(4182), 1,
      anon_sym_LBRACE,
    STATE(2380), 1,
      sym_namespace_use_group,
  [59127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(4274), 1,
      sym_heredoc_end,
    STATE(2365), 1,
      sym_heredoc_body,
  [59140] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3993), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59149] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59160] = 3,
    ACTIONS(1584), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1582), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59171] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4276), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59180] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4278), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_RPAREN2,
    STATE(2103), 1,
      aux_sym_arguments_repeat1,
  [59193] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59204] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    ACTIONS(4282), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59215] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59226] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_RPAREN2,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    STATE(2149), 1,
      aux_sym_formal_parameters_repeat1,
  [59239] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59250] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59261] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59272] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2020), 1,
      sym__semicolon,
    ACTIONS(4288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59283] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59294] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59305] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4290), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2151), 1,
      sym_variable_name,
  [59318] = 3,
    ACTIONS(1576), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1574), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59329] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_RPAREN2,
    ACTIONS(4292), 1,
      anon_sym_COMMA,
    STATE(2149), 1,
      aux_sym_formal_parameters_repeat1,
  [59342] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59353] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59364] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59375] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_EQ,
    ACTIONS(4294), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59386] = 3,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59397] = 4,
    ACTIONS(861), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [59410] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59421] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_RPAREN2,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_unset_statement_repeat1,
  [59434] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4302), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3998), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59445] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4304), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2152), 1,
      sym_variable_name,
  [59458] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_EQ,
    ACTIONS(4306), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59469] = 3,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59480] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4310), 1,
      anon_sym_LBRACE,
    STATE(2449), 1,
      sym__return_type,
  [59493] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_COMMA,
    ACTIONS(4314), 1,
      anon_sym_RBRACE,
    STATE(2126), 1,
      aux_sym_match_block_repeat1,
  [59506] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59517] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59528] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59539] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(3728), 1,
      anon_sym_LBRACE,
    STATE(2452), 1,
      sym__return_type,
  [59552] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3953), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59561] = 3,
    ACTIONS(1104), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1102), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59572] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_COMMA,
    ACTIONS(4316), 1,
      anon_sym_LBRACE,
    STATE(2157), 1,
      aux_sym_base_clause_repeat1,
  [59585] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59596] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59607] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59618] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59629] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2063), 1,
      sym__semicolon,
    ACTIONS(4318), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59640] = 4,
    ACTIONS(873), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_COMMA,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [59653] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(562), 1,
      sym__semicolon,
    ACTIONS(4322), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59664] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(559), 1,
      sym__semicolon,
    ACTIONS(4324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(4326), 1,
      sym_heredoc_end,
    STATE(2412), 1,
      sym_heredoc_body,
  [59688] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1811), 1,
      anon_sym_RPAREN2,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_unset_statement_repeat1,
  [59701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4330), 1,
      sym__new_line,
    ACTIONS(4332), 1,
      sym_heredoc_end,
    STATE(2409), 1,
      sym_nowdoc_body,
  [59714] = 3,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59725] = 4,
    ACTIONS(821), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4334), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [59738] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3317), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59747] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4336), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3975), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59758] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(553), 1,
      sym__semicolon,
    ACTIONS(4338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59769] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(551), 1,
      sym__semicolon,
    ACTIONS(4340), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59780] = 3,
    ACTIONS(1520), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1518), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59791] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(536), 1,
      sym__semicolon,
    ACTIONS(4342), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59802] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59813] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59824] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4344), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59835] = 3,
    ACTIONS(1120), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1118), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59846] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(489), 1,
      sym__semicolon,
    ACTIONS(4348), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59857] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_COMMA,
    ACTIONS(4352), 1,
      anon_sym_RBRACE,
    STATE(2169), 1,
      aux_sym_match_block_repeat1,
  [59870] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    ACTIONS(4354), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [59881] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(490), 1,
      sym__semicolon,
    ACTIONS(4356), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59892] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(496), 1,
      sym__semicolon,
    ACTIONS(4358), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59903] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(498), 1,
      sym__semicolon,
    ACTIONS(4360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59914] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4362), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59923] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(499), 1,
      sym__semicolon,
    ACTIONS(4364), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59934] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4366), 1,
      anon_sym_RPAREN2,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [59947] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym_DOLLAR,
    ACTIONS(4368), 1,
      anon_sym_AMP,
    STATE(1469), 1,
      aux_sym_intersection_type_repeat1,
  [59960] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4371), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [59969] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4373), 1,
      anon_sym_RPAREN2,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [59982] = 4,
    ACTIONS(903), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4375), 1,
      anon_sym_COMMA,
    STATE(2214), 1,
      aux_sym_match_block_repeat1,
  [59995] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_RPAREN2,
    ACTIONS(4377), 1,
      anon_sym_COMMA,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [60008] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    ACTIONS(4380), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60019] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(500), 1,
      sym__semicolon,
    ACTIONS(4382), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60030] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(511), 1,
      sym__semicolon,
    ACTIONS(4384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60041] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(514), 1,
      sym__semicolon,
    ACTIONS(4386), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60052] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4140), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [60061] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_RBRACK,
    ACTIONS(4388), 1,
      anon_sym_COMMA,
    STATE(2133), 1,
      aux_sym_array_creation_expression_repeat1,
  [60074] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4391), 1,
      anon_sym_COMMA,
    ACTIONS(4394), 1,
      anon_sym_RBRACK,
    STATE(2134), 1,
      aux_sym_attribute_group_repeat1,
  [60087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 1,
      sym__new_line,
    ACTIONS(4396), 1,
      sym_heredoc_end,
    STATE(2302), 1,
      sym_heredoc_body,
  [60100] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(516), 1,
      sym__semicolon,
    ACTIONS(4398), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(517), 1,
      sym__semicolon,
    ACTIONS(4400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4330), 1,
      sym__new_line,
    ACTIONS(4402), 1,
      sym_heredoc_end,
    STATE(2299), 1,
      sym_nowdoc_body,
  [60135] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(521), 1,
      sym__semicolon,
    ACTIONS(4404), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60146] = 4,
    ACTIONS(819), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [60159] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4408), 1,
      anon_sym_LBRACE,
    STATE(2533), 1,
      sym__return_type,
  [60172] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_EQ_GT,
    STATE(2419), 1,
      sym__return_type,
  [60185] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4412), 1,
      sym_name,
    ACTIONS(4414), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60196] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4416), 1,
      anon_sym_LBRACE,
    STATE(2538), 1,
      sym__return_type,
  [60209] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4418), 1,
      anon_sym_EQ_GT,
    STATE(2544), 1,
      sym__return_type,
  [60222] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4420), 1,
      anon_sym_EQ_GT,
    STATE(2550), 1,
      sym__return_type,
  [60235] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4422), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60244] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    ACTIONS(4426), 1,
      anon_sym_RBRACE,
    STATE(2191), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [60257] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4428), 1,
      anon_sym_COMMA,
    ACTIONS(4431), 1,
      anon_sym_RPAREN2,
    STATE(2149), 1,
      aux_sym_formal_parameters_repeat1,
  [60270] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4433), 1,
      anon_sym_RPAREN2,
    STATE(2439), 1,
      sym_variable_name,
  [60283] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4437), 1,
      anon_sym_EQ,
    ACTIONS(4435), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60294] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4441), 1,
      anon_sym_EQ,
    ACTIONS(4439), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60305] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4443), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2197), 1,
      sym_variable_name,
  [60318] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_EQ,
    ACTIONS(4445), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60329] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4449), 1,
      anon_sym_COMMA,
    ACTIONS(4451), 1,
      anon_sym_RPAREN2,
    STATE(2198), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60342] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1545), 1,
      sym_property_element,
    STATE(1726), 1,
      sym_variable_name,
  [60355] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_COMMA,
    ACTIONS(4453), 1,
      anon_sym_LBRACE,
    STATE(1869), 1,
      aux_sym_base_clause_repeat1,
  [60368] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(527), 1,
      sym__semicolon,
    ACTIONS(4455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60379] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(575), 1,
      sym__semicolon,
    ACTIONS(4457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60390] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(572), 1,
      sym__semicolon,
    ACTIONS(4459), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60401] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(568), 1,
      sym__semicolon,
    ACTIONS(4461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60412] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(466), 1,
      sym__semicolon,
    ACTIONS(4463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60423] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_RPAREN2,
    ACTIONS(4465), 1,
      anon_sym_COMMA,
    STATE(2163), 1,
      aux_sym_unset_statement_repeat1,
  [60436] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    ACTIONS(4468), 1,
      anon_sym_RPAREN2,
    STATE(2595), 1,
      sym_variable_name,
  [60449] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(564), 1,
      sym__semicolon,
    ACTIONS(4470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60460] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1395), 1,
      sym__semicolon,
    ACTIONS(4472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60471] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(456), 1,
      sym__semicolon,
    ACTIONS(4474), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60482] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(455), 1,
      sym__semicolon,
    ACTIONS(4476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60493] = 4,
    ACTIONS(892), 1,
      anon_sym_RBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4478), 1,
      anon_sym_COMMA,
    STATE(2214), 1,
      aux_sym_match_block_repeat1,
  [60506] = 4,
    ACTIONS(981), 1,
      anon_sym_EQ_GT,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      aux_sym_match_condition_list_repeat1,
  [60519] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(479), 1,
      sym__semicolon,
    ACTIONS(4482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60530] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_RPAREN2,
    STATE(2213), 1,
      aux_sym__list_destructing_repeat1,
  [60543] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_DQUOTE,
    ACTIONS(4488), 1,
      anon_sym_SQUOTE,
    ACTIONS(4490), 1,
      sym_heredoc_start,
  [60556] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4492), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60565] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4494), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60574] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4496), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60583] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4498), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60592] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_COMMA,
    ACTIONS(4503), 1,
      anon_sym_RPAREN2,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [60605] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4505), 1,
      anon_sym_LBRACE,
    STATE(2620), 1,
      sym__return_type,
  [60618] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4507), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym__return_type,
  [60631] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(497), 1,
      sym__semicolon,
    ACTIONS(4509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60642] = 4,
    ACTIONS(837), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [60655] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4038), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [60664] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_COMMA,
    ACTIONS(4515), 1,
      anon_sym_RPAREN2,
    STATE(2182), 1,
      aux_sym_arguments_repeat1,
  [60677] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(494), 1,
      sym__semicolon,
    ACTIONS(4517), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60688] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4519), 1,
      anon_sym_LBRACE,
    STATE(2631), 1,
      sym__return_type,
  [60701] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1379), 1,
      sym__semicolon,
    ACTIONS(4521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60712] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1340), 1,
      sym__semicolon,
    ACTIONS(4523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60723] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_COMMA,
    ACTIONS(4528), 1,
      anon_sym_RPAREN2,
    STATE(2189), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60736] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4530), 1,
      anon_sym_EQ_GT,
    STATE(2634), 1,
      sym__return_type,
  [60749] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_COMMA,
    ACTIONS(4532), 1,
      anon_sym_RBRACE,
    STATE(2043), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [60762] = 4,
    ACTIONS(815), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4534), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [60775] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_RPAREN2,
    STATE(2209), 1,
      aux_sym__list_destructing_repeat1,
  [60788] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(4536), 1,
      sym_name,
    STATE(2588), 1,
      sym_reference_modifier,
  [60801] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1881), 1,
      sym__semicolon,
    ACTIONS(4538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60812] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_COMMA,
    ACTIONS(4542), 1,
      anon_sym_RPAREN2,
    STATE(2192), 1,
      aux_sym_arguments_repeat1,
  [60825] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_EQ,
    ACTIONS(4544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [60836] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_RPAREN2,
    ACTIONS(4548), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60849] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1550), 1,
      sym_property_element,
    STATE(1726), 1,
      sym_variable_name,
  [60862] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_AMP,
    ACTIONS(4550), 1,
      sym_name,
    STATE(2494), 1,
      sym_reference_modifier,
  [60875] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_DOLLAR,
    STATE(1726), 1,
      sym_variable_name,
    STATE(1850), 1,
      sym_property_element,
  [60888] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3673), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [60897] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(534), 1,
      sym__semicolon,
    ACTIONS(4552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60908] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(537), 1,
      sym__semicolon,
    ACTIONS(4554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60919] = 4,
    ACTIONS(823), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [60932] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4558), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [60943] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_COMMA,
    ACTIONS(4564), 1,
      anon_sym_RPAREN2,
    STATE(2215), 1,
      aux_sym_arguments_repeat1,
  [60956] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4566), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60965] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_RPAREN2,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [60978] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4570), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [60987] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(461), 1,
      sym__semicolon,
    ACTIONS(4572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60998] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_EQ_GT,
    ACTIONS(4574), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      aux_sym_match_condition_list_repeat1,
  [61011] = 4,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4577), 1,
      anon_sym_RPAREN2,
    STATE(2127), 1,
      aux_sym__list_destructing_repeat1,
  [61024] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4579), 1,
      anon_sym_COMMA,
    ACTIONS(4582), 1,
      anon_sym_RBRACE,
    STATE(2214), 1,
      aux_sym_match_block_repeat1,
  [61037] = 4,
    ACTIONS(827), 1,
      anon_sym_RPAREN2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_COMMA,
    STATE(2178), 1,
      aux_sym_arguments_repeat1,
  [61050] = 4,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    ACTIONS(4586), 1,
      anon_sym_LBRACE,
    STATE(2504), 1,
      sym__return_type,
  [61063] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(727), 1,
      sym_arguments,
  [61073] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2087), 1,
      sym_formal_parameters,
  [61083] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4588), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61091] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
  [61101] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1708), 1,
      sym_compound_statement,
  [61111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(66), 1,
      sym_parenthesized_expression,
  [61121] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(63), 1,
      sym_parenthesized_expression,
  [61131] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2251), 1,
      sym_parenthesized_expression,
  [61141] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_enum_declaration_list,
  [61151] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(1959), 1,
      sym_parenthesized_expression,
  [61161] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(454), 1,
      sym_compound_statement,
  [61171] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_LBRACE,
    STATE(1105), 1,
      sym_compound_statement,
  [61181] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4058), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [61189] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(634), 1,
      sym_arguments,
  [61199] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(916), 1,
      sym_arguments,
  [61209] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(81), 1,
      sym_parenthesized_expression,
  [61219] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3455), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61227] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2010), 1,
      sym_formal_parameters,
  [61237] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4594), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61245] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_declaration_list,
  [61255] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_declaration_list,
  [61265] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4582), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61273] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_declaration_list,
  [61283] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_LPAREN2,
    STATE(972), 1,
      sym_arguments,
  [61293] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61301] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_LPAREN2,
    ACTIONS(4600), 1,
      anon_sym_RPAREN2,
  [61311] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3186), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3188), 1,
      aux_sym__arrow_function_header_token1,
  [61321] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2014), 1,
      sym_formal_parameters,
  [61331] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(76), 1,
      sym_parenthesized_expression,
  [61341] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3096), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61349] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4602), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61357] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2089), 1,
      sym_compound_statement,
  [61367] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(984), 1,
      sym_compound_statement,
  [61377] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61385] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4606), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_match_block,
  [61395] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(609), 1,
      sym_arguments,
  [61405] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3088), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61413] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1836), 1,
      anon_sym_LPAREN2,
    STATE(724), 1,
      sym_arguments,
  [61423] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4608), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61431] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4611), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61439] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1740), 1,
      sym_formal_parameters,
  [61449] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2241), 1,
      sym_variable_name,
  [61459] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(97), 1,
      sym_parenthesized_expression,
  [61469] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4613), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61477] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4615), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61485] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61493] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4619), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61501] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2071), 1,
      sym_declaration_list,
  [61511] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4621), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61519] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4623), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61527] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(785), 1,
      sym_declaration_list,
  [61537] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_BSLASH,
    STATE(2319), 1,
      aux_sym_namespace_name_repeat1,
  [61547] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(528), 1,
      sym_compound_statement,
  [61557] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4625), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61565] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4627), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61573] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61581] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61589] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61597] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_declaration_list,
  [61607] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym_declaration_list,
  [61617] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN2,
    STATE(786), 1,
      sym_arguments,
  [61627] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4633), 1,
      anon_sym_LBRACE,
    STATE(988), 1,
      sym_match_block,
  [61637] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2343), 1,
      sym_variable_name,
  [61647] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4422), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61655] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(847), 1,
      sym_arguments,
  [61665] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(856), 1,
      sym_arguments,
  [61675] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2053), 1,
      sym_compound_statement,
  [61685] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4635), 1,
      anon_sym_BSLASH,
    STATE(2319), 1,
      aux_sym_namespace_name_repeat1,
  [61695] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(69), 1,
      sym_parenthesized_expression,
  [61705] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_LPAREN2,
    STATE(796), 1,
      sym_arguments,
  [61715] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(482), 1,
      sym_declaration_list,
  [61725] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_declaration_list,
  [61735] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4638), 2,
      anon_sym_string,
      anon_sym_int,
  [61743] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_enum_declaration_list,
  [61753] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_compound_statement,
  [61763] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
  [61773] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1691), 1,
      sym_formal_parameters,
  [61783] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3224), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3226), 1,
      aux_sym__arrow_function_header_token1,
  [61793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    STATE(1692), 1,
      sym_formal_parameters,
  [61803] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2596), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61811] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_declaration_list,
  [61821] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4503), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [61829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym__new_line,
    ACTIONS(4644), 1,
      sym_heredoc_end,
  [61839] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym_nowdoc_string,
    STATE(1865), 1,
      aux_sym_nowdoc_body_repeat1,
  [61849] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [61859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym__new_line,
    ACTIONS(4650), 1,
      sym_heredoc_end,
  [61869] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_declaration_list,
  [61879] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(750), 1,
      sym_arguments,
  [61889] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61897] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(2029), 1,
      sym_enum_declaration_list,
  [61907] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2520), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [61915] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_declaration_list,
  [61925] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4245), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61933] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4380), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61941] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4652), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61949] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1678), 1,
      sym_compound_statement,
  [61959] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1651), 1,
      sym_compound_statement,
  [61969] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(88), 1,
      sym_parenthesized_expression,
  [61979] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2278), 1,
      sym_parenthesized_expression,
  [61989] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(1989), 1,
      sym_parenthesized_expression,
  [61999] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_declaration_list,
  [62009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym__new_line,
    ACTIONS(4656), 1,
      sym_heredoc_end,
  [62019] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_BSLASH,
    STATE(2319), 1,
      aux_sym_namespace_name_repeat1,
  [62029] = 3,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_LPAREN2,
  [62039] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_declaration_list,
  [62049] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62057] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(908), 1,
      sym_declaration_list,
  [62067] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym_declaration_list,
  [62077] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4663), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62085] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62093] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1763), 1,
      sym_formal_parameters,
  [62103] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62111] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2142), 1,
      sym_formal_parameters,
  [62121] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4667), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62129] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(803), 1,
      sym_declaration_list,
  [62139] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4669), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62147] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_LPAREN2,
    STATE(619), 1,
      sym_arguments,
  [62157] = 3,
    ACTIONS(541), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2206), 1,
      sym_colon_block,
  [62167] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_RPAREN2,
    ACTIONS(4671), 1,
      anon_sym_EQ,
  [62177] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_LPAREN2,
    STATE(2107), 1,
      sym_parenthesized_expression,
  [62187] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2145), 1,
      sym_formal_parameters,
  [62197] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62205] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3993), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [62213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym__new_line,
    ACTIONS(4677), 1,
      sym_heredoc_end,
  [62223] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_LPAREN2,
    STATE(601), 1,
      sym_arguments,
  [62233] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4679), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62241] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4681), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62249] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2378), 1,
      sym_variable_name,
  [62259] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(2002), 1,
      sym_declaration_list,
  [62269] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4683), 2,
      anon_sym_string,
      anon_sym_int,
  [62277] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_LPAREN2,
    STATE(2009), 1,
      sym_parenthesized_expression,
  [62287] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(780), 1,
      sym_declaration_list,
  [62297] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2373), 1,
      sym_variable_name,
  [62307] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1987), 1,
      sym_declaration_list,
  [62317] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(89), 1,
      sym_parenthesized_expression,
  [62327] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(109), 1,
      sym_parenthesized_expression,
  [62337] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_enum_declaration_list,
  [62347] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2367), 1,
      sym_variable_name,
  [62357] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(775), 1,
      sym_declaration_list,
  [62367] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1728), 1,
      sym_compound_statement,
  [62377] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62385] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1920), 1,
      sym_declaration_list,
  [62395] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4263), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62403] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_declaration_list,
  [62413] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1921), 1,
      sym_enum_declaration_list,
  [62423] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_declaration_list,
  [62433] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2260), 1,
      sym_variable_name,
  [62443] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1765), 1,
      sym_formal_parameters,
  [62453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 1,
      sym__new_line,
    ACTIONS(4689), 1,
      sym_heredoc_end,
  [62463] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2262), 1,
      sym_variable_name,
  [62473] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62481] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4693), 2,
      anon_sym_string,
      anon_sym_int,
  [62489] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2520), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62497] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4695), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62505] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_DOLLAR,
    STATE(2263), 1,
      sym_variable_name,
  [62515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 1,
      sym__new_line,
    ACTIONS(4699), 1,
      sym_heredoc_end,
  [62525] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4701), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62533] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_declaration_list,
  [62543] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_declaration_list,
  [62553] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4431), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62561] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4703), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62569] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4705), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62577] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62585] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4709), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62593] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4711), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62601] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_enum_declaration_list,
  [62611] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1966), 1,
      sym_declaration_list,
  [62621] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(2190), 1,
      sym_formal_parameters,
  [62631] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_LPAREN2,
    STATE(1682), 1,
      sym_formal_parameters,
  [62641] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
  [62651] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1955), 1,
      sym_declaration_list,
  [62661] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_declaration_list,
  [62671] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_enum_declaration_list,
  [62681] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4713), 2,
      anon_sym_string,
      anon_sym_int,
  [62689] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_declaration_list,
  [62699] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_LPAREN2,
    STATE(2334), 1,
      sym_parenthesized_expression,
  [62709] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4414), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62717] = 3,
    ACTIONS(368), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(2489), 1,
      sym_colon_block,
  [62727] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_LPAREN2,
    ACTIONS(3905), 1,
      anon_sym_COLON_COLON,
  [62737] = 3,
    ACTIONS(360), 1,
      anon_sym_LBRACE,
    ACTIONS(1602), 1,
      sym_comment,
    STATE(1706), 1,
      sym_compound_statement,
  [62747] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
    STATE(114), 1,
      sym_parenthesized_expression,
  [62757] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_compound_statement,
  [62767] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2600), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62775] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1935), 1,
      sym_declaration_list,
  [62785] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62793] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1937), 1,
      sym_declaration_list,
  [62803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 1,
      sym__new_line,
    ACTIONS(4717), 1,
      sym_heredoc_end,
  [62813] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(1938), 1,
      sym_declaration_list,
  [62823] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1954), 1,
      sym_enum_declaration_list,
  [62833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4719), 1,
      sym__new_line,
    ACTIONS(4721), 1,
      sym_heredoc_end,
  [62843] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4723), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [62851] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(896), 1,
      sym_declaration_list,
  [62861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4725), 1,
      sym__new_line,
    ACTIONS(4727), 1,
      sym_heredoc_end,
  [62871] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4394), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62879] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym_declaration_list,
  [62889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4729), 1,
      sym__new_line,
    ACTIONS(4731), 1,
      sym_heredoc_end,
  [62899] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4733), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62907] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(1795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [62915] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_declaration_list,
  [62925] = 3,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3359), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym_declaration_list,
  [62935] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62943] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62951] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_EQ_GT,
  [62958] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_name,
  [62965] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4744), 1,
      sym_heredoc_end,
  [62972] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_RPAREN2,
  [62979] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_heredoc_end,
  [62986] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_integer,
  [62993] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RBRACK,
  [63000] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4754), 1,
      sym_heredoc_end,
  [63007] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_EQ_GT,
  [63014] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_EQ_GT,
  [63021] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4352), 1,
      anon_sym_RBRACE,
  [63028] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4760), 1,
      aux_sym_if_statement_token2,
  [63035] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RPAREN2,
  [63042] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_EQ_GT,
  [63049] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_LBRACE,
  [63056] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RPAREN2,
  [63063] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_EQ_GT,
  [63070] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_SEMI,
  [63077] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_RPAREN2,
  [63084] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_LBRACE,
  [63091] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN2,
  [63098] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_SEMI,
  [63105] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4782), 1,
      sym_heredoc_end,
  [63112] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4784), 1,
      sym_name,
  [63119] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_heredoc_end,
  [63126] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_EQ_GT,
  [63133] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_SEMI,
  [63140] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4792), 1,
      sym_heredoc_end,
  [63147] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_RBRACK,
  [63154] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4796), 1,
      sym_name,
  [63161] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_LBRACE,
  [63168] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_LBRACE,
  [63175] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_LBRACE,
  [63182] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4194), 1,
      anon_sym_LBRACE,
  [63189] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_RPAREN2,
  [63196] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_LBRACE,
  [63203] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_name,
  [63210] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4314), 1,
      anon_sym_RBRACE,
  [63217] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4808), 1,
      aux_sym_if_statement_token2,
  [63224] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4810), 1,
      sym_name,
  [63231] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_SQUOTE2,
  [63238] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_RPAREN2,
  [63245] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_EQ_GT,
  [63252] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_EQ,
  [63259] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_RPAREN2,
  [63266] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4822), 1,
      aux_sym_foreach_statement_token2,
  [63273] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_RPAREN2,
  [63280] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RPAREN2,
  [63287] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_RPAREN2,
  [63294] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_name,
  [63301] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_RPAREN2,
  [63308] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4834), 1,
      anon_sym_RPAREN2,
  [63315] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
  [63322] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_RPAREN2,
  [63329] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_RPAREN2,
  [63336] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4842), 1,
      anon_sym_RPAREN2,
  [63343] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_SEMI,
  [63350] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_RPAREN2,
  [63357] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_name,
  [63364] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RPAREN2,
  [63371] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_BSLASH,
  [63378] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_name,
  [63385] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4854), 1,
      sym_name,
  [63392] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4856), 1,
      sym_name,
  [63399] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4858), 1,
      sym_name,
  [63406] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4860), 1,
      sym_name,
  [63413] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4862), 1,
      sym_name,
  [63420] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_RPAREN2,
  [63427] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_RPAREN2,
  [63434] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4868), 1,
      sym_heredoc_start,
  [63441] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_if_statement_token2,
  [63448] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_SEMI,
  [63455] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_while_statement_token1,
  [63462] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4876), 1,
      aux_sym_if_statement_token2,
  [63469] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SEMI,
  [63476] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4880), 1,
      sym_name,
  [63483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4882), 1,
      aux_sym_visibility_modifier_token4,
  [63490] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_RBRACK,
  [63497] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_RPAREN2,
  [63504] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4884), 1,
      sym_name,
  [63511] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4886), 1,
      anon_sym_COLON_COLON,
  [63518] = 2,
    ACTIONS(995), 1,
      anon_sym_COLON,
    ACTIONS(1602), 1,
      sym_comment,
  [63525] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4888), 1,
      anon_sym_BSLASH,
  [63532] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3761), 1,
      anon_sym_BSLASH,
  [63539] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_SQUOTE2,
  [63546] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym_LBRACE,
  [63553] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4894), 1,
      aux_sym_while_statement_token2,
  [63560] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4896), 1,
      sym_name,
  [63567] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_RPAREN2,
  [63574] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_LPAREN2,
  [63581] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_RPAREN2,
  [63588] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4249), 1,
      anon_sym_RPAREN2,
  [63595] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_RPAREN,
  [63602] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4904), 1,
      sym_name,
  [63609] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4906), 1,
      sym_name,
  [63616] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4908), 1,
      sym_name,
  [63623] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4910), 1,
      sym_name,
  [63630] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4912), 1,
      anon_sym_RBRACK,
  [63637] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4914), 1,
      sym_heredoc_end,
  [63644] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_RBRACK,
  [63651] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_RPAREN2,
  [63658] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_SEMI,
  [63665] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_RPAREN2,
  [63672] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4922), 1,
      aux_sym_while_statement_token2,
  [63679] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4924), 1,
      sym_heredoc_end,
  [63686] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_LPAREN2,
  [63693] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4928), 1,
      sym_name,
  [63700] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_EQ,
  [63707] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_RPAREN2,
  [63714] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4934), 1,
      anon_sym_RPAREN2,
  [63721] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_RPAREN2,
  [63728] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_EQ_GT,
  [63735] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_RPAREN2,
  [63742] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4940), 1,
      anon_sym_LBRACE,
  [63749] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4942), 1,
      anon_sym_LBRACE,
  [63756] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4944), 1,
      anon_sym_RPAREN,
  [63763] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4946), 1,
      aux_sym_foreach_statement_token2,
  [63770] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4948), 1,
      aux_sym_if_statement_token2,
  [63777] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4950), 1,
      anon_sym_RPAREN2,
  [63784] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym_LBRACE,
  [63791] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4515), 1,
      anon_sym_RPAREN2,
  [63798] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_RPAREN2,
  [63805] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4228), 1,
      anon_sym_RPAREN2,
  [63812] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4956), 1,
      sym_name,
  [63819] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_LBRACE,
  [63826] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_EQ_GT,
  [63833] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_LPAREN2,
  [63840] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4964), 1,
      anon_sym_LBRACE,
  [63847] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4966), 1,
      sym_name,
  [63854] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4968), 1,
      sym_name,
  [63861] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_COLON_COLON,
  [63868] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4972), 1,
      anon_sym_EQ_GT,
  [63875] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_RPAREN2,
  [63882] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_COLON_COLON,
  [63889] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_EQ_GT,
  [63896] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4978), 1,
      anon_sym_EQ,
  [63903] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4980), 1,
      anon_sym_RPAREN2,
  [63910] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4982), 1,
      sym_name,
  [63917] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_BSLASH,
  [63924] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4986), 1,
      anon_sym_RPAREN2,
  [63931] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4988), 1,
      anon_sym_BSLASH,
  [63938] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4990), 1,
      ts_builtin_sym_end,
  [63945] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4992), 1,
      sym_name,
  [63952] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4994), 1,
      anon_sym_RPAREN2,
  [63959] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4996), 1,
      anon_sym_RPAREN2,
  [63966] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4998), 1,
      sym_name,
  [63973] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5000), 1,
      sym_name,
  [63980] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_BSLASH,
  [63987] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5004), 1,
      sym_name,
  [63994] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5006), 1,
      anon_sym_EQ,
  [64001] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5008), 1,
      anon_sym_RPAREN2,
  [64008] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4180), 1,
      sym_name,
  [64015] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5010), 1,
      sym_name,
  [64022] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5012), 1,
      sym_name,
  [64029] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5014), 1,
      sym_heredoc_start,
  [64036] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5016), 1,
      sym_heredoc_start,
  [64043] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_RPAREN2,
  [64050] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5018), 1,
      anon_sym_LPAREN2,
  [64057] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5020), 1,
      anon_sym_LPAREN2,
  [64064] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5022), 1,
      sym_name,
  [64071] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5024), 1,
      sym_name,
  [64078] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3561), 1,
      sym_name,
  [64085] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5026), 1,
      sym_heredoc_start,
  [64092] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_COLON_COLON,
  [64099] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5030), 1,
      anon_sym_COLON_COLON,
  [64106] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5032), 1,
      sym_name,
  [64113] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_RPAREN2,
  [64120] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5036), 1,
      anon_sym_SEMI,
  [64127] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4671), 1,
      anon_sym_EQ,
  [64134] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5038), 1,
      sym_name,
  [64141] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5040), 1,
      aux_sym_while_statement_token1,
  [64148] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5042), 1,
      anon_sym_EQ_GT,
  [64155] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5044), 1,
      sym_name,
  [64162] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5046), 1,
      sym_name,
  [64169] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RPAREN2,
  [64176] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_RPAREN2,
  [64183] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5050), 1,
      anon_sym_RPAREN2,
  [64190] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5052), 1,
      anon_sym_RPAREN2,
  [64197] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5054), 1,
      anon_sym_RPAREN2,
  [64204] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_RPAREN2,
  [64211] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5058), 1,
      anon_sym_LBRACE,
  [64218] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5060), 1,
      anon_sym_RPAREN2,
  [64225] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5062), 1,
      anon_sym_RPAREN2,
  [64232] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4600), 1,
      anon_sym_RPAREN2,
  [64239] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5064), 1,
      anon_sym_RPAREN2,
  [64246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5066), 1,
      aux_sym_visibility_modifier_token4,
  [64253] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(4091), 1,
      anon_sym_RPAREN2,
  [64260] = 2,
    ACTIONS(521), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [64267] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5068), 1,
      sym_name,
  [64274] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5070), 1,
      anon_sym_COLON_COLON,
  [64281] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5072), 1,
      anon_sym_BSLASH,
  [64288] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5074), 1,
      sym_name,
  [64295] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(3483), 1,
      sym_name,
  [64302] = 2,
    ACTIONS(517), 1,
      ts_builtin_sym_end,
    ACTIONS(1602), 1,
      sym_comment,
  [64309] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5076), 1,
      anon_sym_COLON_COLON,
  [64316] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5078), 1,
      anon_sym_LPAREN2,
  [64323] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5080), 1,
      sym_heredoc_end,
  [64330] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5082), 1,
      anon_sym_SEMI,
  [64337] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5084), 1,
      sym_heredoc_end,
  [64344] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5086), 1,
      anon_sym_EQ,
  [64351] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5088), 1,
      anon_sym_EQ_GT,
  [64358] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5090), 1,
      anon_sym_LBRACE,
  [64365] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5092), 1,
      sym_name,
  [64372] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5094), 1,
      anon_sym_BSLASH,
  [64379] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5096), 1,
      ts_builtin_sym_end,
  [64386] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5098), 1,
      sym_name,
  [64393] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LPAREN2,
  [64400] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
  [64407] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
  [64414] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_RBRACK,
  [64421] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5108), 1,
      anon_sym_LPAREN2,
  [64428] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5110), 1,
      anon_sym_LPAREN2,
  [64435] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5112), 1,
      anon_sym_LBRACE,
  [64442] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5114), 1,
      anon_sym_LPAREN2,
  [64449] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5116), 1,
      sym_name,
  [64456] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5118), 1,
      anon_sym_EQ_GT,
  [64463] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5120), 1,
      anon_sym_RPAREN2,
  [64470] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5122), 1,
      anon_sym_LPAREN2,
  [64477] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5124), 1,
      anon_sym_LPAREN2,
  [64484] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5126), 1,
      anon_sym_SEMI,
  [64491] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5128), 1,
      anon_sym_LPAREN2,
  [64498] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5130), 1,
      anon_sym_LPAREN2,
  [64505] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5132), 1,
      anon_sym_SEMI,
  [64512] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5134), 1,
      anon_sym_LPAREN2,
  [64519] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5136), 1,
      sym_name,
  [64526] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5138), 1,
      anon_sym_LPAREN2,
  [64533] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5140), 1,
      anon_sym_LPAREN2,
  [64540] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5142), 1,
      sym_name,
  [64547] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5144), 1,
      sym_name,
  [64554] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5146), 1,
      anon_sym_SEMI,
  [64561] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5148), 1,
      sym_name,
  [64568] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5150), 1,
      anon_sym_LPAREN2,
  [64575] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5152), 1,
      anon_sym_LPAREN2,
  [64582] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5154), 1,
      sym_name,
  [64589] = 2,
    ACTIONS(1602), 1,
      sym_comment,
    ACTIONS(5156), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(582)] = 0,
  [SMALL_STATE(583)] = 70,
  [SMALL_STATE(584)] = 140,
  [SMALL_STATE(585)] = 210,
  [SMALL_STATE(586)] = 280,
  [SMALL_STATE(587)] = 353,
  [SMALL_STATE(588)] = 426,
  [SMALL_STATE(589)] = 494,
  [SMALL_STATE(590)] = 562,
  [SMALL_STATE(591)] = 630,
  [SMALL_STATE(592)] = 698,
  [SMALL_STATE(593)] = 766,
  [SMALL_STATE(594)] = 834,
  [SMALL_STATE(595)] = 902,
  [SMALL_STATE(596)] = 970,
  [SMALL_STATE(597)] = 1038,
  [SMALL_STATE(598)] = 1116,
  [SMALL_STATE(599)] = 1184,
  [SMALL_STATE(600)] = 1252,
  [SMALL_STATE(601)] = 1322,
  [SMALL_STATE(602)] = 1390,
  [SMALL_STATE(603)] = 1458,
  [SMALL_STATE(604)] = 1526,
  [SMALL_STATE(605)] = 1594,
  [SMALL_STATE(606)] = 1662,
  [SMALL_STATE(607)] = 1730,
  [SMALL_STATE(608)] = 1798,
  [SMALL_STATE(609)] = 1866,
  [SMALL_STATE(610)] = 1934,
  [SMALL_STATE(611)] = 2004,
  [SMALL_STATE(612)] = 2079,
  [SMALL_STATE(613)] = 2154,
  [SMALL_STATE(614)] = 2229,
  [SMALL_STATE(615)] = 2298,
  [SMALL_STATE(616)] = 2367,
  [SMALL_STATE(617)] = 2431,
  [SMALL_STATE(618)] = 2495,
  [SMALL_STATE(619)] = 2559,
  [SMALL_STATE(620)] = 2623,
  [SMALL_STATE(621)] = 2697,
  [SMALL_STATE(622)] = 2761,
  [SMALL_STATE(623)] = 2825,
  [SMALL_STATE(624)] = 2889,
  [SMALL_STATE(625)] = 3001,
  [SMALL_STATE(626)] = 3073,
  [SMALL_STATE(627)] = 3137,
  [SMALL_STATE(628)] = 3255,
  [SMALL_STATE(629)] = 3367,
  [SMALL_STATE(630)] = 3431,
  [SMALL_STATE(631)] = 3495,
  [SMALL_STATE(632)] = 3613,
  [SMALL_STATE(633)] = 3687,
  [SMALL_STATE(634)] = 3751,
  [SMALL_STATE(635)] = 3815,
  [SMALL_STATE(636)] = 3879,
  [SMALL_STATE(637)] = 3951,
  [SMALL_STATE(638)] = 4017,
  [SMALL_STATE(639)] = 4081,
  [SMALL_STATE(640)] = 4145,
  [SMALL_STATE(641)] = 4219,
  [SMALL_STATE(642)] = 4283,
  [SMALL_STATE(643)] = 4349,
  [SMALL_STATE(644)] = 4461,
  [SMALL_STATE(645)] = 4524,
  [SMALL_STATE(646)] = 4587,
  [SMALL_STATE(647)] = 4658,
  [SMALL_STATE(648)] = 4721,
  [SMALL_STATE(649)] = 4794,
  [SMALL_STATE(650)] = 4865,
  [SMALL_STATE(651)] = 4938,
  [SMALL_STATE(652)] = 5001,
  [SMALL_STATE(653)] = 5080,
  [SMALL_STATE(654)] = 5143,
  [SMALL_STATE(655)] = 5206,
  [SMALL_STATE(656)] = 5269,
  [SMALL_STATE(657)] = 5384,
  [SMALL_STATE(658)] = 5447,
  [SMALL_STATE(659)] = 5518,
  [SMALL_STATE(660)] = 5589,
  [SMALL_STATE(661)] = 5660,
  [SMALL_STATE(662)] = 5731,
  [SMALL_STATE(663)] = 5801,
  [SMALL_STATE(664)] = 5875,
  [SMALL_STATE(665)] = 5945,
  [SMALL_STATE(666)] = 6019,
  [SMALL_STATE(667)] = 6095,
  [SMALL_STATE(668)] = 6171,
  [SMALL_STATE(669)] = 6245,
  [SMALL_STATE(670)] = 6315,
  [SMALL_STATE(671)] = 6385,
  [SMALL_STATE(672)] = 6456,
  [SMALL_STATE(673)] = 6527,
  [SMALL_STATE(674)] = 6636,
  [SMALL_STATE(675)] = 6745,
  [SMALL_STATE(676)] = 6854,
  [SMALL_STATE(677)] = 6925,
  [SMALL_STATE(678)] = 6998,
  [SMALL_STATE(679)] = 7069,
  [SMALL_STATE(680)] = 7178,
  [SMALL_STATE(681)] = 7249,
  [SMALL_STATE(682)] = 7320,
  [SMALL_STATE(683)] = 7426,
  [SMALL_STATE(684)] = 7532,
  [SMALL_STATE(685)] = 7638,
  [SMALL_STATE(686)] = 7744,
  [SMALL_STATE(687)] = 7850,
  [SMALL_STATE(688)] = 7956,
  [SMALL_STATE(689)] = 8062,
  [SMALL_STATE(690)] = 8168,
  [SMALL_STATE(691)] = 8238,
  [SMALL_STATE(692)] = 8344,
  [SMALL_STATE(693)] = 8414,
  [SMALL_STATE(694)] = 8520,
  [SMALL_STATE(695)] = 8626,
  [SMALL_STATE(696)] = 8732,
  [SMALL_STATE(697)] = 8796,
  [SMALL_STATE(698)] = 8902,
  [SMALL_STATE(699)] = 8960,
  [SMALL_STATE(700)] = 9020,
  [SMALL_STATE(701)] = 9075,
  [SMALL_STATE(702)] = 9134,
  [SMALL_STATE(703)] = 9189,
  [SMALL_STATE(704)] = 9248,
  [SMALL_STATE(705)] = 9307,
  [SMALL_STATE(706)] = 9404,
  [SMALL_STATE(707)] = 9501,
  [SMALL_STATE(708)] = 9555,
  [SMALL_STATE(709)] = 9609,
  [SMALL_STATE(710)] = 9663,
  [SMALL_STATE(711)] = 9717,
  [SMALL_STATE(712)] = 9771,
  [SMALL_STATE(713)] = 9825,
  [SMALL_STATE(714)] = 9879,
  [SMALL_STATE(715)] = 9933,
  [SMALL_STATE(716)] = 9987,
  [SMALL_STATE(717)] = 10041,
  [SMALL_STATE(718)] = 10097,
  [SMALL_STATE(719)] = 10151,
  [SMALL_STATE(720)] = 10207,
  [SMALL_STATE(721)] = 10261,
  [SMALL_STATE(722)] = 10315,
  [SMALL_STATE(723)] = 10371,
  [SMALL_STATE(724)] = 10427,
  [SMALL_STATE(725)] = 10481,
  [SMALL_STATE(726)] = 10537,
  [SMALL_STATE(727)] = 10597,
  [SMALL_STATE(728)] = 10651,
  [SMALL_STATE(729)] = 10705,
  [SMALL_STATE(730)] = 10765,
  [SMALL_STATE(731)] = 10819,
  [SMALL_STATE(732)] = 10874,
  [SMALL_STATE(733)] = 10927,
  [SMALL_STATE(734)] = 10984,
  [SMALL_STATE(735)] = 11037,
  [SMALL_STATE(736)] = 11090,
  [SMALL_STATE(737)] = 11143,
  [SMALL_STATE(738)] = 11200,
  [SMALL_STATE(739)] = 11253,
  [SMALL_STATE(740)] = 11310,
  [SMALL_STATE(741)] = 11363,
  [SMALL_STATE(742)] = 11416,
  [SMALL_STATE(743)] = 11473,
  [SMALL_STATE(744)] = 11526,
  [SMALL_STATE(745)] = 11581,
  [SMALL_STATE(746)] = 11638,
  [SMALL_STATE(747)] = 11694,
  [SMALL_STATE(748)] = 11746,
  [SMALL_STATE(749)] = 11798,
  [SMALL_STATE(750)] = 11850,
  [SMALL_STATE(751)] = 11902,
  [SMALL_STATE(752)] = 11954,
  [SMALL_STATE(753)] = 12006,
  [SMALL_STATE(754)] = 12058,
  [SMALL_STATE(755)] = 12110,
  [SMALL_STATE(756)] = 12162,
  [SMALL_STATE(757)] = 12214,
  [SMALL_STATE(758)] = 12266,
  [SMALL_STATE(759)] = 12318,
  [SMALL_STATE(760)] = 12370,
  [SMALL_STATE(761)] = 12422,
  [SMALL_STATE(762)] = 12476,
  [SMALL_STATE(763)] = 12528,
  [SMALL_STATE(764)] = 12580,
  [SMALL_STATE(765)] = 12634,
  [SMALL_STATE(766)] = 12686,
  [SMALL_STATE(767)] = 12738,
  [SMALL_STATE(768)] = 12790,
  [SMALL_STATE(769)] = 12846,
  [SMALL_STATE(770)] = 12898,
  [SMALL_STATE(771)] = 12950,
  [SMALL_STATE(772)] = 13002,
  [SMALL_STATE(773)] = 13058,
  [SMALL_STATE(774)] = 13110,
  [SMALL_STATE(775)] = 13162,
  [SMALL_STATE(776)] = 13214,
  [SMALL_STATE(777)] = 13268,
  [SMALL_STATE(778)] = 13362,
  [SMALL_STATE(779)] = 13414,
  [SMALL_STATE(780)] = 13468,
  [SMALL_STATE(781)] = 13520,
  [SMALL_STATE(782)] = 13572,
  [SMALL_STATE(783)] = 13624,
  [SMALL_STATE(784)] = 13676,
  [SMALL_STATE(785)] = 13728,
  [SMALL_STATE(786)] = 13780,
  [SMALL_STATE(787)] = 13832,
  [SMALL_STATE(788)] = 13884,
  [SMALL_STATE(789)] = 13938,
  [SMALL_STATE(790)] = 13992,
  [SMALL_STATE(791)] = 14052,
  [SMALL_STATE(792)] = 14106,
  [SMALL_STATE(793)] = 14158,
  [SMALL_STATE(794)] = 14210,
  [SMALL_STATE(795)] = 14262,
  [SMALL_STATE(796)] = 14314,
  [SMALL_STATE(797)] = 14366,
  [SMALL_STATE(798)] = 14418,
  [SMALL_STATE(799)] = 14470,
  [SMALL_STATE(800)] = 14522,
  [SMALL_STATE(801)] = 14574,
  [SMALL_STATE(802)] = 14626,
  [SMALL_STATE(803)] = 14678,
  [SMALL_STATE(804)] = 14730,
  [SMALL_STATE(805)] = 14782,
  [SMALL_STATE(806)] = 14834,
  [SMALL_STATE(807)] = 14886,
  [SMALL_STATE(808)] = 14942,
  [SMALL_STATE(809)] = 14994,
  [SMALL_STATE(810)] = 15046,
  [SMALL_STATE(811)] = 15098,
  [SMALL_STATE(812)] = 15150,
  [SMALL_STATE(813)] = 15202,
  [SMALL_STATE(814)] = 15254,
  [SMALL_STATE(815)] = 15306,
  [SMALL_STATE(816)] = 15358,
  [SMALL_STATE(817)] = 15410,
  [SMALL_STATE(818)] = 15462,
  [SMALL_STATE(819)] = 15514,
  [SMALL_STATE(820)] = 15566,
  [SMALL_STATE(821)] = 15660,
  [SMALL_STATE(822)] = 15712,
  [SMALL_STATE(823)] = 15764,
  [SMALL_STATE(824)] = 15820,
  [SMALL_STATE(825)] = 15872,
  [SMALL_STATE(826)] = 15924,
  [SMALL_STATE(827)] = 15979,
  [SMALL_STATE(828)] = 16070,
  [SMALL_STATE(829)] = 16161,
  [SMALL_STATE(830)] = 16214,
  [SMALL_STATE(831)] = 16267,
  [SMALL_STATE(832)] = 16358,
  [SMALL_STATE(833)] = 16413,
  [SMALL_STATE(834)] = 16468,
  [SMALL_STATE(835)] = 16559,
  [SMALL_STATE(836)] = 16614,
  [SMALL_STATE(837)] = 16667,
  [SMALL_STATE(838)] = 16718,
  [SMALL_STATE(839)] = 16773,
  [SMALL_STATE(840)] = 16826,
  [SMALL_STATE(841)] = 16879,
  [SMALL_STATE(842)] = 16935,
  [SMALL_STATE(843)] = 16985,
  [SMALL_STATE(844)] = 17035,
  [SMALL_STATE(845)] = 17087,
  [SMALL_STATE(846)] = 17181,
  [SMALL_STATE(847)] = 17237,
  [SMALL_STATE(848)] = 17287,
  [SMALL_STATE(849)] = 17337,
  [SMALL_STATE(850)] = 17391,
  [SMALL_STATE(851)] = 17441,
  [SMALL_STATE(852)] = 17491,
  [SMALL_STATE(853)] = 17541,
  [SMALL_STATE(854)] = 17629,
  [SMALL_STATE(855)] = 17723,
  [SMALL_STATE(856)] = 17773,
  [SMALL_STATE(857)] = 17823,
  [SMALL_STATE(858)] = 17873,
  [SMALL_STATE(859)] = 17923,
  [SMALL_STATE(860)] = 17975,
  [SMALL_STATE(861)] = 18025,
  [SMALL_STATE(862)] = 18119,
  [SMALL_STATE(863)] = 18169,
  [SMALL_STATE(864)] = 18219,
  [SMALL_STATE(865)] = 18273,
  [SMALL_STATE(866)] = 18323,
  [SMALL_STATE(867)] = 18373,
  [SMALL_STATE(868)] = 18423,
  [SMALL_STATE(869)] = 18474,
  [SMALL_STATE(870)] = 18523,
  [SMALL_STATE(871)] = 18572,
  [SMALL_STATE(872)] = 18625,
  [SMALL_STATE(873)] = 18674,
  [SMALL_STATE(874)] = 18723,
  [SMALL_STATE(875)] = 18772,
  [SMALL_STATE(876)] = 18825,
  [SMALL_STATE(877)] = 18878,
  [SMALL_STATE(878)] = 18931,
  [SMALL_STATE(879)] = 18980,
  [SMALL_STATE(880)] = 19029,
  [SMALL_STATE(881)] = 19078,
  [SMALL_STATE(882)] = 19129,
  [SMALL_STATE(883)] = 19180,
  [SMALL_STATE(884)] = 19229,
  [SMALL_STATE(885)] = 19278,
  [SMALL_STATE(886)] = 19327,
  [SMALL_STATE(887)] = 19378,
  [SMALL_STATE(888)] = 19431,
  [SMALL_STATE(889)] = 19481,
  [SMALL_STATE(890)] = 19529,
  [SMALL_STATE(891)] = 19577,
  [SMALL_STATE(892)] = 19625,
  [SMALL_STATE(893)] = 19673,
  [SMALL_STATE(894)] = 19721,
  [SMALL_STATE(895)] = 19773,
  [SMALL_STATE(896)] = 19821,
  [SMALL_STATE(897)] = 19869,
  [SMALL_STATE(898)] = 19919,
  [SMALL_STATE(899)] = 19967,
  [SMALL_STATE(900)] = 20015,
  [SMALL_STATE(901)] = 20063,
  [SMALL_STATE(902)] = 20111,
  [SMALL_STATE(903)] = 20159,
  [SMALL_STATE(904)] = 20207,
  [SMALL_STATE(905)] = 20255,
  [SMALL_STATE(906)] = 20303,
  [SMALL_STATE(907)] = 20353,
  [SMALL_STATE(908)] = 20401,
  [SMALL_STATE(909)] = 20449,
  [SMALL_STATE(910)] = 20501,
  [SMALL_STATE(911)] = 20549,
  [SMALL_STATE(912)] = 20601,
  [SMALL_STATE(913)] = 20651,
  [SMALL_STATE(914)] = 20699,
  [SMALL_STATE(915)] = 20747,
  [SMALL_STATE(916)] = 20795,
  [SMALL_STATE(917)] = 20843,
  [SMALL_STATE(918)] = 20899,
  [SMALL_STATE(919)] = 20947,
  [SMALL_STATE(920)] = 20995,
  [SMALL_STATE(921)] = 21043,
  [SMALL_STATE(922)] = 21091,
  [SMALL_STATE(923)] = 21139,
  [SMALL_STATE(924)] = 21187,
  [SMALL_STATE(925)] = 21235,
  [SMALL_STATE(926)] = 21283,
  [SMALL_STATE(927)] = 21331,
  [SMALL_STATE(928)] = 21379,
  [SMALL_STATE(929)] = 21427,
  [SMALL_STATE(930)] = 21475,
  [SMALL_STATE(931)] = 21523,
  [SMALL_STATE(932)] = 21571,
  [SMALL_STATE(933)] = 21619,
  [SMALL_STATE(934)] = 21667,
  [SMALL_STATE(935)] = 21715,
  [SMALL_STATE(936)] = 21765,
  [SMALL_STATE(937)] = 21813,
  [SMALL_STATE(938)] = 21861,
  [SMALL_STATE(939)] = 21917,
  [SMALL_STATE(940)] = 21965,
  [SMALL_STATE(941)] = 22013,
  [SMALL_STATE(942)] = 22061,
  [SMALL_STATE(943)] = 22113,
  [SMALL_STATE(944)] = 22161,
  [SMALL_STATE(945)] = 22209,
  [SMALL_STATE(946)] = 22257,
  [SMALL_STATE(947)] = 22305,
  [SMALL_STATE(948)] = 22353,
  [SMALL_STATE(949)] = 22403,
  [SMALL_STATE(950)] = 22451,
  [SMALL_STATE(951)] = 22501,
  [SMALL_STATE(952)] = 22549,
  [SMALL_STATE(953)] = 22599,
  [SMALL_STATE(954)] = 22647,
  [SMALL_STATE(955)] = 22695,
  [SMALL_STATE(956)] = 22743,
  [SMALL_STATE(957)] = 22791,
  [SMALL_STATE(958)] = 22839,
  [SMALL_STATE(959)] = 22887,
  [SMALL_STATE(960)] = 22935,
  [SMALL_STATE(961)] = 22983,
  [SMALL_STATE(962)] = 23031,
  [SMALL_STATE(963)] = 23079,
  [SMALL_STATE(964)] = 23127,
  [SMALL_STATE(965)] = 23175,
  [SMALL_STATE(966)] = 23223,
  [SMALL_STATE(967)] = 23279,
  [SMALL_STATE(968)] = 23327,
  [SMALL_STATE(969)] = 23379,
  [SMALL_STATE(970)] = 23431,
  [SMALL_STATE(971)] = 23479,
  [SMALL_STATE(972)] = 23535,
  [SMALL_STATE(973)] = 23583,
  [SMALL_STATE(974)] = 23630,
  [SMALL_STATE(975)] = 23677,
  [SMALL_STATE(976)] = 23724,
  [SMALL_STATE(977)] = 23773,
  [SMALL_STATE(978)] = 23820,
  [SMALL_STATE(979)] = 23869,
  [SMALL_STATE(980)] = 23916,
  [SMALL_STATE(981)] = 23965,
  [SMALL_STATE(982)] = 24012,
  [SMALL_STATE(983)] = 24059,
  [SMALL_STATE(984)] = 24108,
  [SMALL_STATE(985)] = 24155,
  [SMALL_STATE(986)] = 24202,
  [SMALL_STATE(987)] = 24249,
  [SMALL_STATE(988)] = 24296,
  [SMALL_STATE(989)] = 24343,
  [SMALL_STATE(990)] = 24390,
  [SMALL_STATE(991)] = 24437,
  [SMALL_STATE(992)] = 24484,
  [SMALL_STATE(993)] = 24531,
  [SMALL_STATE(994)] = 24578,
  [SMALL_STATE(995)] = 24627,
  [SMALL_STATE(996)] = 24674,
  [SMALL_STATE(997)] = 24721,
  [SMALL_STATE(998)] = 24772,
  [SMALL_STATE(999)] = 24819,
  [SMALL_STATE(1000)] = 24868,
  [SMALL_STATE(1001)] = 24917,
  [SMALL_STATE(1002)] = 24964,
  [SMALL_STATE(1003)] = 25011,
  [SMALL_STATE(1004)] = 25062,
  [SMALL_STATE(1005)] = 25111,
  [SMALL_STATE(1006)] = 25158,
  [SMALL_STATE(1007)] = 25204,
  [SMALL_STATE(1008)] = 25251,
  [SMALL_STATE(1009)] = 25296,
  [SMALL_STATE(1010)] = 25345,
  [SMALL_STATE(1011)] = 25427,
  [SMALL_STATE(1012)] = 25503,
  [SMALL_STATE(1013)] = 25579,
  [SMALL_STATE(1014)] = 25655,
  [SMALL_STATE(1015)] = 25735,
  [SMALL_STATE(1016)] = 25779,
  [SMALL_STATE(1017)] = 25855,
  [SMALL_STATE(1018)] = 25931,
  [SMALL_STATE(1019)] = 25977,
  [SMALL_STATE(1020)] = 26031,
  [SMALL_STATE(1021)] = 26083,
  [SMALL_STATE(1022)] = 26139,
  [SMALL_STATE(1023)] = 26199,
  [SMALL_STATE(1024)] = 26265,
  [SMALL_STATE(1025)] = 26335,
  [SMALL_STATE(1026)] = 26407,
  [SMALL_STATE(1027)] = 26485,
  [SMALL_STATE(1028)] = 26567,
  [SMALL_STATE(1029)] = 26643,
  [SMALL_STATE(1030)] = 26689,
  [SMALL_STATE(1031)] = 26765,
  [SMALL_STATE(1032)] = 26815,
  [SMALL_STATE(1033)] = 26883,
  [SMALL_STATE(1034)] = 26947,
  [SMALL_STATE(1035)] = 27029,
  [SMALL_STATE(1036)] = 27111,
  [SMALL_STATE(1037)] = 27193,
  [SMALL_STATE(1038)] = 27275,
  [SMALL_STATE(1039)] = 27357,
  [SMALL_STATE(1040)] = 27441,
  [SMALL_STATE(1041)] = 27523,
  [SMALL_STATE(1042)] = 27605,
  [SMALL_STATE(1043)] = 27687,
  [SMALL_STATE(1044)] = 27762,
  [SMALL_STATE(1045)] = 27843,
  [SMALL_STATE(1046)] = 27886,
  [SMALL_STATE(1047)] = 27929,
  [SMALL_STATE(1048)] = 27972,
  [SMALL_STATE(1049)] = 28017,
  [SMALL_STATE(1050)] = 28060,
  [SMALL_STATE(1051)] = 28103,
  [SMALL_STATE(1052)] = 28184,
  [SMALL_STATE(1053)] = 28265,
  [SMALL_STATE(1054)] = 28346,
  [SMALL_STATE(1055)] = 28427,
  [SMALL_STATE(1056)] = 28510,
  [SMALL_STATE(1057)] = 28553,
  [SMALL_STATE(1058)] = 28634,
  [SMALL_STATE(1059)] = 28715,
  [SMALL_STATE(1060)] = 28796,
  [SMALL_STATE(1061)] = 28839,
  [SMALL_STATE(1062)] = 28920,
  [SMALL_STATE(1063)] = 29001,
  [SMALL_STATE(1064)] = 29044,
  [SMALL_STATE(1065)] = 29087,
  [SMALL_STATE(1066)] = 29168,
  [SMALL_STATE(1067)] = 29249,
  [SMALL_STATE(1068)] = 29292,
  [SMALL_STATE(1069)] = 29335,
  [SMALL_STATE(1070)] = 29378,
  [SMALL_STATE(1071)] = 29421,
  [SMALL_STATE(1072)] = 29494,
  [SMALL_STATE(1073)] = 29569,
  [SMALL_STATE(1074)] = 29644,
  [SMALL_STATE(1075)] = 29725,
  [SMALL_STATE(1076)] = 29788,
  [SMALL_STATE(1077)] = 29855,
  [SMALL_STATE(1078)] = 29904,
  [SMALL_STATE(1079)] = 29979,
  [SMALL_STATE(1080)] = 30024,
  [SMALL_STATE(1081)] = 30099,
  [SMALL_STATE(1082)] = 30178,
  [SMALL_STATE(1083)] = 30255,
  [SMALL_STATE(1084)] = 30326,
  [SMALL_STATE(1085)] = 30395,
  [SMALL_STATE(1086)] = 30460,
  [SMALL_STATE(1087)] = 30519,
  [SMALL_STATE(1088)] = 30574,
  [SMALL_STATE(1089)] = 30625,
  [SMALL_STATE(1090)] = 30678,
  [SMALL_STATE(1091)] = 30723,
  [SMALL_STATE(1092)] = 30766,
  [SMALL_STATE(1093)] = 30841,
  [SMALL_STATE(1094)] = 30916,
  [SMALL_STATE(1095)] = 30997,
  [SMALL_STATE(1096)] = 31040,
  [SMALL_STATE(1097)] = 31121,
  [SMALL_STATE(1098)] = 31202,
  [SMALL_STATE(1099)] = 31273,
  [SMALL_STATE(1100)] = 31354,
  [SMALL_STATE(1101)] = 31411,
  [SMALL_STATE(1102)] = 31486,
  [SMALL_STATE(1103)] = 31561,
  [SMALL_STATE(1104)] = 31604,
  [SMALL_STATE(1105)] = 31647,
  [SMALL_STATE(1106)] = 31690,
  [SMALL_STATE(1107)] = 31771,
  [SMALL_STATE(1108)] = 31834,
  [SMALL_STATE(1109)] = 31915,
  [SMALL_STATE(1110)] = 31996,
  [SMALL_STATE(1111)] = 32039,
  [SMALL_STATE(1112)] = 32082,
  [SMALL_STATE(1113)] = 32165,
  [SMALL_STATE(1114)] = 32240,
  [SMALL_STATE(1115)] = 32283,
  [SMALL_STATE(1116)] = 32350,
  [SMALL_STATE(1117)] = 32393,
  [SMALL_STATE(1118)] = 32436,
  [SMALL_STATE(1119)] = 32511,
  [SMALL_STATE(1120)] = 32586,
  [SMALL_STATE(1121)] = 32635,
  [SMALL_STATE(1122)] = 32678,
  [SMALL_STATE(1123)] = 32723,
  [SMALL_STATE(1124)] = 32776,
  [SMALL_STATE(1125)] = 32851,
  [SMALL_STATE(1126)] = 32902,
  [SMALL_STATE(1127)] = 32947,
  [SMALL_STATE(1128)] = 33002,
  [SMALL_STATE(1129)] = 33061,
  [SMALL_STATE(1130)] = 33126,
  [SMALL_STATE(1131)] = 33195,
  [SMALL_STATE(1132)] = 33238,
  [SMALL_STATE(1133)] = 33315,
  [SMALL_STATE(1134)] = 33394,
  [SMALL_STATE(1135)] = 33469,
  [SMALL_STATE(1136)] = 33527,
  [SMALL_STATE(1137)] = 33595,
  [SMALL_STATE(1138)] = 33675,
  [SMALL_STATE(1139)] = 33755,
  [SMALL_STATE(1140)] = 33835,
  [SMALL_STATE(1141)] = 33915,
  [SMALL_STATE(1142)] = 33995,
  [SMALL_STATE(1143)] = 34075,
  [SMALL_STATE(1144)] = 34151,
  [SMALL_STATE(1145)] = 34229,
  [SMALL_STATE(1146)] = 34303,
  [SMALL_STATE(1147)] = 34377,
  [SMALL_STATE(1148)] = 34451,
  [SMALL_STATE(1149)] = 34525,
  [SMALL_STATE(1150)] = 34599,
  [SMALL_STATE(1151)] = 34673,
  [SMALL_STATE(1152)] = 34717,
  [SMALL_STATE(1153)] = 34781,
  [SMALL_STATE(1154)] = 34831,
  [SMALL_STATE(1155)] = 34885,
  [SMALL_STATE(1156)] = 34967,
  [SMALL_STATE(1157)] = 35047,
  [SMALL_STATE(1158)] = 35099,
  [SMALL_STATE(1159)] = 35143,
  [SMALL_STATE(1160)] = 35217,
  [SMALL_STATE(1161)] = 35287,
  [SMALL_STATE(1162)] = 35335,
  [SMALL_STATE(1163)] = 35415,
  [SMALL_STATE(1164)] = 35495,
  [SMALL_STATE(1165)] = 35575,
  [SMALL_STATE(1166)] = 35637,
  [SMALL_STATE(1167)] = 35703,
  [SMALL_STATE(1168)] = 35786,
  [SMALL_STATE(1169)] = 35829,
  [SMALL_STATE(1170)] = 35912,
  [SMALL_STATE(1171)] = 35955,
  [SMALL_STATE(1172)] = 36038,
  [SMALL_STATE(1173)] = 36121,
  [SMALL_STATE(1174)] = 36200,
  [SMALL_STATE(1175)] = 36283,
  [SMALL_STATE(1176)] = 36366,
  [SMALL_STATE(1177)] = 36449,
  [SMALL_STATE(1178)] = 36532,
  [SMALL_STATE(1179)] = 36610,
  [SMALL_STATE(1180)] = 36672,
  [SMALL_STATE(1181)] = 36752,
  [SMALL_STATE(1182)] = 36832,
  [SMALL_STATE(1183)] = 36912,
  [SMALL_STATE(1184)] = 36992,
  [SMALL_STATE(1185)] = 37072,
  [SMALL_STATE(1186)] = 37152,
  [SMALL_STATE(1187)] = 37232,
  [SMALL_STATE(1188)] = 37312,
  [SMALL_STATE(1189)] = 37392,
  [SMALL_STATE(1190)] = 37472,
  [SMALL_STATE(1191)] = 37554,
  [SMALL_STATE(1192)] = 37634,
  [SMALL_STATE(1193)] = 37712,
  [SMALL_STATE(1194)] = 37778,
  [SMALL_STATE(1195)] = 37858,
  [SMALL_STATE(1196)] = 37938,
  [SMALL_STATE(1197)] = 38000,
  [SMALL_STATE(1198)] = 38062,
  [SMALL_STATE(1199)] = 38128,
  [SMALL_STATE(1200)] = 38190,
  [SMALL_STATE(1201)] = 38270,
  [SMALL_STATE(1202)] = 38347,
  [SMALL_STATE(1203)] = 38424,
  [SMALL_STATE(1204)] = 38495,
  [SMALL_STATE(1205)] = 38574,
  [SMALL_STATE(1206)] = 38651,
  [SMALL_STATE(1207)] = 38722,
  [SMALL_STATE(1208)] = 38799,
  [SMALL_STATE(1209)] = 38876,
  [SMALL_STATE(1210)] = 38953,
  [SMALL_STATE(1211)] = 39030,
  [SMALL_STATE(1212)] = 39107,
  [SMALL_STATE(1213)] = 39184,
  [SMALL_STATE(1214)] = 39261,
  [SMALL_STATE(1215)] = 39338,
  [SMALL_STATE(1216)] = 39417,
  [SMALL_STATE(1217)] = 39488,
  [SMALL_STATE(1218)] = 39565,
  [SMALL_STATE(1219)] = 39642,
  [SMALL_STATE(1220)] = 39721,
  [SMALL_STATE(1221)] = 39798,
  [SMALL_STATE(1222)] = 39875,
  [SMALL_STATE(1223)] = 39952,
  [SMALL_STATE(1224)] = 40023,
  [SMALL_STATE(1225)] = 40102,
  [SMALL_STATE(1226)] = 40173,
  [SMALL_STATE(1227)] = 40252,
  [SMALL_STATE(1228)] = 40323,
  [SMALL_STATE(1229)] = 40394,
  [SMALL_STATE(1230)] = 40470,
  [SMALL_STATE(1231)] = 40546,
  [SMALL_STATE(1232)] = 40622,
  [SMALL_STATE(1233)] = 40682,
  [SMALL_STATE(1234)] = 40758,
  [SMALL_STATE(1235)] = 40834,
  [SMALL_STATE(1236)] = 40910,
  [SMALL_STATE(1237)] = 40986,
  [SMALL_STATE(1238)] = 41062,
  [SMALL_STATE(1239)] = 41138,
  [SMALL_STATE(1240)] = 41214,
  [SMALL_STATE(1241)] = 41254,
  [SMALL_STATE(1242)] = 41330,
  [SMALL_STATE(1243)] = 41406,
  [SMALL_STATE(1244)] = 41482,
  [SMALL_STATE(1245)] = 41558,
  [SMALL_STATE(1246)] = 41634,
  [SMALL_STATE(1247)] = 41710,
  [SMALL_STATE(1248)] = 41786,
  [SMALL_STATE(1249)] = 41862,
  [SMALL_STATE(1250)] = 41938,
  [SMALL_STATE(1251)] = 42014,
  [SMALL_STATE(1252)] = 42090,
  [SMALL_STATE(1253)] = 42166,
  [SMALL_STATE(1254)] = 42242,
  [SMALL_STATE(1255)] = 42318,
  [SMALL_STATE(1256)] = 42394,
  [SMALL_STATE(1257)] = 42470,
  [SMALL_STATE(1258)] = 42546,
  [SMALL_STATE(1259)] = 42622,
  [SMALL_STATE(1260)] = 42698,
  [SMALL_STATE(1261)] = 42774,
  [SMALL_STATE(1262)] = 42850,
  [SMALL_STATE(1263)] = 42926,
  [SMALL_STATE(1264)] = 43002,
  [SMALL_STATE(1265)] = 43078,
  [SMALL_STATE(1266)] = 43154,
  [SMALL_STATE(1267)] = 43230,
  [SMALL_STATE(1268)] = 43306,
  [SMALL_STATE(1269)] = 43382,
  [SMALL_STATE(1270)] = 43458,
  [SMALL_STATE(1271)] = 43534,
  [SMALL_STATE(1272)] = 43610,
  [SMALL_STATE(1273)] = 43686,
  [SMALL_STATE(1274)] = 43762,
  [SMALL_STATE(1275)] = 43838,
  [SMALL_STATE(1276)] = 43914,
  [SMALL_STATE(1277)] = 43990,
  [SMALL_STATE(1278)] = 44066,
  [SMALL_STATE(1279)] = 44142,
  [SMALL_STATE(1280)] = 44218,
  [SMALL_STATE(1281)] = 44294,
  [SMALL_STATE(1282)] = 44354,
  [SMALL_STATE(1283)] = 44430,
  [SMALL_STATE(1284)] = 44467,
  [SMALL_STATE(1285)] = 44504,
  [SMALL_STATE(1286)] = 44569,
  [SMALL_STATE(1287)] = 44634,
  [SMALL_STATE(1288)] = 44671,
  [SMALL_STATE(1289)] = 44736,
  [SMALL_STATE(1290)] = 44801,
  [SMALL_STATE(1291)] = 44866,
  [SMALL_STATE(1292)] = 44903,
  [SMALL_STATE(1293)] = 44939,
  [SMALL_STATE(1294)] = 44992,
  [SMALL_STATE(1295)] = 45045,
  [SMALL_STATE(1296)] = 45082,
  [SMALL_STATE(1297)] = 45119,
  [SMALL_STATE(1298)] = 45150,
  [SMALL_STATE(1299)] = 45181,
  [SMALL_STATE(1300)] = 45212,
  [SMALL_STATE(1301)] = 45254,
  [SMALL_STATE(1302)] = 45296,
  [SMALL_STATE(1303)] = 45352,
  [SMALL_STATE(1304)] = 45394,
  [SMALL_STATE(1305)] = 45436,
  [SMALL_STATE(1306)] = 45492,
  [SMALL_STATE(1307)] = 45542,
  [SMALL_STATE(1308)] = 45592,
  [SMALL_STATE(1309)] = 45634,
  [SMALL_STATE(1310)] = 45676,
  [SMALL_STATE(1311)] = 45718,
  [SMALL_STATE(1312)] = 45760,
  [SMALL_STATE(1313)] = 45802,
  [SMALL_STATE(1314)] = 45844,
  [SMALL_STATE(1315)] = 45886,
  [SMALL_STATE(1316)] = 45925,
  [SMALL_STATE(1317)] = 45964,
  [SMALL_STATE(1318)] = 46003,
  [SMALL_STATE(1319)] = 46036,
  [SMALL_STATE(1320)] = 46075,
  [SMALL_STATE(1321)] = 46108,
  [SMALL_STATE(1322)] = 46147,
  [SMALL_STATE(1323)] = 46186,
  [SMALL_STATE(1324)] = 46222,
  [SMALL_STATE(1325)] = 46258,
  [SMALL_STATE(1326)] = 46285,
  [SMALL_STATE(1327)] = 46312,
  [SMALL_STATE(1328)] = 46357,
  [SMALL_STATE(1329)] = 46384,
  [SMALL_STATE(1330)] = 46418,
  [SMALL_STATE(1331)] = 46452,
  [SMALL_STATE(1332)] = 46486,
  [SMALL_STATE(1333)] = 46528,
  [SMALL_STATE(1334)] = 46567,
  [SMALL_STATE(1335)] = 46606,
  [SMALL_STATE(1336)] = 46645,
  [SMALL_STATE(1337)] = 46684,
  [SMALL_STATE(1338)] = 46723,
  [SMALL_STATE(1339)] = 46759,
  [SMALL_STATE(1340)] = 46795,
  [SMALL_STATE(1341)] = 46819,
  [SMALL_STATE(1342)] = 46859,
  [SMALL_STATE(1343)] = 46895,
  [SMALL_STATE(1344)] = 46935,
  [SMALL_STATE(1345)] = 46971,
  [SMALL_STATE(1346)] = 47007,
  [SMALL_STATE(1347)] = 47043,
  [SMALL_STATE(1348)] = 47079,
  [SMALL_STATE(1349)] = 47115,
  [SMALL_STATE(1350)] = 47151,
  [SMALL_STATE(1351)] = 47186,
  [SMALL_STATE(1352)] = 47221,
  [SMALL_STATE(1353)] = 47258,
  [SMALL_STATE(1354)] = 47293,
  [SMALL_STATE(1355)] = 47327,
  [SMALL_STATE(1356)] = 47347,
  [SMALL_STATE(1357)] = 47381,
  [SMALL_STATE(1358)] = 47415,
  [SMALL_STATE(1359)] = 47435,
  [SMALL_STATE(1360)] = 47469,
  [SMALL_STATE(1361)] = 47489,
  [SMALL_STATE(1362)] = 47509,
  [SMALL_STATE(1363)] = 47543,
  [SMALL_STATE(1364)] = 47563,
  [SMALL_STATE(1365)] = 47597,
  [SMALL_STATE(1366)] = 47631,
  [SMALL_STATE(1367)] = 47651,
  [SMALL_STATE(1368)] = 47671,
  [SMALL_STATE(1369)] = 47691,
  [SMALL_STATE(1370)] = 47725,
  [SMALL_STATE(1371)] = 47759,
  [SMALL_STATE(1372)] = 47779,
  [SMALL_STATE(1373)] = 47813,
  [SMALL_STATE(1374)] = 47833,
  [SMALL_STATE(1375)] = 47853,
  [SMALL_STATE(1376)] = 47887,
  [SMALL_STATE(1377)] = 47921,
  [SMALL_STATE(1378)] = 47941,
  [SMALL_STATE(1379)] = 47960,
  [SMALL_STATE(1380)] = 47979,
  [SMALL_STATE(1381)] = 47998,
  [SMALL_STATE(1382)] = 48017,
  [SMALL_STATE(1383)] = 48036,
  [SMALL_STATE(1384)] = 48055,
  [SMALL_STATE(1385)] = 48074,
  [SMALL_STATE(1386)] = 48093,
  [SMALL_STATE(1387)] = 48112,
  [SMALL_STATE(1388)] = 48131,
  [SMALL_STATE(1389)] = 48162,
  [SMALL_STATE(1390)] = 48181,
  [SMALL_STATE(1391)] = 48200,
  [SMALL_STATE(1392)] = 48231,
  [SMALL_STATE(1393)] = 48250,
  [SMALL_STATE(1394)] = 48269,
  [SMALL_STATE(1395)] = 48288,
  [SMALL_STATE(1396)] = 48307,
  [SMALL_STATE(1397)] = 48332,
  [SMALL_STATE(1398)] = 48351,
  [SMALL_STATE(1399)] = 48374,
  [SMALL_STATE(1400)] = 48393,
  [SMALL_STATE(1401)] = 48424,
  [SMALL_STATE(1402)] = 48443,
  [SMALL_STATE(1403)] = 48474,
  [SMALL_STATE(1404)] = 48502,
  [SMALL_STATE(1405)] = 48530,
  [SMALL_STATE(1406)] = 48558,
  [SMALL_STATE(1407)] = 48586,
  [SMALL_STATE(1408)] = 48616,
  [SMALL_STATE(1409)] = 48644,
  [SMALL_STATE(1410)] = 48674,
  [SMALL_STATE(1411)] = 48704,
  [SMALL_STATE(1412)] = 48740,
  [SMALL_STATE(1413)] = 48770,
  [SMALL_STATE(1414)] = 48806,
  [SMALL_STATE(1415)] = 48836,
  [SMALL_STATE(1416)] = 48864,
  [SMALL_STATE(1417)] = 48892,
  [SMALL_STATE(1418)] = 48922,
  [SMALL_STATE(1419)] = 48950,
  [SMALL_STATE(1420)] = 48980,
  [SMALL_STATE(1421)] = 49008,
  [SMALL_STATE(1422)] = 49036,
  [SMALL_STATE(1423)] = 49066,
  [SMALL_STATE(1424)] = 49094,
  [SMALL_STATE(1425)] = 49122,
  [SMALL_STATE(1426)] = 49150,
  [SMALL_STATE(1427)] = 49178,
  [SMALL_STATE(1428)] = 49208,
  [SMALL_STATE(1429)] = 49244,
  [SMALL_STATE(1430)] = 49266,
  [SMALL_STATE(1431)] = 49296,
  [SMALL_STATE(1432)] = 49324,
  [SMALL_STATE(1433)] = 49352,
  [SMALL_STATE(1434)] = 49380,
  [SMALL_STATE(1435)] = 49408,
  [SMALL_STATE(1436)] = 49436,
  [SMALL_STATE(1437)] = 49466,
  [SMALL_STATE(1438)] = 49502,
  [SMALL_STATE(1439)] = 49530,
  [SMALL_STATE(1440)] = 49566,
  [SMALL_STATE(1441)] = 49596,
  [SMALL_STATE(1442)] = 49621,
  [SMALL_STATE(1443)] = 49640,
  [SMALL_STATE(1444)] = 49667,
  [SMALL_STATE(1445)] = 49692,
  [SMALL_STATE(1446)] = 49713,
  [SMALL_STATE(1447)] = 49732,
  [SMALL_STATE(1448)] = 49759,
  [SMALL_STATE(1449)] = 49786,
  [SMALL_STATE(1450)] = 49805,
  [SMALL_STATE(1451)] = 49833,
  [SMALL_STATE(1452)] = 49857,
  [SMALL_STATE(1453)] = 49881,
  [SMALL_STATE(1454)] = 49903,
  [SMALL_STATE(1455)] = 49921,
  [SMALL_STATE(1456)] = 49939,
  [SMALL_STATE(1457)] = 49961,
  [SMALL_STATE(1458)] = 49979,
  [SMALL_STATE(1459)] = 50001,
  [SMALL_STATE(1460)] = 50025,
  [SMALL_STATE(1461)] = 50049,
  [SMALL_STATE(1462)] = 50071,
  [SMALL_STATE(1463)] = 50093,
  [SMALL_STATE(1464)] = 50117,
  [SMALL_STATE(1465)] = 50135,
  [SMALL_STATE(1466)] = 50163,
  [SMALL_STATE(1467)] = 50185,
  [SMALL_STATE(1468)] = 50209,
  [SMALL_STATE(1469)] = 50233,
  [SMALL_STATE(1470)] = 50255,
  [SMALL_STATE(1471)] = 50277,
  [SMALL_STATE(1472)] = 50299,
  [SMALL_STATE(1473)] = 50317,
  [SMALL_STATE(1474)] = 50341,
  [SMALL_STATE(1475)] = 50359,
  [SMALL_STATE(1476)] = 50383,
  [SMALL_STATE(1477)] = 50410,
  [SMALL_STATE(1478)] = 50427,
  [SMALL_STATE(1479)] = 50454,
  [SMALL_STATE(1480)] = 50481,
  [SMALL_STATE(1481)] = 50508,
  [SMALL_STATE(1482)] = 50525,
  [SMALL_STATE(1483)] = 50548,
  [SMALL_STATE(1484)] = 50565,
  [SMALL_STATE(1485)] = 50592,
  [SMALL_STATE(1486)] = 50619,
  [SMALL_STATE(1487)] = 50646,
  [SMALL_STATE(1488)] = 50669,
  [SMALL_STATE(1489)] = 50696,
  [SMALL_STATE(1490)] = 50715,
  [SMALL_STATE(1491)] = 50738,
  [SMALL_STATE(1492)] = 50760,
  [SMALL_STATE(1493)] = 50782,
  [SMALL_STATE(1494)] = 50804,
  [SMALL_STATE(1495)] = 50822,
  [SMALL_STATE(1496)] = 50850,
  [SMALL_STATE(1497)] = 50872,
  [SMALL_STATE(1498)] = 50900,
  [SMALL_STATE(1499)] = 50928,
  [SMALL_STATE(1500)] = 50948,
  [SMALL_STATE(1501)] = 50976,
  [SMALL_STATE(1502)] = 51004,
  [SMALL_STATE(1503)] = 51026,
  [SMALL_STATE(1504)] = 51048,
  [SMALL_STATE(1505)] = 51070,
  [SMALL_STATE(1506)] = 51094,
  [SMALL_STATE(1507)] = 51122,
  [SMALL_STATE(1508)] = 51144,
  [SMALL_STATE(1509)] = 51172,
  [SMALL_STATE(1510)] = 51200,
  [SMALL_STATE(1511)] = 51219,
  [SMALL_STATE(1512)] = 51234,
  [SMALL_STATE(1513)] = 51255,
  [SMALL_STATE(1514)] = 51274,
  [SMALL_STATE(1515)] = 51295,
  [SMALL_STATE(1516)] = 51316,
  [SMALL_STATE(1517)] = 51337,
  [SMALL_STATE(1518)] = 51352,
  [SMALL_STATE(1519)] = 51371,
  [SMALL_STATE(1520)] = 51392,
  [SMALL_STATE(1521)] = 51413,
  [SMALL_STATE(1522)] = 51428,
  [SMALL_STATE(1523)] = 51443,
  [SMALL_STATE(1524)] = 51462,
  [SMALL_STATE(1525)] = 51477,
  [SMALL_STATE(1526)] = 51498,
  [SMALL_STATE(1527)] = 51517,
  [SMALL_STATE(1528)] = 51534,
  [SMALL_STATE(1529)] = 51553,
  [SMALL_STATE(1530)] = 51568,
  [SMALL_STATE(1531)] = 51587,
  [SMALL_STATE(1532)] = 51608,
  [SMALL_STATE(1533)] = 51627,
  [SMALL_STATE(1534)] = 51642,
  [SMALL_STATE(1535)] = 51657,
  [SMALL_STATE(1536)] = 51672,
  [SMALL_STATE(1537)] = 51691,
  [SMALL_STATE(1538)] = 51710,
  [SMALL_STATE(1539)] = 51725,
  [SMALL_STATE(1540)] = 51740,
  [SMALL_STATE(1541)] = 51759,
  [SMALL_STATE(1542)] = 51782,
  [SMALL_STATE(1543)] = 51799,
  [SMALL_STATE(1544)] = 51814,
  [SMALL_STATE(1545)] = 51833,
  [SMALL_STATE(1546)] = 51854,
  [SMALL_STATE(1547)] = 51875,
  [SMALL_STATE(1548)] = 51896,
  [SMALL_STATE(1549)] = 51917,
  [SMALL_STATE(1550)] = 51934,
  [SMALL_STATE(1551)] = 51955,
  [SMALL_STATE(1552)] = 51972,
  [SMALL_STATE(1553)] = 51993,
  [SMALL_STATE(1554)] = 52014,
  [SMALL_STATE(1555)] = 52029,
  [SMALL_STATE(1556)] = 52050,
  [SMALL_STATE(1557)] = 52071,
  [SMALL_STATE(1558)] = 52092,
  [SMALL_STATE(1559)] = 52111,
  [SMALL_STATE(1560)] = 52130,
  [SMALL_STATE(1561)] = 52149,
  [SMALL_STATE(1562)] = 52164,
  [SMALL_STATE(1563)] = 52184,
  [SMALL_STATE(1564)] = 52202,
  [SMALL_STATE(1565)] = 52220,
  [SMALL_STATE(1566)] = 52236,
  [SMALL_STATE(1567)] = 52254,
  [SMALL_STATE(1568)] = 52276,
  [SMALL_STATE(1569)] = 52290,
  [SMALL_STATE(1570)] = 52308,
  [SMALL_STATE(1571)] = 52322,
  [SMALL_STATE(1572)] = 52344,
  [SMALL_STATE(1573)] = 52362,
  [SMALL_STATE(1574)] = 52380,
  [SMALL_STATE(1575)] = 52394,
  [SMALL_STATE(1576)] = 52408,
  [SMALL_STATE(1577)] = 52430,
  [SMALL_STATE(1578)] = 52444,
  [SMALL_STATE(1579)] = 52466,
  [SMALL_STATE(1580)] = 52480,
  [SMALL_STATE(1581)] = 52502,
  [SMALL_STATE(1582)] = 52524,
  [SMALL_STATE(1583)] = 52542,
  [SMALL_STATE(1584)] = 52562,
  [SMALL_STATE(1585)] = 52580,
  [SMALL_STATE(1586)] = 52594,
  [SMALL_STATE(1587)] = 52614,
  [SMALL_STATE(1588)] = 52636,
  [SMALL_STATE(1589)] = 52654,
  [SMALL_STATE(1590)] = 52676,
  [SMALL_STATE(1591)] = 52690,
  [SMALL_STATE(1592)] = 52704,
  [SMALL_STATE(1593)] = 52726,
  [SMALL_STATE(1594)] = 52740,
  [SMALL_STATE(1595)] = 52762,
  [SMALL_STATE(1596)] = 52780,
  [SMALL_STATE(1597)] = 52796,
  [SMALL_STATE(1598)] = 52810,
  [SMALL_STATE(1599)] = 52832,
  [SMALL_STATE(1600)] = 52846,
  [SMALL_STATE(1601)] = 52868,
  [SMALL_STATE(1602)] = 52884,
  [SMALL_STATE(1603)] = 52898,
  [SMALL_STATE(1604)] = 52912,
  [SMALL_STATE(1605)] = 52930,
  [SMALL_STATE(1606)] = 52944,
  [SMALL_STATE(1607)] = 52962,
  [SMALL_STATE(1608)] = 52982,
  [SMALL_STATE(1609)] = 52996,
  [SMALL_STATE(1610)] = 53018,
  [SMALL_STATE(1611)] = 53040,
  [SMALL_STATE(1612)] = 53056,
  [SMALL_STATE(1613)] = 53078,
  [SMALL_STATE(1614)] = 53094,
  [SMALL_STATE(1615)] = 53116,
  [SMALL_STATE(1616)] = 53138,
  [SMALL_STATE(1617)] = 53160,
  [SMALL_STATE(1618)] = 53178,
  [SMALL_STATE(1619)] = 53196,
  [SMALL_STATE(1620)] = 53218,
  [SMALL_STATE(1621)] = 53240,
  [SMALL_STATE(1622)] = 53262,
  [SMALL_STATE(1623)] = 53284,
  [SMALL_STATE(1624)] = 53306,
  [SMALL_STATE(1625)] = 53322,
  [SMALL_STATE(1626)] = 53336,
  [SMALL_STATE(1627)] = 53356,
  [SMALL_STATE(1628)] = 53378,
  [SMALL_STATE(1629)] = 53400,
  [SMALL_STATE(1630)] = 53416,
  [SMALL_STATE(1631)] = 53430,
  [SMALL_STATE(1632)] = 53444,
  [SMALL_STATE(1633)] = 53458,
  [SMALL_STATE(1634)] = 53480,
  [SMALL_STATE(1635)] = 53494,
  [SMALL_STATE(1636)] = 53512,
  [SMALL_STATE(1637)] = 53530,
  [SMALL_STATE(1638)] = 53548,
  [SMALL_STATE(1639)] = 53570,
  [SMALL_STATE(1640)] = 53584,
  [SMALL_STATE(1641)] = 53600,
  [SMALL_STATE(1642)] = 53618,
  [SMALL_STATE(1643)] = 53634,
  [SMALL_STATE(1644)] = 53652,
  [SMALL_STATE(1645)] = 53670,
  [SMALL_STATE(1646)] = 53683,
  [SMALL_STATE(1647)] = 53696,
  [SMALL_STATE(1648)] = 53715,
  [SMALL_STATE(1649)] = 53732,
  [SMALL_STATE(1650)] = 53751,
  [SMALL_STATE(1651)] = 53764,
  [SMALL_STATE(1652)] = 53779,
  [SMALL_STATE(1653)] = 53796,
  [SMALL_STATE(1654)] = 53813,
  [SMALL_STATE(1655)] = 53832,
  [SMALL_STATE(1656)] = 53845,
  [SMALL_STATE(1657)] = 53862,
  [SMALL_STATE(1658)] = 53881,
  [SMALL_STATE(1659)] = 53898,
  [SMALL_STATE(1660)] = 53913,
  [SMALL_STATE(1661)] = 53930,
  [SMALL_STATE(1662)] = 53947,
  [SMALL_STATE(1663)] = 53964,
  [SMALL_STATE(1664)] = 53975,
  [SMALL_STATE(1665)] = 53988,
  [SMALL_STATE(1666)] = 54005,
  [SMALL_STATE(1667)] = 54022,
  [SMALL_STATE(1668)] = 54039,
  [SMALL_STATE(1669)] = 54052,
  [SMALL_STATE(1670)] = 54063,
  [SMALL_STATE(1671)] = 54080,
  [SMALL_STATE(1672)] = 54097,
  [SMALL_STATE(1673)] = 54112,
  [SMALL_STATE(1674)] = 54129,
  [SMALL_STATE(1675)] = 54148,
  [SMALL_STATE(1676)] = 54163,
  [SMALL_STATE(1677)] = 54180,
  [SMALL_STATE(1678)] = 54197,
  [SMALL_STATE(1679)] = 54210,
  [SMALL_STATE(1680)] = 54229,
  [SMALL_STATE(1681)] = 54246,
  [SMALL_STATE(1682)] = 54263,
  [SMALL_STATE(1683)] = 54282,
  [SMALL_STATE(1684)] = 54297,
  [SMALL_STATE(1685)] = 54312,
  [SMALL_STATE(1686)] = 54327,
  [SMALL_STATE(1687)] = 54344,
  [SMALL_STATE(1688)] = 54357,
  [SMALL_STATE(1689)] = 54370,
  [SMALL_STATE(1690)] = 54387,
  [SMALL_STATE(1691)] = 54402,
  [SMALL_STATE(1692)] = 54421,
  [SMALL_STATE(1693)] = 54436,
  [SMALL_STATE(1694)] = 54455,
  [SMALL_STATE(1695)] = 54466,
  [SMALL_STATE(1696)] = 54479,
  [SMALL_STATE(1697)] = 54496,
  [SMALL_STATE(1698)] = 54515,
  [SMALL_STATE(1699)] = 54534,
  [SMALL_STATE(1700)] = 54553,
  [SMALL_STATE(1701)] = 54566,
  [SMALL_STATE(1702)] = 54585,
  [SMALL_STATE(1703)] = 54604,
  [SMALL_STATE(1704)] = 54619,
  [SMALL_STATE(1705)] = 54636,
  [SMALL_STATE(1706)] = 54651,
  [SMALL_STATE(1707)] = 54664,
  [SMALL_STATE(1708)] = 54683,
  [SMALL_STATE(1709)] = 54698,
  [SMALL_STATE(1710)] = 54711,
  [SMALL_STATE(1711)] = 54724,
  [SMALL_STATE(1712)] = 54741,
  [SMALL_STATE(1713)] = 54754,
  [SMALL_STATE(1714)] = 54767,
  [SMALL_STATE(1715)] = 54782,
  [SMALL_STATE(1716)] = 54799,
  [SMALL_STATE(1717)] = 54816,
  [SMALL_STATE(1718)] = 54833,
  [SMALL_STATE(1719)] = 54850,
  [SMALL_STATE(1720)] = 54863,
  [SMALL_STATE(1721)] = 54878,
  [SMALL_STATE(1722)] = 54895,
  [SMALL_STATE(1723)] = 54908,
  [SMALL_STATE(1724)] = 54925,
  [SMALL_STATE(1725)] = 54942,
  [SMALL_STATE(1726)] = 54961,
  [SMALL_STATE(1727)] = 54974,
  [SMALL_STATE(1728)] = 54993,
  [SMALL_STATE(1729)] = 55006,
  [SMALL_STATE(1730)] = 55025,
  [SMALL_STATE(1731)] = 55042,
  [SMALL_STATE(1732)] = 55057,
  [SMALL_STATE(1733)] = 55074,
  [SMALL_STATE(1734)] = 55089,
  [SMALL_STATE(1735)] = 55106,
  [SMALL_STATE(1736)] = 55121,
  [SMALL_STATE(1737)] = 55138,
  [SMALL_STATE(1738)] = 55151,
  [SMALL_STATE(1739)] = 55164,
  [SMALL_STATE(1740)] = 55175,
  [SMALL_STATE(1741)] = 55190,
  [SMALL_STATE(1742)] = 55201,
  [SMALL_STATE(1743)] = 55214,
  [SMALL_STATE(1744)] = 55231,
  [SMALL_STATE(1745)] = 55248,
  [SMALL_STATE(1746)] = 55265,
  [SMALL_STATE(1747)] = 55278,
  [SMALL_STATE(1748)] = 55293,
  [SMALL_STATE(1749)] = 55310,
  [SMALL_STATE(1750)] = 55327,
  [SMALL_STATE(1751)] = 55340,
  [SMALL_STATE(1752)] = 55359,
  [SMALL_STATE(1753)] = 55374,
  [SMALL_STATE(1754)] = 55391,
  [SMALL_STATE(1755)] = 55406,
  [SMALL_STATE(1756)] = 55421,
  [SMALL_STATE(1757)] = 55436,
  [SMALL_STATE(1758)] = 55453,
  [SMALL_STATE(1759)] = 55468,
  [SMALL_STATE(1760)] = 55485,
  [SMALL_STATE(1761)] = 55498,
  [SMALL_STATE(1762)] = 55509,
  [SMALL_STATE(1763)] = 55520,
  [SMALL_STATE(1764)] = 55539,
  [SMALL_STATE(1765)] = 55558,
  [SMALL_STATE(1766)] = 55577,
  [SMALL_STATE(1767)] = 55592,
  [SMALL_STATE(1768)] = 55611,
  [SMALL_STATE(1769)] = 55628,
  [SMALL_STATE(1770)] = 55645,
  [SMALL_STATE(1771)] = 55660,
  [SMALL_STATE(1772)] = 55676,
  [SMALL_STATE(1773)] = 55692,
  [SMALL_STATE(1774)] = 55702,
  [SMALL_STATE(1775)] = 55718,
  [SMALL_STATE(1776)] = 55734,
  [SMALL_STATE(1777)] = 55750,
  [SMALL_STATE(1778)] = 55762,
  [SMALL_STATE(1779)] = 55778,
  [SMALL_STATE(1780)] = 55794,
  [SMALL_STATE(1781)] = 55804,
  [SMALL_STATE(1782)] = 55816,
  [SMALL_STATE(1783)] = 55828,
  [SMALL_STATE(1784)] = 55844,
  [SMALL_STATE(1785)] = 55860,
  [SMALL_STATE(1786)] = 55876,
  [SMALL_STATE(1787)] = 55890,
  [SMALL_STATE(1788)] = 55904,
  [SMALL_STATE(1789)] = 55920,
  [SMALL_STATE(1790)] = 55936,
  [SMALL_STATE(1791)] = 55952,
  [SMALL_STATE(1792)] = 55968,
  [SMALL_STATE(1793)] = 55982,
  [SMALL_STATE(1794)] = 55998,
  [SMALL_STATE(1795)] = 56012,
  [SMALL_STATE(1796)] = 56026,
  [SMALL_STATE(1797)] = 56040,
  [SMALL_STATE(1798)] = 56054,
  [SMALL_STATE(1799)] = 56070,
  [SMALL_STATE(1800)] = 56086,
  [SMALL_STATE(1801)] = 56102,
  [SMALL_STATE(1802)] = 56116,
  [SMALL_STATE(1803)] = 56130,
  [SMALL_STATE(1804)] = 56146,
  [SMALL_STATE(1805)] = 56162,
  [SMALL_STATE(1806)] = 56176,
  [SMALL_STATE(1807)] = 56190,
  [SMALL_STATE(1808)] = 56206,
  [SMALL_STATE(1809)] = 56222,
  [SMALL_STATE(1810)] = 56238,
  [SMALL_STATE(1811)] = 56250,
  [SMALL_STATE(1812)] = 56266,
  [SMALL_STATE(1813)] = 56282,
  [SMALL_STATE(1814)] = 56298,
  [SMALL_STATE(1815)] = 56314,
  [SMALL_STATE(1816)] = 56328,
  [SMALL_STATE(1817)] = 56338,
  [SMALL_STATE(1818)] = 56350,
  [SMALL_STATE(1819)] = 56364,
  [SMALL_STATE(1820)] = 56376,
  [SMALL_STATE(1821)] = 56388,
  [SMALL_STATE(1822)] = 56404,
  [SMALL_STATE(1823)] = 56418,
  [SMALL_STATE(1824)] = 56432,
  [SMALL_STATE(1825)] = 56448,
  [SMALL_STATE(1826)] = 56462,
  [SMALL_STATE(1827)] = 56478,
  [SMALL_STATE(1828)] = 56490,
  [SMALL_STATE(1829)] = 56500,
  [SMALL_STATE(1830)] = 56514,
  [SMALL_STATE(1831)] = 56530,
  [SMALL_STATE(1832)] = 56546,
  [SMALL_STATE(1833)] = 56562,
  [SMALL_STATE(1834)] = 56572,
  [SMALL_STATE(1835)] = 56586,
  [SMALL_STATE(1836)] = 56602,
  [SMALL_STATE(1837)] = 56618,
  [SMALL_STATE(1838)] = 56634,
  [SMALL_STATE(1839)] = 56644,
  [SMALL_STATE(1840)] = 56654,
  [SMALL_STATE(1841)] = 56666,
  [SMALL_STATE(1842)] = 56680,
  [SMALL_STATE(1843)] = 56696,
  [SMALL_STATE(1844)] = 56706,
  [SMALL_STATE(1845)] = 56718,
  [SMALL_STATE(1846)] = 56734,
  [SMALL_STATE(1847)] = 56750,
  [SMALL_STATE(1848)] = 56764,
  [SMALL_STATE(1849)] = 56780,
  [SMALL_STATE(1850)] = 56792,
  [SMALL_STATE(1851)] = 56802,
  [SMALL_STATE(1852)] = 56816,
  [SMALL_STATE(1853)] = 56826,
  [SMALL_STATE(1854)] = 56842,
  [SMALL_STATE(1855)] = 56852,
  [SMALL_STATE(1856)] = 56866,
  [SMALL_STATE(1857)] = 56882,
  [SMALL_STATE(1858)] = 56894,
  [SMALL_STATE(1859)] = 56904,
  [SMALL_STATE(1860)] = 56918,
  [SMALL_STATE(1861)] = 56934,
  [SMALL_STATE(1862)] = 56944,
  [SMALL_STATE(1863)] = 56960,
  [SMALL_STATE(1864)] = 56976,
  [SMALL_STATE(1865)] = 56992,
  [SMALL_STATE(1866)] = 57006,
  [SMALL_STATE(1867)] = 57018,
  [SMALL_STATE(1868)] = 57034,
  [SMALL_STATE(1869)] = 57044,
  [SMALL_STATE(1870)] = 57058,
  [SMALL_STATE(1871)] = 57072,
  [SMALL_STATE(1872)] = 57088,
  [SMALL_STATE(1873)] = 57102,
  [SMALL_STATE(1874)] = 57118,
  [SMALL_STATE(1875)] = 57128,
  [SMALL_STATE(1876)] = 57140,
  [SMALL_STATE(1877)] = 57151,
  [SMALL_STATE(1878)] = 57164,
  [SMALL_STATE(1879)] = 57175,
  [SMALL_STATE(1880)] = 57186,
  [SMALL_STATE(1881)] = 57197,
  [SMALL_STATE(1882)] = 57208,
  [SMALL_STATE(1883)] = 57219,
  [SMALL_STATE(1884)] = 57230,
  [SMALL_STATE(1885)] = 57241,
  [SMALL_STATE(1886)] = 57252,
  [SMALL_STATE(1887)] = 57263,
  [SMALL_STATE(1888)] = 57274,
  [SMALL_STATE(1889)] = 57285,
  [SMALL_STATE(1890)] = 57296,
  [SMALL_STATE(1891)] = 57307,
  [SMALL_STATE(1892)] = 57318,
  [SMALL_STATE(1893)] = 57329,
  [SMALL_STATE(1894)] = 57340,
  [SMALL_STATE(1895)] = 57351,
  [SMALL_STATE(1896)] = 57362,
  [SMALL_STATE(1897)] = 57373,
  [SMALL_STATE(1898)] = 57384,
  [SMALL_STATE(1899)] = 57395,
  [SMALL_STATE(1900)] = 57406,
  [SMALL_STATE(1901)] = 57417,
  [SMALL_STATE(1902)] = 57428,
  [SMALL_STATE(1903)] = 57439,
  [SMALL_STATE(1904)] = 57450,
  [SMALL_STATE(1905)] = 57461,
  [SMALL_STATE(1906)] = 57472,
  [SMALL_STATE(1907)] = 57483,
  [SMALL_STATE(1908)] = 57494,
  [SMALL_STATE(1909)] = 57505,
  [SMALL_STATE(1910)] = 57516,
  [SMALL_STATE(1911)] = 57527,
  [SMALL_STATE(1912)] = 57538,
  [SMALL_STATE(1913)] = 57549,
  [SMALL_STATE(1914)] = 57560,
  [SMALL_STATE(1915)] = 57571,
  [SMALL_STATE(1916)] = 57582,
  [SMALL_STATE(1917)] = 57593,
  [SMALL_STATE(1918)] = 57604,
  [SMALL_STATE(1919)] = 57615,
  [SMALL_STATE(1920)] = 57626,
  [SMALL_STATE(1921)] = 57637,
  [SMALL_STATE(1922)] = 57648,
  [SMALL_STATE(1923)] = 57659,
  [SMALL_STATE(1924)] = 57670,
  [SMALL_STATE(1925)] = 57681,
  [SMALL_STATE(1926)] = 57692,
  [SMALL_STATE(1927)] = 57703,
  [SMALL_STATE(1928)] = 57714,
  [SMALL_STATE(1929)] = 57725,
  [SMALL_STATE(1930)] = 57736,
  [SMALL_STATE(1931)] = 57747,
  [SMALL_STATE(1932)] = 57758,
  [SMALL_STATE(1933)] = 57769,
  [SMALL_STATE(1934)] = 57780,
  [SMALL_STATE(1935)] = 57791,
  [SMALL_STATE(1936)] = 57802,
  [SMALL_STATE(1937)] = 57813,
  [SMALL_STATE(1938)] = 57824,
  [SMALL_STATE(1939)] = 57835,
  [SMALL_STATE(1940)] = 57848,
  [SMALL_STATE(1941)] = 57859,
  [SMALL_STATE(1942)] = 57870,
  [SMALL_STATE(1943)] = 57881,
  [SMALL_STATE(1944)] = 57892,
  [SMALL_STATE(1945)] = 57903,
  [SMALL_STATE(1946)] = 57914,
  [SMALL_STATE(1947)] = 57927,
  [SMALL_STATE(1948)] = 57940,
  [SMALL_STATE(1949)] = 57951,
  [SMALL_STATE(1950)] = 57962,
  [SMALL_STATE(1951)] = 57973,
  [SMALL_STATE(1952)] = 57984,
  [SMALL_STATE(1953)] = 57995,
  [SMALL_STATE(1954)] = 58006,
  [SMALL_STATE(1955)] = 58017,
  [SMALL_STATE(1956)] = 58028,
  [SMALL_STATE(1957)] = 58039,
  [SMALL_STATE(1958)] = 58050,
  [SMALL_STATE(1959)] = 58061,
  [SMALL_STATE(1960)] = 58074,
  [SMALL_STATE(1961)] = 58085,
  [SMALL_STATE(1962)] = 58096,
  [SMALL_STATE(1963)] = 58109,
  [SMALL_STATE(1964)] = 58122,
  [SMALL_STATE(1965)] = 58133,
  [SMALL_STATE(1966)] = 58146,
  [SMALL_STATE(1967)] = 58157,
  [SMALL_STATE(1968)] = 58168,
  [SMALL_STATE(1969)] = 58179,
  [SMALL_STATE(1970)] = 58190,
  [SMALL_STATE(1971)] = 58201,
  [SMALL_STATE(1972)] = 58212,
  [SMALL_STATE(1973)] = 58225,
  [SMALL_STATE(1974)] = 58236,
  [SMALL_STATE(1975)] = 58247,
  [SMALL_STATE(1976)] = 58258,
  [SMALL_STATE(1977)] = 58271,
  [SMALL_STATE(1978)] = 58282,
  [SMALL_STATE(1979)] = 58293,
  [SMALL_STATE(1980)] = 58304,
  [SMALL_STATE(1981)] = 58317,
  [SMALL_STATE(1982)] = 58328,
  [SMALL_STATE(1983)] = 58339,
  [SMALL_STATE(1984)] = 58350,
  [SMALL_STATE(1985)] = 58361,
  [SMALL_STATE(1986)] = 58372,
  [SMALL_STATE(1987)] = 58383,
  [SMALL_STATE(1988)] = 58394,
  [SMALL_STATE(1989)] = 58407,
  [SMALL_STATE(1990)] = 58420,
  [SMALL_STATE(1991)] = 58431,
  [SMALL_STATE(1992)] = 58442,
  [SMALL_STATE(1993)] = 58453,
  [SMALL_STATE(1994)] = 58462,
  [SMALL_STATE(1995)] = 58475,
  [SMALL_STATE(1996)] = 58488,
  [SMALL_STATE(1997)] = 58501,
  [SMALL_STATE(1998)] = 58512,
  [SMALL_STATE(1999)] = 58523,
  [SMALL_STATE(2000)] = 58534,
  [SMALL_STATE(2001)] = 58545,
  [SMALL_STATE(2002)] = 58556,
  [SMALL_STATE(2003)] = 58567,
  [SMALL_STATE(2004)] = 58578,
  [SMALL_STATE(2005)] = 58591,
  [SMALL_STATE(2006)] = 58602,
  [SMALL_STATE(2007)] = 58613,
  [SMALL_STATE(2008)] = 58624,
  [SMALL_STATE(2009)] = 58635,
  [SMALL_STATE(2010)] = 58646,
  [SMALL_STATE(2011)] = 58659,
  [SMALL_STATE(2012)] = 58670,
  [SMALL_STATE(2013)] = 58681,
  [SMALL_STATE(2014)] = 58694,
  [SMALL_STATE(2015)] = 58707,
  [SMALL_STATE(2016)] = 58720,
  [SMALL_STATE(2017)] = 58733,
  [SMALL_STATE(2018)] = 58744,
  [SMALL_STATE(2019)] = 58755,
  [SMALL_STATE(2020)] = 58764,
  [SMALL_STATE(2021)] = 58775,
  [SMALL_STATE(2022)] = 58788,
  [SMALL_STATE(2023)] = 58801,
  [SMALL_STATE(2024)] = 58814,
  [SMALL_STATE(2025)] = 58827,
  [SMALL_STATE(2026)] = 58840,
  [SMALL_STATE(2027)] = 58853,
  [SMALL_STATE(2028)] = 58862,
  [SMALL_STATE(2029)] = 58873,
  [SMALL_STATE(2030)] = 58884,
  [SMALL_STATE(2031)] = 58895,
  [SMALL_STATE(2032)] = 58908,
  [SMALL_STATE(2033)] = 58921,
  [SMALL_STATE(2034)] = 58934,
  [SMALL_STATE(2035)] = 58947,
  [SMALL_STATE(2036)] = 58958,
  [SMALL_STATE(2037)] = 58969,
  [SMALL_STATE(2038)] = 58980,
  [SMALL_STATE(2039)] = 58989,
  [SMALL_STATE(2040)] = 59002,
  [SMALL_STATE(2041)] = 59011,
  [SMALL_STATE(2042)] = 59024,
  [SMALL_STATE(2043)] = 59033,
  [SMALL_STATE(2044)] = 59046,
  [SMALL_STATE(2045)] = 59057,
  [SMALL_STATE(2046)] = 59066,
  [SMALL_STATE(2047)] = 59079,
  [SMALL_STATE(2048)] = 59090,
  [SMALL_STATE(2049)] = 59103,
  [SMALL_STATE(2050)] = 59114,
  [SMALL_STATE(2051)] = 59127,
  [SMALL_STATE(2052)] = 59140,
  [SMALL_STATE(2053)] = 59149,
  [SMALL_STATE(2054)] = 59160,
  [SMALL_STATE(2055)] = 59171,
  [SMALL_STATE(2056)] = 59180,
  [SMALL_STATE(2057)] = 59193,
  [SMALL_STATE(2058)] = 59204,
  [SMALL_STATE(2059)] = 59215,
  [SMALL_STATE(2060)] = 59226,
  [SMALL_STATE(2061)] = 59239,
  [SMALL_STATE(2062)] = 59250,
  [SMALL_STATE(2063)] = 59261,
  [SMALL_STATE(2064)] = 59272,
  [SMALL_STATE(2065)] = 59283,
  [SMALL_STATE(2066)] = 59294,
  [SMALL_STATE(2067)] = 59305,
  [SMALL_STATE(2068)] = 59318,
  [SMALL_STATE(2069)] = 59329,
  [SMALL_STATE(2070)] = 59342,
  [SMALL_STATE(2071)] = 59353,
  [SMALL_STATE(2072)] = 59364,
  [SMALL_STATE(2073)] = 59375,
  [SMALL_STATE(2074)] = 59386,
  [SMALL_STATE(2075)] = 59397,
  [SMALL_STATE(2076)] = 59410,
  [SMALL_STATE(2077)] = 59421,
  [SMALL_STATE(2078)] = 59434,
  [SMALL_STATE(2079)] = 59445,
  [SMALL_STATE(2080)] = 59458,
  [SMALL_STATE(2081)] = 59469,
  [SMALL_STATE(2082)] = 59480,
  [SMALL_STATE(2083)] = 59493,
  [SMALL_STATE(2084)] = 59506,
  [SMALL_STATE(2085)] = 59517,
  [SMALL_STATE(2086)] = 59528,
  [SMALL_STATE(2087)] = 59539,
  [SMALL_STATE(2088)] = 59552,
  [SMALL_STATE(2089)] = 59561,
  [SMALL_STATE(2090)] = 59572,
  [SMALL_STATE(2091)] = 59585,
  [SMALL_STATE(2092)] = 59596,
  [SMALL_STATE(2093)] = 59607,
  [SMALL_STATE(2094)] = 59618,
  [SMALL_STATE(2095)] = 59629,
  [SMALL_STATE(2096)] = 59640,
  [SMALL_STATE(2097)] = 59653,
  [SMALL_STATE(2098)] = 59664,
  [SMALL_STATE(2099)] = 59675,
  [SMALL_STATE(2100)] = 59688,
  [SMALL_STATE(2101)] = 59701,
  [SMALL_STATE(2102)] = 59714,
  [SMALL_STATE(2103)] = 59725,
  [SMALL_STATE(2104)] = 59738,
  [SMALL_STATE(2105)] = 59747,
  [SMALL_STATE(2106)] = 59758,
  [SMALL_STATE(2107)] = 59769,
  [SMALL_STATE(2108)] = 59780,
  [SMALL_STATE(2109)] = 59791,
  [SMALL_STATE(2110)] = 59802,
  [SMALL_STATE(2111)] = 59813,
  [SMALL_STATE(2112)] = 59824,
  [SMALL_STATE(2113)] = 59835,
  [SMALL_STATE(2114)] = 59846,
  [SMALL_STATE(2115)] = 59857,
  [SMALL_STATE(2116)] = 59870,
  [SMALL_STATE(2117)] = 59881,
  [SMALL_STATE(2118)] = 59892,
  [SMALL_STATE(2119)] = 59903,
  [SMALL_STATE(2120)] = 59914,
  [SMALL_STATE(2121)] = 59923,
  [SMALL_STATE(2122)] = 59934,
  [SMALL_STATE(2123)] = 59947,
  [SMALL_STATE(2124)] = 59960,
  [SMALL_STATE(2125)] = 59969,
  [SMALL_STATE(2126)] = 59982,
  [SMALL_STATE(2127)] = 59995,
  [SMALL_STATE(2128)] = 60008,
  [SMALL_STATE(2129)] = 60019,
  [SMALL_STATE(2130)] = 60030,
  [SMALL_STATE(2131)] = 60041,
  [SMALL_STATE(2132)] = 60052,
  [SMALL_STATE(2133)] = 60061,
  [SMALL_STATE(2134)] = 60074,
  [SMALL_STATE(2135)] = 60087,
  [SMALL_STATE(2136)] = 60100,
  [SMALL_STATE(2137)] = 60111,
  [SMALL_STATE(2138)] = 60122,
  [SMALL_STATE(2139)] = 60135,
  [SMALL_STATE(2140)] = 60146,
  [SMALL_STATE(2141)] = 60159,
  [SMALL_STATE(2142)] = 60172,
  [SMALL_STATE(2143)] = 60185,
  [SMALL_STATE(2144)] = 60196,
  [SMALL_STATE(2145)] = 60209,
  [SMALL_STATE(2146)] = 60222,
  [SMALL_STATE(2147)] = 60235,
  [SMALL_STATE(2148)] = 60244,
  [SMALL_STATE(2149)] = 60257,
  [SMALL_STATE(2150)] = 60270,
  [SMALL_STATE(2151)] = 60283,
  [SMALL_STATE(2152)] = 60294,
  [SMALL_STATE(2153)] = 60305,
  [SMALL_STATE(2154)] = 60318,
  [SMALL_STATE(2155)] = 60329,
  [SMALL_STATE(2156)] = 60342,
  [SMALL_STATE(2157)] = 60355,
  [SMALL_STATE(2158)] = 60368,
  [SMALL_STATE(2159)] = 60379,
  [SMALL_STATE(2160)] = 60390,
  [SMALL_STATE(2161)] = 60401,
  [SMALL_STATE(2162)] = 60412,
  [SMALL_STATE(2163)] = 60423,
  [SMALL_STATE(2164)] = 60436,
  [SMALL_STATE(2165)] = 60449,
  [SMALL_STATE(2166)] = 60460,
  [SMALL_STATE(2167)] = 60471,
  [SMALL_STATE(2168)] = 60482,
  [SMALL_STATE(2169)] = 60493,
  [SMALL_STATE(2170)] = 60506,
  [SMALL_STATE(2171)] = 60519,
  [SMALL_STATE(2172)] = 60530,
  [SMALL_STATE(2173)] = 60543,
  [SMALL_STATE(2174)] = 60556,
  [SMALL_STATE(2175)] = 60565,
  [SMALL_STATE(2176)] = 60574,
  [SMALL_STATE(2177)] = 60583,
  [SMALL_STATE(2178)] = 60592,
  [SMALL_STATE(2179)] = 60605,
  [SMALL_STATE(2180)] = 60618,
  [SMALL_STATE(2181)] = 60631,
  [SMALL_STATE(2182)] = 60642,
  [SMALL_STATE(2183)] = 60655,
  [SMALL_STATE(2184)] = 60664,
  [SMALL_STATE(2185)] = 60677,
  [SMALL_STATE(2186)] = 60688,
  [SMALL_STATE(2187)] = 60701,
  [SMALL_STATE(2188)] = 60712,
  [SMALL_STATE(2189)] = 60723,
  [SMALL_STATE(2190)] = 60736,
  [SMALL_STATE(2191)] = 60749,
  [SMALL_STATE(2192)] = 60762,
  [SMALL_STATE(2193)] = 60775,
  [SMALL_STATE(2194)] = 60788,
  [SMALL_STATE(2195)] = 60801,
  [SMALL_STATE(2196)] = 60812,
  [SMALL_STATE(2197)] = 60825,
  [SMALL_STATE(2198)] = 60836,
  [SMALL_STATE(2199)] = 60849,
  [SMALL_STATE(2200)] = 60862,
  [SMALL_STATE(2201)] = 60875,
  [SMALL_STATE(2202)] = 60888,
  [SMALL_STATE(2203)] = 60897,
  [SMALL_STATE(2204)] = 60908,
  [SMALL_STATE(2205)] = 60919,
  [SMALL_STATE(2206)] = 60932,
  [SMALL_STATE(2207)] = 60943,
  [SMALL_STATE(2208)] = 60956,
  [SMALL_STATE(2209)] = 60965,
  [SMALL_STATE(2210)] = 60978,
  [SMALL_STATE(2211)] = 60987,
  [SMALL_STATE(2212)] = 60998,
  [SMALL_STATE(2213)] = 61011,
  [SMALL_STATE(2214)] = 61024,
  [SMALL_STATE(2215)] = 61037,
  [SMALL_STATE(2216)] = 61050,
  [SMALL_STATE(2217)] = 61063,
  [SMALL_STATE(2218)] = 61073,
  [SMALL_STATE(2219)] = 61083,
  [SMALL_STATE(2220)] = 61091,
  [SMALL_STATE(2221)] = 61101,
  [SMALL_STATE(2222)] = 61111,
  [SMALL_STATE(2223)] = 61121,
  [SMALL_STATE(2224)] = 61131,
  [SMALL_STATE(2225)] = 61141,
  [SMALL_STATE(2226)] = 61151,
  [SMALL_STATE(2227)] = 61161,
  [SMALL_STATE(2228)] = 61171,
  [SMALL_STATE(2229)] = 61181,
  [SMALL_STATE(2230)] = 61189,
  [SMALL_STATE(2231)] = 61199,
  [SMALL_STATE(2232)] = 61209,
  [SMALL_STATE(2233)] = 61219,
  [SMALL_STATE(2234)] = 61227,
  [SMALL_STATE(2235)] = 61237,
  [SMALL_STATE(2236)] = 61245,
  [SMALL_STATE(2237)] = 61255,
  [SMALL_STATE(2238)] = 61265,
  [SMALL_STATE(2239)] = 61273,
  [SMALL_STATE(2240)] = 61283,
  [SMALL_STATE(2241)] = 61293,
  [SMALL_STATE(2242)] = 61301,
  [SMALL_STATE(2243)] = 61311,
  [SMALL_STATE(2244)] = 61321,
  [SMALL_STATE(2245)] = 61331,
  [SMALL_STATE(2246)] = 61341,
  [SMALL_STATE(2247)] = 61349,
  [SMALL_STATE(2248)] = 61357,
  [SMALL_STATE(2249)] = 61367,
  [SMALL_STATE(2250)] = 61377,
  [SMALL_STATE(2251)] = 61385,
  [SMALL_STATE(2252)] = 61395,
  [SMALL_STATE(2253)] = 61405,
  [SMALL_STATE(2254)] = 61413,
  [SMALL_STATE(2255)] = 61423,
  [SMALL_STATE(2256)] = 61431,
  [SMALL_STATE(2257)] = 61439,
  [SMALL_STATE(2258)] = 61449,
  [SMALL_STATE(2259)] = 61459,
  [SMALL_STATE(2260)] = 61469,
  [SMALL_STATE(2261)] = 61477,
  [SMALL_STATE(2262)] = 61485,
  [SMALL_STATE(2263)] = 61493,
  [SMALL_STATE(2264)] = 61501,
  [SMALL_STATE(2265)] = 61511,
  [SMALL_STATE(2266)] = 61519,
  [SMALL_STATE(2267)] = 61527,
  [SMALL_STATE(2268)] = 61537,
  [SMALL_STATE(2269)] = 61547,
  [SMALL_STATE(2270)] = 61557,
  [SMALL_STATE(2271)] = 61565,
  [SMALL_STATE(2272)] = 61573,
  [SMALL_STATE(2273)] = 61581,
  [SMALL_STATE(2274)] = 61589,
  [SMALL_STATE(2275)] = 61597,
  [SMALL_STATE(2276)] = 61607,
  [SMALL_STATE(2277)] = 61617,
  [SMALL_STATE(2278)] = 61627,
  [SMALL_STATE(2279)] = 61637,
  [SMALL_STATE(2280)] = 61647,
  [SMALL_STATE(2281)] = 61655,
  [SMALL_STATE(2282)] = 61665,
  [SMALL_STATE(2283)] = 61675,
  [SMALL_STATE(2284)] = 61685,
  [SMALL_STATE(2285)] = 61695,
  [SMALL_STATE(2286)] = 61705,
  [SMALL_STATE(2287)] = 61715,
  [SMALL_STATE(2288)] = 61725,
  [SMALL_STATE(2289)] = 61735,
  [SMALL_STATE(2290)] = 61743,
  [SMALL_STATE(2291)] = 61753,
  [SMALL_STATE(2292)] = 61763,
  [SMALL_STATE(2293)] = 61773,
  [SMALL_STATE(2294)] = 61783,
  [SMALL_STATE(2295)] = 61793,
  [SMALL_STATE(2296)] = 61803,
  [SMALL_STATE(2297)] = 61811,
  [SMALL_STATE(2298)] = 61821,
  [SMALL_STATE(2299)] = 61829,
  [SMALL_STATE(2300)] = 61839,
  [SMALL_STATE(2301)] = 61849,
  [SMALL_STATE(2302)] = 61859,
  [SMALL_STATE(2303)] = 61869,
  [SMALL_STATE(2304)] = 61879,
  [SMALL_STATE(2305)] = 61889,
  [SMALL_STATE(2306)] = 61897,
  [SMALL_STATE(2307)] = 61907,
  [SMALL_STATE(2308)] = 61915,
  [SMALL_STATE(2309)] = 61925,
  [SMALL_STATE(2310)] = 61933,
  [SMALL_STATE(2311)] = 61941,
  [SMALL_STATE(2312)] = 61949,
  [SMALL_STATE(2313)] = 61959,
  [SMALL_STATE(2314)] = 61969,
  [SMALL_STATE(2315)] = 61979,
  [SMALL_STATE(2316)] = 61989,
  [SMALL_STATE(2317)] = 61999,
  [SMALL_STATE(2318)] = 62009,
  [SMALL_STATE(2319)] = 62019,
  [SMALL_STATE(2320)] = 62029,
  [SMALL_STATE(2321)] = 62039,
  [SMALL_STATE(2322)] = 62049,
  [SMALL_STATE(2323)] = 62057,
  [SMALL_STATE(2324)] = 62067,
  [SMALL_STATE(2325)] = 62077,
  [SMALL_STATE(2326)] = 62085,
  [SMALL_STATE(2327)] = 62093,
  [SMALL_STATE(2328)] = 62103,
  [SMALL_STATE(2329)] = 62111,
  [SMALL_STATE(2330)] = 62121,
  [SMALL_STATE(2331)] = 62129,
  [SMALL_STATE(2332)] = 62139,
  [SMALL_STATE(2333)] = 62147,
  [SMALL_STATE(2334)] = 62157,
  [SMALL_STATE(2335)] = 62167,
  [SMALL_STATE(2336)] = 62177,
  [SMALL_STATE(2337)] = 62187,
  [SMALL_STATE(2338)] = 62197,
  [SMALL_STATE(2339)] = 62205,
  [SMALL_STATE(2340)] = 62213,
  [SMALL_STATE(2341)] = 62223,
  [SMALL_STATE(2342)] = 62233,
  [SMALL_STATE(2343)] = 62241,
  [SMALL_STATE(2344)] = 62249,
  [SMALL_STATE(2345)] = 62259,
  [SMALL_STATE(2346)] = 62269,
  [SMALL_STATE(2347)] = 62277,
  [SMALL_STATE(2348)] = 62287,
  [SMALL_STATE(2349)] = 62297,
  [SMALL_STATE(2350)] = 62307,
  [SMALL_STATE(2351)] = 62317,
  [SMALL_STATE(2352)] = 62327,
  [SMALL_STATE(2353)] = 62337,
  [SMALL_STATE(2354)] = 62347,
  [SMALL_STATE(2355)] = 62357,
  [SMALL_STATE(2356)] = 62367,
  [SMALL_STATE(2357)] = 62377,
  [SMALL_STATE(2358)] = 62385,
  [SMALL_STATE(2359)] = 62395,
  [SMALL_STATE(2360)] = 62403,
  [SMALL_STATE(2361)] = 62413,
  [SMALL_STATE(2362)] = 62423,
  [SMALL_STATE(2363)] = 62433,
  [SMALL_STATE(2364)] = 62443,
  [SMALL_STATE(2365)] = 62453,
  [SMALL_STATE(2366)] = 62463,
  [SMALL_STATE(2367)] = 62473,
  [SMALL_STATE(2368)] = 62481,
  [SMALL_STATE(2369)] = 62489,
  [SMALL_STATE(2370)] = 62497,
  [SMALL_STATE(2371)] = 62505,
  [SMALL_STATE(2372)] = 62515,
  [SMALL_STATE(2373)] = 62525,
  [SMALL_STATE(2374)] = 62533,
  [SMALL_STATE(2375)] = 62543,
  [SMALL_STATE(2376)] = 62553,
  [SMALL_STATE(2377)] = 62561,
  [SMALL_STATE(2378)] = 62569,
  [SMALL_STATE(2379)] = 62577,
  [SMALL_STATE(2380)] = 62585,
  [SMALL_STATE(2381)] = 62593,
  [SMALL_STATE(2382)] = 62601,
  [SMALL_STATE(2383)] = 62611,
  [SMALL_STATE(2384)] = 62621,
  [SMALL_STATE(2385)] = 62631,
  [SMALL_STATE(2386)] = 62641,
  [SMALL_STATE(2387)] = 62651,
  [SMALL_STATE(2388)] = 62661,
  [SMALL_STATE(2389)] = 62671,
  [SMALL_STATE(2390)] = 62681,
  [SMALL_STATE(2391)] = 62689,
  [SMALL_STATE(2392)] = 62699,
  [SMALL_STATE(2393)] = 62709,
  [SMALL_STATE(2394)] = 62717,
  [SMALL_STATE(2395)] = 62727,
  [SMALL_STATE(2396)] = 62737,
  [SMALL_STATE(2397)] = 62747,
  [SMALL_STATE(2398)] = 62757,
  [SMALL_STATE(2399)] = 62767,
  [SMALL_STATE(2400)] = 62775,
  [SMALL_STATE(2401)] = 62785,
  [SMALL_STATE(2402)] = 62793,
  [SMALL_STATE(2403)] = 62803,
  [SMALL_STATE(2404)] = 62813,
  [SMALL_STATE(2405)] = 62823,
  [SMALL_STATE(2406)] = 62833,
  [SMALL_STATE(2407)] = 62843,
  [SMALL_STATE(2408)] = 62851,
  [SMALL_STATE(2409)] = 62861,
  [SMALL_STATE(2410)] = 62871,
  [SMALL_STATE(2411)] = 62879,
  [SMALL_STATE(2412)] = 62889,
  [SMALL_STATE(2413)] = 62899,
  [SMALL_STATE(2414)] = 62907,
  [SMALL_STATE(2415)] = 62915,
  [SMALL_STATE(2416)] = 62925,
  [SMALL_STATE(2417)] = 62935,
  [SMALL_STATE(2418)] = 62943,
  [SMALL_STATE(2419)] = 62951,
  [SMALL_STATE(2420)] = 62958,
  [SMALL_STATE(2421)] = 62965,
  [SMALL_STATE(2422)] = 62972,
  [SMALL_STATE(2423)] = 62979,
  [SMALL_STATE(2424)] = 62986,
  [SMALL_STATE(2425)] = 62993,
  [SMALL_STATE(2426)] = 63000,
  [SMALL_STATE(2427)] = 63007,
  [SMALL_STATE(2428)] = 63014,
  [SMALL_STATE(2429)] = 63021,
  [SMALL_STATE(2430)] = 63028,
  [SMALL_STATE(2431)] = 63035,
  [SMALL_STATE(2432)] = 63042,
  [SMALL_STATE(2433)] = 63049,
  [SMALL_STATE(2434)] = 63056,
  [SMALL_STATE(2435)] = 63063,
  [SMALL_STATE(2436)] = 63070,
  [SMALL_STATE(2437)] = 63077,
  [SMALL_STATE(2438)] = 63084,
  [SMALL_STATE(2439)] = 63091,
  [SMALL_STATE(2440)] = 63098,
  [SMALL_STATE(2441)] = 63105,
  [SMALL_STATE(2442)] = 63112,
  [SMALL_STATE(2443)] = 63119,
  [SMALL_STATE(2444)] = 63126,
  [SMALL_STATE(2445)] = 63133,
  [SMALL_STATE(2446)] = 63140,
  [SMALL_STATE(2447)] = 63147,
  [SMALL_STATE(2448)] = 63154,
  [SMALL_STATE(2449)] = 63161,
  [SMALL_STATE(2450)] = 63168,
  [SMALL_STATE(2451)] = 63175,
  [SMALL_STATE(2452)] = 63182,
  [SMALL_STATE(2453)] = 63189,
  [SMALL_STATE(2454)] = 63196,
  [SMALL_STATE(2455)] = 63203,
  [SMALL_STATE(2456)] = 63210,
  [SMALL_STATE(2457)] = 63217,
  [SMALL_STATE(2458)] = 63224,
  [SMALL_STATE(2459)] = 63231,
  [SMALL_STATE(2460)] = 63238,
  [SMALL_STATE(2461)] = 63245,
  [SMALL_STATE(2462)] = 63252,
  [SMALL_STATE(2463)] = 63259,
  [SMALL_STATE(2464)] = 63266,
  [SMALL_STATE(2465)] = 63273,
  [SMALL_STATE(2466)] = 63280,
  [SMALL_STATE(2467)] = 63287,
  [SMALL_STATE(2468)] = 63294,
  [SMALL_STATE(2469)] = 63301,
  [SMALL_STATE(2470)] = 63308,
  [SMALL_STATE(2471)] = 63315,
  [SMALL_STATE(2472)] = 63322,
  [SMALL_STATE(2473)] = 63329,
  [SMALL_STATE(2474)] = 63336,
  [SMALL_STATE(2475)] = 63343,
  [SMALL_STATE(2476)] = 63350,
  [SMALL_STATE(2477)] = 63357,
  [SMALL_STATE(2478)] = 63364,
  [SMALL_STATE(2479)] = 63371,
  [SMALL_STATE(2480)] = 63378,
  [SMALL_STATE(2481)] = 63385,
  [SMALL_STATE(2482)] = 63392,
  [SMALL_STATE(2483)] = 63399,
  [SMALL_STATE(2484)] = 63406,
  [SMALL_STATE(2485)] = 63413,
  [SMALL_STATE(2486)] = 63420,
  [SMALL_STATE(2487)] = 63427,
  [SMALL_STATE(2488)] = 63434,
  [SMALL_STATE(2489)] = 63441,
  [SMALL_STATE(2490)] = 63448,
  [SMALL_STATE(2491)] = 63455,
  [SMALL_STATE(2492)] = 63462,
  [SMALL_STATE(2493)] = 63469,
  [SMALL_STATE(2494)] = 63476,
  [SMALL_STATE(2495)] = 63483,
  [SMALL_STATE(2496)] = 63490,
  [SMALL_STATE(2497)] = 63497,
  [SMALL_STATE(2498)] = 63504,
  [SMALL_STATE(2499)] = 63511,
  [SMALL_STATE(2500)] = 63518,
  [SMALL_STATE(2501)] = 63525,
  [SMALL_STATE(2502)] = 63532,
  [SMALL_STATE(2503)] = 63539,
  [SMALL_STATE(2504)] = 63546,
  [SMALL_STATE(2505)] = 63553,
  [SMALL_STATE(2506)] = 63560,
  [SMALL_STATE(2507)] = 63567,
  [SMALL_STATE(2508)] = 63574,
  [SMALL_STATE(2509)] = 63581,
  [SMALL_STATE(2510)] = 63588,
  [SMALL_STATE(2511)] = 63595,
  [SMALL_STATE(2512)] = 63602,
  [SMALL_STATE(2513)] = 63609,
  [SMALL_STATE(2514)] = 63616,
  [SMALL_STATE(2515)] = 63623,
  [SMALL_STATE(2516)] = 63630,
  [SMALL_STATE(2517)] = 63637,
  [SMALL_STATE(2518)] = 63644,
  [SMALL_STATE(2519)] = 63651,
  [SMALL_STATE(2520)] = 63658,
  [SMALL_STATE(2521)] = 63665,
  [SMALL_STATE(2522)] = 63672,
  [SMALL_STATE(2523)] = 63679,
  [SMALL_STATE(2524)] = 63686,
  [SMALL_STATE(2525)] = 63693,
  [SMALL_STATE(2526)] = 63700,
  [SMALL_STATE(2527)] = 63707,
  [SMALL_STATE(2528)] = 63714,
  [SMALL_STATE(2529)] = 63721,
  [SMALL_STATE(2530)] = 63728,
  [SMALL_STATE(2531)] = 63735,
  [SMALL_STATE(2532)] = 63742,
  [SMALL_STATE(2533)] = 63749,
  [SMALL_STATE(2534)] = 63756,
  [SMALL_STATE(2535)] = 63763,
  [SMALL_STATE(2536)] = 63770,
  [SMALL_STATE(2537)] = 63777,
  [SMALL_STATE(2538)] = 63784,
  [SMALL_STATE(2539)] = 63791,
  [SMALL_STATE(2540)] = 63798,
  [SMALL_STATE(2541)] = 63805,
  [SMALL_STATE(2542)] = 63812,
  [SMALL_STATE(2543)] = 63819,
  [SMALL_STATE(2544)] = 63826,
  [SMALL_STATE(2545)] = 63833,
  [SMALL_STATE(2546)] = 63840,
  [SMALL_STATE(2547)] = 63847,
  [SMALL_STATE(2548)] = 63854,
  [SMALL_STATE(2549)] = 63861,
  [SMALL_STATE(2550)] = 63868,
  [SMALL_STATE(2551)] = 63875,
  [SMALL_STATE(2552)] = 63882,
  [SMALL_STATE(2553)] = 63889,
  [SMALL_STATE(2554)] = 63896,
  [SMALL_STATE(2555)] = 63903,
  [SMALL_STATE(2556)] = 63910,
  [SMALL_STATE(2557)] = 63917,
  [SMALL_STATE(2558)] = 63924,
  [SMALL_STATE(2559)] = 63931,
  [SMALL_STATE(2560)] = 63938,
  [SMALL_STATE(2561)] = 63945,
  [SMALL_STATE(2562)] = 63952,
  [SMALL_STATE(2563)] = 63959,
  [SMALL_STATE(2564)] = 63966,
  [SMALL_STATE(2565)] = 63973,
  [SMALL_STATE(2566)] = 63980,
  [SMALL_STATE(2567)] = 63987,
  [SMALL_STATE(2568)] = 63994,
  [SMALL_STATE(2569)] = 64001,
  [SMALL_STATE(2570)] = 64008,
  [SMALL_STATE(2571)] = 64015,
  [SMALL_STATE(2572)] = 64022,
  [SMALL_STATE(2573)] = 64029,
  [SMALL_STATE(2574)] = 64036,
  [SMALL_STATE(2575)] = 64043,
  [SMALL_STATE(2576)] = 64050,
  [SMALL_STATE(2577)] = 64057,
  [SMALL_STATE(2578)] = 64064,
  [SMALL_STATE(2579)] = 64071,
  [SMALL_STATE(2580)] = 64078,
  [SMALL_STATE(2581)] = 64085,
  [SMALL_STATE(2582)] = 64092,
  [SMALL_STATE(2583)] = 64099,
  [SMALL_STATE(2584)] = 64106,
  [SMALL_STATE(2585)] = 64113,
  [SMALL_STATE(2586)] = 64120,
  [SMALL_STATE(2587)] = 64127,
  [SMALL_STATE(2588)] = 64134,
  [SMALL_STATE(2589)] = 64141,
  [SMALL_STATE(2590)] = 64148,
  [SMALL_STATE(2591)] = 64155,
  [SMALL_STATE(2592)] = 64162,
  [SMALL_STATE(2593)] = 64169,
  [SMALL_STATE(2594)] = 64176,
  [SMALL_STATE(2595)] = 64183,
  [SMALL_STATE(2596)] = 64190,
  [SMALL_STATE(2597)] = 64197,
  [SMALL_STATE(2598)] = 64204,
  [SMALL_STATE(2599)] = 64211,
  [SMALL_STATE(2600)] = 64218,
  [SMALL_STATE(2601)] = 64225,
  [SMALL_STATE(2602)] = 64232,
  [SMALL_STATE(2603)] = 64239,
  [SMALL_STATE(2604)] = 64246,
  [SMALL_STATE(2605)] = 64253,
  [SMALL_STATE(2606)] = 64260,
  [SMALL_STATE(2607)] = 64267,
  [SMALL_STATE(2608)] = 64274,
  [SMALL_STATE(2609)] = 64281,
  [SMALL_STATE(2610)] = 64288,
  [SMALL_STATE(2611)] = 64295,
  [SMALL_STATE(2612)] = 64302,
  [SMALL_STATE(2613)] = 64309,
  [SMALL_STATE(2614)] = 64316,
  [SMALL_STATE(2615)] = 64323,
  [SMALL_STATE(2616)] = 64330,
  [SMALL_STATE(2617)] = 64337,
  [SMALL_STATE(2618)] = 64344,
  [SMALL_STATE(2619)] = 64351,
  [SMALL_STATE(2620)] = 64358,
  [SMALL_STATE(2621)] = 64365,
  [SMALL_STATE(2622)] = 64372,
  [SMALL_STATE(2623)] = 64379,
  [SMALL_STATE(2624)] = 64386,
  [SMALL_STATE(2625)] = 64393,
  [SMALL_STATE(2626)] = 64400,
  [SMALL_STATE(2627)] = 64407,
  [SMALL_STATE(2628)] = 64414,
  [SMALL_STATE(2629)] = 64421,
  [SMALL_STATE(2630)] = 64428,
  [SMALL_STATE(2631)] = 64435,
  [SMALL_STATE(2632)] = 64442,
  [SMALL_STATE(2633)] = 64449,
  [SMALL_STATE(2634)] = 64456,
  [SMALL_STATE(2635)] = 64463,
  [SMALL_STATE(2636)] = 64470,
  [SMALL_STATE(2637)] = 64477,
  [SMALL_STATE(2638)] = 64484,
  [SMALL_STATE(2639)] = 64491,
  [SMALL_STATE(2640)] = 64498,
  [SMALL_STATE(2641)] = 64505,
  [SMALL_STATE(2642)] = 64512,
  [SMALL_STATE(2643)] = 64519,
  [SMALL_STATE(2644)] = 64526,
  [SMALL_STATE(2645)] = 64533,
  [SMALL_STATE(2646)] = 64540,
  [SMALL_STATE(2647)] = 64547,
  [SMALL_STATE(2648)] = 64554,
  [SMALL_STATE(2649)] = 64561,
  [SMALL_STATE(2650)] = 64568,
  [SMALL_STATE(2651)] = 64575,
  [SMALL_STATE(2652)] = 64582,
  [SMALL_STATE(2653)] = 64589,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(938),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1324),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1647),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1362),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1465),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1196),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2652),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2649),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2647),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2646),
  [178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2643),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(130),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1860),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2640),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1859),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1104),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2633),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(316),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2223),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2224),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2226),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(346),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(577),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(355),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(689),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2625),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(142),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1554),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1365),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1939),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1375),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1564),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 134),
  [332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 134),
  [334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 134),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 134),
  [342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2259),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2651),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2653),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2314),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(784),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(946),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2524),
  [1044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2301),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2397),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(116),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2397),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(116),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 186),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2397),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 163),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 51),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 170),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 94),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 73),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 131),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 173),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 130),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 175),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 71),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 144),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 145),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 71),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 148),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 71),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 113),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 215),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 203),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 164),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 212),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 192),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 187),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 51),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 109),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 109),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 50),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 190),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 188),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 208),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 170),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 202),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 94),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 93),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 114),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 113),
  [1546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 91),
  [1550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 165),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 112),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 167),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 169),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 49),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 67),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 68),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 68),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1554),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(123),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2508),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(861),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [1780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1583),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2173),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1606),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [1808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2572),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2572),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 106),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 139),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 139),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 172),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 135),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 100),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 98),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 98),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 96),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 193),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 131),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 57),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 57),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 53),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 172),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 172),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 171),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 140),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 60),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 49),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 105),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 66),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 65),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1100),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 200),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 181),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 85),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 176),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 150),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 154),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 132),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1467),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1196),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [2581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(706),
  [2584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [2587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 133),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 102),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 115),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 183),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 61),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 159),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 119),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1467),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1503),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2448),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [2775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [2778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1284),
  [2781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1334),
  [2784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [2787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1448),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [2900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1402),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1351),
  [2918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [2921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [2942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(409),
  [2945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1350),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1350),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1641),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 127),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 161),
  [3012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(403),
  [3015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1369),
  [3018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1369),
  [3021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1636),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [3034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(356),
  [3037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1372),
  [3040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1372),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1573),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 89),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 185),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 88),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 184),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 90),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 160),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 126),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 184),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 201),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 81),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 160),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3138] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3145] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1486),
  [3205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1529),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1316),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [3364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2312),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(332),
  [3424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2407),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 56),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [3433] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1322),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [3467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [3521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(2352),
  [3524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52), SHIFT(110),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1586),
  [3540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2352),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(110),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [3567] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1316),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 152),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 153),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 156),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1473),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2201),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 116),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 110),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1300),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1315),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 121),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 177),
  [3720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [3754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 95), SHIFT_REPEAT(2352),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2548),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95), SHIFT_REPEAT(2392),
  [3771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 95),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 194),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 204),
  [3849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1321),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 211),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [3884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1308),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 83),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 77),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 63),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 69),
  [3915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 72),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1787),
  [3936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1322),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1536),
  [3958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1322),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1400),
  [3998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1819),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [4019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1976),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1851),
  [4052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1452),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 87),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 50),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 54),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [4368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1316),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 55),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 55),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [4391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1443),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 63),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 69),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 72),
  [4422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 74),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 80),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 82),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 84),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 138),
  [4496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 55),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [4503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 63),
  [4507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 69),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 72),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [4525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1834),
  [4528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 110),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 124),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 138),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(372),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 110),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 137),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 158),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 116),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 123),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 83),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 120),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 118),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 121),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 77),
  [4631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2572),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2572),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 150),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 156),
  [4667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 200),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 81),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 176),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 79),
  [4703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 76),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 181),
  [4709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 75),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 103),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 86),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [4892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 174),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 103),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 107),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [5058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 107),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 142),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5096] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [5104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 146),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 146),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [5122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [6] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
